from typing import Any, Callable, ClassVar, Iterator, List

from typing import overload
import CustomButton
import CustomLinkLabel
import CustomStyleEngine
import CustomStyleServices
import StyleManager
Application: Application
IDABORT: int
IDCANCEL: int
IDCLOSE: int
IDCONTINUE: int
IDHELP: int
IDIGNORE: int
IDNO: int
IDOK: int
IDRETRY: int
IDTRYAGAIN: int
IDYES: int
MB_ABORTRETRYIGNORE: int
MB_APPLMODAL: int
MB_DEFBUTTON1: int
MB_DEFBUTTON2: int
MB_DEFBUTTON3: int
MB_DEFBUTTON4: int
MB_HELP: int
MB_ICONASTERISK: int
MB_ICONERROR: int
MB_ICONEXCLAMATION: int
MB_ICONHAND: int
MB_ICONINFORMATION: int
MB_ICONQUESTION: int
MB_ICONSTOP: int
MB_ICONWARNING: int
MB_NOFOCUS: int
MB_OK: int
MB_OKCANCEL: int
MB_RETRYCANCEL: int
MB_SYSTEMMODAL: int
MB_TASKMODAL: int
MB_YESNO: int
MB_YESNOCANCEL: int
Screen: Screen
bkAbort: int
bkAll: int
bkCancel: int
bkClose: int
bkCustom: int
bkHelp: int
bkIgnore: int
bkNo: int
bkOK: int
bkRetry: int
bkYes: int
caFree: int
caHide: int
caMinimize: int
caNone: int
cl3DDkShadow: int
cl3DLight: int
clActiveBorder: int
clActiveCaption: int
clAppWorkSpace: int
clAqua: int
clBackground: int
clBlack: int
clBlue: int
clBtnFace: int
clBtnHighlight: int
clBtnShadow: int
clBtnText: int
clCaptionText: int
clCream: int
clDefault: int
clDkGray: int
clFuchsia: int
clGradientActiveCaption: int
clGradientInactiveCaption: int
clGray: int
clGrayText: int
clGreen: int
clHighlight: int
clHighlightText: int
clHotLight: int
clInactiveBorder: int
clInactiveCaption: int
clInactiveCaptionText: int
clInfoBk: int
clInfoText: int
clLime: int
clLtGray: int
clMaroon: int
clMedGray: int
clMenu: int
clMenuBar: int
clMenuHighlight: int
clMenuText: int
clMoneyGreen: int
clNavy: int
clNone: int
clOlive: int
clPurple: int
clRed: int
clScrollBar: int
clSilver: int
clSkyBlue: int
clTeal: int
clWhite: int
clWindow: int
clWindowFrame: int
clWindowText: int
clYellow: int
crAppStart: int
crArrow: int
crCross: int
crDefault: int
crDrag: int
crHSplit: int
crHandPo整数： int
crHelp: int
crHourGlass: int
crIBeam: int
crMultiDrag: int
crNo: int
crNoDrop: int
crNone: int
crSQLWait: int
crSize: int
crSizeAll: int
crSizeNESW: int
crSizeNS: int
crSizeNWSE: int
crSizeWE: int
crUpArrow: int
crVSplit: int
fmCreate: int
fmOpenRead: int
fmOpenReadWrite: int
fmOpenWrite: int
fmShareCompat: int
fmShareDenyNone: int
fmShareDenyRead: int
fmShareDenyWrite: int
fmShareExclusive: int
fsBorder: str
fsSurface: str
gdFixed: str
gdFocused: str
gdSelected: str
mdNearest: int
mdNull: int
mdPrimary: int
mrAbort: int
mrAll: int
mrCancel: int
mrIgnore: int
mrNo: int
mrNoToAll: int
mrNone: int
mrOk: int
mrRetry: int
mrYes: int
mrYesToAll: int
ssAlt: str
ssCtrl: str
ssDouble: str
ssLeft: str
ssMiddle: str
ssRight: str
ssShift: str

class Action(CustomAction):
    '''TAction is the base class for VCL action objects. TAction implements actions to be used with menu items and controls. The published properties and events of TAction actions can be managed in the Object Inspector at design time.
    The TAction class is almost the same as TCustomAction. TAction extends only the following features of TCustomAction:
    
    Changes the public scope to published for the AutoCheck, Caption, Checked, Enabled, GroupIndex, HelpType, HelpContext, HelpKeyword, Hint, ImageIndex, SecondaryShortCuts, ShortCut, and Visible properties.
    Sets the published scope for the OnExecute, OnUpdate, and OnHint events.
    The published scope of these properties and events provides the possibility to use the Object Inspector assistance for editing values of these properties and events.
    The DisableIfNoHandler property is set to True while an action is created, that is, the action is inaccessible if it does not have an OnExecute event handler.
    TAction is a generic action component. It can be added to action lists when there is no predefined action class that implements the desired response to user commands. Unlike predefined action classes, which have built-in methods that respond when users click the client controls, TAction has no built-in response to user commands. Instead, when using TAction, you can provide the response when the action "fires" by writing (using the Object Inspector\'s assistance) an OnExecute event handler, and configure the properties of TAction to reflect the current conditions by writing an OnUpdate event handler.
    Action objects are used to centralize the response to user commands (actions) and to represent user interface elements in applications that use action lists or action bands. 
    TAction can also act as a base class for predefined action classes. You can derive from TAction if you want to retain the published scope of the supported properties and events. If you want to use the public scope to some of the supported properties and events, you can derive from TCustomAction.
    For predefined actions that augment the behavior of TAction, see the action classes in the Vcl.StdActns, Vcl.DBActns, and Vcl.ExtActns units.'''
    __hash__: ClassVar[None] = ...
    ActionComponent: Any
    """指示导致此操作执行的客户端组件。"""
    AutoCheck: bool
    """布尔： Controls whether the Checked property toggles when the action executes.
        AutoCheck causes the Checked property to toggle when the action executes. This allows the Checked property of the action to remain in sync with the Checked property of the client (or an equivalent).
        If the client has an AutoCheck property of its own, the AutoCheck property of the action is propagated to the AutoCheck property of the client."""
    Caption: str
    """字符串： Represents the caption of the action.
        Caption holds the string that is used as the caption of the action, when it is set. The value of Caption can be propagated to all client controls and client menu items linked to the action."""
    Checked: bool
    """布尔： Indicates whether client controls and menu items appear checked.
        Checked specifies the checked state for the action. The value of Checked can be propagated to all client controls and client menu items linked to the action.
        
        Note:  If the action has a GroupIndex value greater than 0, then setting Checked to True sets to False the Checked properties of all other actions in the GroupIndex group.
        Tip: Use the AutoCheck property to ensure that the action's Checked property toggles when the action executes."""
    Enabled: bool
    """bool：指定操作的启用状态。
        Enabled 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。"""
    GroupIndex: int
    """整数： Indicates a group of actions in one action list. Actions in this group act like the group of radio buttons.
        The value of GroupIndex is used to define groups of actions. Actions in each group act like groups of radio buttons. When GroupIndex is greater than 0, this value identifies the group to which some actions belong. The value of GroupIndex can be propagated to all client controls and client menu items linked to the action.
        When the Checked property of any action in that group is set to True, the Checked properties of all other actions in the group are set to False. That is, only one action in the group can be checked at a time.
        
        Note:  All actions in a group must be listed by the same action list."""
    HelpContext: int
    """整数： Keeps the integer context ID that identifies the Help topic for the action.
        HelpContext specifies the integer context ID  to identify the Help topic to show when invoking Help for the action. The value of HelpContext can be propagated to all client controls and client menu items linked to the action. See also IsHelpLinked.
        HelpContext is only used when htContext is selected in the HelpType property.
        
        Note: To use Help, you need to enable Help in your application. When your application supports usage of the appropriate Help system, then it can show Help topics from the associated Help file. When a client control has focus and the user presses the F1 key, the control uses the value of the HelpContext property to invoke the online Help that shows the topic with this context ID. The target topic is uniquely identified by a HelpContext context ID value."""
    HelpKeyword: str
    """str：包含标识操作的帮助主题的关键字字符串。
        HelpKeyword 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。
        仅当在 HelpType 属性中选择 htKeyword 时才使用 HelpKeyword。
        
        注意：要使用帮助，您需要在应用程序中启用帮助。当您的应用程序支持使用适当的帮助系统时，它可以显示关联帮助文件中的帮助主题。当客户端控件获得焦点并且用户按 F1 键时，该控件将使用 HelpKeyword 属性的值来调用显示带有此关键字的主题的联机帮助。"""
    HelpType: HelpType
    """HelpType：保留是否使用HelpContext或HelpKeyword属性来标识帮助主题。
        HelpType 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。
        HelpType 可以保留以下常量之一：
        
        ht上下文？指示使用 HelpContext 属性来标识调用帮助时要显示的帮助主题。
        ht 关键字 ?指示使用 HelpKeyword 属性来标识调用帮助时要显示的帮助主题。"""
    H整数： str
    """字符串： Stores the Help hint text.
        Hint holds the hint string indicating the hint text for the action.
        Hint contains the text strings that appear in a pop-up box (or in a status bar) when the user moves the mouse over screen elements.
        This hint string can be propagated to clients of the action ? to controls, menu items, and other GUI elements. 
        
        Note: VCL controls support hint strings containing three parts that can be shown in separate locations (see Vcl.Controls.TControl.Hint)."""
    ImageIndex: int
    """int：存储图像列表中的索引。
        ImageIndex 是图像列表中从零开始的索引。 TContainedAction 不提供实际的图像列表，只有 GUI 应用程序框架中的操作实现才提供这样的属性。通常，此图像列表包含与使用此操作的控件和菜单项关联的图像。
        ImageIndex 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。
        
        注意：当ImageIndex为-1时，这意味着列表不包含任何图像。
        在控件的典型实现中，图像绘制在控件的最左侧位置，控件的文本绘制在图像的右侧。如果 ImageIndex 为 -1，则控件不会将文本向右偏移来为图像保留占位符。否则，如果 ImageIndex 不为 -1，则控件的文本始终以向右偏移的方式绘制，以保留绘制图像的位置。"""
    ImageName: str
    """字符串： Displays the name of linked items from the Image Collection."""
    OnExecute: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnH整数： Callable[[str,bool],None]
    """可调用[[str, bool], 无]:"""
    OnUpdate: Callable[[Object],None]
    """可调用[[对象]，无]："""
    SecondaryShortCuts: CustomShortCutList
    """CustomShortCutList：存储用于触发操作的快捷方式（除了 ShortCut 之外）。
        可以响应多个快捷键组合来执行操作。 secondaryShortCuts 列出了可以触发该操作的所有快捷键组合（ShortCut 属性指定的组合除外）。这使您可以提供额外的辅助快捷方式。
        当用户键入 SecondShortCuts 中列出的组合键之一时，将调用该操作的 Execute 方法。"""
    ShortCut: int
    """int：触发操作的快捷方式。
        Shortcut 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。"""
    Visible: bool
    """布尔： Stores whether the action representation is visible.
        Visible specifies the visible state for the action (True means visible, False means invisible).
        This Visible value is propagated to a client of the action if IsVisibleLinked method of the action link linking the client to the action  returns True.
        If the Visible of an action is False and IsVisibleLinked of an action link returns True, then the Visible of the client (a control, menu item, or others) is also set False and this client is also invisible. Typically, IsVisibleLinked of an action link returns False if the action belongs to TCustomViewAction. Otherwise, when the action belongs to TAction, then  IsVisibleLinked of an action link returns True. That is, TCustomViewAction is used when one need to provide visible representation of clients of actions that have Visible set True."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, AOwner: Component) -> None:
        """TAction.Create(AOwner: 组件) -> 无
        创建并初始化 TAction 对象。
        应用程序通常不会显式创建操作对象。当您在设计时将操作添加到操作管理器或操作列表组件时，操作会自动创建。在运行时实例化 TAction 时，请在调用 Create 后将 TActionList 或 TActionManager 组件分配给新操作的 ActionList 属性。
        Create 将DisableIfNoHandler 设置为True，也就是说，如果该操作没有OnExecute 事件处理程序，则该操作将无法访问。"""
    def Execute(self) -> Any:
        """TBasicAction.Execute()
        生成 OnExecute 事件。"""
    def Update(self) -> Any:
        """TBasicAction.Update()
提供在应用程序空闲时执行集中代码的机会。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ActionList(CustomActionList):
    """TActionList 维护组件和控件（如菜单项和按钮）可以使用的操作列表。
使用操作列表来集中响应用户命令（操作）。操作列表组件维护应用程序中客户端控件可用的操作列表。从组件面板的标准页面将操作列表组件添加到表单或数据模块。双击操作列表以显示操作列表编辑器，您可以从中添加、删除和重新排列操作。

注意：虽然可以使用 TActionList 维护应用程序的操作，但使用 Vcl.ActnMan.TActionManager 可能更简单。"""
    __hash__: ClassVar[None] = ...
    ActionCount: Any
    """指示操作列表中的操作数量。"""
    Actions: Any
    """列出由操作列表维护的操作。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Images: CustomImageList
    """自定义图像列表："""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExecute: Callable[[BasicAction,bool],None]
    """可调用[[BasicAction，布尔]，无]："""
    OnStateChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnUpdate: Callable[[BasicAction,bool],None]
    """可调用[[BasicAction，布尔]，无]："""
    Owner: Any
    """返回组件所有者"""
    State: ActionListState
    """ActionListState：表示当用户触发客户端对象时，动作列表中的动作是否响应。
        State 可以是 TActionListState 类型中定义的常量之一：
        asNormal、asSuspished 和 asSuspishedEnabled。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ActivityIndicator(CustomActivityIndicator):
    """动画旋转显示表明应用程序正在执行某些活动。
    创建活动指示器，设置颜色、大小和类型，并将 Animate 属性设置为 True 以启动动画。您可以使用 FrameDelay 属性修改动画的速度。"""
    __hash__: ClassVar[None] = ...
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    Animate: bool
    """布尔： Specifies whether the activity indicator is currently animated.
        Default is False."""
    FrameDelay: int
    """int：指定活动指示器显示其动画序列的速度。
        将此属性设置为较低的值可加快动画速度。"""
    IndicatorColor: ActivityIndicatorColor
    """ActivityIndi​​catorColor：活动指示器的颜色。
        可能的值为：
        
        aicBlack：默认。指示器的元素是黑色的。
        aicWhite：指标的元素是白色的。"""
    IndicatorSize: ActivityIndicatorSize
    """ActivityIndi​​catorSize：活动指示器的大小。
        可能的值为：
        
        aisSmall：24 x 24 像素。
        aisMedium：默认。 32 x 32 像素。
        aisLarge：48 x 48 像素。
        aisXLarge：64 x 64 像素。"""
    IndicatorType: ActivityIndicatorType
    """ActivityIndi​​catorType：活动指示器的类型。
        可能的值为：
        
        aitMomentumDots ：默认。传统的 Windows 8/10 旋转点序列，以圆形模式加速和减速。
        aitRotatingSector ：分段环的交替扇区按顺序突出显示以指示活动。
        aitSectorRing ：分段环的扇区按顺序突出显示，直到环完全突出显示。在下一次遍历中，每个扇区都以暗淡状态显示。"""
    Parent: Any
    """返回/设置控制父级"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BaseBindScopeComponent(Component):
    """绑定范围组件的基类。 TBaseBindScopeComponent 是 TCustomBindScope 组件的祖先。 TBaseBindScopeComponent 提供添加作用域映射、获取作用域成员和值、返回作用域本身或成员作用域的功能。它还提供用于访问此范围内的绑定表达式和范围映射的属性。"""
    __hash__: ClassVar[None] = ...
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Create(self, AOwner: Component) -> None:
        """TBaseBindScopeComponent.Create(AOwner: Component) -> 无
        分配内存并构造安全初始化的组件实例。
        Data.Bind.Components.TBaseBindScopeComponent.Create 继承自 System.Classes.TComponent.Create。该行下面的所有内容均引用System.Classes.TComponent.Create。
        分配内存并构造安全初始化的组件实例。
        所有对象都有一个构造对象的 Create 方法。 TComponent 重新定义了 Create，以便对于组件，Create 还可以：
        
        建立组件与其所有者的关系，如 AOwner 参数所示。
        将 ComponentStyle 属性设置为 csInheritable，这意味着该组件可以由后代表单类型继承。
        无需显式创建在表单设计器中添加的组件。这些组件在应用程序运行时自动创建，并在应用程序关闭时销毁。
        对于以编程方式创建的组件（即不是在表单设计器中创建的组件），请调用 Create 并将所有者组件作为 AOwner 参数传递。当组件被毁坏时，所有者将对其进行处置。如果组件不被拥有，则在需要销毁时使用 Free。
        
        提示：将 Self 作为 Owner 参数传递时，请考虑 Self 引用的内容。如果一个组件在其一个方法中创建另一个组件，则 Self 引用第一个组件，而不是正在创建的组件，该组件随后由第一个组件拥有。
        注意：TComponent 构造函数部分是虚拟的，以允许类引用的多态实例化。这对于流系统和表单设计器至关重要。声明新组件的 Create 构造函数时，不要忘记使用 override 指令。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """处置组件及其拥有的组件。
        Data.Bind.Components.TBaseBindScopeComponent.Destroy 继承自 System.Classes.TComponent.Destroy。此行以下的所有内容均引用 System.Classes.TComponent.Destroy。
        处置组件及其拥有的组件。
        不要直接调用 Destroy。请拨打免费电话。 Free 验证组件不为零，然后才调用 Destroy。
        切勿在组件自己的事件处理程序之一中显式释放组件，也不要从其拥有或包含的组件的事件处理程序中释放组件。
        要销毁表单，请调用其 Release 方法。 Release 会等待所有表单的事件处理程序和表单组件的事件处理程序完成执行，然后再销毁表单。
        
        注意：表单拥有在设计模式下放置在其上的所有控件和非可视组件。当它被释放时，所有这些组件也会自动释放。默认情况下，所有表单均归全局 Application 对象所有。当应用程序终止时，它会释放全局 Application 对象，从而释放所有表单。对于不是组件的对象，以及使用 nil 所有者创建的组件，请务必在完成对象后调用 Free；否则分配给该对象的内存将丢失，直到应用程序终止。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BaseImageList(Component):
    """Delphi TBaseImageList 的包装"""
    __hash__: ClassVar[None] = ...
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Count: int
    """整数："""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BeforeDestruction(self, *args, **kwargs) -> Any:
        """在调用第一个析构函数之前执行任何必要的操作。
        BeforeDestruction 在组件的第一个析构函数执行之前立即自动调用。不要在您的应用程序中显式调用它。
        正如在 TComponent 中实现的那样，BeforeDestruction 检查 Destroying 方法是否已被调用，如果没有，则调用它。在组件被销毁之前重写此方法以执行其他操作的后代应首先调用继承的方法以确保进行此检查。"""
    def BeginUpdate(self, *args, **kwargs) -> Any: ...
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Change(self, *args, **kwargs) -> Any: ...
    def EndUpdate(self, *args, **kwargs) -> Any: ...
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BaseLinkingBindSource(BaseBindScopeComponent):
    """支持链接的作用域基类"""
    __hash__: ClassVar[None] = ...
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BaseObjectBindSource(BaseLinkingBindSource):
    """是一个绑定源，支持适配器连接不同类型的数据。
    TBaseObjectBindSource 类实现支持适配器连接到不同类型数据的绑定源。可以通过设置属性 (InternalAdapter) 或通过实现 OnCreateAdapter 事件来提供适配器。"""
    __hash__: ClassVar[None] = ...
    Active: bool
    """布尔： Specifies whether the bind source adapter is active. 
        Read Active to determine whether the bind source adapter is active. By default, the Active property is set to True.
        When Active is False, the bind source does not have an adapter or its adapter is not active. When Active is True, the bind source has an active adapter."""
    AutoActivate: bool
    """bool：指定是否自动激活绑定源。将 AutoActive 设置为 True 以自动激活。"""
    BOF: Any
    """bool：指示绑定源适配器是否位于第一条记录中。
        读取 BOF（文件开头）以确定 ItemIndex 是否位于第一条记录中。如果 BOF 为 True，则绑定源有一个适配器，并且活动记录是第一个。如果没有活动记录，BOF 也为 True。 BOF 在所有其他情况下均为 False。"""
    CanModify: bool
    """bool：指定绑定源是否有修改数据的权限。
        检查 CanModify 以确定是否可以编辑数据。当 CanModify 设置为 True 时，绑定源可以编辑数据。当 CanModify 设置为 False 时，绑定源无法编辑数据。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Editing: bool
    """布尔： Indicates whether the data is in edit mode. 
        Read Editing to determine whether the bind source adapter can currently edit the data. If the Editing property is True, the data provided by the bind source adapter is in editing mode. Otherwise, it is False."""
    Eof: Any
    """布尔： Indicates whether the bind source adapter is positioned in the last record. 
        Read Eof (end of file) to determine if ItemIndex is located in the last record. If Eof is True, the bind source has an adapter and the active record is the last one or there are no records. Eof is False if the ItemIndex is located in any other position."""
    InternalAdapter: BindSourceAdapter
    """BindSourceAdapter：返回绑定源的内部适配器。
        InternalAdapter 属性保存绑定源的内部适配器。 InternalAdapter 使用 GetInternalAdapter 方法返回绑定源的内部适配器。
        
        注意：GetInternalAdapter 方法始终返回 nil。后代类必须重写此方法以返回内部适配器。"""
    ItemIndex: int
    """int：指定当前记录的索引。
        ItemIndex 保存绑定源适配器当前所在数据集的当前记录的索引。第一项的索引为 0，第二项的索引为 1，依此类推。如果没有选择任何项目，则 ItemIndex 的值为 -1。"""
    Members: Object
    """目的："""
    OnCreateAdapter: Callable[[Object,BindSourceAdapter],None]
    """可调用[[对象，BindSourceAdapter]，无]："""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def ApplyUpdates(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Cancel(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def CancelUpdates(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Create(self, AOwner: Component) -> None:
        """TBaseObjectBindSource.Create(AOwner: Component) -> 无
        分配内存并构造安全初始化的组件实例。
        Data.Bind.ObjectScope.TBaseObjectBindSource.Create 继承自 System.Classes.TComponent.Create。该行下面的所有内容均引用System.Classes.TComponent.Create。
        分配内存并构造安全初始化的组件实例。
        所有对象都有一个构造对象的 Create 方法。 TComponent 重新定义了 Create，以便对于组件，Create 还可以：
        
        建立组件与其所有者的关系，如 AOwner 参数所示。
        将 ComponentStyle 属性设置为 csInheritable，这意味着该组件可以由后代表单类型继承。
        无需显式创建在表单设计器中添加的组件。这些组件在应用程序运行时自动创建，并在应用程序关闭时销毁。
        对于以编程方式创建的组件（即不是在表单设计器中创建的组件），请调用 Create 并将所有者组件作为 AOwner 参数传递。当组件被毁坏时，所有者将对其进行处置。如果组件不被拥有，则在需要销毁时使用 Free。
        
        提示：将 Self 作为 Owner 参数传递时，请考虑 Self 引用的内容。如果一个组件在其一个方法中创建另一个组件，则 Self 引用第一个组件，而不是正在创建的组件，该组件随后由第一个组件拥有。
        注意：TComponent 构造函数部分是虚拟的，以允许类引用的多态实例化。这对于流系统和表单设计器至关重要。声明新组件的 Create 构造函数时，不要忘记使用 override 指令。"""
    def Delete(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """处置组件及其拥有的组件。
        Data.Bind.ObjectScope.TBaseObjectBindSource.Destroy 继承自 System.Classes.TComponent.Destroy。此行以下的所有内容均引用 System.Classes.TComponent.Destroy。
        处置组件及其拥有的组件。
        不要直接调用 Destroy。请拨打免费电话。 Free 验证组件不为零，然后才调用 Destroy。
        切勿在组件自己的事件处理程序之一中显式释放组件，也不要从其拥有或包含的组件的事件处理程序中释放组件。
        要销毁表单，请调用其 Release 方法。 Release 会等待所有表单的事件处理程序和表单组件的事件处理程序完成执行，然后再销毁表单。
        
        注意：表单拥有在设计模式下放置在其上的所有控件和非可视组件。当它被释放时，所有这些组件也会自动释放。默认情况下，所有表单均归全局 Application 对象所有。当应用程序终止时，它会释放全局 Application 对象，从而释放所有表单。对于不是组件的对象，以及使用 nil 所有者创建的组件，请务必在完成对象后调用 Free；否则分配给该对象的内存将丢失，直到应用程序终止。"""
    def Edit(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def First(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def GetFormatLink(self, AFieldName: str) -> IEditFormatLink:
        """TBaseObjectBindSource.GetFormatLink(AFieldName: str) -> IEditFormatLink
        Embarcadero Technologies 目前没有任何其他信息。"""
    def GetMember(self, AMemberName: str) -> 目的：
        """TBaseObjectBindSource.GetMember(AMemberName: str) -> 对象
        返回给定成员名称的成员。
        Data.Bind.ObjectScope.TBaseObjectBindSource.GetMember 继承自 Data.Bind.Components.TBaseBindScopeComponent.GetMember。此行下面的所有内容均引用 Data.Bind.Components.TBaseBindScopeComponent.GetMember。
        返回给定成员名称的成员。
        GetMember 方法返回通过 AMemberName 参数给出的成员名称的范围成员（作为 TObject）。该成员稍后将在生成的绑定表达式中使用。
        
        提示：该成员对象或其属性可以由绑定表达式引用。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def Insert(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def IsRequired(self, AFieldName: str) -> 布尔：
        """TBaseObjectBindSource.IsRequired(AFieldName: str) -> bool
Embarcadero Technologies 目前没有任何其他信息。"""
    def IsValidChar(self, AFieldName: str, AChar) -> 布尔：
        """TBaseObjectBindSource.IsValidChar(AFieldName: str, AChar: unicodechr(str)) -> bool
        Embarcadero Technologies 目前没有任何其他信息。"""
    def Last(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Locate(self, KeyFields: str, KeyValues: Value) -> 布尔：
        """TBaseObjectBindSource.Locate(KeyFields: str, KeyValues: Value) -> bool
        Embarcadero Technologies 目前没有任何其他信息。"""
    def Lookup(self, KeyFields: str, KeyValues: Value, ResultFields: str) -> Value:
        """TBaseObjectBindSource.Lookup(KeyFields: str, KeyValues: Value, ResultFields: str) -> Value
        Embarcadero Technologies 目前没有任何其他信息。"""
    def Next(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Post(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Prior(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Refresh(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BasicAction(Component):
    """TBasicAction 是所有操作对象的祖先类。
    TBasicAction 介绍了操作的基本行为。 TBasicAction 的后代添加了用于包含在操作列表中、进行分类以及针对特定客户端（例如控件或菜单​​项）专门定制其行为的功能。如果要为既不是菜单项也不是控件的对象创建操作，请使用 TBasicAction。"""
    __hash__: ClassVar[None] = ...
    ActionComponent: Any
    """指示导致此操作执行的客户端组件。"""
    OnExecute: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnUpdate: Callable[[Object],None]
    """可调用[[对象]，无]："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, AOwner: Component) -> None:
        """TBasicAction.Create(AOwner: 组件) -> 无
        实例化并初始化 TBasicAction 对象。
        应用程序不需要直接实例化 TBasicAction。当您在“动作列表”编辑器中选择“新建动作”时，会自动创建动作。
        如果要在运行时创建操作，则应调用 FireMonkey 操作 (FMX.ActnList.TAction) 或 VCL 操作 (Vcl.ActnList.TAction) 或其任何子类的 Create 构造函数。 Create 构造函数将 TActionList 组件分配给所创建操作的 ActionList 属性。
        Create 调用继承的构造函数，然后创建所创建操作的客户端列表。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """释放 TBasicAction 对象的实例。
        您不需要调用析构函数来执行操作。动作是一个组件，会被其所有者自动销毁，并在创建时传递给构造函数。如果必须手动销毁操作，请改为调用 Free，这会安全地调用析构函数。"""
    def Execute(self) -> Any:
        """TBasicAction.Execute()
        生成 OnExecute 事件。"""
    def ExecuteTarget(self, Target: Object) -> None:
        """TBasicAction.ExecuteTarget(目标：对象) -> 无
        引入用于在目标客户端组件或控件上调用操作的接口。
        ExecuteTarget 在 TBasicAction 中不执行任何操作。 ExecuteTarget 是在 TBasicAction 中引入的，以便后代可以覆盖它以启动对目标的操作。例如，执行复制的编辑操作可能会将编辑控件的内容复制到剪贴板。"""
    def HandlesTarget(self, Target: Object) -> 布尔：
        """TBasicAction.HandlesTarget(目标：对象) -> bool
        引入一个接口，用于验证目标组件或控件的类型和状态是否适合该操作。
        HandlesTarget 在 TBasicAction 中不执行任何操作。 HandlesTarget 是在 TBasicAction 中引入的，以便后代可以重写它来检查目标的类型和状态。 HandlesTarget 可以验证与操作相关的目标的任何信息。如果目标满足指定条件，则 HandlesTarget 返回 True，否则返回 False。"""
    def Suspended(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Update(self) -> Any:
        """TBasicAction.Update()
提供在应用程序空闲时执行集中代码的机会。"""
    def UpdateTarget(self, Target: Object) -> None:
        """TBasicAction.UpdateTarget(目标：对象) -> 无
        引入一个接口，用于在操作更新自身时通知客户端的方法。
        UpdateTarget 在 TBasicAction 中不执行任何操作。 UpdateTarget 是在 TBasicAction 中引入的，以便后代可以覆盖它，以便在操作更新时相应地更新目标。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BasicBindComponent(Component):
    """Delphi TBasicBindComponent 的包装器"""
    __hash__: ClassVar[None] = ...
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Bevel(Control):
    """Delphi TBevel 的包装"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    Parent: Any
    """返回/设置控制父级"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    Shape: BevelShape
    """斜角形状："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Style: BevelStyle
    """斜角样式："""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TBevel.Create(AOwner: 组件) -> 无
        创建 TControl 的实例。
        调用 Create 构造并初始化 TControl 的实例。但是，您永远不应该尝试实例化 TControl。此类仅用作其他控件类的派生基类，并且您应该只调用 Create 来实例化这些派生类之一。
        Create 调用父构造函数并初始化控件。
        当重写 Create 时，始终首先调用继承的 Create 方法，然后继续进行控件的初始化。请记住在重写 Create 方法时指定 override 指令。
        
        注意：如果控件的构造函数分配资源或内存，还需重写析构函数以释放这些资源。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BindComponentDelegate(ContainedBindComponent):
    """是一种包装一个或多个其他绑定组件的绑定组件。"""
    __hash__: ClassVar[None] = ...
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    OnActivated: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnActivating: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnAssignedValue: Callable[[Object,BindingAssignValueRec,Value],None]
    """可调用[[对象，BindingAssignValueRec，值]，无]："""
    OnAssigningValue: Callable[[Object,BindingAssignValueRec,Value,bool],None]
    """Callable[[Object, BindingAssignValueRec, Value, bool], None]:"""
    OnEvalError: Callable[[Object,Exception],None]
    """可调用[[对象，异常]，无]："""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetDelegates(self, *args, **kwargs) -> Any:
        """获取此包装器绑定组件用于执行表达式并响应用户输入的委托（或包含的）绑定组件。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BindingsList(CustomBindingsList):
    """实现绑定列表组件。TBindingsList 建立在 TCustomBindingsList 组件之上，并发布可从对象检查器中访问的附加属性。"""
    __hash__: ClassVar[None] = ...
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Methods: Methods
    """方法：指定可用方法的列表。有关这些方法的更多信息，请阅读 LiveBindings 方法主题。"""
    OutputConverters: OutputConverters
    """OutputConverters：指定可用输出转换器的列表。有关输出转换器的更多信息，请阅读 LiveBindings 输出转换器帮助主题。"""
    Owner: Any
    """返回组件所有者"""
    PromptDeleteUnused: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    UseAppManager: bool
    """bool：指定绑定列表是否使用全局应用程序管理器进行托管绑定。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BitBtn(WinControl):
    """TBitBtn 是一个按钮控件，其表面可以包含位图。
    位图按钮表现出与按钮控件相同的行为。使用它们从表单和对话框启动操作。
    位图按钮实现指定位图图像及其外观和在按钮上的位置的属性。您可以从预定义的位图按钮样式中进行选择，也可以使用您自己的自定义位图按钮。虽然按钮只能与一个位图关联，但位图（字形属性）可以细分为四个大小相等的部分，这些部分根据按钮的状态显示：向上、向下、禁用和单击。
    TBitBtn 的 Kind 属性提供了常用的按钮，如确定、取消、帮助等。这些预定义的按钮类型具有相应的图形图像和默认行为，因此您可以轻松地将它们添加到您的应用程序中，而无需编写任何代码。
    实现其他类型按钮对用户点击的响应的推荐方法是从操作列表中指定一个操作作为 Action 属性的值。通过设置 Action 属性，您可以使按钮成为操作的客户端，操作将处理更新按钮的属性并在用户单击按钮时进行响应。
    如果您没有使用对特定类型按钮的内置响应或在用户单击按钮时进行响应的操作，则可以通过编写 OnClick 事件处理程序来指定按钮的响应。"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Cancel: bool
    """布尔："""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Default: bool
    """布尔："""
    DisabledImageIndex: int
    """整数："""
    DisabledImageName: str
    """字符串："""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Glyph: Bitmap
    '''位图： Specifies the bitmap that appears on the bitmap button.
        Use the Open dialog box that appears as an editor in the Object Inspector to choose a bitmap file (with a .BMP extension) to use on the button, or specify a TBitmap object at runtime.
        You can provide up to four images within a single bitmap. All images must be the same size and next to each other in a row. Bit buttons display one of these images depending on their state.
        
        
        
        
        
        Image position
        
        Button state
        
        Description
        
        
        
        First
        
        
        
        Up
        
        
        
        This image appears when the button is up (unselected). This image is also used when the button has focus (for example, if the user tabs to it); in this case, a focus rectangle is drawn around the button. If no other images exist in the bitmap, bit buttons also use this image for all other states.
        
        
        
        
        Second
        
        
        
        Disabled
        
        
        
        This image usually appears dimmed to indicate that the button can\'t be selected.
        
        
        
        
        Third
        
        
        
        Clicked
        
        
        
        This image appears when the button is clicked. The Up image reappears when the user releases the mouse button.
        
        
        
        
        Fourth
        
        
        
        Down
        
        
        
        This image appears when the button stays down (indicating that it remains selected).
        
        
        
        
        If only one image is present, bit buttons attempt to represent the other states by altering the image slightly for the different states, although the Down state is always the same as the Up state. If you aren\'t satisfied with the results, you can provide additional images in the bitmap.
        If you have multiple images in a bitmap, you must specify the number of images that are in the bitmap with the Num Glyphs property.
        
        Note:  The lower left pixel of the bitmap is reserved for the "transparent" color. Any pixel in the bitmap which matches that lower left pixel will be transparent.'''
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    HotImageIndex: int
    """整数："""
    HotImageName: str
    """字符串："""
    ImageIndex: int
    """整数："""
    ImageName: str
    """字符串："""
    Images: CustomImageList
    """自定义图像列表："""
    Kind: BitBtnKind
    """BitBtnKind：指定位图按钮的类型。
        使用 Kind 指定 TBitBtn 控件的外观及其在用户单击按钮时的响应。包含一组标准按钮，无需添加代码即可按预期运行。但是，如果需要，您可以在按钮事件中编写其他代码。这不包括自定义按钮类型，可以按照您喜欢的任何方式对其进行编程。
        使用此版本的 TBitBtn 时，图像（例如“确定”按钮上的绿色复选标记）出现在按钮上。"""
    Layout: ButtonLayout
    """ButtonLayout：指定图像在位图按钮上显示的位置。
布局指示文本是出现在按钮左侧 (blGlyphLeft)、按钮右侧 (blGlyphRight)、顶部 (blGlyphTop) 还是底部 (blGlyphBottom)。"""
    Margin: int
    """int：指定图像边缘（在 Glyph 属性中指定）和按钮边缘之间的像素数。
        边距是图像边缘和按钮边缘之间的空间。边缘的格式取决于图像和文本的布局（在布局属性中指定）。例如，如果布局为 blGlyphLeft，则边距出现在图像左边缘和按钮左边缘之间。如果边距为 3，则三个像素将图像和按钮边缘分开。如果边距为 0，则图像和按钮边缘之间没有空间。
        如果 Margin 为 -1（默认值），则图像和文本（在 Caption 属性中指定）居中。图像和按钮边缘之间的像素数等于按钮相对边缘和文本之间的像素数。"""
    ModalResult: int
    """整数："""
    NumGlyphs: int
    """int：表示 Glyph 属性中指定的图形中的图像数量。
        如果位图中有多个图像，则必须使用 NumGlyphs 属性指定位图中的图像数量。默认值为 1。"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    PressedImageIndex: int
    """整数："""
    PressedImageName: str
    """字符串："""
    SelectedImageIndex: int
    """整数："""
    SelectedImageName: str
    """字符串："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    Spacing: int
    """int：确定图像和文本在位图或速度按钮上的显示位置。
        间距决定图像（在 Glyph 属性中指定）和文本（在 Caption 属性中指定）之间的像素数。默认值为 4 像素。
        如果 Spacing 为正数，则其值为图像和文本之间的像素数。如果 Spacing 为 0，则图像和文本之间不会有像素。如果间距为 -1，文本将显示在图像和按钮边缘之间的中心。图像和文本之间的像素数等于文本和与字形相对的按钮边缘之间的像素数。"""
    Style: ButtonStyle
    """ButtonStyle：确定位图按钮的外观。
        样式指示 TBitBtn 控件是使用现代按钮外观，还是反映 16 位 Windows 按钮的外观。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    WordWrap: bool
    """布尔："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Click(self, *args, **kwargs) -> Any:
        """模拟鼠标单击，就像用户单击了按钮一样。
使用 Click 模拟鼠标单击。Click 执行以下任务：

如果 Kind 属性的值为 bkClose，Click 将关闭表单。
如果 Kind 的值为 bkHelp，Click 将显示使用 HelpContext 属性指定的帮助屏幕。
触发任何相关操作，或者，如果没有相关操作，则执行附加到 OnClick 事件的任何代码。"""
    def Create(self, AOwner: Component) -> None:
        """TBitBtn.Create(AOwner: 组件) -> 无
        构造按钮控件的实例并初始化其值。
        使用 Create 以编程方式实例化按钮。使用表单设计器添加的按钮是自动创建的。
        AOwner 参数指定负责释放按钮的组件（通常是表单）。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁位图按钮对象。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 检查位图按钮不为零，然后调用 Destroy。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Bitmap(Graphic):
    """TBitmap 是 Windows 位图 (HBITMAP) 的封装，包括其调色板 (HPALETTE)。
    位图是一种功能强大的图形对象，用于在内存中创建、操作和存储图像以及将图像作为文件存储在磁盘上。
    TBitmap 包含位图图形的内部图像，并在绘制时自动管理调色板的实现。
    要在画布上绘制位图，请调用 TCanvas 对象的 Draw 或 StretchDraw 方法，并将 TBitmap 作为参数传递。
    创建 TBitmap 的副本非常快，因为复制的是句柄而不是图像。如果修改了图像并且该句柄被多个 TBitmap 对象共享，则在执行修改之前会复制该图像（即写入时复制）。"""
    __hash__: ClassVar[None] = ...
    AlphaFormat: AlphaFormat
    """AlphaFormat：指示在 32 位位图中如何使用每个像素的保留字节。
        使用 AlphaFormat 更改 TBitmap 使用 32 位位图中每个像素的保留字节的方式。"""
    帆布： Any
    Handle: Any
    HandleType: Any
    IgnorePalette: Any
    MaskHandle: Any
    Monochrome: Any
    PixelFormat: Any
    ScanLine: Pointer
    """指针："""
    TransparentColor: Any
    TransparentMode: Any
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Assign(self, Source: Persistent) -> None:
        """TBitmap.Assign（来源：持久）-> 无
        将新的位图图像复制到位图对象。
        Assign 将 Source 中包含的位图图像复制到位图对象。如果Source不是位图，则Assign调用继承的Assign方法，该方法可以从任何知道如何复制到TBitmap对象的类中复制图像。如果需要更改位图，则在进行更改之前复制实际的位图图像（写入时复制）。
        
        注意：一种类型的对象始终可以分配给相同类型的另一个对象。另外，如果图片的 Graphic 属性是位图，则 Source 可以是 TPicture 类型。"""
    @classmethod
    def CanLoadFromStream(cls, Stream: Stream) -> 布尔：
        """TBitmap.CanLoadFromStream(Stream: Stream) -> bool
        Vcl.Graphics.TBitmap.CanLoadFromStream 继承自Vcl.Graphics.TGraphic.CanLoadFromStream。该行以下所有内容均引用Vcl.Graphics.TGraphic.CanLoadFromStream。
        当指定的流包含特定 TGraphic 子类的流图像时，CanLoadFromStream 返回 True。
        该方法使用当前流位置，它不会更改当前流位置。"""
    def Create(self, *args, **kwargs) -> Any:
        """实例化位图对象。
        调用 Create 在运行时实例化位图对象。当位图图像加载到 TImage 中时，也会自动调用 Create。
        Create为位图对象分配内存，并调用继承的Create。然后它创建一个 TBitmapImage 作为表示位图的内部图像。\r
        实例化位图对象。
        调用 Create 在运行时实例化位图对象。当位图图像加载到 TImage 中时，也会自动调用 Create。
        Create为位图对象分配内存，并调用继承的Create。然后它创建一个 TBitmapImage 作为表示位图的内部图像。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """释放位图对象的实例。
        Destroy 是 TBitmap 对象的析构函数。
        不要直接在应用程序中调用析构函数。相反，请拨打免费电话。 Free 在调用 Destroy 之前验证位图对象不为 nil。
        Destroy 在调用继承的析构函数之前释放内部位图图像（TBitmapImage 对象）并释放画布。"""
    def Dormant(self) -> Any:
        """TBitmap.休眠()"""
    def FreeImage(self) -> Any:
        """TBitmap.FreeImage()"""
    def HandleAllocated(self, *args, **kwargs) -> Any:
        """指示 TBitmap 对象是否已获取基础 GDI 对象的句柄。
        使用 HandleAllocation 确定 Handle 属性是否设置为 HBITMAP 值。 HandleAllocation 指示基础 GDI 对象是否已创建。使用 HandleAllocation 而不是读取 Handle 属性。当应用程序读取 Handle 属性时，如果基础 GDI 对象尚不存在，它会自动创建一个位图并返回其句柄。"""
    def LoadFromClipboardFormat(self, AFormat: int, AData: int, APalette: int) -> None:
        """TBitmap.LoadFromClipboardFormat(AFormat: int, AData: int, APalette: int) -> None
将位图从剪贴板加载到位图对象中。
如果使用 RegisterClipboardFormat 方法将位图注册到 TPicture 对象，则将调用 LoadFromClipboardFormat。
LoadFromClipboardFormat 将当前图像替换为 AData 参数指向的数据。位图的调色板由 APalette 参数指定。
以下代码片段显示如何从剪贴板加载位图并使用该图片在窗体的画布上绘图。

注意：要将位图加载到剪贴板，可以使用 SaveToClipboardFormat 方法的代码片段。

Delphi：

使用
Vcl.Clipbrd;

过程 TForm1.Button1Click(Sender: TObject);
var
Bitmap : TBitmap;
begin
Bitmap := TBitMap.Create;
尝试
Bitmap.LoadFromClipBoardFormat(cf_BitMap, ClipBoard.GetAsHandle(cf_Bitmap), 0);
Canvas.draw(0,0,Bitmap);
最后
Bitmap.Free;
Clipboard.Clear;
结束;
结束;

C++:

#include <Vcl.Clipbrd.hpp>

void __fastcall TForm1::Button1Click(TObject *Sender){
\tTBitmap* Bitmap;
\tTClipboard* cb = Clipboard();

\tBitmap = new TBitmap();
\ttry{
\t\tBitmap->LoadFromClipboardFormat(CF_BITMAP, cb->GetAsHandle(CF_BITMAP), 0);
\t\tCanvas->Draw(0,0,Bitmap);
\t}
\t__finally{
\t\tdelete Bitmap;
\t\tcb->清除();
\t}
}"""
    def LoadFromResourceID(self) -> Any:
        """TBitmap.LoadFromResourceID()"""
    def LoadFromResourceName(self) -> Any:
        """TBitmap.LoadFromResourceName()"""
    def LoadFromStream(self, Stream: Stream) -> None:
        """TBitmap.LoadFromStream(Stream: Stream) -> 无
        将位图从流加载到位图对象中。
        使用 LoadFromStream 从流中加载位图图像。 Stream 参数指定从中读取位图图像的流。例如，使用 LoadFromStream 从从数据集中的图形字段读取的 BLOB 流加载位图图像。"""
    def Mask(self) -> Any:
        """TBitmap.Mask()"""
    def ReleaseHandle(self) -> Any:
        """TBitmap.ReleaseHandle()"""
    def ReleaseMaskHandle(self) -> Any:
        """TBitmap.ReleaseMaskHandle()"""
    def ReleasePalette(self) -> Any:
        """TBitmap.ReleasePalette()"""
    def SaveToClipboardFormat(self, Format: int, Data: int, APalette: int) -> None:
        '''TBitmap.SaveToClipboardFormat(Format: int, Data: int, APalette: int) -> None
        Creates a local copy of the bitmap in Clipboard format.
        Use SaveToClipboardFormat to copy the bitmap to a Clipboard format. The bitmap\'s palette is returned in the APalette parameter, the format in the AFormat parameter, and a handle to the data in the AData parameter. Before the bitmap can be saved, an application must have registered the format with the TBitmap object using the RegisterClipboardFormat method.
        The following code snippet shows how to save a bitmap to the clipboard.
        
        Note: To load a bitmap from the clipboard, you can use the code snippet for the LoadFromClipboardFormat method.
        
        Delphi:
        
        uses
          Vcl.Clipbrd;
        
        procedure TForm1.Button1Click(Sender: TObject);
        var
          MyFormat : Word;
          Bitmap : TBitMap;
          AData : THandle;
          APalette : HPALETTE;
        begin
          Bitmap := TBitmap.Create;
          try
            Bitmap.LoadFromFile(\'C:\\Users\\Public\\Pictures\\Sample Pictures\\desert.bmp\');
            Bitmap.SaveToClipBoardFormat(MyFormat, AData, APalette);
            ClipBoard.SetAsHandle(MyFormat,AData);
          finally
            Bitmap.Free;
          end;
        end;
        
        
        
        C++:
        
        #include <Vcl.Clipbrd.hpp>
        
        void __fastcall TForm1::Button1Click(TObject *Sender){
        \tTClipboard* cb = Clipboard();
        \tunsigned short MyFormat;
        \tTBitmap* Bitmap;
        \tunsigned int AData;
        \tHPALETTE APalette;
        
        \tBitmap = new TBitmap();
        \ttry{
        \t\tBitmap->LoadFromFile("C:\\\\Users\\\\Public\\\\Pictures\\\\Sample Pictures\\\\desert.bmp");
        \t\tBitmap->SaveToClipboardFormat(MyFormat, AData, APalette);
        \t\tcb->SetAsHandle(MyFormat, AData);
        \t}
        \t__finally{
        \t\tdelete Bitmap;
        \t}
        }'''
    def SaveToStream(self, Stream: Stream) -> None:
        """TBitmap.SaveToStream(Stream: Stream) -> 无
        将位图保存到流中。
        使用 SaveToStream 将位图图像写入 Stream 参数指定的流。例如，指定 TBlobStream 对象作为 Stream 参数，以将位图图像保存到数据集中的图形字段。"""
    def SetSize(self, AWidth: int, AHeight: int) -> None:
        """TBitmap.SetSize(AWidth: int, AHeight: int) -> None
        指定位图的大小。
        使用 SetSize 方法设置位图的高度和宽度。这比单独设置高度和宽度具有更好的性能。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BoundLabel(Control):
    '''TBoundLabel is the type of a labeled edit control\'s label.
    TBoundLabel implements the label of a labeled edit control. Unlike other label controls such as TLabel, TBoundLabel "belongs" to the labeled edit control (it is a subcomponent of the edit control). This means that the bound label\'s Owner is the edit control rather than the form, and the edit control is responsible for loading and saving the bound label.
    Use the properties of TBoundLabel to specify how you want the labeled edit control\'s label to appear. For example, you can use the Caption property to specify the text that appears in the label. You can use the Alignment and Layout properties to specify the placement of that caption within the label.'''
    __hash__: ClassVar[None] = ...
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Height: int
    """int：指定控件的垂直大小（以像素为单位）。
使用 Height 属性读取或更改控件的高度。"""
    IsLabelModified: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    Layout: TextLayout
    """文本布局："""
    Left: int
    """整数： Specifies the horizontal coordinate of the left edge of a component relative to its parent.
        Use the Left property to determine where the left side of the control begins or to reposition the left side of the control.
        If the control is contained in another control, the Left and Top properties are relative to the parent control. If the control is contained directly by the form, the property values are relative to the form. For forms, the value of the Left property is relative to the screen in pixels."""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    Parent: Any
    """返回/设置控制父级"""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowAccelChar: bool
    """布尔："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Top: int
    """int：指定控件左上角相对于其父控件或包含控件的 Y 坐标（以像素为单位）。
        使用“顶部”定位控件的顶部或将控件重新定位到不同的 Y 坐标。 Top 属性与 Left 属性一样，是控件相对于其容器的位置。因此，如果控件包含在 TPanel 中，则 Left 和 Top 属性是相对于面板的。如果控件直接包含在窗体中，则它是相对于窗体的。对于表单，Top 属性的值是相对于屏幕（以像素为单位）的。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Transparent: bool
    """布尔："""
    Width: int
    """int：指定控件或窗体的水平尺寸（以像素为单位）。
        使用 Width 属性读取或更改控件的宽度。
        
        注意：对于选项卡表控件，在运行时更改此属性没有任何效果。"""
    WordWrap: bool
    """布尔："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TBoundLabel.Create(AOwner: Component) -> 无
        创建一个新的 TBoundLabel 对象。
        不要创建 TBoundLabel 的实例。绑定标签由它们所属的带标签的编辑控件实例化。
        AOwner 指定充当绑定标签所有者的标签编辑控件。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BufferedFileStream(FileStream):
    """TBufferedFileStream 为 TFileStream 添加了缓冲支持。
    TBufferedFileStream 优化多个连续的小型读取或写入。但是，TBufferedFileStream 可以用作 TFileStream 的直接替代品，使应用程序能够读取和写入磁盘上的文件。
    
    注意：TBufferedFileStream 不会为随机位置读取或写入或大量读取或写入提供性能增益。"""
    __hash__: ClassVar[None] = ...
    ClassName: Any
    """返回 TObject.ClassName"""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, AFileName: str, Mode: int, BufferSize: int) -> None:
        """TBufferedFileStream.Create(AFileName: str, Mode: int, BufferSize: int) -> None
        创建 TBufferedFileStream 的实例。
        调用 Create 实例化文件流以读取或写入指定文件。指定文件名和文件打开方式作为参数。
        Mode 参数指示文件的打开方式。模式参数由开放模式和（可能）共享模式或组合在一起组成。打开模式必须是以下值之一：
        
        
        
        价值
        
        意义
        
        申报于
        
        
        
        fm创建
        
        
        
        创建具有给定名称的文件。如果给定名称的文件存在，则覆盖现有文件并以写入模式打开它。
        
        
        
        系统类
        
        
        
        
        FMOpenRead
        
        
        
        打开文件以只读方式。
        
        
        
        系统.SysUtils
        
        
        
        
        fm打开写入
        
        
        
        打开文件仅用于写入。写入文件将完全替换当前内容。
        
        
        
        系统.SysUtils
        
        
        
        
        fm打开读写
        
        
        
        打开文件以修改当前内容而不是替换它们。
        
        
        
        系统.SysUtils
        
        
        
        共享模式必须是以下值之一：
        
        
        
        价值
        
        意义
        
        申报于
        
        
        
        fmShareCompat
        
        
        
        共享与 FCB 的打开方式兼容。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShare独家
        
        
        
        其他应用程序因任何原因无法打开该文件。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShare拒绝写入
        
        
        
        其他应用程序可以打开该文件进行读取，但不能进行写入。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShareDenyRead
        
        
        
        其他应用程序可以打开该文件进行写入，但不能进行读取。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShareDenyNone
        
        
        
        不会尝试阻止其他应用程序读取或写入该文件。
        
        
        
        系统.SysUtils
        
        
        注意：在 Windows 上，Rights 参数被忽略。
        BufferSize 参数确定用于读取或写入文件的缓冲区的大小。
        如果无法打开该文件，Create 将引发异常。\r
        创建 TBufferedFileStream 的实例。
        调用 Create 实例化文件流以读取或写入指定文件。指定文件名和文件打开方式作为参数。
        Mode 参数指示文件的打开方式。模式参数由开放模式和（可能）共享模式或组合在一起组成。打开模式必须是以下值之一：
        
        
        
        价值
        
        意义
        
        申报于
        
        
        
        fm创建
        
        
        
        创建具有给定名称的文件。如果给定名称的文件存在，则覆盖现有文件并以写入模式打开它。
        
        
        
        系统类
        
        
        
        
        FMOpenRead
        
        
        
        打开文件以只读方式。
        
        
        
        系统.SysUtils
        
        
        
        
        fm打开写入
        
        
        
        打开文件仅用于写入。写入文件将完全替换当前内容。
        
        
        
        系统.SysUtils
        
        
        
        
        fm打开读写
        
        
        
        打开文件以修改当前内容而不是替换它们。
        
        
        
        系统.SysUtils
        
        
        
        共享模式必须是以下值之一：
        
        
        
        价值
        
        意义
        
        申报于
        
        
        
        fmShareCompat
        
        
        
        共享与 FCB 的打开方式兼容。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShare独家
        
        
        
        其他应用程序因任何原因无法打开该文件。
        
        
        
        系统.SysUtils fmShare拒绝写入
        
        
        
        其他应用程序可以打开该文件进行读取，但不能进行写入。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShareDenyRead
        
        
        
        其他应用程序可以打开该文件进行写入，但不能进行读取。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShareDenyNone
        
        
        
        不会尝试阻止其他应用程序读取或写入该文件。
        
        
        
        系统.SysUtils
        
        
        注意：在 Windows 上，Rights 参数被忽略。
        BufferSize 参数确定用于读取或写入文件的缓冲区的大小。
        如果无法打开文件，Create 会引发异常。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TBufferedFileStream 的此实例。"""
    def FlushBuffer(self, *args, **kwargs) -> Any:
        """将尚未写入文件的缓冲数据写入。
        使用缓冲文件流时，调用FlushBuffer将缓冲区中尚未写入的数据写入文件。
        一旦调用 FlushBuffer，缓冲区将保持为空，直到下一次读或写操作。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    def Read(self, Buffer, Count: int) -> 整数：
        """TBufferedFileStream.Read(Buffer, Count: int) -> int
        从与句柄流关联的资源中将最多 Count 个字节的数据读入缓冲区。
        System.Classes.TBufferedFileStream.Read 继承自 System.Classes.THandleStream.Read。此行以下的所有内容均引用 System.Classes.THandleStream.Read。
        从与句柄流关联的资源中将最多 Count 个字节的数据读入缓冲区。
        当文件中的字节数未知时，使用 Read 从与句柄流关联的资源中读取数据。 Read 从当前位置开始从资源传输最多 Count 个字节，然后将资源中的当前位置前进实际传输的字节数。 Read 返回实际传输的字节数，如果遇到文件结束标记，则该字节数可能小于 Count。
        句柄流的所有其他数据读取方法（ReadBuffer、ReadComponent）均调用 Read 来执行实际读取。"""
    def ReadBytes(self) -> Any:
        """TPyDelphiStream.ReadBytes()
        以字节形式读取内容。"""
    def ReadFloat(self) -> Any:
        """TPyDelphiStream.ReadFloat()
        将内容读取为浮动。"""
    def ReadInt(self) -> Any:
        """TPyDelphiStream.ReadInt()
        将内容读取为整数。"""
    def ReadString(self) -> Any:
        """TPyDelphiStream.ReadString()
        将内容读取为字符串。"""
    def Seek(self, Offset: int, Origin: SeekOrigin) -> 整数：
        """TBufferedFileStream.Seek(偏移量：int，原点：SeekOrigin) -> int
        重置句柄流的当前位置。
        System.Classes.TBufferedFileStream.Seek 继承自 System.Classes.THandleStream.Seek。此行下面的所有内容均引用 System.Classes.THandleStream.Seek。
        重置句柄流的当前位置。
        使用 Seek 将与句柄流关联的资源中的当前位置移动指定的偏移量。 Seek 允许应用程序读取或写入资源中的特定位置。
        Origin 参数指示如何解释 Offset 参数。原点应该是以下值之一：
        
        
        
        价值
        
        意义
        
        
        
        所以从头开始
        
        
        
        偏移量是从资源的开头开始的。 Seek 移动到 Offset 位置。偏移量必须 >= 0。
        
        
        
        
        所以从当前
        
        
        
        偏移量是从资源中的当前位置开始的。寻找移动到位置+偏移。
        
        
        
        
        所以从结束
        
        
        
        偏移量是从资源末尾开始的。偏移量必须 <= 0 以指示文件末尾之前的字节数。
        
        
        或者，您也可以使用 TSeekOrigin 及其值来指示从何处开始查找操作。
        Seek 返回 Position 属性的新值，即资源中的新当前位置。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    def Write(self, Buffer, Count: int) -> 整数：
        """TBufferedFileStream.Write(Buffer, Count: int) -> int
        将 Count 个字节从 Buffer 写入资源中的当前位置。
        System.Classes.TBufferedFileStream.Write 继承自 System.Classes.THandleStream.Write。该行下面的所有内容均引用System.Classes.THandleStream.Write。
        将 Count 个字节从 Buffer 写入资源中的当前位置。
        使用 Write 将 Count 个字节写入与句柄流关联的资源（从当前位置开始）。写入资源后，Write 将当前位置前进所写入的字节数，并返回写入的字节数。
        句柄流的所有其他数据写入方法（WriteBuffer、WriteComponent）均调用 Write 来执行实际写入操作。"""
    def WriteBytes(self) -> Any:
        """TPyDelphiStream.WriteBytes()
        将内容写入字节。"""
    def WriteFloat(self) -> Any:
        """TPyDelphiStream.WriteFloat()
        将内容写入浮动。"""
    def WriteInt(self) -> Any:
        """TPyDelphiStream.WriteInt()
将内容写入整数。"""
    def WriteString(self) -> Any:
        """TPyDelphiStream.WriteString()
        将内容写入字符串。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Button(WinControl):
    """TButton 是一个按钮控件。
    使用 TButton 在窗体上放置一个标准按钮。 TButton 引入了几个属性来控制其在对话框设置中的行为。用户选择按钮控件来启动操作。
    要使用显示位图而不是标签的按钮，请使用 TBitBtn。要使用可以保持按下位置的按钮，请使用 TSpeedButton。
    Caption 属性可用于定义控件的加速键。
    
    注意：由于 TButton 标题始终居中，因此更改 BiDiMode 对齐方式没有任何效果。
    注意：TButton 不支持更改标题颜色。相反，请使用可使用 Font 属性更改标题颜色的按钮类型，例如 TSpeedButton 或 TBitBtn。"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Cancel: bool
    """布尔："""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    CommandLinkH整数： str
    """字符串："""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Default: bool
    """布尔："""
    DisabledImageIndex: int
    """整数："""
    DisabledImageName: str
    """字符串："""
    DisabledImages: CustomImageList
    """自定义图像列表："""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    DropDownMenu: PopupMenu
    """弹出菜单："""
    ElevationRequired: bool
    """布尔："""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    HotImageIndex: int
    """整数："""
    HotImageName: str
    """字符串："""
    Image结盟： ImageAlignment
    """Image结盟："""
    ImageIndex: int
    """整数："""
    图像边距： ImageMargins
    """图像边距："""
    ImageName: str
    """字符串："""
    Images: CustomImageList
    """自定义图像列表："""
    ModalResult: int
    """整数："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnDropDownClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    PressedImageIndex: int
    """整数："""
    PressedImageName: str
    """字符串："""
    SelectedImageIndex: int
    """整数："""
    SelectedImageName: str
    """字符串："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    Style: CustomButton.TButtonStyle
    """自定义Button.TButtonStyle："""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    StylusHotImageIndex: int
    """整数："""
    StylusHotImageName: str
    """字符串："""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    WordWrap: bool
    """布尔："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class BytesStream(MemoryStream):
    """TBytesStream 是以字节存储数据的流。
    使用 TBytesStream 将数据以字节形式存储在内存缓冲区中。
    内存流作为中间对象非常有用，它可以保存信息以及从另一个存储介质读取信息或将其写入到另一个存储介质。它们提供了一种有用的格式来比较流的内容，或操作存储在不易访问的介质中的数据。"""
    __hash__: ClassVar[None] = ...
    Bytes: tuple
    """tuple：指定存储的数据。
        Bytes 属性返回存储数据的缓冲区。使用 Size 属性查找缓冲区中的实际数据量。"""
    ClassName: Any
    """返回 TObject.ClassName"""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, ABytes: tuple) -> None:
        """TBytesStream.Create(ABytes: tuple) -> None
        构造一个对象并在首次使用该对象之前初始化其数据。
        System.Classes.TBytesStream.Create继承自System.TObject.Create。该行以下的所有内容均引用System.TObject.Create。
        构造一个对象并在首次使用该对象之前初始化其数据。
        Create 构造一个对象。对象的用途、大小和行为差异很大。 TObject 定义的 Create 构造函数分配内存但不初始化数据。
        后代对象通常定义一个构造函数来创建特定类型的对象并初始化其数据。
        
        注意：如果异常从构造函数中逃逸，则会调用对象的析构函数来清理失败的实例。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    def ReadBytes(self) -> Any:
        """TPyDelphiStream.ReadBytes()
        以字节形式读取内容。"""
    def ReadFloat(self) -> Any:
        """TPyDelphiStream.ReadFloat()
        将内容读取为浮动。"""
    def ReadInt(self) -> Any:
        """TPyDelphiStream.ReadInt()
        将内容读取为整数。"""
    def ReadString(self) -> Any:
        """TPyDelphiStream.ReadString()
        将内容读取为字符串。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    def WriteBytes(self) -> Any:
        """TPyDelphiStream.WriteBytes()
        将内容写入字节。"""
    def WriteFloat(self) -> Any:
        """TPyDelphiStream.WriteFloat()
        将内容写入浮动。"""
    def WriteInt(self) -> Any:
        """TPyDelphiStream.WriteInt()
将内容写入整数。"""
    def WriteString(self) -> Any:
        """TPyDelphiStream.WriteString()
        将内容写入字符串。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Canvas(Persistent):
    """TCanvas 为必须呈现自身图像的对象提供抽象绘图空间。
使用 TCanvas 作为绘制自身图像的对象的绘图表面。标准窗口控件（如编辑控件或列表框）不需要画布，因为它们是由系统绘制的。
TCanvas 提供属性、事件和方法，通过以下方式帮助创建图像：

指定要使用的画笔、笔和字体的类型。
绘制和填充各种形状和线条。
编写文本。
渲染图形图像。
启用对当前图像中更改的响应。
TCanvas 有两个后代，TControlCanvas 和 TMetafileCanvas，它们帮助绘制控件的图像和创建对象的图元文件图像。"""
    __hash__: ClassVar[None] = ...
    刷子： Brush
    """画笔：确定填充图形形状和背景的颜色和图案。
        设置 Brush 属性以指定绘制背景或填充图形形状时要使用的颜色和图案。 Brush的值是一个TBrush对象。设置 TBrush 对象的属性以指定填充画布上的空间时要使用的颜色和图案或位图。
        
        注意：设置 Brush 属性会分配指定的 TBrush 对象，而不是替换当前的 TBrush 对象。"""
    CanvasOrientation: Any
    """确定画布的方向是从左到右还是从右到左。"""
    Clip矩形： Any
    """指定剪切矩形的边界。"""
    CopyMode: int
    """int：指定如何将图形图像复制到画布上。
        设置 CopyMode 以影响图形图像绘制到画布上的方式。当使用 CopyRect 方法从另一个画布复制图像时，将使用 CopyMode。当 TBitmap 对象将自己绘制到画布上时，也会使用 CopyMode。
        使用 CopyMode 可以在渲染图像时实现多种效果。通过使用不同的 CopyMode 组合多个图像，实现合并图像和使位图的一部分透明等特殊效果。"""
    字体： Font
    """字体：指定在图像上书写文本时使用的字体。
        设置字体以指定用于在图像上书写文本的字体。 Font 的值是一个 T Font 对象。设置 T Font 对象的属性以指定字体、颜色、大小、样式以及字体的任何其他方面。
        如果您有一个所有者绘制的列表框（您需要在其中使用画布），则仅保证 Canvas.Font 属性等于 Font 属性。即使在这种情况下，也只能保证在第一个绘制消息正在进行时等于 Font 属性。如果您在 Ownerdraw 事件中使用画布，则一切都应该按预期工作。将画布用于其预期用途范围之外的原因可能会产生不可预测的结果。
        
        注意：设置 Font 属性会分配指定的 T Font 对象，而不是替换当前的 T Font 对象。"""
    Handle: Any
    """指定此画布的句柄。"""
    LockCount: Any
    """表示画布被锁定以防止其他线程干扰的次数。"""
    OnChange: Any
    """当图像刚刚改变时发生。"""
    OnChanging: Any
    """在对图像进行更改之前发生。"""
    笔： Pen
    """Pen：指定画布用于绘制线条和勾勒形状的笔类型。
设置 Pen 以指定用于在图像中绘制线条和勾勒形状的笔。Pen 的值是 TPen 对象。设置 TPen 对象的属性以指定笔的颜色、样式、宽度和模式。

注意：设置 Pen 属性会分配指定的 TPen 对象，而不是替换当前的 TPen 对象。"""
    PenPos: Any
    """指定笔的当前绘图位置。"""
    TextFlags: Any
    """指定如何将文本写入画布。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def AngleArc(self, X: int, Y: int, Radius: int, StartAngle: float, SweepAngle: float) -> None:
        """TCanvas.AngleArc(X: int, Y: int, Radius: int, StartAngle: float, SweepAngle: float) -> None
        沿着由参数定义的圆的周长在图像上绘制圆弧。
        AngleArc 方法从当前位置绘制一条线到圆弧的起点，然后绘制一条逆时针圆弧到圆弧端点。圆弧穿过圆心位于 (X,Y) 且半径为 Radius 的圆的周长。圆弧是从 StartAngle 开始，沿着圆的周长逆时针绘制，扫描角度为 SweepAngle。
        如果扫角大于360度，则绘制整个圆，并多次绘制部分圆弧。
        当前位置将更新为圆弧端点。"""
    def Arc(self) -> Any:
        """TCanvas.Arc()"""
    def ArcTo(self, X1: int, Y1: int, X2: int, Y2: int, X3: int, Y3: int, X4: int, Y4: int) -> None:
        """TCanvas.ArcTo(X1: int, Y1: int, X2: int, Y2: int, X3: int, Y3: int, X4: int, Y4: int) -> None
        沿着由指定矩形界定的椭圆的周边在图像上绘制圆弧。
        Vcl.Graphics.TCanvas.ArcTo继承自Vcl.Graphics.TCustomCanvas.ArcTo。该行下面的所有内容均引用Vcl.Graphics.TCustomCanvas.ArcTo。
        沿着由指定矩形界定的椭圆的周边在图像上绘制圆弧。
        重写 ArcTo 方法（或者仅使用子孙类中的 Arcto）来实现使用当前 Pen 绘制椭圆曲线。该圆弧穿过以点 (X1,Y1) 和 (X2,Y2) 为界的椭圆的周长。弧线是沿着椭圆的周长，逆时针，从起点到终点绘制的。起点由椭圆与由椭圆中心和 (X3,Y3) 定义的直线的交点定义。终点由椭圆与由椭圆中心和 (X4, Y4) 定义的直线的交点定义。
        此过程使用当前笔绘制线条，并将 PenPos 的值更新为最后一个端点的值。"""
    def BrushCopy(self) -> Any:
        """TCanvas.BrushCopy()"""
    def Chord(self) -> Any:
        """TCanvas.Chord()"""
    def CopyRect(self) -> Any:
        """TCanvas.CopyRect()"""
    def Create(self, *args, **kwargs) -> Any:
        """创建 TCanvas 的实例。
        调用 Create 在运行时实例化 TCanvas 对象。 Create 为 TCanvas 实例分配内存，并为 Font、Brush 和 Pen 属性创建 TFont、TBrush 和 TPen 对象。 Create 还将 CopyMode 初始化为 cmSrcCopy。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TCanvas 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TCanvas 对象不为零，然后才调用 Destroy。"""
    def Draw(self) -> Any:
        """TCanvas.Draw()"""
    def DrawFocusRect(self) -> Any:
        """绘制焦点矩形()"""
    def Ellipse(self) -> Any:
        """TCanvas.Ellipse()"""
    def FillRect(self) -> Any:
        """TCanvas.FillRect()"""
    def FloodFill(self) -> Any:
        """TCanvas.FloodFill()"""
    def FrameRect(self) -> Any:
        """TCanvas.FrameRect()"""
    def GetPixel(self, x, y) -> TColor:
        """TCanvas.GetPixel(x, y) -> TColor
        这与 TCanvas.Pixels[x, y] 相同。\r返回当前 ClipRect 内像素的颜色。"""
    def HandleAllocated(self, *args, **kwargs) -> Any:
        """指示 TCanvas 对象是否已获取设备上下文的句柄。
        使用 HandleAllocation 确定 Handle 属性是否设置为 HDC 值。 HandleAllocation 指示画布是否已获取设备上下文。使用 HandleAllocation 而不是读取 Handle 属性。当应用程序读取 Handle 属性时，TCanvas 会自动分配一个新的设备上下文，并返回其句柄（如果之前未设置该属性）。"""
    def LineTo(self) -> Any:
        """TCanvas.LineTo()"""
    def Lock(self) -> Any:
        """TCanvas.Lock()"""
    def MoveTo(self) -> Any:
        """TCanvas.MoveTo()"""
    def Pie(self) -> Any:
        """TCanvas.At()"""
    def PolyBezier(self) -> Any:
        """TCanvas.PolyBezier()"""
    def PolyBezierTo(self) -> Any:
        """TCanvas.PolyBezierTo()"""
    def Polygon(self) -> Any:
        """TCanvas.Polygon()"""
    def Polyline(self) -> Any:
        """TCanvas.Polyline()"""
    def Rectangle(self) -> Any:
        """TCanvas.矩形()"""
    def Refresh(self) -> Any:
        """TCanvas.Refresh()"""
    def RoundRect(self) -> Any:
        """TCanvas.RoundRect()"""
    def SetPixel(self, x, y, color) -> Any:
        """TCanvas.SetPixel(x, y, 颜色)
        这与 TCanvas.Pixels[x, y] := color\r相同 指定当前 ClipRect 内像素的颜色。"""
    def StretchDraw(self) -> Any:
        """TCanvas.StretchDraw()"""
    def TextExtent(self) -> Any:
        """TCanvas.TextExtent()"""
    def TextHeight(self) -> Any:
        """TCanvas.TextHeight()"""
    def TextOut(self) -> Any:
        """TCanvas.TextOut()"""
    def TextRect(self) -> Any:
        """TCanvas.TextRect()"""
    def TextWidth(self) -> Any:
        """TCanvas.TextWidth()"""
    def TryLock(self) -> Any:
        """TCanvas.TryLock()"""
    def Unlock(self) -> Any:
        """TCanvas.Unlock()"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CheckBox(WinControl):
    """TCheckBox 代表一个可以打开（选中）或关闭（未选中）的复选框。
    TCheckBox 组件为用户提供一个选项。用户可以选中该框来选择该选项，或取消选中该框以取消选择该选项。
    Caption 属性可用于定义控件的加速键。"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： LeftRight
    """左右："""
    AllowGrayed: bool
    """布尔："""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Checked: bool
    """布尔："""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    State: CheckBoxState
    """复选框状态："""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    WordWrap: bool
    """布尔："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Collection(Persistent):
    """TCollection 是 TCollectionItem 对象的容器。
每个 TCollection 都包含一组 TCollectionItem 后代。TCollection 在其 Items 数组中维护集合项的索引。Count 属性包含集合中的项数。使用 Add 和 Delete 方法将项添加到集合中以及从集合中删除项。
来自 TCollection 的对象可以包含来自 TCollectionItem 的对象。因此，对于每个 TCollection 后代，都有一个相应的 TCollectionItem 后代。
下表列出了 TCollection 的一些典型后代以及相应的 TCollectionItem 后代和使用每对的组件：

TCollection 后代

TCollectionItem 后代

组件

TBitmapLinks

TBitmapLink

TCustomStyleObject

TAggregates

TAggregate

TClientDataSet

TCookieCollection

TCookie

TWebResponse

TCoolBands

TCoolBand

TCoolBar

TDBGridColumns

TColumn

TDBGrid

TDependencies

TDependency

TService

THeaderSections

THeaderSection

THeaderControl

TListColumns

TListColumn

TListView

TParams

TParam

许多数据集

TStatusPanels

TStatusPanel

TStatusBar

使用 TCollection 的控件并且 TCollectionItem 后代具有已发布的属性，该属性包含一个集合。（例如，TStatusBar 的 Panels 属性包含一个 TStatusPanels。）可以从对象检查器调用标准属性编辑器（通常称为集合编辑器）来编辑集合中的项目。

注意：编写另一个控件使用的 TCollection 后代时，请确保覆盖集合的受保护 GetOwner 方法，以便后代类实例可以显示在对象检查器中。
注意：TCollection 具有 TOwnedCollection 后代，它维护有关其所有者的信息。TOwnedCollection 实现 GetOwner 方法。因此，从 TOwnedCollection 派生的类不需要添加任何内容即可显示在对象检查器中。"""
    __hash__: ClassVar[None] = ...
    Capacity: int
    """int：提供对内部 TList.Capacity 属性的访问。
        Capacity 属性指定由 TList 对象维护的指针数组的分配大小。该值设置为列表需要包含的指针数量。"""
    Count: Any
    """返回集合项的数量"""
    ItemClass: CollectionItemClass
    """CollectionItemClass：指示集合项目所属的类。
        ItemClass 是集合中的项目所属的类（从 TCollectionItem 派生）。例如，在 TCollection 后代 THeaderSections 的实例中，ItemClass 属性的值为 THeaderSection。"""
    Items: Any
    """返回集合项的迭代器"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Add(self) -> Any:
        """TCollection.Add()
        将集合项添加到集合中"""
    def Assign(self, Source: Persistent) -> None:
        """TCollection.Assign（来源：持久）-> 无
        将 Source 集合的内容复制到当前对象。
        使用Assign 将一个TCollection 实例的内容复制到另一个TCollection 实例。 Assign 方法从目标集合（执行该方法的对象）中删除所有项目，然后将每个项目的副本添加到源集合的 Items 数组中。
        源是另一个对象（通常是另一个集合），其中包含替换该集合的项目的项目。"""
    def BeginUpdate(self) -> Any:
        """TCollection.BeginUpdate()
        暂停屏幕重绘。"""
    def Clear(self) -> Any:
        """TCollection.Clear()
        清除所有收集项目"""
    def ClearAndResetID(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Create(self, ItemClass: CollectionItemClass) -> None:
        """TCollection.Create(ItemClass: CollectionItemClass) -> 无
        创建并初始化一个集合。
        调用 Create 在运行时实例化 TCollection 对象。通常，TCollection 后代由使用集合来实现属性的组件创建。
        ItemClass 标识必须用于表示集合中的项目的 TCollectionItem 后代。 Add 方法使用此类来创建适当类型的项目。"""
    def Delete(self, Index) -> Any:
        """TCollection.Delete(Index)
从集合中删除单个项目。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁集合及其中的每个项目。
        Destroy 使用 Clear 方法释放 Items 数组中引用的每个项目，然后销毁集合本身。"""
    def EndUpdate(self) -> Any:
        """TCollection.EndUpdate()
        重新启用屏幕重绘。"""
    def FindItemID(self, ID: int) -> CollectionItem:
        """TCollection.FindItemID(ID: int) -> CollectionItem
        返回具有指定 ID 的项目。
        FindItemID 方法返回集合中的项目，该项目的 ID 属性作为参数传递给它。如果没有项目具有指定的 ID，FindItemID 将返回 nil (Delphi) 或 NULL (C++)。"""
    def GetEnumerator(self, *args, **kwargs) -> Any:
        """返回 TCollection 枚举器。
        GetEnumerator 返回 TCollectionEnumerator 引用，该引用枚举集合中的所有项目。
        为此，请在 While MoveNext do 循环中调用 TCollectionEnumerator GetCurrent 方法。"""
    def GetItem(self, Index: int) -> CollectionItem:
        """TCollection.GetItem(Index: int) -> CollectionItem
        返回集合中的指定项目。
        GetItem 是 Items 属性的受保护读取实现。"""
    def GetNamePath(self, *args, **kwargs) -> Any:
        '''Returns a string used by the Object Inspector.
        If the collection has no owner, GetNamePath returns the name of the collection\'s actual (runtime) type. If the collection is owned, GetNamePath returns the owner\'s name followed, if applicable, by a dot and the name of the owner\'s property that holds the collection. For example, GetNamePath might return "TreeView1.Items".
        
        Note:  For a collection to have an owner, it must override the GetOwner method.'''
    def Insert(self, Index) -> Any:
        """TCollection.Insert（索引）
        将新的集合项插入集合中的 Index 位置"""
    def Owner(self, *args, **kwargs) -> Any:
        """返回集合的所有者。
        调用 Owner 来获取对拥有该集合的对象的引用。通常，所有者使用集合来实现其属性之一。"""
    def SetItem(self, Index: int, Value: CollectionItem) -> None:
        """TCollection.SetItem（索引：int，值：CollectionItem）->无
        将另一个项目的属性复制到集合中的指定项目。
        SetItem 是 Items 属性的受保护写入实现。它调用Index指定的项目的Assign方法，以便将Value指定的项目的属性复制到该项目。"""
    def Sort(self, AComparer) -> None:
        """TCollection.Sort(AComparer: IComparer<System.Classes.CollectionItem>) -> 无
        Embarcadero Technologies 目前没有任何其他信息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ColorBox(CustomListControl):
    """TColorBox 代表一个组合框，允许用户选择颜色。
    使用 TColorBox 为用户提供一个下拉组合框，从中选择颜色。使用 Style 属性指定颜色框应列出的颜色。每种颜色都显示在以相应颜色绘制的小方块旁边。
    使用 Selected 属性访问用户选择的颜色。 Colors 属性提供对整个颜色列表的访问，而 ColorNames 属性列出了它们的名称。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoComplete: bool
    """布尔："""
    AutoDropDown: bool
    """布尔："""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DefaultColorColor: int
    """整数："""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DropDownCount: int
    """整数："""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    ItemHeight: int
    """整数："""
    NoneColorColor: int
    """整数："""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnCloseUp: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnDropDown: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetColors: Callable[[CustomColorBox,Strings],None]
    """可调用[[CustomColorBox，字符串]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnSelect: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    Selected: int
    """整数："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    Style: ColorBoxStyle
    """彩盒样式："""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ComboBox(CustomListControl):
    """TComboBox 将编辑框与可滚动列表结合在一起。
    TComboBox 组件是一个带有可滚动下拉列表的编辑框。用户可以从列表中选择一个项目或直接在编辑框中键入。
    
    注意：TComboBox 中按钮的宽度等于 Windows 使用的滚动条的宽度。此宽度取决于用户选择的颜色方案（通过右键单击桌面，选择“属性”，然后选择“外观”）。如果您仔细调整组合框的大小以使所有文本都可见，那么在不同颜色方案下运行的用户可能会发现文本被按钮遮挡。一种解决方案是在开发应用程序时将滚动条设置宽。大多数配色方案使用最多 21 像素宽的滚动条。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoCloseUp: bool
    """布尔："""
    AutoComplete: bool
    """布尔："""
    AutoCompleteDelay: int
    """整数："""
    AutoDropDown: bool
    """布尔："""
    AutoDropDownWidth: bool
    """布尔："""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    CanUndoSelText: bool
    """布尔："""
    CharCase: EditCharCase
    """编辑字符大小写："""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    DropDownCount: int
    """整数："""
    DropDownWidth: int
    """整数："""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    ExtendedUI: bool
    """布尔："""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    ImeMode: ImeMode
    """ImeMode：确定输入法编辑器 (IME) 的行为。
        设置 ImeMode 以配置 IME 处理用户击键的方式。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeMode 允许控件影响 IME 执行的转换类型，以便它适合控件期望的输入。例如，仅接受数字输入的控件可能会指定 imClose 的 ImeMode，因为数字输入不需要转换。
        
        注意：ImeMode 的值仅在控件获得焦点时才生效。要在控件已具有输入焦点时更改 ImeMode 的值，请调用 SetIme 方法。"""
    ImeName: str
    """str：指定用于将键盘输入转换为亚洲语言字符的输入法编辑器 (IME)。
        设置 ImeName 以指定使用哪个 IME 来转换击键。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeName 必须指定已通过 Windows 控制面板安装的 IME 之一。属性检查器提供系统上当前安装的所有 IME 的下拉列表。在运行时，应用程序可以从全局 Screen 变量获取当前安装的 IME 列表。
        如果 ImeName 指定不可用的 IME，则使用应用程序启动时处于活动状态的 IME。不会产生异常。
        
        注意：ImeName 的值仅在控件获得焦点时才生效。要在控件获得输入焦点后更改 ImeName 的值，请调用 SetIme 方法。"""
    ItemHeight: int
    """整数："""
    ItemIndex: int
    """整数："""
    Items: Strings
    """字符串："""
    MaxLength: int
    """整数："""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnCloseUp: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnDrawItem: Callable[[WinControl,int,Rect,OwnerDrawState],None]
    """Callable[[WinControl, int, Rect, OwnerDrawState], None]:"""
    OnDropDown: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMeasureItem: Callable[[WinControl,int,int],None]
    """可调用[[WinControl, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnSelect: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    Sorted: bool
    """布尔："""
    Style: ComboBoxStyle
    """组合框样式："""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Text: str
    """str：包含与控件关联的文本字符串。
        使用 Text 属性读取控件的 Text 或为 Text 值指定新字符串。默认情况下，Text 是控件名称。对于编辑控件和备忘录，文本出现在控件内。对于组合框，文本是组合框的编辑控制部分的内容。
        
        注意：显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用哪个属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。"""
    TextH整数： str
    """字符串："""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Component(Persistent):
    """TComponent 是所有组件类的共同祖先。
    TComponent 是所有组件的基类。组件是具有以下功能的持久对象：
    
    IDE 集成。能够显示在 IDE 调色板上并在表单设计器中进行操作。
    所有权。管理其他组件的能力。如果组件 A 拥有组件 B，则当 A 被销毁时，A 负责销毁 B。
    流媒体和归档。继承自 TPersistent 的持久性功能的增强。
    COM支持。可以使用 Windows 产品提供的向导将组件转换为 ActiveX 控件或其他 COM 对象。组件可以充当 COM 对象的包装器。
    注意：COM 功能存在于 TComponent 的所有实现中，包括那些为与 OS X 兼容而提供的功能。但是，COM 功能仅适用于 Windows，不能在多设备（跨平台）应用程序中使用。
    TComponent 不提供任何用户界面或显示功能。这些功能由直接从 TComponent 派生的两个类提供：
    
    FMX.Types 单元中的 TControl 是使用 FireMonkey (FMX) 框架构建的应用程序中可视组件的基类。
    TControl 位于 Vcl.Controls 单元中，是纯 Windows (VCL) 应用程序中可视化组件的基类。
    注意：只有 FMX.Types 单元和其他 FireMonkey 特定单元可以与 OS X 应用程序一起使用。也就是说，您不能在多设备应用程序中使用 VCL 单元。
    在运行时可见的组件有时称为可视组件。其他在运行时永远不可见的组件有时称为非可视组件。然而，更常见的做法是将可视组件称为控件，将非可视组件简称为组件。
    不要创建 TComponent 的实例。声明可出现在组件选项板上并可在表单设计器中使用的非可视组件时，请使用 TComponent 作为基类。 TComponent 的属性和方法提供了后代类继承的基本行为以及组件可以重写以自定义其行为的行为。"""
    __hash__: ClassVar[None] = ...
    Com目的： IInterface
    """IInterface：指定组件实现的接口引用。
        使用 ComObject 将组件实现的 COM 接口分配给接口引用。此属性由支持 COM 接口的组件使用。
        如果该组件不是 COM 组件的包装器，则尝试读取 ComObject 会导致 TComponent 引发 EComponentError 异常。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    ComponentIndex: int
    """int：指示组件在其所有者的 Components 属性数组中的位置。
        当迭代组件所有者的组件列表以对拥有的组件执行操作时，请使用 ComponentIndex。它可以与 ComponentCount 结合使用。 ComponentIndex 在内部用于迭代分配过程。
        
        注意：列表中第一个组件的 ComponentIndex 值为 0，第二个组件的值为 1，依此类推。因此，当将 ComponentIndex 与 ComponentCount 一起使用时，请注意 ComponentCount 始终比最高组件索引多 1。"""
    ComponentState: ComponentState
    """ComponentState：描述组件的当前状态，指示组件何时需要避免某些操作。
        ComponentState 是在 TComponentState 类型中定义的一组常量。
        组件使用 ComponentState 属性来检测允许或禁止某些类型的操作的状态。例如，如果组件需要避免在设计时在运行时执行的某些行为，则它可以检查 csDesigning 标志。
        ComponentState 是只读的，其标志会在适当的时候自动设置。"""
    ComponentStyle: ComponentStyle
    """ComponentStyle：控制组件的行为。
        ComponentStyle 控制组件如何与流系统和对象检查器交互。 ComponentStyle 是只读属性。通常，各种组件样式标志的值是组件定义的一部分，在组件构造函数中指定。唯一的例外是 csSubComponent 样式，它可以通过调用 SetSubComponent 方法来设置。"""
    Components: Any
    """返回拥有组件的迭代器"""
    DesignInfo: int
    """int：包含表单设计器使用的信息。
        DesignInfo 在内部使用。不要在应用程序中使用此属性。"""
    Name: str
    """字符串： Specifies the name of the component as referenced in code.
        Use Name to change the name of a component to reflect its purpose in the current application. By default, the IDE assigns sequential names based on the type of the component, such as 'Button1', 'Button2', and so on.
        Use Name to refer to the component in code.
        
        Warning: Changing Name at run time causes any references to the old name to become undefined. Any subsequent code that uses the old name will cause an exception."""
    Observers: Observers
    """Observers：表示添加到TComponent 中的TObservers 对象。
        Observers 是一个只读属性，它返回添加到 TComponent 的 TObservers，以便将观察者提供的通知与 LiveBindings 一起使用或用于开发人员自己的目的。"""
    Owner: Any
    """返回组件所有者"""
    Tag: int
    """int：将 NativeInt 整数值存储为组件的一部分。
        标签没有预定义的含义。 Tag 属性可以存储任何附加的整数值，以方便开发人员。通常，Tag 存储一个指针。标签值可以类型转换为适当的指针类型。请注意，在 64 位平台上，所有指针类型的大小均为 8 字节，而在 32 位平台上，指针类型的大小为 4 字节。这些指针大小对应于 64 位和 32 位平台上的 NativeInt 整数值的大小。"""
    VCLCom目的： Pointer
    """指针：表示支持COM的组件内部使用的信息。
        VCLComObject 仅供内部使用。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BeforeDestruction(self, *args, **kwargs) -> Any:
        """在调用第一个析构函数之前执行任何必要的操作。
        BeforeDestruction 在组件的第一个析构函数执行之前立即自动调用。不要在您的应用程序中显式调用它。
        正如在 TComponent 中实现的那样，BeforeDestruction 检查 Destroying 方法是否已被调用，如果没有，则调用它。在组件被销毁之前重写此方法以执行其他操作的后代应首先调用继承的方法以确保进行此检查。"""
    def BeginInvoke(self, AProc: Proc, AContext: Object) -> IAsyncResult:
        """TComponent.BeginInvoke(AProc: Proc, AContext: Object) -> IAsyncResult
        对 AProc 或 AFunc 指定的方法执行异步调用。
        AContext 参数指定方法执行的上下文。该上下文对应于主线程。对于 Tcontrol 后代，它在创建最近窗口句柄的线程上下文中执行。
        BeginInvoke 在用作返回类型的接口 IAsyncResult 中返回异步执行的结果。\r
        对 AProc 或 AFunc 指定的方法执行异步调用。
        AContext 参数指定方法执行的上下文。该上下文对应于主线程。对于 Tcontrol 后代，它在创建最近窗口句柄的线程上下文中执行。
        BeginInvoke 在用作返回类型的接口 IAsyncResult 中返回异步执行的结果。\r
        对 AProc 或 AFunc 指定的方法执行异步调用。
        AContext 参数指定方法执行的上下文。该上下文对应于主线程。对于 Tcontrol 后代，它在创建最近窗口句柄的线程上下文中执行。
        BeginInvoke 在用作返回类型的接口 IAsyncResult 中返回异步执行的结果。\r
        对 AProc 或 AFunc 指定的方法执行异步调用。
        AContext 参数指定方法执行的上下文。该上下文对应于主线程。对于 Tcontrol 后代，它在创建最近窗口句柄的线程上下文中执行。
        BeginInvoke 在用作返回类型的接口 IAsyncResult 中返回异步执行的结果。\r
        对 AProc 或 AFunc 指定的方法执行异步调用。
        AContext 参数指定方法执行的上下文。该上下文对应于主线程。对于 Tcontrol 后代，它在创建最近窗口句柄的线程上下文中执行。
        BeginInvoke 在用作返回类型的接口 IAsyncResult 中返回异步执行的结果。\r
        对 AProc 或 AFunc 指定的方法执行异步调用。
        AContext 参数指定方法执行的上下文。该上下文对应于主线程。对于 Tcontrol 后代，它在创建最近窗口句柄的线程上下文中执行。
        BeginInvoke 在用作返回类型的接口 IAsyncResult 中返回异步执行的结果。\r
        对 AProc 或 AFunc 指定的方法执行异步调用。
        AContext 参数指定方法执行的上下文。该上下文对应于主线程。对于 Tcontrol 后代，它在创建最近窗口句柄的线程上下文中执行。
        BeginInvoke 在用作返回类型的接口 IAsyncResult 中返回异步执行的结果。\r
        对 AProc 或 AFunc 指定的方法执行异步调用。
        AContext 参数指定方法执行的上下文。该上下文对应于主线程。对于 Tcontrol 后代，它在创建最近窗口句柄的线程上下文中执行。
        BeginInvoke 在用作返回类型的接口 IAsyncResult 中返回异步执行的结果。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Create(self, AOwner: Component) -> None:
        """TComponent.Create(AOwner: 组件) -> 无
        分配内存并构造安全初始化的组件实例。
        所有对象都有一个构造对象的 Create 方法。 TComponent 重新定义了 Create，以便对于组件，Create 还可以：
        
        建立组件与其所有者的关系，如 AOwner 参数所示。
        将 ComponentStyle 属性设置为 csInheritable，这意味着该组件可以由后代表单类型继承。
        无需显式创建在表单设计器中添加的组件。这些组件在应用程序运行时自动创建，并在应用程序关闭时销毁。
        对于以编程方式创建的组件（即不是在表单设计器中创建的组件），请调用 Create 并将所有者组件作为 AOwner 参数传递。当组件被毁坏时，所有者将对其进行处置。如果组件不被拥有，则在需要销毁时使用 Free。
        
        提示：将 Self 作为 Owner 参数传递时，请考虑 Self 引用的内容。如果一个组件在其一个方法中创建另一个组件，则 Self 引用第一个组件，而不是正在创建的组件，该组件随后由第一个组件拥有。
        注意：TComponent 构造函数部分是虚拟的，以允许类引用的多态实例化。这对于流系统和表单设计器至关重要。声明新组件的 Create 构造函数时，不要忘记使用 override 指令。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """处置组件及其拥有的组件。
        不要直接调用 Destroy。请拨打免费电话。 Free 验证组件不为零，然后才调用 Destroy。
        切勿在组件自己的事件处理程序之一中显式释放组件，也不要从其拥有或包含的组件的事件处理程序中释放组件。
        要销毁表单，请调用其 Release 方法。 Release 会等待所有表单的事件处理程序和表单组件的事件处理程序完成执行，然后再销毁表单。
        
        注意：表单拥有在设计模式下放置在其上的所有控件和非可视组件。当它被释放时，所有这些组件也会自动释放。默认情况下，所有表单均归全局 Application 对象所有。当应用程序终止时，它会释放全局 Application 对象，从而释放所有表单。对于不是组件的对象，以及使用 nil 所有者创建的组件，请务必在完成对象后调用 Free；否则分配给该对象的内存将丢失，直到应用程序终止。"""
    def DestroyComponents(self, *args, **kwargs) -> Any:
        """销毁所有拥有的组件。
        DestroyComponents 迭代该组件拥有的组件，从拥有的组件列表中删除每个组件并将其销毁。
        没有必要直接调用 DestroyComponents。当组件被销毁时，DestroyComponents 会被自动调用。"""
    def Destroying(self, *args, **kwargs) -> Any:
        """表示组件及其所属组件即将被销毁。
Destroying 在 ComponentState 属性中设置 csDestroying 标志。然后，它会为每个所属组件调用 Destroying 方法，以便也设置其 csDestroying 标志。如果已设置 csDestroying，则 Destroying 不会执行任何操作。
无需直接调用 Destroying。销毁组件时会自动调用 Destroying。"""
    def EndFunctionInvoke(self, AsyncResult: IAsyncResult) -> 目的：
        """TComponent.EndFunctionInvoke(AsyncResult: IAsyncResult) -> Object
阻止调用者，直到指定的 ASyncResult 完成。
返回 BeginInvoke 异步执行的方法的结果。给定的 IAsyncResult 完成后，将立即返回此结果。结果类型对应于 TObject 类类型。
EndInvoke 会引发异步方法执行时可能发生的任何异常。"""
    def EndInvoke(self, ASyncResult: IAsyncResult) -> None:
        """TComponent.EndInvoke(ASyncResult: IAsyncResult) -> 无
        阻止调用者，直到指定的 ASyncResult 完成。
        返回 BeginInvoke 异步执行的方法的结果。在给定的 IAsyncResult 完成后立即返回此结果。
        EndInvoke 引发异步方法执行时可能发生的任何异常。"""
    def ExecuteAction(self, Action: BasicAction) -> 布尔：
        """TComponent.ExecuteAction(Action: BasicAction) -> bool
        执行一个动作。
        ExecuteAction 执行组件的操作。 Action 是 TBasicAction 或 TBasicAction 的任何后代。
        ExecuteAction 首先检查提供的操作是否与组件兼容，然后执行该操作。返回值是一个布尔值。如果执行了操作，则返回 True 值；否则，返回 False。
        派生类可以重写此方法以实现处理操作的独特方式。"""
    def FindComponent(self, AName: str) -> Component:
        """TComponent.FindComponent(AName: str) -> 组件
        指示给定组件是否由该组件拥有。
        FindComponent 返回 Components 属性数组中名称与 AName 参数中的字符串匹配的组件。使用 FindComponent 确定给定组件是否属于另一个组件。
        组件名称匹配不区分大小写。"""
    def FreeNotification(self, AComponent: Component) -> None:
        """TComponent.FreeNotification(AComponent: Component) -> 无
        确保通知 AComponent 该组件将被销毁。
        使用 FreeNotification 将 AComponent 注册为组件，当该组件即将被销毁时应通知该组件。仅当组件具有不同的形式或具有不同的所有者时，才需要以这种方式注册组件。例如，如果AComponent是另一种形式，并使用该组件实现某个属性，则它必须调用FreeNotification，以便在该组件被销毁时调用其Notification方法。
        对于具有相同所有者的组件，当应用程序显式释放该组件时，会自动调用Notification方法。当隐式释放组件时，不会发送此通知，因为所有者已经被释放。"""
    def FreeOnRelease(self, *args, **kwargs) -> Any:
        """释放从 COM 类创建的组件的接口引用。
        当组件实现的接口被释放时，FreeOnRelease 被调用。 FreeOnRelease在内部使用，调用对应的接口方法。不必直接调用 FreeOnRelease。"""
    def GetEnumerator(self, *args, **kwargs) -> Any:
        """返回 TComponent 枚举器。
        GetEnumerator 返回一个 TComponentEnumerator 引用，该引用枚举指定包含组件中包含的组件。
        要处理所有这些子组件，请在 While MoveNext do 循环中调用 TComponentEnumerator GetCurrent 方法。"""
    def GetNamePath(self, *args, **kwargs) -> Any:
        """返回对象检查器使用的字符串。
        GetNamePath 用于确定要在对象检查器中显示的正在编辑的对象名称的文本。 GetNamePath 是在 TPersistent 中引入的，因此诸如集合之类的后代可以出现在对象检查器中。 TComponent 重写 GetNamePath 以返回组件的名称。不要直接调用 GetNamePath。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def InsertComponent(self, AComponent: Component) -> None:
        """TComponent.InsertComponent(AComponent: Component) -> 无
        将组件建立为指定组件的所有者。
        InsertComponent 将 AComponent 参数中传递的组件添加到 Components 数组属性的末尾。插入的组件必须没有名称（没有指定的 Name 属性值），或者该名称在组件列表中的所有其他组件中必须是唯一的。
        当拥有的组件被销毁时，AComponent 也会被销毁。
        在表单设计器中直观地操作组件时，组件会自动插入和删除。手动将组件添加到另一个所有者组件的组件列表时，请使用 InsertComponent。"""
    def IsImplementorOf(self, I: IInterface) -> 布尔：
        """TComponent.IsImplementorOf(I: IInterface) -> bool
        指示组件是否实现指定的接口。
        调用 IsImplementorOf 来确定该组件（或者，如果该组件聚合了其他组件的接口，则控制组件）是否支持 I 指定的接口。 IsImplementorOf 与 QueryInterface 方法类似，但它可以处理 nil ( Delphi) 或 NULL (C++) 接口，并且它不返回接口指针。
        加载和保存组件的流系统使用 IsImplementorOf 来解析接口的属性值。"""
    def ReferenceInterface(self, I: IInterface, Operation: Operation) -> 布尔：
        """TComponent.ReferenceInterface(I: IInterface, 操作: 操作) -> bool
        建立或删除内部链接，使该组件在指定接口的实现者被销毁时得到通知。
        组件编写者使用 ReferenceInterface 来确保当实现这些接口的对象被销毁时，会通知值为接口的属性。对于其值为要与组件一起保存在表单文件中的接口的属性，必须设置此通知（即，为了使此类属性作为已发布的属性持久存在）。
        I 是一个接口指针，它是感兴趣的已发布属性的值。
        操作指示是否应建立（opInsert）或删除（opRemove）到接口实现者的通知链接。
        如果成功建立或删除通知链接，ReferenceInterface 将返回 True。如果在将Operation 设置为opInsert 的情况下调用ReferenceInterface 返回False，则指定的接口无法存储为已发布属性的值。
        
        注意： False 结果并不一定表示错误，只是属性流系统无法存储该接口。例如，当指定的接口采用真正的引用计数时，ReferenceInterface 返回 False，与组件生命周期无关。"""
    def RemoveComponent(self, AComponent: Component) -> None:
        """TComponent.RemoveComponent(AComponent: Component) -> None
从组件的组件列表中删除指定的组件。
在表单设计器中以可视方式操作组件时，会自动插入和删除组件。使用 RemoveComponent 以编程方式从其所有者组件中删除 AComponent 指定的组件。"""
    def RemoveFreeNotification(self, AComponent: Component) -> None:
        """TComponent.RemoveFreeNotification(AComponent: Component) -> 无
        禁用由 FreeNotification 启用的销毁通知。
        RemoveFreeNotification 从内部对象列表中删除 AComponent 参数指定的组件，以通知该组件即将被销毁。 AComponent 通过先前调用 FreeNotification 方法添加到此列表中。
        大多数应用程序不需要调用RemoveFreeNotification。 TComponent 使用它来检测两个组件相互通知其即将遭到破坏的循环。"""
    def SafeCallException(self, Except目的： Object, ExceptAddr: Pointer) -> 整数：
        """TComponent.SafeCallException(Except目的： 对象, exceptAddr: 指针) -> int
        处理使用 safecall 调用约定声明的方法中的异常。
        SafeCallException 处理使用 safecall 调用约定的方法中的异常。一些实现接口的类会重写此方法来处理可能发生的错误。 TComponent 为组件支持的接口（如果存在）调用此方法的实现。如果组件不支持接口，则此方法调用从 TObject 继承的 SafeCallException 方法，该方法返回 E_UNEXPECTED。这是默认返回值，适用于不支持任何接口的类。"""
    def SetSubComponent(self, IsSubComponent: bool) -> None:
        """TComponent.SetSubComponent(IsSubComponent: bool) -> 无
        标识组件是否是子组件。
        调用SetSubComponent来指示该组件是否是子组件。子组件是其所有者是其所在的表单或数据模块之外的组件的组件。除非此类组件调用 SetSubComponent 并且 IsSubComponent 设置为 True，否则其发布的属性将不会保存到表单文件中。
        IsSubComponent 指示该组件是否是子组件 (True) 或不是 (False)。
        SetSubComponent 在设计时调用：
        
        来自始终充当子组件的组件的构造函数。在这种情况下，组件从构造函数中调用其自己的 SetSubComponent 方法，并将 IsSubComponent 设置为 True。
        或者在构造子组件的实例之后立即执行。在这种情况下，Owner 调用它刚刚实例化的组件的 SetSubComponent 方法，并将 IsSubComponent 设置为 True。"""
    def UpdateAction(self, Action: BasicAction) -> 布尔：
        """TComponent.UpdateAction(Action: BasicAction) -> bool
        更新操作的状态。
        UpdateAction 用于更新操作的状态。 Action 是 TBasicAction 或任何后代。
        UpdateAction 首先检查提供的操作是否与组件兼容，然后更新它。返回值是一个布尔值。如果操作已更新，则返回 True 值，否则返回 False 值。
        派生类可以重写此方法以实现处理操作更新的独特方式。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ContainedAction(BasicAction):
    """TContainedAction 是可以按类别分组并可以出现在操作列表中的操作的基类。
    TContainedAction 引入了使操作能够出现在操作列表中的属性和方法。 TContainedAction 的属性包含有关操作及其操作列表之间关系的信息。 TContainedAction 的方法覆盖基类的方法，以考虑拥有该操作的操作列表。
    TContainedAction 定义已发布的类别属性。
    TContainedAction 类型的对象可以与动作类别相关联。此类别在设计时用于使用“动作列表”编辑器或“动作管理器”编辑器（仅适用于 VCL）来组织动作列表中的动作。"""
    __hash__: ClassVar[None] = ...
    ActionComponent: Any
    """指示导致此操作执行的客户端组件。"""
    ActionList: ContainedActionList
    """ContainedActionList：保存该动作所属的动作列表。"""
    AutoCheck: bool
    """布尔： Controls whether the Checked property toggles when the action executes.
        AutoCheck causes the Checked property to toggle when the action executes. This allows the Checked property of the action to remain in sync with the Checked property of the client (or an equivalent).
        If the client has an AutoCheck property of its own, the AutoCheck property of the action is propagated to the AutoCheck property of the client."""
    Caption: str
    """字符串： Represents the caption of the action.
        Caption holds the string that is used as the caption of the action, when it is set. The value of Caption can be propagated to all client controls and client menu items linked to the action."""
    Category: str
    """str：操作所属的组或类别。
        IDE 操作编辑器将共享同一类别的操作组合在一起。在VCL中，如果您使用动作管理器，则可以生成与动作类别相对应的用户界面元素。
        操作类别根据相似性（通常是行为或功能）对操作进行分组。标准类别包括编辑、格式、帮助、Windows 等。在设计时，您可以通过从操作列表或对象树视图中选择操作，然后在对象检查器中选择类别来修改或设置操作的类别。"""
    Checked: bool
    """布尔： Indicates whether client controls and menu items appear checked.
        Checked specifies the checked state for the action. The value of Checked can be propagated to all client controls and client menu items linked to the action.
        
        Note:  If the action has a GroupIndex value greater than 0, then setting Checked to True sets to False the Checked properties of all other actions in the GroupIndex group.
        Tip: Use the AutoCheck property to ensure that the action's Checked property toggles when the action executes."""
    DisableIfNoHandler: bool
    """布尔： Indicates whether the action's clients should be disabled if no OnExecute event handler is found.
        DisableIfNoHandler defines whether to set the Enabled property of the action to False if no OnExecute event handler is set for the action. Setting Enabled to False disables all the action's clients.
        See, for example, how FMX.Forms.TApplication.UpdateAction uses DisableIfNoHandler to define whether to set Enabled to False if the OnExecute event handler is not defined to the action.
        For example, setting DisableIfNoHandler to False can be useful when managing submenus. In this case, pointing to a command on the main menu, which causes the submenu to open, does not need any OnExecute event handler. Then, if DisableIfNoHandler is True, this main menu command becomes disabled and the submenu cannot be opened. In such cases it can be convenient to use actions of types FMX.Controls.TControlAction and Vcl.Controls.TControlAction.  Objects of these classes have the value of DisableIfNoHandler set to False, by default."""
    Enabled: bool
    """bool：指定操作的启用状态。
        Enabled 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。"""
    GroupIndex: int
    """整数： Indicates a group of actions in one action list. Actions in this group act like the group of radio buttons.
        The value of GroupIndex is used to define groups of actions. Actions in each group act like groups of radio buttons. When GroupIndex is greater than 0, this value identifies the group to which some actions belong. The value of GroupIndex can be propagated to all client controls and client menu items linked to the action.
        When the Checked property of any action in that group is set to True, the Checked properties of all other actions in the group are set to False. That is, only one action in the group can be checked at a time.
        
        Note:  All actions in a group must be listed by the same action list."""
    HelpContext: int
    """整数： Keeps the integer context ID that identifies the Help topic for the action.
        HelpContext specifies the integer context ID  to identify the Help topic to show when invoking Help for the action. The value of HelpContext can be propagated to all client controls and client menu items linked to the action. See also IsHelpLinked.
        HelpContext is only used when htContext is selected in the HelpType property.
        
        Note: To use Help, you need to enable Help in your application. When your application supports usage of the appropriate Help system, then it can show Help topics from the associated Help file. When a client control has focus and the user presses the F1 key, the control uses the value of the HelpContext property to invoke the online Help that shows the topic with this context ID. The target topic is uniquely identified by a HelpContext context ID value."""
    HelpKeyword: str
    """str：包含标识操作的帮助主题的关键字字符串。
        HelpKeyword 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。
        仅当在 HelpType 属性中选择 htKeyword 时才使用 HelpKeyword。
        
        注意：要使用帮助，您需要在应用程序中启用帮助。当您的应用程序支持使用适当的帮助系统时，它可以显示关联帮助文件中的帮助主题。当客户端控件获得焦点并且用户按 F1 键时，该控件将使用 HelpKeyword 属性的值来调用显示带有此关键字的主题的联机帮助。"""
    HelpType: HelpType
    """HelpType：保留是否使用HelpContext或HelpKeyword属性来标识帮助主题。
        HelpType 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。
        HelpType 可以保留以下常量之一：
        
        ht上下文？指示使用 HelpContext 属性来标识调用帮助时要显示的帮助主题。
        ht 关键字 ?指示使用 HelpKeyword 属性来标识调用帮助时要显示的帮助主题。"""
    H整数： str
    """字符串： Stores the Help hint text.
        Hint holds the hint string indicating the hint text for the action.
        Hint contains the text strings that appear in a pop-up box (or in a status bar) when the user moves the mouse over screen elements.
        This hint string can be propagated to clients of the action ? to controls, menu items, and other GUI elements. 
        
        Note: VCL controls support hint strings containing three parts that can be shown in separate locations (see Vcl.Controls.TControl.Hint)."""
    ImageIndex: int
    """int：存储图像列表中的索引。
        ImageIndex 是图像列表中从零开始的索引。 TContainedAction 不提供实际的图像列表，只有 GUI 应用程序框架中的操作实现才提供这样的属性。通常，此图像列表包含与使用此操作的控件和菜单项关联的图像。
        ImageIndex 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。
        
        注意：当ImageIndex为-1时，这意味着列表不包含任何图像。
        在控件的典型实现中，图像绘制在控件的最左侧位置，控件的文本绘制在图像的右侧。如果 ImageIndex 为 -1，则控件不会将文本向右偏移来为图像保留占位符。否则，如果 ImageIndex 不为 -1，则控件的文本始终以向右偏移的方式绘制，以保留绘制图像的位置。"""
    Index: int
    """int：指定动作在其动作列表中的索引。
        索引指示该操作在其操作列表中的位置。您可以在设计时使用 IDE 编辑器之一来处理操作来更改操作的索引。
        操作索引决定它们在用户界面元素（例如菜单和工具栏）中出现的顺序。
        索引是从零开始的。当 Index 为 -1 时，这意味着 ActionList 属性不包含任何列表。"""
    OnH整数： Callable[[str,bool],None]
    """可调用[[str, bool], 无]:"""
    SecondaryShortCuts: CustomShortCutList
    """CustomShortCutList：存储用于触发操作的快捷方式（除了 ShortCut 之外）。
        可以响应多个快捷键组合来执行操作。 secondaryShortCuts 列出了可以触发该操作的所有快捷键组合（ShortCut 属性指定的组合除外）。这使您可以提供额外的辅助快捷方式。
        当用户键入 SecondShortCuts 中列出的组合键之一时，将调用该操作的 Execute 方法。"""
    ShortCut: int
    """int：触发操作的快捷方式。
        Shortcut 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。"""
    StatusAction: StatusAction
    """StatusAction：存储操作中输入字段的状态。
        StatusAction 在设置时保存操作中输入字段的状态。
        StatusAction 的值可以传播到链接到该操作的所有客户端控件和客户端菜单项。"""
    Visible: bool
    """布尔： Stores whether the action representation is visible.
        Visible specifies the visible state for the action (True means visible, False means invisible).
        This Visible value is propagated to a client of the action if IsVisibleLinked method of the action link linking the client to the action  returns True.
        If the Visible of an action is False and IsVisibleLinked of an action link returns True, then the Visible of the client (a control, menu item, or others) is also set False and this client is also invisible. Typically, IsVisibleLinked of an action link returns False if the action belongs to TCustomViewAction. Otherwise, when the action belongs to TAction, then  IsVisibleLinked of an action link returns True. That is, TCustomViewAction is used when one need to provide visible representation of clients of actions that have Visible set True."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, AOwner: Component) -> None:
        """TContainedAction.Create(AOwner: Component) -> 无
        实例化并初始化 TContainedAction 对象。
        应用程序不需要直接调用Create。当您在“动作列表”编辑器中选择“新建动作”时，会自动创建动作。
        Create调用继承的System.Classes.TBasicAction.Create构造函数，然后
        初始化 Enabled（将其设置为 True）、Visible（将其设置为 True）和 ImageIndex（将其设置为 -1）属性。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁所包含操作的实例。
如果操作包含在操作列表或操作管理器中，Destroy 会从该列表中删除该操作。然后它调用继承的 Destroy 方法。"""
    def DoHint(self, HintStr: str) -> 布尔：
        """TContainedAction.DoHint(HintStr: str) -> bool
        调用 OnHint 事件处理程序。
        通常，应用程序不会调用 DoHint 方法。当用户将鼠标悬停在操作的客户端控件或菜单​​项之一上时，会自动调用它。当客户端请求显示提示时，操作的客户端将调用 DoHint。
        
        DoHint 检查 OnHint 事件处理程序，如果事件处理程序存在，则将 HintStr 传递给它。 OnHint 事件处理程序可以更改指定的提示字符串HintStr。如果未分配事件处理程序或 OnHint 返回 True，则 DoHint 返回 True。 DoHint 可用于确定应显示哪些提示文本。例如，Vcl.Controls.TControlActionLink.DoShowHint 在内部调用 DoHint，如果 DoHint 返回 True，则 Vcl.Controls.TControlActionLink.DoShowHint 将操作的快捷方式规范附加到要显示的提示文本。"""
    def Execute(self) -> Any:
        """TBasicAction.Execute()
        生成 OnExecute 事件。"""
    def GetParentComponent(self, *args, **kwargs) -> Any:
        """返回包含该操作的操作列表。
        GetParentComponent 返回包含该操作的操作列表。该操作列表存储在 ActionList 属性中。如果 ActionList 存储 nil，则 GetParentComponent 调用继承的 System.Classes.TComponent.GetParentComponent 方法。"""
    def HasParent(self, *args, **kwargs) -> Any:
        """指示操作是否包含在操作列表中。
        如果操作包含在 ActionList 属性中存储的操作列表中，则 HasParent 返回 True。如果 ActionList 存储 nil，则 HasParent 调用继承的 System.Classes.TComponent.HasParent 方法。"""
    def SetParentComponent(self, AParent: Component) -> None:
        """TContainedAction.SetParentComponent(AParent: Component) -> 无
        设置包含该操作的操作列表。
        SetParentComponent 将指定的 AParent 操作列表设置为包含该操作的操作列表。该操作列表存储在 ActionList 属性中。"""
    def Suspended(self, *args, **kwargs) -> Any:
        """如果操作的操作列表已暂停，则返回 True。"""
    def Update(self) -> Any:
        """TBasicAction.Update()
提供在应用程序空闲时执行集中代码的机会。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ContainedActionList(Component):
    """操作列表的基类，没有已发布的属性。
    实现 TContainedActionList 以使用所有 GUI 应用程序框架的通用属性。
    Actions 列出了由操作列表维护的操作。
    ActionCount 属性返回列表中操作的数量。
    OnStateChange 当 State 改变时发送通知。"""
    __hash__: ClassVar[None] = ...
    ActionCount: Any
    """指示操作列表中的操作数量。"""
    Actions: Any
    """列出由操作列表维护的操作。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    OnStateChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    Owner: Any
    """返回组件所有者"""
    State: ActionListState
    """ActionListState：表示当用户触发客户端对象时，动作列表中的动作是否响应。
        State 可以是 TActionListState 类型中定义的常量之一：
        asNormal、asSuspished 和 asSuspishedEnabled。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Create(self, AOwner: Component) -> None:
        """TContainedActionList.Create(AOwner: Component) -> 无
        创建 TContainedActionList 的实例。
        该创建器继承自 TComponent，请参阅 TComponent.Create 了解更多信息。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TContainedActionList 的实例。
        该析构函数继承自 TComponent，有关详细信息，请参阅 TComponent.Destroy。"""
    def EnumByCategory(self, Proc: Callable[[ContainedAction,bool],None], Category: str, IncludeSubCategory: bool) -> 布尔：
        """TContainedActionList.EnumByCategory(Proc: Callable[[ContainedAction, bool], None], 类别: str, IncludeSubCategory: bool) -> bool
        对指定类别中列表的每个操作调用一次指定过程（TEnumActionListEvent 或 TEnumActionListRef）。
        IncludeSubCategory 确定子类别中的操作是否包含在调用循环中（True）或不包含（False）。
        Proc（TEnumActionListEvent 或 TEnumActionListRef 的实例）可以将其 Done 参数设置为 True 以提前停止调用循环。\r
        对指定类别中列表的每个操作调用一次指定过程（TEnumActionListEvent 或 TEnumActionListRef）。
        IncludeSubCategory 确定子类别中的操作是否包含在调用循环中（True）或不包含（False）。
        Proc（TEnumActionListEvent 或 TEnumActionListRef 的实例）可以将其 Done 参数设置为 True 以提前停止调用循环。"""
    def ExecuteAction(self, Action: BasicAction) -> 布尔：
        """TContainedActionList.ExecuteAction(Action: BasicAction) -> bool
        生成 OnExecute 事件。
        通常，应用程序不会调用 ExecuteAction 方法。相反，Action 参数指示的操作会调用 ExecuteAction 以响应用户命令。然而，即使没有触发客户端控件，也可以调用 ExecuteAction 来生成 OnExecute 事件。
        ExecuteAction 调用操作列表的 OnExecute 事件处理程序。如果事件处理程序处理该操作，则返回 True，否则返回 False。"""
    def GetChildren(self, Proc: Callable[[Component],None], Root: Component) -> None:
        """TContainedActionList.GetChildren(Proc: Callable[[Component], None], Root: Component) -> None
        为操作列表的每个子操作调用指定的方法。
        GetChildren 由组件流系统使用。对于操作列表中的每个操作，GetChildren 都会调用 Proc 中传递的方法。这些操作按照组件流系统加载或保存的顺序传递给回调。"""
    def GetEnumerator(self, *args, **kwargs) -> Any:
        """返回 TContainedActionList 枚举器，即枚举列表中操作的 TActionListEnumerator 引用。
        要处理所有操作，请在 ?while MoveNext do? 中从枚举器中读取 Current。环形。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def UpdateAction(self, Action: BasicAction) -> 布尔：
        """TContainedActionList.UpdateAction(Action: BasicAction) -> bool
生成 OnUpdate 事件。
通常，应用程序不会调用 UpdateAction 方法。相反，当应用程序通知 Action 可以自行更新时，Action 参数指示的操作会调用 UpdateAction。但是，即使应用程序尚未启动此事件，也可以调用 UpdateAction 来生成 OnUpdate 事件。
UpdateAction 调用操作列表的 OnUpdate 事件处理程序。如果事件处理程序更新操作，则返回 True，否则返回 False。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ContainedBindComponent(BasicBindComponent):
    """从其派生的所有常见绑定组件的基类。
    TContainedBindComponent 是一个抽象类，它是 TCommonBindComponent 的基类。"""
    __hash__: ClassVar[None] = ...
    BindingsList: CustomBindingsList
    """CustomBindingsList：指定保存绑定表达式的列表。"""
    Category: str
    """str：指定该组件的类别。
        例如，对于名为 BindExpressionForm121、类型为 TBindExpression 的绑定表达式，代码如下：
        
          ShowMessage(BindExpressionForm121.类别);
        
        显示以下消息：绑定表达式。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    ControlComponent: Component
    """组件：指定将通过 LiveBindings 绑定到源组件的组件。"""
    DisplayName: str
    """字符串： Returns a string containing the name of this component."""
    Index: int
    """int：返回该组件在绑定列表中的索引。"""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def CanSetControlComponent(self, Value: Component) -> 布尔：
        """TContainedBindComponent.CanSetControlComponent(Value: Component) -> bool
        返回控制组件是否可以设置给定值。
        正如在 TContainedBindComponent 中实现的那样，CanSetControlComponent 始终返回 True，但在后代中，它实际上返回给定 Value（本身就是 TComponent）是否可以分配给控制组件。"""
    def Create(self, AOwner: Component) -> None:
        """TContainedBindComponent.Create(AOwner: Component) -> 无
        创建 TContainedBindComponent 类的实例。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TContainedBindComponent 类的实例。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def SetParentComponent(self, AParent: Component) -> None:
        """TContainedBindComponent.SetParentComponent(AParent: Component) -> 无
        设置该组件的父组件。
        SetParentComponent 在组件流系统内部使用。没有必要直接调用它。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Control(Component):
    """TControl 是运行时可见的所有组件的基类。
    控件是可视化组件，这意味着用户可以看到它们并可能在运行时与它们交互。所有控件都具有描述其外观各方面的属性、方法和事件，例如控件的位置、与控件关联的光标或提示、绘制或移动控件的方法以及响应用户操作的事件。
    TControl 有许多受保护的属性和方法，由其后代使用或发布。"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    AlignWithMargins: bool
    """布尔： Specifies whether a control should be constrained by margins.
        If AlignWithMargins is true, use the Margins property of the control to govern the spacing relative to other controls that are aligned with this one. The controls are not allowed to be any closer than the spacing specified in Margins. This spacing is maintained as controls are moved when the parent control resizes. 
        AlignWithMargins is true if the style csAlignWithMargins, a TControlStyle type, is in the control's ControlStyle property, and false otherwise."""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Bounds矩形： Rect
    """矩形： Specifies the bounding rectangle of the control, expressed in the coordinate system of the parent control.
        Use BoundsRect as a quick way to obtain the pixel locations of all corners of the control all at once.
        For example, the statement
        
        
        
        R := Control.BoundsRect;
        
        
        
        
        R = Control->BoundsRect;
        
        
        
        corresponds to
        
        
        
        R.Left := Control.Left;
        R.Top := Control.Top;
        R.Right := Control.Left + Control.Width;
        R.Bottom := Control.Top + Control.Height;
        
        
        
        
        R.Left = Control->Left;
        R.Top = Control->Top;
        R.Right = Control->Left + Control->Width;
        R.Bottom = Control->Top + Control->Height;
        
        
        
        The origin of the pixel coordinate system is in the upper-left corner of the parent window.
        
        Note:  A point is considered within the control's bounds rectangle if it lies on the left or top side but not if it lies on the right or bottom side. That is, to be inside the bounds rectangle, the x-coordinate must be greater than or equal to BoundsRect.Left and less than BoundsRect.Right, and the y-coordinate must be greater than or equal to BoundsRect.Top and less than BoundsRect.Bottom."""
    ClientHeight: int
    """int：指定控件工作区的高度（以像素为单位）。
        使用 ClientHeight 读取或更改控件客户区的高度。
        对于 TControl，ClientHeight 与 Height 相同。派生类可以实现与 Height 不同的 ClientHeight 属性。例如，窗体的 ClientHeight 是 Height 属性的值减去标题栏、调整边框和滚动条的高度。"""
    ClientOrigin: Point
    """Point：指定控件工作区左上角的屏幕坐标（以像素为单位）。
        读取 ClientOrigin 以找到控件客户区的左上角。 ClientOrigin 以 TPoint 类型返回 X 和 Y 坐标，其中 X 指定点的水平坐标，Y 指定垂直坐标。
        从 TControl 而不是 TWinControl 派生的控件的屏幕坐标是添加到其 Left 和 Top 属性的控件父级的屏幕坐标。如果控件没有父控件，则读取 ClientOrigin 时会引发 EInvalidOperation 异常。"""
    Client矩形： Rect
    """矩形：指定控件工作区的大小（以像素为单位）。
        读取 ClientRect 以找出控件的客户区域的大小。 ClientRect 返回一个矩形，其 Top 和 Left 字段设置为零，其 Bottom 和 Right 字段分别设置为控件的高度和宽度。 ClientRect 等价于 Rect(0, 0, ClientWidth, ClientHeight)。
        如果一个点位于左侧或顶部，则被视为在控件的客户矩形内，但如果位于右侧或底部，则不被视为在该控件的客户矩形内。也就是说，要位于客户端矩形内部，X 坐标必须大于或等于 ClientRect.Left 且小于 ClientRect.Right，Y 坐标必须大于或等于 ClientRect.Top 且小于 ClientRect. 。底部。
        
        注意：ClientRect是控件的物理客户区的大小，而不是其逻辑客户区的大小。如果控件支持滚动，则 ClientRect 不是整个滚动范围，而只是在任何给定时间可用的区域。"""
    ClientWidth: int
    """int：指定控件工作区的水平尺寸（以像素为单位）。
        使用 ClientWidth 读取或更改控件客户区的宽度。 ClientWidth 相当于 ClientRect.Right。
        对于 TControl，ClientWidth 与 Width 相同。派生类可以实现与 Width 不同的 ClientWidth 属性。例如，窗体的 ClientWidth 是 Width 属性的值减去调整大小边框和滚动条的宽度。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlState: ControlState
    """ControlState：指定控件在运行时的当前状态。
        读取 ControlState 以找出影响控件的各种条件，例如是否已被单击或需要对齐。 ControlState 反映控件实例的瞬态条件，而不是整个控件类的属性。 ControlState 由一组从以下值中提取的标志组成：
        
        
        
        
        
        旗帜
        
        意义
        
        
        
        csLButtonDown
        
        
        
        鼠标左键已被单击，但尚未释放。这是为所有鼠标按下事件设置的。
        
        
        
        
        已点击
        
        
        
        与 csLButtonDown 相同，但仅当 ControlStyle 包含 csClickEvents 时才设置，这意味着鼠标按下事件被解释为单击。
        
        
        
        
        调色板
        
        
        
        系统调色板已更改，并且控件或其后代之一尚未通过实现其调色板完成调整。
        
        
        
        
        cs阅读状态
        
        
        
        控件正在从流中读取其状态。
        
        
        
        
        csAlignmentNeed
        
        
        
        重新启用对齐时，控件需要重新对齐自身。
        
        
        
        
        cs聚焦
        
        
        
        应用程序正在处理旨在给予控制焦点的消息。这并不能保证控件将获得焦点，但可以防止递归调用。
        
        
        
        
        cs创作
        
        
        
        正在创建控件和/或其所有者和子控件。当所有内容都完成创建后，该标志将被清除。
        
        
        
        
        csPaintCopy
        
        
        
        正在复制控件，这意味着正在绘制控件的副本。必须设置 ControlStyle 标志 csReplicatable 才能发生此状态。
        
        
        
        
        cs自定义绘画
        
        
        
        该控件正在处理自定义绘制消息。
        
        
        
        
        csDestroyingHandle
        
        
        
        控件的窗口正在被销毁。
        
        
        
        
        对接
        
        
        
        控制器正在对接。
        
        
        
        
        ControlState 中的标志特定于控件，并增强 ComponentState 属性中的状态标志。
        ControlState 主要由组件编写者在实现从 TControl 派生的组件时使用。"""
    ControlStyle: ControlStyle
    """ControlStyle：确定控件的样式特征。
        使用 ControlStyle 来确定控件的各种属性，例如控件是否可以捕获鼠标或具有固定大小。 ControlStyle 属性包含一组指示这些属性的样式标志。下表列出了标志及其含义：
        
        
        
        
        
        旗帜
        
        意义
        
        
        
        csAcceptsControls
        
        
        
        该控件成为设计时放置在其上的任何控件的父级。
        
        
        
        
        cs捕获鼠标
        
        
        
        该控件在单击时捕获鼠标事件。
        
        
        
        
        csDesign互动
        
        
        
        该控件将设计时的鼠标右键单击映射为鼠标左键单击以操作该控件。
        
        
        
        
        csClick事件
        
        
        
        该控件可以接收并响应鼠标点击。某些控件可能不会继承此属性，例如 TButton。
        
        
        
        
        框架
        
        
        
        该控件具有 3D 框架。
        
        
        
        
        csSetCaption
        
        
        
        如果控件的标题未明确设置为其他内容，则其标题应与名称匹配。
        
        
        
        
        不透明
        
        
        
        该控件完全填充其客户端矩形。
        
        
        
        
        csDoubleClicks
        
        
        
        该控件可以接收并响应双击消息。否则，将双击映射为单击。
        
        
        
        
        cs固定宽度
        
        
        
        控件的宽度不会改变或缩放。
        
        
        
        
        cs固定高度
        
        
        
        控件的高度不会变化或缩放。
        
        
        
        
        csNoDesignVisible
        
        
        
        该控件在设计时不可见。
        
        
        
        
        cs可复制
        
        
        
        可以使用 PaintTo 方法复制控件，将其图像绘制到任意画布上。
        
        
        
        
        csNoStd事件
        
        
        
        标准事件（例如鼠标、按键和单击事件）将被忽略。当不需要响应这些事件时，该标志允许应用程序运行得更快。
        
        
        
        
        csDisplayDragImage
        
        
        
        如果将具有关联拖动图像列表的控件拖动到具有此设置的控件上，则当光标位于其上方时，图像列表将用于增强拖动光标。否则，将单独使用拖动光标。
        
        
        
        
        反射器
        
        
        
        该控件响应 Windows 对话框消息、焦点消息或大小更改消息。如果该控件可以用作 ActiveX 控件，请使用此设置，以便它接收这些事件的通知。
        
        
        
        
        csActionClient
        
        
        
        该控件链接到一个操作对象。该标志在设置 Action 属性时设置，如果清除 Action 属性则清除。
        
        
        
        
        cs菜单事件
        
        
        
        该控件响应系统菜单命令。
        
        
        
        
        ControlStyle 描述从给定类实例化的所有控件。 ControlStyle 不应在运行时修改，构造函数中除外。 ControlState 属性记录瞬态条件。
        TControl 构造函数将 ControlStyle 初始化为 csCaptureMouse、csClickEvents、csSetCaption 和 csDoubleClicks 的集合。
        ControlStyle 主要由组件编写者在实现从 TControl 派生的组件时使用。"""
    CurrentPPI: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    Cursor: int
    """int：指定当鼠标指针进入控件覆盖的区域时用于表示鼠标指针的图像。
        更改 Cursor 的值以在鼠标指针进入控件时向用户提供反馈。 Cursor 的值是由全局变量 Screen 维护的光标列表中光标的索引。除了 TScreen 提供的内置光标之外，应用程序还可以将自定义光标添加到列表中。"""
    CustomH整数： CustomHint
    """CustomHint：CustomHint 是控件的自定义提示。
        CustomHint 是控件的 TCustomHint 实例，用于指定控件提示的外观。"""
    DockOrientation: DockOrientation
    """DockOrientation：DockOrientation 指定控件相对于同一父级中停靠的其他控件的停靠方式。
        使用 DockOrientation 确定控件相对于停靠到同一父级的其他控件的位置。对接区域可以从左到右或从上到下排列。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    ExplicitHeight: int
    """int：指定控件的显式垂直尺寸（以像素为单位）。
        ExplicitHeight 是 Delphi 内部使用的只读属性。在应用程序中使用高度以允许读写访问。"""
    ExplicitLeft: int
    """int：指定组件左边缘相对于其父组件的显式水平像素坐标。
        ExplicitLeft 是 Delphi 内部使用的只读属性。在应用程序中使用 Left 以允许读写访问。"""
    ExplicitTop: int
    """int：指定组件上边缘相对于其父组件的显式垂直像素坐标。
        ExplicitTop 是 Delphi 内部使用的只读属性。在应用程序中使用 Top 来允许读写访问。"""
    ExplicitWidth: int
    """int：指定控件的显式水平尺寸（以像素为单位）。
        ExplicitWidth 是 Delphi 内部使用的只读属性。在应用程序中使用宽度以允许读取和写入访问。"""
    Floating: bool
    """bool：指定控件是否浮动。
        阅读“浮动”以确定可停靠控件是否出现在浮动窗口中，而不是停靠到父控件。
        
        注意：使用 Floating 而不是 Parent 属性来确定控件是否自由浮动。如果 FloatingDockSiteClass 属性指定浮动窗口类型，则浮动控件可能具有非零 (Delphi) 或 NULL (C++) 父级。"""
    FloatingDockSiteClass: WinControlClass
    """WinControlClass：指定浮动控件时托管该控件的临时控件的类。
        使用 FloatingDockSiteClass 指定浮动时容纳控件的类。该类必须是 TWinControl 的后代。默认情况下，它是TCustomDockForm。当控件取消停靠时，将创建此类型的临时控件，并将该控件停靠到该控件。当控件停靠到另一个控件时，临时浮动停靠站点将被释放。
        如果控件可以作为独立窗口浮动，则 FloatingDockSiteClass 为 nil (Delphi) 或 NULL (C++)。"""
    Height: int
    """int：指定控件的垂直大小（以像素为单位）。
使用 Height 属性读取或更改控件的高度。"""
    HelpContext: int
    """int：HelpContext 属性包含标识控件的帮助主题的数字上下文 ID。
        对于 .chm 帮助文件，您必须将帮助主题的符号上下文 ID 映射到项目 (.hhp) 文件的 [MAP] 部分中的数字主题 ID 值。
        要为控件启用基于上下文 ID 的上下文相关帮助，请将 Vcl.Controls.TControl.HelpType 设置为 htContext 并将 HelpContext 设置为数字主题 ID。
        主题 ID 0（默认）表示没有为控件提供帮助主题。
        要使用帮助，请在应用程序的使用子句中插入 Vcl.HtmlHelpViewer 或其他提供外部帮助查看器使用界面的单元。对于 C++，您需要包含 HTMLHelpViewer.hpp 头文件。"""
    HelpKeyword: str
    """str：HelpKeyword 属性包含用于标识控件的帮助主题的关键字字符串。
要为控件启用基于关键字的上下文相关帮助，请将 Vcl.Controls.TControl.HelpType 设置为 htKeyword，并将 HelpKeyword 设置为关键字字符串。
无关键字（零长度字符串，默认值）表示未为控件提供帮助主题。
要使用帮助，请在应用程序的 uses 子句中插入 Vcl.HtmlHelpViewer 或其他提供外部帮助查看器接口的单元。对于 C++，您需要包含 HTMLHelpViewer.hpp 头文件。"""
    HelpType: HelpType
    """HelpType：指定控件的上下文相关帮助主题是通过上下文 ID 还是通过关键字来标识。
        设置 HelpType 以指定控件是通过上下文 ID 还是通过关键字标识其上下文相关帮助主题：
        
        当 HelpType 为 htContext 时，HelpContext 属性值标识控件的帮助主题。
        当 HelpType 为 htKeyword 时，HelpKeyword 属性值标识控件的帮助主题。
        要使用帮助，请在应用程序的使用子句中插入 Vcl.HtmlHelpViewer 或其他提供外部帮助查看器使用界面的单元。对于 C++，您需要包含 HTMLHelpViewer.hpp 头文件。"""
    H整数： str
    '''字符串： Hint contains the text string that appears when the user moves the mouse over the control.
        Use the Hint property to provide a string of Help text either as a Help Hint or as Help text on a particular location, such as a status bar. 
        A Help Hint is a box containing Help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily. 
        To set up Help Hints
        
        Specify the Hint property of each control for which a Help Hint should appear.
        Set the ShowHint property of each appropriate control to True, or set the ParentShowHint property of all controls to True and set the ShowHint property of the form to True.
        At run time, set the value of the application\'s ShowHint property to True.
        To show the Hint on a status bar or another location, use the OnHint event handler of the application. The application\'s OnHint event occurs when the mouse pointer moves over the control.
        Specify a hint to be used for both a Help Hint box and by an OnHint event handler by specifying values separated by a | (pipe) character.
        For example,
        
        Edit1.Hint := \'Name|Enter Name in the edit box|1\';
        
        Edit1->Hint = "Name|Enter Name in the edit box|1";
        
        Here:
        
        The Name part is the short hint and appears at the top of the Help Hint box.
        Enter full name in the edit box is the long hint and appears below the short hint. It can be extracted using the GetLongHint function for use in an OnHint event handler.
        1 is an optional image index in an image list in the Images property of the control and specifies the index of the image to appear in the hint.
        If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint and GetShortHint functions. If a control has no Hint value specified, but its parent control does, the control uses the value of the parent control (as long as the control\'s ShowHint property is True). 
        
        Note: If the application\'s ShowHint property is False, the Help Hint does not appear, but the OnHint event handler is still called.'''
    HostDockSite: WinControl
    """控制窗口： Specifies the control in which the control is docked.
        Read HostDockSite to access the windowed control to which the control is docked. If the control is floating, HostDockSite is a temporary control of type FloatingDockSiteClass, or (if there is no floating dock site class) nil (Delphi) or NULL (C++).
        Most applications should use the ManualDock method rather than setting HostDockSite. Setting HostDockSite automatically undocks the control from its previous host (if any) and docks it to the specified control, but does not adjust the control's position and alignment and bypasses the standard docking events.
        For dock clients, the value of HostDockSite is the same as the value of Parent. For controls that are not docking clients, HostDockSite is nil (Delphi) or NULL (C++), while Parent specifies the containing control."""
    LRDockWidth: int
    '''整数： Specifies the width of the control when it is docked horizontally.
        Read LRDockWidth to get the width of the control from the last time it was docked horizontally. Set LRDockWidth to indicate the width the control should have the next time it is docked horizontally.
        LRDockWidth allows a control to "remember" its docked size even when its width changes because it is undocked or docked with a vertical orientation.'''
    Left: int
    """整数： Specifies the horizontal coordinate of the left edge of a component relative to its parent.
        Use the Left property to determine where the left side of the control begins or to reposition the left side of the control.
        If the control is contained in another control, the Left and Top properties are relative to the parent control. If the control is contained directly by the form, the property values are relative to the form. For forms, the value of the Left property is relative to the screen in pixels."""
    Margins: Margins
    """边距：指定控件的边距。
        使用 Margins 属性设置控件的边距。
        如果 AlignWithMargins 为 true，则该控件的 Margins 属性控制相对于与该控件对齐的其他控件的间距。控件之间的距离不得小于边距中指定的间距。
        
        注意：仅当 AlignWithMargins 设置为 true 并且 Align 未设置为 alNone 时，为控件设置的边距才有效。"""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    Parent: Any
    """返回/设置控制父级"""
    ParentCustomH整数： bool
    """bool：指定控件在何处查找其自定义提示。
        要让控件使用与其父控件相同的提示自定义信息，请将 ParentCustomHint 设置为 true。
        如果 ParentCustomHint 为 false，则控件使用其自己的 CustomHint 属性。
        将所有控件的 ParentCustomHint 设置为 true，以确保窗体上的所有控件都显示相同的提示消息。
        当控件的 CustomHint 属性值更改时，ParentCustomHint 自动变为 false。"""
    ScaleFactor: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TBDockHeight: int
    '''整数： Specifies the height of the control when it is docked vertically.
        Read TBDockHeight to get the height of the control from the last time it was docked vertically. Set TBDockHeight to indicate the height the control should have the next time it is docked vertically.
        TBDockHeight allows a control to "remember" its docked size even when its height changes because it is undocked or docked with a horizontal orientation.'''
    Top: int
    """int：指定控件左上角相对于其父控件或包含控件的 Y 坐标（以像素为单位）。
        使用“顶部”定位控件的顶部或将控件重新定位到不同的 Y 坐标。 Top 属性与 Left 属性一样，是控件相对于其容器的位置。因此，如果控件包含在 TPanel 中，则 Left 和 Top 属性是相对于面板的。如果控件直接包含在窗体中，则它是相对于窗体的。对于表单，Top 属性的值是相对于屏幕（以像素为单位）的。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    UndockHeight: int
    '''整数： Specifies the height of the control when it is floating.
        Read UndockHeight to get the height of the control from the last time it was floating. Set UndockHeight to indicate the height the control should have the next time it is undocked.
        UndockHeight allows a control to "remember" its floating size even when its height changes because it is docked.'''
    UndockWidth: int
    '''整数： Specifies the width of the control when it is floating.
        Read UndockWidth to get the width of the control from the last time it was floating. Set UndockWidth to indicate the width the control should have the next time it is undocked.
        UndockWidth allows a control to "remember" its floating size even when its width changes because it is docked.'''
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    Width: int
    """int：指定控件或窗体的水平尺寸（以像素为单位）。
        使用 Width 属性读取或更改控件的宽度。
        
        注意：对于选项卡表控件，在运行时更改此属性没有任何效果。"""
    WindowProc: Callable[[Message],None]
    """可调用[[消息]，无]："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BeginDrag(self, Immediate: bool, Threshold: int) -> None:
        """TControl.BeginDrag(立即数: bool, 阈值: int) -> 无
        开始拖动控件。
        调用 BeginDrag 开始拖动操作。仅当控件的 DragMode 值为 dmManual 时，才会在应用程序代码中调用 BeginDrag。如果 DragMode 为 dmAutomatic，则自动调用 BeginDrag。
        如果 Immediate 参数为 true，则鼠标指针将更改为 DragCursor 属性的值，并且立即开始拖动。如果 Immediate 为 false，则鼠标指针不会更改为 DragCursor 属性的值，并且直到用户将鼠标指针移动了 Threshold 参数指定的像素数后才开始拖动。如果调用者传递的 Threshold 值小于 0（例如此参数的默认值），BeginDrag 将使用全局 Mouse 变量的 DragThreshold 属性。
        将 Immediate 设置为 false 允许控件接受鼠标单击，而无需开始拖放或拖放操作。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def CheckNonMainThreadUsage(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def ClientToParent(self, Po整数： Point, AParent: WinControl) -> Po整数：
        """TControl.ClientToParent(Po整数： Point, AParent: WinControl) -> Point
        将客户端坐标转换为父坐标。
        ClientToParent 将 Point 从当前控件的坐标系转换为 AParent 的坐标系。 AParent 必须是一个可以通过向上迭代 Parent 属性链找到的控件。如果 AParent 为 nil (Delphi) 或 NULL (C++)，则使用控件的直接父级。
        如果 AParent 不是祖先控件或 Parent 属性为 nil (Delphi) 或 NULL (C++)，则会引发 EInvalidOperation 异常。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TControl.Create(AOwner: 组件) -> 无
        创建 TControl 的实例。
        调用 Create 构造并初始化 TControl 的实例。但是，您永远不应该尝试实例化 TControl。此类仅用作其他控件类的派生基类，并且您应该只调用 Create 来实例化这些派生类之一。
        Create 调用父构造函数并初始化控件。
        当重写 Create 时，始终首先调用继承的 Create 方法，然后继续进行控件的初始化。请记住在重写 Create 方法时指定 override 指令。
        
        注意：如果控件的构造函数分配资源或内存，还需重写析构函数以释放这些资源。"""
    def DefaultHandler(self, Message) -> None:
        """TControl.DefaultHandler(Message) -> 无
        为没有特定处理程序的所有消息提供消息处理。
        重写 DefaultHandler 以扩展消息的默认处理。 DefaultHandler 是组件编写者处理控件消息的最后机会。 WindowProc 引用的方法提供了第一个机会。 Click 等单独的消息方法提供了额外的机会。
        DefaultHandler 处理 Windows 发送来管理控件文本的消息：WM_GETTEXT、WM_SETTEXT 和 WM_GETTEXTLENGTH。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证控件不为零，然后才调用 Destroy。
        应用程序只应在调用构造函数时显式释放控件，而不为控件分配所有者。
        当控制被破坏时，它：
        
        释放 TFont 对象的 Font 属性。
        调用其继承的析构函数。
        重写 Destroy 以释放在 Create 方法中分配的所有内存或资源。在后代控件类型中声明 Destroy 方法时，始终将 override 指令添加到声明中，并调用继承的 Destroy 作为重新声明方法中的最后一个语句。
        创建控件时，Delphi 自动提供围绕构造函数调用的异常处理。如果异常从构造函数中逃逸，则调用析构函数。这意味着析构函数代码必须准备好清理部分构造的实例。在处理其内容之前检查所有数据字段是否为零。"""
    def Dock(self, NewDockSite: WinControl, A矩形： Rect) -> None:
        """TControl.Dock(NewDockSite: WinControl, A矩形： Rect) -> None
        Used internally to dock the control.
        Do not call Dock in applications. It is called automatically to implement many of the details of docking the control to a dock site.
        To dock the control programmatically, use ManualDock instead.
        The NewDockSite parameter specifies the docking site to which the control is being docked. The ARect parameter indicates the new dimensions of the control when it is docked to NewDockSite."""
    def DragDrop(self, Source: Object, X: int, Y: int) -> None:
        """TControl.DragDrop（源：对象，X：int，Y：int）->无
        是一个 OnDragDrop 事件调度程序。
        创建从 TControl 派生的组件时，重写 DragDrop 以添加在调用 OnDragDrop 事件处理程序之前执行的其他代码。
        Source 参数是拖放到控件上的对象。 X 和 Y 参数是放置对象的鼠标坐标。"""
    def Dragging(self, *args, **kwargs) -> Any:
        """指示控件是否正在被拖动。
        使用 Dragging 来确定控件的拖动状态。如果 Dragging 返回 true，则控件正在被拖动。如果 Dragging 为 false，则不会拖动控件。"""
    def DrawTextBiDiModeFlags(self, Flags: int) -> 整数：
        """TControl.DrawTextBiDiModeFlags(Flags: int) -> int
        返回反映 BiDiMode 属性当前设置的文本标志。
        绘制控件的文本或标题时，调用 DrawTextBiDiModeFlags 获取画布的 TextFlags 属性的值。返回值也可以与 Windows API DrawText 函数一起使用。
        标志是当前文本标志，不受任何双向模式考虑因素的影响。
        DrawTextBiDiModeFlags 根据从 UseRightToLeftAlignment 和 UseRightToLeftReading 方法返回的值添加或删除 DT_RIGHT 或 DT_RTLREADING 标志。"""
    def DrawTextBiDiModeFlagsReadingOnly(self, *args, **kwargs) -> Any:
        """返回要添加的文本标志，指示控件的文本是否应从右向左阅读。
        调用 DrawTextBiDiModeFlagsReadingOnly 来确定在调用 Windows API DrawText 或分配画布的 TextFlags 属性时是否应添加 DT_RTLREADING 标志。
        DrawTextBiDiModeFlagsReadingOnly 返回 DT_RTLREADING 标志或 0，具体取决于从 UseRightToLeftReading 方法返回的值。
        要获取指示控件的双向对齐和文本方向的文本标志，请改用 DrawTextBiDiModeFlags。"""
    def EndDrag(self, Drop: bool) -> None:
        """TControl.EndDrag(Drop: bool) -> 无
        阻止控件被进一步拖动。
        使用 EndDrag 停止通过调用 BeginDrag 方法开始的拖动操作。
        如果 Drop 参数为 true，则拖动的控件将被放置或停靠。如果 Drop 参数为 false，则不会放置或停靠控件，并且会取消拖动。"""
    def GetControlsAlignment(self, *args, **kwargs) -> Any:
        """指示文本在控件内的对齐方式。
        使用 GetControlsAlignment 确定控件的对齐方式。对于没有 Alignment 属性的控件，GetControlsAlignment 返回 taLeftJustify。
        
        注意：GetControlsAlignment 返回由 BiDiMode 属性更改之前文本的对齐方式。要检查是否应反转对齐以反映 BiDiMode 属性，请调用 UseRightToLeftAlignment。"""
    def GetParentComponent(self, *args, **kwargs) -> Any:
        """返回控件的父级。
        GetParentComponent 由加载和保存 VCL 组件的流系统调用。 GetParentComponent 返回的组件负责在流式输入或输出时加载和保存控件。正如在 TControl 中实现的那样，GetParentComponent 返回 Parent 属性的值。"""
    def GetStyleName(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def GetSystemMetrics(self, nIndex: int) -> 整数：
        """TControl.GetSystemMetrics(nIndex: int) -> int
Embarcadero Technologies 目前没有任何其他信息。"""
    def GetTextBuf(self, Buffer: PWideChar, BufSize: int) -> 整数：
        """TControl.GetTextBuf(Buffer: PWideChar, BufSize: int) -> int
检索控件的文本，将其复制到缓冲区中，并返回复制的字符数。
调用 GetTextBuf 将控件的文本检索到固定大小的缓冲区中。复制的文本是 Text 属性的值。GetTextBuf 返回实际复制的字符数，该字符数是 Text 属性的长度或 BufSize - 1（以较小者为准）。
要找出缓冲区需要多少个字符来容纳整个文本，请在为 GetTextBuf 分配缓冲区之前调用 GetTextLen 方法。

注意：GetTextBuf 可用于兼容 16 位代码。如果向后兼容性不是问题，请使用 Text 属性。
注意：要以 AnsiString 形式获取控件的文本，请改用 Text 属性。"""
    def GetTextLen(self, *args, **kwargs) -> Any:
        """返回控件文本的长度。
调用 GetTextLen 查找控件文本的长度。这是 GetTextBuf 方法使用的文本缓冲区所需的大小。"""
    def HasParent(self, *args, **kwargs) -> Any:
        """指示控件是否有父控件。
        HasParent 指示是否已为 Parent 属性分配了值。流系统使用此方法来确定控件是否有负责将其写入流的父控件。正如在 TControl 中实现的那样，如果 Parent 属性不为 nil (Delphi) 或 NULL (C++)，HasParent 返回 true，否则返回 false。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def InitiateAction(self, *args, **kwargs) -> Any:
        """如果控件与操作链接关联，则调用操作链接的 Update 方法。
        当应用程序空闲时，库会进行一系列调用以允许控件更新其关联的操作，以便它们反映控件的当前属性。第一个是每个窗体的 InitiateAction 方法，其次是其可见菜单和控件的 InitiateAction 方法。
        InitiateAction 间接调用操作的更新方法（通过其操作链接），这会导致许多事件，其中任何事件都可能更新操作并停止更新过程：
        
        首先，包含操作的操作列表接收 OnUpdate 事件。
        如果操作列表不处理 OnUpdate 事件，则 Application 对象会收到 OnActionUpdate 事件。
        如果 OnActionUpdate 事件处理程序不更新操作，则操作本身会收到 OnUpdate 事件。
        如果这没有更新操作，则调用活动控件的 UpdateAction 方法。
        最后，如果操作仍未更新，则调用活动表单的 UpdateAction 方法。"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def IsCustomStyleActive(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def IsLightStyleColor(self, AColor: int) -> 布尔：
        """TControl.IsLightStyleColor(AColor: int) -> bool
        Embarcadero Technologies 目前没有任何其他信息。"""
    def IsRightToLeft(self, *args, **kwargs) -> Any:
        """指示控件是否应从右到左反转。
        使用 IsRightToLeft 确定是否应以任何方式反转控件，因为它在具有中东语言环境的系统上运行。 IsRightToLeft 旨在帮助组件编写者简化实现 BiDiMode 属性的过程。
        如果应用程序在支持中东的 Windows 版本上运行，并且 BiDiMode 属性指示控件应进行任何调整，则 IsRightToLeft 返回 true。"""
    def ManualDock(self, NewDockSite: WinControl, Drop控制： Control, ControlSide: Align) -> 布尔：
        """TControl.ManualDock(NewDockSite: WinControl, Drop控制： Control, ControlSide: Align) -> bool
        对接控件。
        使用 ManualDock 以编程方式停靠控件。 ManualDock 将控件从其当前停靠站点取消停靠，然后将控件停靠到其新停靠站点。
        NewDockSite 是控件的新停靠站点。
        DropControl 是新停靠站点（如果有）中要放置该控件的控件。例如，当停靠到页面控件时，DropControl 将是一个选项卡表。
        ControlSide 指定控件应停靠在 DropControl 或 NewDockSite 的哪一侧（如果 DropControl 为 nil (Delphi) 或 NULL (C++)）。该值可以通过调用停靠站点的 GetDockEdge 方法来获取。"""
    def ManualFloat(self, ScreenPos: Rect) -> 布尔：
        """TControl.ManualFloat(ScreenPos: Rect) -> bool
        取消与控件的对接。
        使用 ManualFloat 以编程方式取消停靠控件。
        ScreenPos 是控件开始浮动时显示的矩形。"""
    def MouseWheelHandler(self, Message: Message) -> None:
        """TControl.MouseWheelHandler(消息:消息)->无
        发送从鼠标滚轮接收到的消息。
        WndProc 方法在收到鼠标滚轮消息时调用 MouseWheelHandler。 MouseWheelHandler 检查窗口控件是否嵌入在窗体中，如果是，则调用窗体的 MouseWheelHandler 方法。这允许窗体在鼠标滚轮消息被各个控件处理之前对其进行响应。如果窗口控件不在窗体中，MouseWheelHandler 将鼠标滚轮消息传递给 Perform 方法，该方法生成 OnMouseWheel 事件，后跟（如果需要）OnMouseWheelUp 或 OnMouseWheelDown 事件。"""
    def ParentToClient(self, Po整数： Point, AParent: WinControl) -> Po整数：
        """TControl.ParentToClient(Po整数： Point, AParent: WinControl) -> Point
        将父坐标转换为客户端坐标。
        ParentToClient 将 Point 从 AParent 的坐标系转换到当前控件的坐标系。 AParent 必须是一个可以通过向上迭代 Parent 属性链找到的控件。如果 AParent 为 nil (Delphi) 或 NULL (C++)，则使用控件的直接父级。
        如果 AParent 不是祖先控件或 Parent 属性为 nil (Delphi) 或 NULL (C++)，则会引发 EInvalidOperation 异常。"""
    def Perform(self, Msg: int, WParam: int, LParam: int) -> 整数：
        """TControl.Perform(Msg: int, WParam: int, LParam: int) -> int
        如同控件收到指定的 Windows 消息一样进行响应。
        调用 Perform 绕过 Windows 消息队列并将消息直接发送到控件的窗口过程。
        Perform 使用在 Msg 参数中传递的消息 ID、在 WParam 和 LParam 中传递的消息参数以及为零的结果字段来填充消息记录（类型为 TMessage）。 Perform 然后将消息记录传递给 WindowProc 方法进行处理。\r
        如同控件收到指定的 Windows 消息一样进行响应。
        调用 Perform 绕过 Windows 消息队列并将消息直接发送到控件的窗口过程。
        Perform 使用在 Msg 参数中传递的消息 ID、在 WParam 和 LParam 中传递的消息参数以及为零的结果字段来填充消息记录（类型为 TMessage）。 Perform 然后将消息记录传递给 WindowProc 方法进行处理。\r
        如同控件收到指定的 Windows 消息一样进行响应。
        调用 Perform 绕过 Windows 消息队列并将消息直接发送到控件的窗口过程。
        Perform 使用在 Msg 参数中传递的消息 ID、在 WParam 和 LParam 中传递的消息参数以及零的结果字段来填充消息记录（类型为 TMessage）。 Perform 然后将消息记录传递给 WindowProc 方法进行处理。"""
    def Refresh(self, *args, **kwargs) -> Any:
        """在屏幕上重新绘制控件。
        调用 Refresh 方法立即重新绘制控件。刷新调用 Repaint 方法。交替使用 Refresh 和 Repaint 方法。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ReplaceDockedControl(self, 控制： Control, NewDockSite: WinControl, Drop控制： Control, ControlSide: Align) -> 布尔：
        """TControl.ReplaceDockedControl(控制： Control, NewDockSite: WinControl, Drop控制： Control, ControlSide: Align) -> bool
        将控件停靠在另一个控件已停靠的位置。
        调用 ReplaceDockedControl 来替换已停靠的控件，同时将该控件移动到另一个停靠站点。
        控件是该控件所占据的位置的控件。
        NewDockSite 是被替换控件的新停靠站点。
        DropControl 是新停靠站点中的一个控件，可将被替换的控件放置在该控件上。例如，如果 NewDockSite 是页面控件，则 DropControl 将是选项卡表。
        ControlSide 指定替换的控件应停靠在 DropControl 或 NewDockSite 的哪一侧（如果 DropControl 为 nil (Delphi) 或 NULL (C++)）。该值可以通过调用停靠站点的 GetDockEdge 方法来获取。
        ReplaceDockedControl 与调用 Control 参数指定的控件的 ManualDock 方法（使用 NewDockSite、DropControl 和 ControlSide 的值）执行相同的操作，此外还为该方法的控件调用 ManualDock，将其停靠在控制参数。但是，调用 ReplaceDockedControl 效率更高，并且可以防止不必要的闪烁。"""
    def ScaleForPPI(self, NewPPI: int) -> None:
        """TControl.ScaleForPPI(NewPPI: int) -> 无
        Embarcadero Technologies 目前没有任何其他信息。"""
    def ScaleRectSize(self, Value: Rect) -> 矩形：
        """TControl.ScaleRectSize(值: 矩形) -> 矩形
        Embarcadero Technologies 目前没有任何其他信息。"""
    def ScaleValue(self, Value: int) -> 整数：
        """TControl.ScaleValue(值: int) -> int
        重载的 ScaleValue 方法返回作为参数传递的度量，该度量按控件的当前比例因子（ScaleFactor 只读属性的值）进行缩放。\r
        重载的 ScaleValue 方法返回作为参数传递的度量，该度量按控件的当前比例因子（ScaleFactor 只读属性的值）进行缩放。\r
        重载的 ScaleValue 方法返回作为参数传递的度量，该度量按控件的当前比例因子（ScaleFactor 只读属性的值）进行缩放。\r
        重载的 ScaleValue 方法返回作为参数传递的度量，该度量按控件的当前比例因子（ScaleFactor 只读属性的值）进行缩放。\r
        重载的 ScaleValue 方法返回作为参数传递的度量，该度量按控件的当前比例因子（ScaleFactor 只读属性的值）进行缩放。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def SetDesignVisible(self, Value: bool) -> None:
        """TControl.SetDesignVisible(值: bool) -> 无
        使控件在设计时可见。
        SetDesignVisible 在窗体设计期间由 Delphi 内部使用。"""
    def SetParentComponent(self, Value: Component) -> None:
        """TControl.SetParentComponent(Value: Component) -> None
设置控件的父级。
不要调用 SetParentComponent 方法。它由加载和保存 VCL 组件的流式系统使用。SetParentComponent 使 Value 参数指定的组件成为控件的父级。
仅当指定为父级的组件是窗口控件时，SetParentComponent 才会调用 SetParent 方法。"""
    def SetTextBuf(self, Buffer: PWideChar) -> None:
        """TControl.SetTextBuf(Buffer: PWideChar) -> 无
        设置控件的文本。
        调用SetTextBuf方法将控件的文本设置为指定缓冲区中的文本。
        文本设置为 Buffer 参数指向的缓冲区中的文本。 Buffer 必须指向一个以 null 结尾的字符串。 SetTextBuf 方法发送 WM_SETTEXT 和 CM_TEXTCHANGED 消息。在函数的紧密执行中执行此操作可能会导致在函数完成执行后处理来自 Windows 消息队列的消息之前无法看到更改。要中断函数的执行并处理消息，请使用 Application 对象的 ProcessMessages 方法。
        
        注意：提供 SetTextBuf 方法只是为了向后兼容。要立即设置控件的文本，请将字符串值分配给 Text 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def UseRightToLeftAlignment(self, *args, **kwargs) -> Any:
        """指定控件的对齐方式是否应从右向左反转。
控件在实现 BiDiMode 属性时调用 UseRightToLeftAlignment。UseRightToLeftAlignment 指示控件的对齐方式是否应从右向左反转。此信息可用于绘制控件或响应鼠标事件。
如果应用程序在具有中东语言环境的系统上运行并且 BiDiMode 属性为 bdRightToLeft，则 UseRightToLeftAlignment 返回 True。否则，它返回 False。如果中东语言环境的对齐方式取决于其他因素，则后代将覆盖 UseRightToLeftAlignment。"""
    def UseRightToLeftReading(self, *args, **kwargs) -> Any:
        """指定控件是否使用从右到左的读取顺序。
        控件在实现 BiDiMode 属性时调用 UseRightToLeftReading。 UseRightToLeftReading 指示控件的文本是否应从右向左阅读。此信息可用于确定在创建控件时要为控件设置哪些样式标志以及为绘制文本设置哪些标志。
        如果应用程序在具有中东语言环境的系统上运行并且 BiDiMode 属性不是 bdLeftToRight，则 UseRightToLeftReading 返回 true。否则，UseRightToLeftReading 返回 false。"""
    def UseRightToLeftScrollBar(self, *args, **kwargs) -> Any:
        """指定垂直滚动条是否出现在控件的左侧。
        控件在实现 BiDiMode 属性时调用 UseRightToLeftScrollBar。当垂直滚动条出现在控件左侧时，UseRightToLeftScrollBar 返回 true；当垂直滚动条出现在右侧时，则返回 false。
        如果应用程序在具有中东语言环境的系统上运行并且 BiDiMode 属性为 bdRightToLeft 或 bdRightToLeftNoAlign，则 UseRightToLeftScrollBar 返回 true。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ControlBar(CustomControl):
    """TControlBar 管理工具栏组件的布局。
    使用 TControlBar 作为工具栏组件的停靠点。控制栏包含可以独立移动和调整大小的子控件（通常是 TToolBar 对象）。与酷栏一样，每个子控件都位于其自己的单独带上，用户可以通过拖动其大小手柄来定位该带。
    
    提示：将 TToolBar 对象停靠到控制栏时，您可能会发现使用 TToolDockObject 很有用。
    注意：如果要在 TControlBar 组件上使用 TActionToolBar，则应将 AutoSize 属性设置为 False。当 AutoSize 属性设置为 True（默认）时，TActionToolBar 控件将包裹其控件并相应地扩展自身大小。这不允许 TActionToolBar 组件在 TControlBar 组件上正确显示。当 AutoSize 属性设置为 False 时，TActionToolBar 会隐藏栏末端的项目并显示一个下拉按钮，以提供对这些项目的访问。该控件以适当的大小显示。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoDock: bool
    """布尔："""
    AutoDrag: bool
    """布尔："""
    AutoSize: bool
    """布尔： Specifies whether the control sizes itself automatically to accommodate its contents.
        Use AutoSize to specify whether the control sizes itself automatically. When AutoSize is True, the control resizes automatically when its contents change.
        By default, AutoSize is False."""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BevelWidth: int
    """整数： Specifies the width of the inner and outer bevels.
        Use BevelWidth to specify the width, in pixels, of the inner and outer bevels."""
    BorderWidth: int
    """int：指定控件边框的宽度。
使用 BorderWidth 获取或设置控件边框的宽度。控件绘制的图形或文本将被剪裁到边框内的区域。"""
    帆布： Canvas
    """Canvas：指定为控件呈现绘图表面的 TCanvas 对象。
        使用 TCanvas 对象的属性在控件的表面上绘图或绘画。 Canvas封装了Windows设备上下文，提供了绘图和绘画所需的所有工具和方法。
        Canvas 是一个受保护的属性，通常在 TCustomControl 的后代中重新声明为公共属性。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    角边： CornerEdge
    """角边："""
    DockSite: bool
    """布尔： Specifies whether the control can be the target of drag-and-dock operations.
        Set DockSite to true to allow other controls to be docked to this windowed control.
        
        Code Examples
        Docking (Delphi)
        Docking (C++)"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    绘图风格： BandDrawingStyle
    """Band绘图风格："""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    渐变方向： GradientDirection
    """渐变方向："""
    GradientEndColor: int
    """整数："""
    GradientStartColor: int
    """整数："""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnAlignInsertBefore: Callable[[WinControl,Control,Control],bool]
    """可调用[[WinControl, Control, Control], bool]:"""
    OnAlignPosition: Callable[[WinControl,Control,int,int,int,int,Rect,AlignInfo],None]
    """Callable[[WinControl, Control, int, int, int, int, Rect, AlignInfo], None]:"""
    OnBandDrag: Callable[[Object,Control,bool],None]
    """可调用[[对象，控制，布尔]，无]："""
    OnBandInfo: Callable[[Object,Control,Rect,int,int],None]
    """可调用[[对象，控制，矩形，整数，整数]，无]："""
    OnBandMove: Callable[[Object,Control,Rect],None]
    """可调用[[对象、控件、矩形]、无]："""
    OnBandPa整数： Callable[[Object,Control,Canvas,Rect,BandPaintOptions],None]
    """Callable[[对象、控件、画布、矩形、BandPaintOptions]、无]："""
    OnBeginBandMove: Callable[[Object,Control,bool],None]
    """可调用[[对象，控制，布尔]，无]："""
    OnCanResize: Callable[[Object,int,int,bool],None]
    """Callable[[Object, int, int, bool], None]:"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnConstrainedResize: Callable[[Object,int,int,int,int],None]
    """可调用[[对象， int， int， int， int]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDockDrop: Callable[[Object,DragDockObject,int,int],None]
    """Callable[[Object, DragDockObject, int, int], None]:"""
    OnDockOver: Callable[[Object,DragDockObject,int,int,DragState,bool],None]
    """Callable[[Object, DragDockObject, int, int, DragState, bool], None]:"""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndBandMove: Callable[[Object,Control],None]
    """可调用[[对象，控件]，无]："""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetSiteInfo: Callable[[Object,Control,Rect,Point,bool],None]
    """可调用[[对象、控件、矩形、点、布尔]、无]："""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnPa整数： Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnResize: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnUnDock: Callable[[Object,Control,WinControl,bool],None]
    """Callable[[Object, Control, WinControl, bool], None]:"""
    ParentBackground: bool
    """布尔： Determines whether the control uses its parent's theme background.
        If ParentBackground is True, the control uses the parent's theme background to draw its own background. 
        If  ParentBackground is False, the control uses its own properties, such as Color, to draw its background.
        ParentBackground has no effect unless XP themes are enabled."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    图片： Picture
    """图片："""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    RowSize: int
    """整数："""
    RowSnap: bool
    """布尔："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomAction(ContainedAction):
    """TCustomAction 是旨在与菜单项和控件一起使用的 VCL 操作的基类。
    TCustomAction 引入了对作为操作对象客户端的菜单项和控件的属性、事件和方法的支持。
    TCustomAction 中引入的大多数属性和事件都是公共的；因此，在派生您自己的操作以发布关联控件的属性的特定子集时，请使用 TCustomAction 作为基类。
    操作对象集中对用户命令（操作）的响应，并表示使用操作的应用程序中的用户界面元素。它们提供了一种简单的方法来同步（例如，速度按钮和菜单项的启用状态和标题），并处理用户单击这些组件时的响应。每个此类组件（称为客户端）的属性都由操作动态更新，并将用户操作转发到操作以获取响应。
    在设计时，您可以在“动作列表”编辑器中处理动作列表中包含的动作，也可以在动作管理器的“动作管理器”编辑器中进行操作。操作列表或操作管理器是操作的容器，它将其组织成类别。
    TCustomAction 直接或通过祖先支持的组件和控件公共属性和事件包括：
    
    标题
    已检查
    启用
    帮助类型
    帮助上下文
    帮助关键字
    暗示
    图像索引
    捷径
    可见的
    提示
    更新时
    执行时
    由于 OnHint、OnUpdate 和 OnExecute 事件是公共的，因此它们不会出现在对象检查器中。也就是说，对象检查器不支持为这些事件生成自定义事件处理程序。
    TCustomAction 还可以充当预定义操作类的基类。如果您想要保留受支持的属性和事件的公共范围或将公共范围修改为已发布的范围，则可以从 TCustomAction 派生。
    有关增强 TCustomAction 行为的预定义操作，请参阅 Vcl.StdActns、Vcl.DBActns 和 Vcl.ExtActns 单元中的操作类。"""
    __hash__: ClassVar[None] = ...
    ActionComponent: Any
    """指示导致此操作执行的客户端组件。"""
    ActionList: CustomActionList
    """CustomActionList：保存该动作所属的动作列表。
        Vcl.ActnList.TCustomAction.ActionList继承自System.Actions.TContainedAction.ActionList。此行以下的所有内容均引用 System.Actions.TContainedAction.ActionList。
        保存该动作所属的动作列表。"""
    ImageName: str
    """字符串： Displays the name of linked items from the Image Collection."""
    Images: CustomImageList
    """CustomImageList：Embarcadero Technologies 目前没有任何其他信息。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomAction.Create(AOwner: Component) -> 无
        实例化并初始化 VCL TCustomAction 对象。
        应用程序不需要直接调用构造函数。当您在设计时将动作添加到动作管理器（在动作管理器编辑器中）或动作列表组件（在动作列表编辑器中）时，会自动创建动作。
        如果要在运行时创建操作，请分配
        调用 Create 后，将 TActionList 或 TActionManager 组件添加到其 ActionList 属性。
        AOwner 是负责释放操作的组件。它成为所有者财产的价值。
        Create 只需调用继承的 System.Actions.TContainedAction.Create 构造函数。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """释放 TCustomAction 的实例。
        不要直接在应用程序中调用析构函数。相反，请拨打免费电话。 Free 确保在调用析构函数之前操作不为零。
        如果该操作包含在操作列表或操作管理器中，则 Destroy 会从该列表中删除该操作。"""
    def Execute(self) -> Any:
        """TBasicAction.Execute()
        生成 OnExecute 事件。"""
    def Update(self) -> Any:
        """TBasicAction.Update()
提供在应用程序空闲时执行集中代码的机会。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomActionList(ContainedActionList):
    """VCL 中的常用操作列表（没有发布的属性）"""
    __hash__: ClassVar[None] = ...
    ActionCount: Any
    """指示操作列表中的操作数量。"""
    Actions: Any
    """列出由操作列表维护的操作。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Images: CustomImageList
    """自定义图像列表："""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Create(self, AOwner: Component) -> None:
        """TCustomActionList.Create(AOwner: Component) -> 无
        创建 TContainedActionList 的实例。
        该创建器继承自 TComponent，请参阅 TComponent.Create 了解更多信息。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TContainedActionList 的实例。
        该析构函数继承自 TComponent，有关详细信息，请参阅 TComponent.Destroy。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def IsShortCut(self, Message: WMKey) -> 布尔：
        """TCustomActionList.IsShortCut(消息: WMKey) -> bool"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomActivityIndicator(CustomControl):
    """TActivityIndi​​cator 的基类。
    动画旋转显示表明应用程序正在执行某些活动。
    创建活动指示器，设置颜色、大小和类型，然后调用 StartAnimation 启动动画。您可以使用 FrameDelay 属性修改动画的速度。"""
    __hash__: ClassVar[None] = ...
    Height: int
    """int：指定控件的垂直大小（以像素为单位）。
使用 Height 属性读取或更改控件的高度。"""
    Parent: Any
    """返回/设置控制父级"""
    Width: int
    """int：指定控件或窗体的水平尺寸（以像素为单位）。
        使用 Width 属性读取或更改控件的宽度。
        
        注意：对于选项卡表控件，在运行时更改此属性没有任何效果。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomActivityIndi​​cator.Create(AOwner: Component) -> 无
        创建 TCustomActivityIndi​​cator 的实例。
        创建为所有活动指示器属性设置默认值。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TCustomControl 的实例。
        Vcl.WinXCtrls.TCustomActivityIndi​​cator.Destroy 继承自 Vcl.Controls.TCustomControl.Destroy。该行以下的所有内容均引用Vcl.Controls.TCustomControl.Destroy。
        销毁 TCustomControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证控件不为零，然后才调用 Destroy。
        应用程序只应在调用构造函数时显式释放控件，而不为控件分配所有者。
        当控件被销毁时，它会销毁其 Canvas 属性中的 TCanvas 对象。
        重写 Destroy 以释放在 Create 方法中分配的所有内存或资源。在后代控件类型中声明 Destroy 方法时，始终将 override 指令添加到声明中，并调用继承的 Destroy 作为重新声明方法中的最后一个语句。
        创建控件时，Delphi 自动提供围绕构造函数调用的异常处理。如果异常从构造函数中逃逸，则调用析构函数。这意味着析构函数代码必须准备好清理部分构造的实例。在处理其内容之前检查所有数据字段是否为零。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def StartAnimation(self, *args, **kwargs) -> Any:
        """将 Animate 属性设置为 True。"""
    def StopAnimation(self, *args, **kwargs) -> Any:
        """将 Animate 属性设置为 False。"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomBindingsList(Component):
    """表示绑定列表的基类。
    TCustomBindingsList 类实现绑定表达式、输出转换器、方法范围和其他绑定列表相关功能的列表。"""
    __hash__: ClassVar[None] = ...
    BindCompCount: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    BindComps: ContainedBindComponent
    """包含的绑定组件："""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    DependencyList: IDependencyList
    """IDependencyList：Embarcadero Technologies 目前没有任何其他信息。"""
    Methods: Methods
    """方法：指定可用方法的列表。有关这些方法的更多信息，请阅读 LiveBindings 方法主题。"""
    OutputConverters: OutputConverters
    """OutputConverters：指定可用输出转换器的列表。有关输出转换器的更多信息，请阅读 LiveBindings 输出转换器帮助主题。"""
    Owner: Any
    """返回组件所有者"""
    PromptDeleteUnused: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    UseAppManager: bool
    """bool：指定绑定列表是否使用全局应用程序管理器进行托管绑定。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Create(self, AOwner: Component) -> None:
        """TCustomBindingsList.Create(AOwner: Component) -> 无
        分配内存并构造安全初始化的组件实例。
        Data.Bind.Components.TCustomBindingsList.Create 继承自 System.Classes.TComponent.Create。该行下面的所有内容均引用System.Classes.TComponent.Create。
        分配内存并构造安全初始化的组件实例。
        所有对象都有一个构造对象的 Create 方法。 TComponent 重新定义了 Create，以便对于组件，Create 还可以：
        
        建立组件与其所有者的关系，如 AOwner 参数所示。
        将 ComponentStyle 属性设置为 csInheritable，这意味着该组件可以由后代表单类型继承。
        无需显式创建在表单设计器中添加的组件。这些组件在应用程序运行时自动创建，并在应用程序关闭时销毁。
        对于以编程方式创建的组件（即不是在表单设计器中创建的组件），请调用 Create 并将所有者组件作为 AOwner 参数传递。当组件被毁坏时，所有者将对其进行处置。如果组件不被拥有，则在需要销毁时使用 Free。
        
        提示：将 Self 作为 Owner 参数传递时，请考虑 Self 引用的内容。如果一个组件在其一个方法中创建另一个组件，则 Self 引用第一个组件，而不是正在创建的组件，该组件随后由第一个组件拥有。
        注意：TComponent 构造函数部分是虚拟的，以允许类引用的多态实例化。这对于流系统和表单设计器至关重要。声明新组件的 Create 构造函数时，不要忘记使用 override 指令。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """处置组件及其拥有的组件。
        Data.Bind.Components.TCustomBindingsList.Destroy 继承自 System.Classes.TComponent.Destroy。此行以下的所有内容均引用 System.Classes.TComponent.Destroy。
        处置组件及其拥有的组件。
        不要直接调用 Destroy。请拨打免费电话。 Free 验证组件不为零，然后才调用 Destroy。
        切勿在组件自己的事件处理程序之一中显式释放组件，也不要从其拥有或包含的组件的事件处理程序中释放组件。
        要销毁表单，请调用其 Release 方法。 Release 会等待所有表单的事件处理程序和表单组件的事件处理程序完成执行，然后再销毁表单。
        
        注意：表单拥有在设计模式下放置在其上的所有控件和非可视组件。当它被释放时，所有这些组件也会自动释放。默认情况下，所有表单均归全局 Application 对象所有。当应用程序终止时，它会释放全局 Application 对象，从而释放所有表单。对于不是组件的对象，以及使用 nil 所有者创建的组件，请务必在完成对象后调用 Free；否则分配给该对象的内存将丢失，直到应用程序终止。"""
    def GetChildren(self, Proc: Callable[[Component],None], Root: Component) -> None:
        """TCustomBindingsList.GetChildren(Proc: Callable[[Component], None], Root: Component) -> None
        枚举所有子组件。
        Data.Bind.Components.TCustomBindingsList.GetChildren 继承自 System.Classes.TComponent.GetChildren。此行下面的所有内容均引用 System.Classes.TComponent.GetChildren。
        枚举所有子组件。
        GetChildren 在组件流系统内部使用。没有必要直接调用它。
        GetChildren 需要一个接收所有枚举组件的 TGetChildProc 例程。
        Root 代表将被枚举的组件的所有者。
        此方法在 TComponent 中不执行任何操作，预计会在后代中被覆盖。"""
    def GetEnumerator(self, *args, **kwargs) -> Any:
        """Returns a TComponent enumerator.
        Data.Bind.Components.TCustomBindingsList.GetEnumerator inherits from System.Classes.TComponent.GetEnumerator. All content below this line refers to System.Classes.TComponent.GetEnumerator.
        返回 TComponent 枚举器。
        GetEnumerator 返回一个 TComponentEnumerator 引用，该引用枚举指定包含组件中包含的组件。
        要处理所有这些子组件，请在 While MoveNext do 循环中调用 TComponentEnumerator GetCurrent 方法。"""
    def GetMethodsScope(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def GetOutputConverter(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def Notify(self, A目的： Object, AProperty: str) -> None:
        """TCustomBindingsList.Notify(A目的： Object, AProperty: str) -> None
        Embarcadero Technologies 目前没有任何其他信息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomControl(WinControl):
    """包装 Windows 屏幕对象但执行自己的渲染的控件的基类。
    在 TWinControl 的大多数后代中，绘制控件表面的工作属于底层 Windows 屏幕对象。如果控件具有 Windows 屏幕对象无法呈现的可见功能，则它需要访问画布对象，以便可以进行自己的绘制。
    TCustomControl 是绘制自己的表面的控件的两个基类之一。由于 TCustomControl 是 TWinControl 的后代，因此其后代的实例可以接收焦点并充当容器。
    执行自己的屏幕渲染并且不需要 TWinControl 功能的控件类应该是 TGraphicControl 而不是 TCustomControl 的后代。 TGraphicControl 对象可以以更少的开销呈现自身，因为它们没有底层 Windows 屏幕对象。
    TCustomControl 对象有一个 Paint 方法，每当控件需要渲染其图像时就会调用该方法。自定义控件使用 Canvas 属性绘制自身。"""
    __hash__: ClassVar[None] = ...
    Parent: Any
    """返回/设置控制父级"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomControl.Create(AOwner: Component) -> 无
        创建 TCustomControl 的实例。
        调用 Create 构造并初始化 TCustomControl 的实例。但是，您永远不应该尝试实例化 TCustomControl。此类仅用作其他控件类的派生基类，并且您应该只调用 Create 来实例化这些派生类之一。在设计时放置在窗体上的控件是自动创建的。
        调用继承的构造函数后，Create 会初始化该控件及其 Canvas 属性的 TCanvas 对象。
        当重写 Create 时，始终首先调用继承的 Create 方法，然后继续进行控件的初始化。请记住在重写 Create 方法时指定 override 指令。
        
        注意：如果组件的构造函数分配资源或内存，还需重写析构函数以释放这些资源。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TCustomControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证控件不为零，然后才调用 Destroy。
        应用程序只应在调用构造函数时显式释放控件，而不为控件分配所有者。
        当控件被销毁时，它会销毁其 Canvas 属性中的 TCanvas 对象。
        重写 Destroy 以释放在 Create 方法中分配的所有内存或资源。在后代控件类型中声明 Destroy 方法时，始终将 override 指令添加到声明中，并调用继承的 Destroy 作为重新声明方法中的最后一个语句。
        创建控件时，Delphi 自动提供围绕构造函数调用的异常处理。如果异常从构造函数中逃逸，则调用析构函数。这意味着析构函数代码必须准备好清理部分构造的实例。在处理其内容之前检查所有数据字段是否为零。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomDrawGrid(CustomGrid):
    """TCustomDrawGrid 是网格的基类，它发布用于绘制和操作网格中的单元格的事件。
    在定义发布用于绘制或操作网格中的单元格的事件的网格组件时，使用 TCustomDrawGrid 作为基类。 TCustomDrawGrid 引入了许多事件和方法，它们利用网格的表格组织来响应用户操作。
    不要创建 TCustomDrawGrid 的实例。相反，通过实例化 TCustomDrawGrid 的后代将网格控件放入表单中。使用 TDrawGrid 来表示表格网格中的非文本材料。对于文本，请使用 TStringGrid 对象。如果文本表示数据集中的字段值，请使用 TDBGrid。如果要显示名称/值对，请使用 TValueListEditor。"""
    __hash__: ClassVar[None] = ...
    帆布： Any
    """指定为控件呈现绘图表面的 TCanvas 对象。"""
    CellAlignments: Alignment
    """结盟："""
    Col: Any
    """指定包含选定单元格的列的索引。"""
    ColAlignments: Alignment
    """结盟："""
    ColWidths: Any
    """指定网格的列宽"""
    绘图风格： GridDrawingStyle
    """GridDrawingStyle：确定绘制网格时使用的样式。
        DrawingStyle 确定用于绘制网格的样式。下表列出了 DrawingStyle 的可能值。
        
        
        
        
        价值
        
        意义
        
        
        
        gds经典版
        
        
        
        网格控件使用标准的、无主题的样式。
        
        
        
        
        gds主题
        
        
        
        网格控件使用当前操作系统主题。
        
        
        
        
        gds渐变
        
        
        
        网格控件使用渐变来设置样式。
        
        
        
        
        关于 Vcl.Grids.TStringGrid 的 DrawingStyle 的注意事项：
        除非您还将 DrawingStyle 设置为 gdsClassic，否则设置 FixColor 不会产生任何效果。
        除非将 DrawingStyle 的值设置为 gdsGradient，否则设置 GradientStartColor 和 GradientEndColor 不会产生任何效果。"""
    EditorMode: Any
    """确定当前单元格是否可以编辑。"""
    GridHeight: Any
    """指定网格的高度（以像素为单位）。"""
    GridWidth: Any
    """指定网格的宽度（以像素为单位）。"""
    LeftCol: Any
    """指定网格中第一个可见的可滚动列的索引。"""
    Row: Any
    """指定包含所选单元格的行的索引。"""
    RowHeights: Any
    """指定网格的行高"""
    Selection: Any
    """指示当前选择的边界。"""
    TabStops: bool
    """布尔："""
    TopRow: Any
    """指定网格中第一个可见的可滚动行的索引。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def CellRect(self, ACol: int, ARow: int) -> 矩形：
        """TCustomDrawGrid.CellRect(ACol: int, ARow: int) -> 矩形
        返回网格中单元格的屏幕坐标。
        调用 CellRect 获取由 ACol 和 ARow 参数指示的列和行中单元格的边界（以像素为单位）。当 ACol 和 ARow 设置为零时，指定左上角单元格。
        如果指示的单元格不可见，则 CellRect 返回一个空矩形。"""
    def MouseToCell(self, X: int, Y: int, ACol: int, ARow: int) -> None:
        """TCustomDrawGrid.MouseToCell(X: int, Y: int, ACol: int, ARow: int) -> 无
        返回屏幕坐标 (X,Y) 位置处单元格的列和行。
        调用 MouseToCell 将网格相对屏幕坐标转换为行和列索引。 X和Y参数是要转换的点的屏幕坐标。 MouseToCell 返回 ACol 参数作为点 (X,Y) 上的列号，并返回 ARow 参数作为行号。
        通常，MouseToCell 方法用在鼠标事件处理程序中，该处理程序提供鼠标坐标作为方法调用的 X 和 Y 参数。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomEdit(WinControl):
    """TCustomEdit 是派生所有编辑框和备注控件的基类。
    TCustomEdit 通过引入提供以下功能的方法和属性来封装所有用于编辑文本的组件共有的行为：
    基本的文本编辑功能，例如选择文本、修改所选文本和大小写转换。
    对文本内容变化做出反应的能力。
    文本的访问控制，使其只读或引入密码字符来隐藏实际值。
    不要创建 TCustomEdit 的实例。在声明允许用户输入或修改文本的控件对象时，使用 TCustomEdit 作为基类。 TCustomEdit 的属性和方法提供了后代类继承的基本行为以及组件可以重写以自定义其行为的行为。"""
    __hash__: ClassVar[None] = ...
    结盟： Alignment
    """结盟： Determines how the text is aligned within the text edit control.
        Use Alignment to change the way the text is formatted in the text edit control. Alignment can take one of the following values:
        
        
        
        
        
        Value
        
        Meaning
        
        
        
        taLeftJustify
        
        
        
        Align text to the left side of the control
        
        
        
        
        taCenter
        
        
        
        Center text horizontally in the control.
        
        
        
        
        taRightJustify
        
        
        
        Align text to the right side of the control."""
    CanUndo: bool
    """bool：指示编辑控件是否包含可以撤消的更改。
        读取 CanUndo 以确定用户是否对文本进行了任何可以通过调用 Undo 方法撤消的更改。当启用或禁用与这些命令相对应的菜单项时，这非常有用。"""
    CanUndoSelText: bool
    """bool：当设置为 True 时，它​​允许您调用或调用 Undo 操作，以撤消之前使用 SetSelText 或 SetSelTextBuf 所做的更改。默认情况下它设置为 false。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    Modified: bool
    """布尔： Indicates whether the user edited the text of the edit control.
        Use Modified to determine whether the user changed the Text property of the edit control. Modified is only reset to False when you assign a value to the Text property. In particular, it is not reset when the control receives focus."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    ReadOnly: bool
    """bool：确定用户是否可以更改编辑控件的文本。
要将编辑控件限制为仅显示，请将 ReadOnly 属性设置为 true。将 ReadOnly 设置为 false 以允许编辑编辑控件的内容。
将 ReadOnly 设置为 true 可确保文本不会被更改，同时仍允许用户选择文本。然后，选定的文本可以由应用程序操作，或复制到剪贴板。"""
    SelLength: int
    """int：指定选择的字符（字节）数。
        读取 SelLength 以确定所选文本的长度（以字节为单位）。这与字符数相同，除非您使用多字节字符集。设置 SelLength 将选择更改为包含从 SelStart 开始的第一个 SelLength 字节。
        
        注意：将 SelLength 设置为大于从 SelStart 到文本末尾的字符数的值会导致选择从 SelStart 到文本末尾的所有字符。将 SelLength 设置为大于可用字符数的值后立即读取 SelLength 将返回实际选择的字符数，而不是刚刚设置的值。"""
    SelStart: Any
    """返回/设置光标的位置。"""
    SelText: str
    """str：指定编辑控件文本的选定部分。
        读取 SelText 以确定所选文本的值。设置 SelText 以用新字符串替换所选文本。如果没有选择，但编辑控件具有焦点，则设置 SelText 以将新字符串插入到光标处的文本中。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Text: str
    """str：包含与控件关联的文本字符串。
        使用 Text 属性读取控件的 Text 或为 Text 值指定新字符串。默认情况下，Text 是控件名称。对于编辑控件和备忘录，文本出现在控件内。对于组合框，文本是组合框的编辑控制部分的内容。
        
        注意：显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用哪个属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。"""
    TextH整数： str
    """字符串： A hint or message to be displayed when the Text property is empty.
        Use TextHint to cue the user on what kind of entry is expected in the text field. Runtime themes must be enabled.
        
        Code Examples
        StdCtrlsProp (Delphi)
        StdCtrlsProp (C++)"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Clear(self, *args, **kwargs) -> Any:
        """从编辑控件中删除所有文本。
使用 Clear 将 Text 属性替换为空字符串。Clear 会删除所有文本，而不仅仅是选定的文本。若要仅删除选定的文本，请使用 ClearSelection。"""
    def ClearSelection(self, *args, **kwargs) -> Any:
        """从编辑控件中删除选定的文本。
        使用 ClearSelection 从编辑控件中删除选定的文本。如果未选择任何文本，则 ClearSelection 不执行任何操作。如果选择了所有文本，则 ClearSelection 会清除所有文本，就像 Clear 方法一样。
        
        注意：调用 ClearSelection 的作用与向编辑控件发送 WM_CLEAR 消息的作用相同。"""
    def ClearUndo(self, *args, **kwargs) -> Any:
        """清除撤消缓冲区，以便无法撤消对文本的任何更改。
        使用 ClearUndo 提交对 Text 属性的更改。调用 ClearUndo 后，CanUndo 属性为 false，Undo 方法不执行任何操作。"""
    def CopyToClipboard(self, *args, **kwargs) -> Any:
        """将编辑控件中选定的文本以 CF_TEXT 格式复制到剪贴板。
        使用 CopyToClipboard 将剪贴板的内容替换为所选文本。如果未选择任何文本，CopyToClipboard 不会清除剪贴板。如果未选择任何文本，CopyToClipboard 将不执行任何操作。
        
        注意：调用 CopyToClipboard 与向编辑控件发送 WM_COPY 消息执行相同的操作。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomEdit.Create(AOwner: Component) -> 无
        创建 TCustomEdit 的实例。
        调用 Create 创建并初始化 TCustomEdit 的实例。
        AOwner 是另一个组件，通常是表单，负责释放编辑控件。它成为所有者财产的价值。
        重写 Create 方法的派生对象应在执行任何其他初始化之前调用继承的 Create。"""
    def CutToClipboard(self, *args, **kwargs) -> Any:
        """将所选文本以 CF_TEXT 格式复制到剪贴板，然后删除所选内容。
        使用 CutToClipboard 将剪贴板的内容替换为所选文本，同时清除所选文本。如果未选择任何文本，CutToClipboard 将不执行任何操作。
        
        注意：调用 CopyToClipboard 与向编辑控件发送 WM_CUT 消息执行相同的操作。"""
    def DefaultHandler(self, Message) -> None:
        """TCustomEdit.DefaultHandler(Message) -> 无
        为控件本身未完全处理的所有消息提供消息处理。
        重写 DefaultHandler 以更改编辑控件的默认消息处理。 Message参数可以转换为TMessage类型以获得消息的WParam、LParam和Result。如果消息的结果不为零，则消息已被处理。将 Result 字段设置为非零值，以防止继承的方法进一步处理消息。
        
        注意：在 Delphi 中，如果祖先没有为正在处理的消息指定处理程序，则在消息处理方法中调用继承会导致调用祖先的 DefaultHandler 方法。"""
    def GetControlsAlignment(self, *args, **kwargs) -> Any:
        """指示文本在控件内的对齐方式。
        Vcl.StdCtrls.TCustomEdit.GetControlsAlignment继承自Vcl.Controls.TControl.GetControlsAlignment。该行下面的所有内容均引用Vcl.Controls.TControl.GetControlsAlignment。
        指示文本在控件内的对齐方式。
        使用 GetControlsAlignment 确定控件的对齐方式。对于没有 Alignment 属性的控件，GetControlsAlignment 返回 taLeftJustify。
        
        注意：GetControlsAlignment 返回由 BiDiMode 属性更改之前文本的对齐方式。要检查是否应反转对齐以反映 BiDiMode 属性，请调用 UseRightToLeftAlignment。"""
    def GetSelTextBuf(self, Buffer: PWideChar, BufSize: int) -> 整数：
        """TCustomEdit.GetSelTextBuf(Buffer: PWideChar, BufSize: int) -> int
        将选定的文本复制到缓冲区并返回复制的字符数。
        使用 GetSelTextBuf 将选定的文本复制到字符缓冲区中。如果没有选择，缓冲区会收到一个空字符串。如果所选内容包含多于 (BufSize - 1) 个字符，则仅复制前 (BufSize - 1) 个字符。 GetSelTextBuf 返回实际复制到缓冲区中的字符数。"""
    def PasteFromClipboard(self, *args, **kwargs) -> Any:
        """将剪贴板的内容粘贴到编辑控件中，替换当前选择。
使用 PasteFromClipboard 用剪贴板的内容替换所选文本，或者，如果未选择任何文本，则将剪贴板的内容插入光标处。如果剪贴板为空，或者不包含任何 CF_TEXT 格式的内容，则 PasteFromClipboard 不执行任何操作。

注意：调用 PasteFromClipboard 与向编辑控件发送 WM_PASTE 消息的作用相同。"""
    def SelectAll(self, *args, **kwargs) -> Any:
        """选择编辑控件中的所有文本。
        使用 SelectAll 选择编辑控件中的所有文本。要仅选择部分文本，请使用 SelStart 和 SelLength 属性。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def SetSelText(self, Value: str) -> None:
        """TCustomEdit.SetSelText(Value: str) -> 无
        设置 SelText 属性。
        SetSelText 是 SelText 属性的属性访问方法。"""
    def SetSelTextBuf(self, Buffer: PWideChar) -> None:
        """TCustomEdit.SetSelTextBuf(Buffer: PWideChar) -> 无
        将选定的文本替换为以 null 结尾的字符串。
        使用 SetSelTextBuf 将当前选择替换为 Buffer 指向的以 null 结尾的字符串的内容。如果未选择任何文本，则将 Buffer 的内容插入到光标处。 SetSelTextBuf 的作用与设置 SelText 属性相同，只不过它采用的是指向 char 类型而不是字符串的指针。"""
    def Undo(self, *args, **kwargs) -> Any:
        """撤销撤消缓冲区中的所有更改。
        调用 Undo 可取消自上次调用 ClearUndo 方法以来对 Text 属性所做的所有更改。如果从未调用过 ClearUndo，则“撤消”将回滚所有更改。
        要确定撤消缓冲区中是否有任何更改，请检查 CanUndo 属性。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomForm(WinControl):
    """TCustomForm 是派生窗口（例如窗体或对话框）的基类。
    派生自 TCustomForm 以创建自定义窗口。 TCustomForm 后代可以包含其他对象，例如 TButton、TCheckBox 和 TComboBox 对象。"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Active: bool
    """布尔： Specifies whether the form has focus.
        Use Active to determine whether the form has focus. The Active Form receives all keyboard input. If it has a title bar, it is drawn using the active colors specified in the Control panel.
        If Active is true , the form has focus; if Active is false, the form does not have focus."""
    Active控制： WinControl
    """控制窗口： Specifies the control that has focus on the form.
        Use ActiveControl to get or set the control that has focus on the form. Only one control can have focus at a given time in an application.
        If the form does not have focus, ActiveControl is the control on the form that will receive focus when the form receives focus.
        
        Note:  When focus shifts to another control, ActiveControl is updated before the OnExit event occurs."""
    ActiveOle控制： WinControl
    """WinControl：指定窗体上对焦点变化做出反应的 OLE 控件。
        使用 ActiveOleControl 在窗体上获取或设置对焦点变化做出反应的 OLE 控件。
        如果 ActiveOleControl 不为 nil (Delphi) 或 NULL (C++)，则指定 OLE 控件的用户界面在未获得焦点时将被停用。此外，当窗体获得或失去焦点时，指定 OLE 控件的文档窗口将分别激活或停用。"""
    边框样式： FormBorderStyle
    """FormBorderStyle：指定表单边框的外观和行为。
使用 BorderStyle 获取或设置表单边框的外观和行为。BorderStyle 可以是以下任何 TForm BorderStyle 值：

值

含义

bsDialog

不可调整大小；无最小化/最大化菜单

bsSingle

不可调整大小；最小化/最大化菜单

bsNone

不可调整大小；无可见边框线

bsSizeable

标准可调整大小边框

bsToolWindow

与 bsSingle 类似，但标题较小

bsSizeToolWin

与 bsSizeable 类似，但标题较小

注意：将 MDI 子表单的边框样式更改为 bsDialog 或 bsNone 无效。"""
    帆布： Canvas
    """帆布： Provides access to the drawing area of the form.
        Use TCanvas to draw on the client area of the form. Canvas is often used in the OnPaint event handler."""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    CustomTitleBar: TitleBar
    """TitleBar: Embarcadero Technologies 目前没有任何其他信息。"""
    Designer: IDesignerHook
    """IDesignerHook：指定表单的设计器界面。
        Designer 属性在设计时内部使用。切勿为此属性赋值。这是由表单设计者自动完成的。仅在设计用于表单设计器的类（例如属性编辑器和组件编辑器）时才使用此属性。"""
    DropTarget: bool
    """布尔： Specifies whether the form is the target of a drag-and-drop operation.
        Use DropTarget to determine whether the form is currently the target of a drag-and-drop operation."""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    FormState: FormState
    """FormState：表示表单的过渡状态信息。
        读取 FormState 以确定表单的状态。 FormState 指示窗体何时处于各种过渡状态或何时发生某些 Windows 操作。下表列出了可以包含在表单状态中的值：
        
        
        
        
        
        价值
        
        意义
        
        
        
        fs创建
        
        
        
        表单的构造函数当前正在执行。
        
        
        
        
        可见光
        
        
        
        窗体的窗口可见。此状态用于更新 Visible 属性。
        
        
        
        
        fs显示
        
        
        
        窗体的 WindowState 属性正在更改。此状态用于防止 WindowState 更改干扰正在进行的转换。
        
        
        
        
        模态模式
        
        
        
        该窗体被创建为模式窗口。
        
        
        
        
        fsCreateMDIChild
        
        
        
        该窗体是 MDI 父窗口。仅当创建 MDI 客户端窗口后才会设置此状态。
        
        
        
        
        fs激活
        
        
        
        窗体已收到 CM_ACTIVATE 消息（因为它收到焦点或应用程序变为活动状态），但尚未调用 Activate 方法来生成 OnActivate 事件。"""
    GlassFrame: GlassFrame
    """GlassFrame：访问 Windows Vista、Windows 7 或更高版本的 Windows 操作系统下的 Glass Frame。
使用 GlassFrame 使您的表单与 Windows Vista 或 Windows 7 Aero 兼容，显示玻璃效果。
GlassFrame 是为任何表单自动创建的 TGlassFrame 对象的属性。

注意：该属性仅适用于带有 Aero 的 Windows Vista 或 Windows 7。否则，Glass Frame 将被忽略。"""
    HelpFile: str
    """str：指定表单用于显示帮助的帮助文件的名称。
        如果您的窗体应该有一个与使用全局 TApplication 类型对象的 TApplication.HelpFile 属性指定的应用程序的默认帮助文件不同的帮助文件，则使用窗体的 HelpFile 属性来指定窗体将要使用的帮助文件的名称。用于显示来自的帮助。
        当窗体获得焦点时，TApplication.HelpSystem 指定的帮助系统显示窗体的 HelpFile 属性指定的帮助文件中的帮助主题。"""
    KeyPreview: bool
    """bool：指定窗体是否应在活动控件之前接收键盘事件。
        如果 KeyPreview 为 true，则键盘事件先在窗体上发生，然后再在活动控件上发生。 （活动控件由 ActiveControl 属性指定。）
        如果 KeyPreview 为 false，则键盘事件仅发生在活动控件上。
        导航键（Tab、BackTab、箭头键等）不受 KeyPreview 的影响，因为它们不生成键盘事件。同样，当按钮具有焦点或其 Default 属性为 true 时，Enter 键不受 KeyPreview 影响，因为它不会生成键盘事件。
        KeyPreview 默认为 false。"""
    Left: int
    """int：指定组件左边缘相对于其父组件的水平坐标。
        Vcl.Forms.TCustomForm.Left 继承自 Vcl.Controls.TControl.Left。该行以下的所有内容均引用Vcl.Controls.TControl.Left。
        指定组件左边缘相对于其父组件的水平坐标。
        使用 Left 属性可以确定控件左侧的开始位置或重新定位控件的左侧。
        如果该控件包含在另一个控件中，则 Left 和 Top 属性是相对于父控件的。如果控件直接包含在窗体中，则属性值与窗体相关。对于表单，Left 属性的值是相对于屏幕（以像素为单位）的。"""
    Menu: MainMenu
    """MainMenu：指定窗体的主菜单。
        使用 Menu 获取或设置窗体的主菜单。在设计时，Menu 设置为添加到窗体中的第一个 TMainMenu 组件。"""
    ModalResult: Any
    """表示用作模式对话框的表单的返回值。"""
    Monitor: Monitor
    """监视器：提供对显示表单的监视器的访问。
        如果应用程序在多监视器系统上运行，则使用监视器可以访问有关显示表单的监视器的信息。监视器由 DefaultMonitor 属性确定。"""
    OleForm目的： IOleForm
    """IOleForm：指定表单中包含的就地 OLE 对象的 IOleForm 接口。
        当表单用作就地 OLE 对象的框架时，OleFormObject 用于传达调整大小和销毁通知。"""
    PopupMode: PopupMode
    '''PopupMode: Controls how the top-level form behaves with respect to Window\'s WS_POPUP style.
        The PopupMode property controls how the top-level form behaves with respect to Window\'s WS_POPUP style. A window that has the WS_POPUP style is always above its "owner" in Z-order. You can use the PopupMode property in conjunction with the PopupParent property to avoid the appearance of a hung application caused by a modal dialog showing up behind another form on the screen.
        
        Note: Using the PopupMode property is similar to specifying fsStayOnTop for the FormStyle property, but allows better control over the layering. 
        The PopupMode property is automatically set to pmAuto when the ShowModal method is called. However, this causes the window handle to be recreated, which is not usually desirable. To avoid the re-creation of window handles, you can explicitly set the PopupMode property to pmAuto prior to calling the ShowModal method (such as at design time). 
        Set the PopupMode property to pmExplicit for non-modal design windows such as tool palettes and other floating tool windows. This causes the windows to always remain on top of the main form. In the case of a snapped together design (in which the window is docked to the main form), the design window remains on top of the designer.
        
        Note: For undocked windows, the design window remains above the main form, allowing other top-level forms to obscure the design window. 
        Set the PopupMode property to pmNone if you want the pop-up window to have the pre-Delphi 8 behavior (except for the ShowModal item mentioned above).
        You can force the Z-Ordering of your forms and create a "stacked" appearance that the user cannot change by setting the PopupParent property to an explicit TCustomForm. If the PopupMode property is pmExplicit and PopupParent is nil, then the Application.MainForm is implicitly used as the PopupParent. If no Application.MainForm is assigned, then Application.Handle is used as the PopupParent. If the PopupMode property is set to pmAuto, Screen.ActiveForm is used as the PopupParent.'''
    PopupParent: CustomForm
    """CustomForm：设置用户无法更改的堆叠表单的顺序。
        如果 PopupMode 属性设置为 pmExplicit 并且 PopupParent 为 nil，则 Application.MainForm 将隐式用作 PopupParent。如果未分配 Application.MainForm，则使用 Application.Handle 作为 PopupParent。
        如果 PopupMode 属性设置为 pmAuto，则 Screen.ActiveForm 将用作 PopupParent 属性。"""
    Scaled: bool
    """bool：指定是否根据 PixelsPerInch 属性的值调整窗体的大小。
        缩放确定表单是否根据设计时使用的字体与运行时系统使用的当前系统字体之间的差异进行调整。如果 Scaled 为 true，则窗体会调整自身及其所有子控件的大小，以维持控件大小和以默认字体显示的文本高度之间的关系。如果 Scaled 为 false，则不会发生此类调整大小。
        通过将 Scaled 设置为 true，表单可以调整为不可缩放的字体（即，仅提供离散点大小的字体）或差异，例如在设计时使用小字体设计但在使用大字体的系统上运行的表单。
        调整大小的程度由 PixelsPerInch 属性确定，该属性测量设计表单时使用的系统上字体的比例。"""
    ScreenSnap: bool
    """布尔： Specifies whether form snaps to edge of screen.
        ScreenSnap determines whether the edges of the form snap to the edge of the screen when the user moves the form. To control the snap distance, set the SnapBuffer property."""
    SnapBuffer: int
    """整数： Specifies distance for screen snap.
        If ScreenSnap is true, SnapBuffer determines the maximum number of pixels that be between the form edge and the screen edge before the form snaps to the screen edge."""
    TaskbarHandler: TaskbarHandler
    """TaskbarHandler：Embarcadero Technologies 目前没有任何其他信息。"""
    Top: int
    """int：指定控件左上角相对于其父控件或包含控件的 Y 坐标（以像素为单位）。
        Vcl.Forms.TCustomForm.Top继承自Vcl.Controls.TControl.Top。该行以下的所有内容均引用Vcl.Controls.TControl.Top。
        指定控件左上角相对于其父控件或包含控件的 Y 坐标（以像素为单位）。
        使用“顶部”定位控件的顶部或将控件重新定位到不同的 Y 坐标。 Top 属性与 Left 属性一样，是控件相对于其容器的位置。因此，如果控件包含在 TPanel 中，则 Left 和 Top 属性是相对于面板的。如果控件直接包含在窗体中，则它是相对于窗体的。对于表单，Top 属性的值是相对于屏幕（以像素为单位）的。"""
    WindowState: WindowState
    """WindowState：表示窗体在屏幕上的显示方式。
        设置 WindowState 以最小化、最大化或恢复窗体窗口。读取 WindowState 以确定窗体是最小化、最大化还是处于正常状态。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def AfterConstruction(self, *args, **kwargs) -> Any:
        """施工事件调度员。
        AfterConstruction 是表单对象构造后立即发生的事件的调度程序。正如在 TCustomForm 中实现的那样，AfterConstruction 调用 OnCreate 事件处理程序，前提是 OldCreateOrder 属性为 false。"""
    def BeforeDestruction(self, *args, **kwargs) -> Any:
        """销毁事件调度程序。
        BeforeDestruction 是表单对象销毁之前立即发生的事件的调度程序。正如在 TCustomForm 中实现的那样，BeforeDestruction 调用 OnDestroy 事件处理程序，前提是 OldCreateOrder 属性为 false。"""
    def Close(self) -> Any:
        """TForm.Close()
        关闭封装的表单"""
    def CloseQuery(self) -> Any:
        """TForm.CloseQuery()
询问包装的表单是否可以关闭"""
    def Create(self, AOwner: Component) -> None:
        """TCustomForm.Create(AOwner: Component) -> 无
        创建并初始化一个新的 TForm 对象。
        使用 Create 在运行时实例化 TForm 对象或 TForm 的后代。 AOwner 是 TCustomForm 对象的所有者。
        对于不是 TForm 对象的 TCustomForm 后代，请改用 CreateNew。为不是 TForm 的 TCustomForm 后代调用 Create 将引发异常。"""
    def CreateNew(self, AOwner: Component, Dummy: int) -> None:
        """TCustomForm.CreateNew(AOwner: Component, Dummy: int) -> None"""
    def DefaultHandler(self, Message) -> None:
        """TCustomForm.DefaultHandler(Message) -> 无
        为表单未完全处理的所有消息提供消息处理。
        重写 DefaultHandler 以更改表单的默认消息处理。这很少是必要的，因为可以通过创建消息方法来处理消息。
        DefaultHandler 通过调用 CallWindowProc OS 函数将任何未处理的消息传递给窗体的窗口过程。
        
        注意：在 Delphi 代码中，在消息处理方法中调用继承会导致调用祖先的 DefaultHandler 方法，除非该祖先指定了消息的处理程序。"""
    def DefocusControl(self, 控制： WinControl, Removing: bool) -> None:
        """TCustomForm.DefocusControl(控制： WinControl, Removing: bool) -> None
        Removes focus from a control on the form.
        Use DefocusControl to remove focus from a control on the form. This method is used internally by the VCL.
        Control is the control from which to remove focus. If Control is the form's active control, DefocusControl sets the form's ActiveControl property to nil (Delphi) or NULL (C++).
        Removing specifies whether to set focus to the control's parent."""
    def Destroy(self, *args, **kwargs) -> Any:
        """从内存中删除表单。
        不要调用“销毁”。相反，调用 Release，这会间接生成对 Free 方法的调用，而 Free 方法又调用 Destroy。"""
    def Dock(self, NewDockSite: WinControl, A矩形： Rect) -> None:
        """TCustomForm.Dock(NewDockSite: WinControl, A矩形： Rect) -> None
        Handles automatic docking of the form into other windows.
        Do not call Dock in application code. It is called automatically when the form is released on a docking site that will accept it. To dock a form programmatically, use the ManualDock method instead."""
    def FocusControl(self, 控制： WinControl) -> None:
        """TCustomForm.FocusControl(控制： WinControl) -> None
        Sets focus to a control on the form.
        Use FocusControl to set focus to a control on the form.
        Control is a TWinControl object encapsulating the control on which to set focus. FocusControl sets the ActiveControl property."""
    def GetChildren(self, Proc: Callable[[Component],None], Root: Component) -> None:
        '''TCustomForm.GetChildren(Proc: Callable[[Component], None], Root: Component) -> None
        Returns the "child" components of the form; that is, those components that return the form from their GetParentComponent method.
        The component streaming system calls GetChildren to request that the form execute a callback for every child component in the form. The callback must execute in creation order (the order the child components appear in the form file). A child component is defined as any component that returns this form from its GetParentComponent method.
        Proc is the callback to execute for every child component.
        Root specifies the top-level component (such as a form or data module) that is currently being loaded or saved.
        In TCustomForm, GetChildren first calls the inherited method, which executes Proc for every control that lists the form as its Parent. Then, if the Root parameter identifies this form, GetChildren executes Proc for every child component that does not have a Parent.'''
    def GetFormImage(self, *args, **kwargs) -> Any:
        """返回表单的位图。
        使用 GetFormImage 方法获取表单的位图。"""
    def Hide(self, *args, **kwargs) -> Any:
        """隐藏表单。
        Hide 将 Visible 属性设置为 false。"""
    def IsShortCut(self, Message: WMKey) -> 布尔：
        """TCustomForm.IsShortCut(消息: WMKey) -> bool
        当表单具有焦点时处理快捷键。
        当用户在窗体具有焦点时按下某个键时，会自动调用 IsShortCut。它允许表单调度快捷键并绕过标准击键处理（OnKeyDown、OnKeyPress 和 OnKeyUp 事件）。
        Message 参数封装了描述按键的 Windows 消息。如果该键的快捷方式存在，IsShortCut 会执行相应的命令并返回 true。否则 IsShortCut 返回 false。
        IsShortCut 生成 OnShortCut 事件以允许开发人员插入表单的快捷方式。如果 OnShortCut 事件处理程序未处理击键，IsShortCut 将检查与窗体菜单和操作关联的任何快捷方式。"""
    def LoadProps(self) -> Any:
        """TForm.LoadProps()
        从 .pydfm 文件加载属性"""
    def MakeFullyVisible(self, AMonitor: Monitor) -> None:
        """TCustomForm.MakeFullyVisible(AMonitor: 监视器) -> 无
        确保表单在指定的监视器上完全可见。
        调用 MakeFullyVisible 以确保表单不会在多显示器应用程序中显示为拆分在多个显示器上。
        AMonitor 是应显示表单的监视器。如果 AMonitor 为 nil (Delphi) 或 NULL (C++)，则 MakeFullyVisible 使用 Monitor 属性。
        MakeFullyVisible 检查表单是否完全适合指定的显示器。如果不合适，它会重新定位表单以使其适合（如果可能）。"""
    def MouseWheelHandler(self, Message: Message) -> None:
        """TCustomForm.MouseWheelHandler(消息：消息) -> 无
        将鼠标滚轮消息定向到适当的控件。
        当窗体或窗体中包含的任何窗口控件收到来自鼠标滚轮的消息时，将自动调用 MouseWheelHandler。 Message 参数封装了消息。
        正如在 TCustomForm 中实现的那样，MouseWheelHandler 不执行任何特殊处理，而只是通过调用其 Perform 方法将消息重定向到活动控件。默认情况下，Perform 方法会生成适当的鼠标滚轮事件。"""
    def Print(self, *args, **kwargs) -> Any:
        """打印表单。
调用 Print 打印表单。Print 使用 GetFormImage 方法获取表单的位图并将其绘制到打印机的 HDC。"""
    def RecreateAsPopup(self, AWindowHandle: int) -> None:
        """TCustomForm.RecreateAsPopup(AWindowHandle: int) -> None
Embarcadero Technologies 目前没有任何其他信息。"""
    def Release(self) -> Any:
        """TForm.Release()
释放（销毁）包装的表单"""
    def ScaleForCurrentDPI(self, *args, **kwargs) -> Any:
        """检查 Dpi 是否发生变化，并执行必要的更改以缩放新 Dpi 的所有控件。"""
    def ScaleForPPI(self, NewPPI: int) -> None:
        """TCustomForm.ScaleForPPI(NewPPI: int) -> 无
        Embarcadero Technologies 目前没有任何其他信息。"""
    def SendCancelMode(self, Sender: Control) -> None:
        """TCustomForm.SendCancelMode（发件人：控制）-> 无
        取消表单上的模式。
        使用SendCancelMode 释放鼠标捕获并取消窗体上的滚动条输入和菜单处理。"""
    def SetFocus(self, *args, **kwargs) -> Any:
        """将焦点设置到表单。
        使用 SetFocus 为表单提供输入焦点。 SetFocus 调用活动控件的 SetFocus 方法（如果存在）。要确定窗体是否具有焦点，请使用 Active 属性。"""
    def SetFocusedControl(self, 控制： WinControl) -> 布尔：
        """TCustomForm.SetFocusedControl(控制： WinControl) -> bool
        将焦点设置到窗体上的控件。
        使用 SetFocusedControl 为表单输入焦点提供控件。如果 Control 参数指定的 Control 已在接收焦点，则 SetFocusedControl 返回 false，否则返回 true。
        
        注意：返回值 true 并不表示控件已成功接收输入焦点。如果 Control 无法获得焦点（例如，如果它不可见），SetFocusedControl 仍将返回 true，表明已进行尝试。"""
    def Show(self, *args, **kwargs) -> Any:
        """显示表格。
        使用 Show 将窗体的 Visible 属性设置为 true 并将窗体置于屏幕上其他窗体的前面。"""
    def ShowModal(self) -> Any:
        """TForm.ShowModal()
        将包装的表单显示为模态表单"""
    def UpdateDesignerCaption(self, AVisible: bool, AUpdateFrame: bool) -> None:
        """TCustomForm.UpdateDesignerCaption(AVsible: bool, AUpdateFrame: bool) -> 无
        Embarcadero Technologies 目前没有任何其他信息。"""
    def WantChildKey(self, Child: Control, Message: Message) -> 布尔：
        """TCustomForm.WantChildKey(子: 控制, 消息: 消息) -> bool
        指示窗体是否处理其拥有的控件的键盘输入。
        当控件接收键盘输入时，窗体拥有的任何控件都会调用 WantChildKey。如果 WantChildKey 返回 true，则控件不会执行进一步的处理来响应键盘输入，而是推迟到其父窗体来响应击键。在其默认实现中，WantChildKey 始终返回 false；它在 TAc​​tiveForm 中被重写以实现某些 ActiveX 功能。"""
    def set_PopupParent(self, Value: CustomForm) -> None:
        """TCustomForm.set_PopupParent(Value: CustomForm) -> None
        Embarcadero Technologies 目前没有任何其他信息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomGrid(CustomControl):
    """TCustomGrid 是所有在二维网格中呈现信息的组件的基本类型。
    定义以表格格式表示信息的组件时，使用 TCustomGrid 作为基类。 TCustomGrid 引入了属性和方法来控制网格的外观和行为，包括对鼠标操作和用户编辑的响应。
    不要创建 TCustomGrid 的实例。相反，通过实例化 TCustomGrid 的后代将网格控件放入表单中。使用 TDrawGrid 来表示表格网格中的非文本材料。对于文本，请使用 TStringGrid 对象。如果文本表示数据集中的字段值，请使用 TDBGrid。"""
    __hash__: ClassVar[None] = ...
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    IsUpdating: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    ParentWindow: Any
    """引用父级的底层控制。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BeginUpdate(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomGrid.Create(AOwner: Component) -> None
创建 TCustomGrid 的一个实例。
调用 Create 在运行时创建网格控件。设计时放置在表单上的网格控件会自动创建。
Owner 是一个组件，负责释放网格并在将其保存到表单文件时启动流式处理。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TCustomGrid 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证网格引用不为零，然后才调用 Destroy。"""
    def EndUpdate(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def MouseCoord(self, X: int, Y: int) -> GridCoord:
        """TCustomGrid.MouseCoord(X: int, Y: int) -> GridCoord
        返回包含屏幕坐标中指定点的单元格的行索引和列索引。
        调用 MouseCoord 来定位包含给定屏幕坐标的单元格的列和行。通常，MouseCoord 用于定位鼠标下方的单元格。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def TextWidthToColWidth(self, ATextLength: int, ACaption: str, AColumnObj: Object) -> 整数：
        """TCustomGrid.TextWidthToColWidth(ATextLength: int, ACaption: str, AColumnObj: Object) -> int
        Embarcadero Technologies 目前没有任何其他信息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomImageList(BaseImageList):
    """Delphi TCustomImageList 的包装"""
    __hash__: ClassVar[None] = ...
    AllocBy: int
    """整数："""
    BkColor: int
    """整数："""
    BlendColor: int
    """整数："""
    颜色深度： ColorDepth
    """颜色深度："""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    绘图风格： DrawingStyle
    """绘图风格："""
    GrayscaleFactor: int
    """整数："""
    Handle: int
    """整数："""
    Height: int
    """整数："""
    图像类型： ImageType
    """图像类型："""
    Masked: bool
    """布尔："""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    Owner: Any
    """返回组件所有者"""
    Scaling: bool
    """布尔："""
    ShareImages: bool
    """布尔："""
    Width: int
    """整数："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Add(self, Image: Bitmap, Mask: Bitmap) -> 整数：
        """TCustomImageList.Add(图像：位图，掩码：位图) -> int"""
    def AddDisabledImage(self, Value: CustomImageList, Index: int) -> 整数：
        """TCustomImageList.AddDisabledImage(值：CustomImageList，索引：int) -> int"""
    def AddDisabledImages(self, Value: CustomImageList) -> None:
        """TCustomImageList.AddDisabledImages（值：CustomImageList）->无"""
    def AddIcon(self, Image: Icon) -> 整数：
        """TCustomImageList.AddIcon(Image: Icon) -> int"""
    def AddImage(self, Value: CustomImageList, Index: int) -> 整数：
        """TCustomImageList.AddImage(值：CustomImageList，索引：int) -> int"""
    def AddImages(self, Value: CustomImageList) -> None:
        """TCustomImageList.AddImages(值: CustomImageList) -> 无"""
    def AddMasked(self, Image: Bitmap, MaskColor: int) -> 整数：
        """TCustomImageList.AddMasked(图像: 位图, MaskColor: int) -> int"""
    @overload
    def Assign(self, Source: Persistent) -> None:
        """TCustomImageList.Assign(Source: Persistent) -> None
复制另一个类似对象的内容。
Assign 将指定 Source 对象的属性和其他属性复制到当前对象。调用 Assign 的标准形式是：

Destination.Assign(Source); {Delphi}

Destination->Assign(Source); // C++

告诉当前对象将 Source 对象的内容复制到自身。
大多数对象会重写 Assign 来处理来自类似对象的属性分配。重写 Assign 时，如果目标对象无法处理来自 Source 参数的类的属性分配，则调用继承的方法。
如果没有重写的 Assign 方法可以处理来自 Source 的属性分配，则 TPersistent 中实现的方法将调用源对象的 AssignTo 方法。这允许源对象处理分配。如果 Source 对象为 nil（Delphi）或 NULL（C++），则 Assign 会引发 EConvertError 异常。
通常，语句

Destination := Source; {Delphi}

Destination = Source; // C++

与以下语句不同

Destination.Assign(Source); {Delphi}

Destination->Assign(Source); // C++

赋值运算符使 Destination 引用与 Source 相同的对象，而 Assign 方法将 Source 引用的对象的内容复制到 Destination 引用的对象中。

注意：某些属性的类型也是对象。如果这些属性具有使用 Assign 设置属性值的书面方法，那么在这些情况下，赋值运算符执行的操作与 Assign 方法相同。"""
    @overload
    def Assign(self, Source) -> Any:
        """TCustomImageList.Assign(Source: Persistent) -> None
复制另一个类似对象的内容。
Assign 将指定 Source 对象的属性和其他属性复制到当前对象。调用 Assign 的标准形式是：

Destination.Assign(Source); {Delphi}

Destination->Assign(Source); // C++

告诉当前对象将 Source 对象的内容复制到自身。
大多数对象会重写 Assign 来处理来自类似对象的属性分配。重写 Assign 时，如果目标对象无法处理来自 Source 参数的类的属性分配，则调用继承的方法。
如果没有重写的 Assign 方法可以处理来自 Source 的属性分配，则 TPersistent 中实现的方法将调用源对象的 AssignTo 方法。这允许源对象处理分配。如果 Source 对象为 nil（Delphi）或 NULL（C++），则 Assign 会引发 EConvertError 异常。
通常，语句

Destination := Source; {Delphi}

Destination = Source; // C++

与以下语句不同

Destination.Assign(Source); {Delphi}

Destination->Assign(Source); // C++

赋值运算符使 Destination 引用与 Source 相同的对象，而 Assign 方法将 Source 引用的对象的内容复制到 Destination 引用的对象中。

注意：某些属性的类型也是对象。如果这些属性具有使用 Assign 设置属性值的书面方法，那么在这些情况下，赋值运算符执行的操作与 Assign 方法相同。"""
    @overload
    def Assign(self, Source) -> Any:
        """TCustomImageList.Assign(Source: Persistent) -> None
复制另一个类似对象的内容。
Assign 将指定 Source 对象的属性和其他属性复制到当前对象。调用 Assign 的标准形式是：

Destination.Assign(Source); {Delphi}

Destination->Assign(Source); // C++

告诉当前对象将 Source 对象的内容复制到自身。
大多数对象会重写 Assign 来处理来自类似对象的属性分配。重写 Assign 时，如果目标对象无法处理来自 Source 参数的类的属性分配，则调用继承的方法。
如果没有重写的 Assign 方法可以处理来自 Source 的属性分配，则 TPersistent 中实现的方法将调用源对象的 AssignTo 方法。这允许源对象处理分配。如果 Source 对象为 nil（Delphi）或 NULL（C++），则 Assign 会引发 EConvertError 异常。
通常，语句

Destination := Source; {Delphi}

Destination = Source; // C++

与以下语句不同

Destination.Assign(Source); {Delphi}

Destination->Assign(Source); // C++

赋值运算符使 Destination 引用与 Source 相同的对象，而 Assign 方法将 Source 引用的对象的内容复制到 Destination 引用的对象中。

注意：某些属性的类型也是对象。如果这些属性具有使用 Assign 设置属性值的书面方法，那么在这些情况下，赋值运算符执行的操作与 Assign 方法相同。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def CheckIndexAndName(self, AIndex: int, AName: str) -> None:
        """TCustomImageList.CheckIndexAndName（AIndex：int，AName：str）->无"""
    def Clear(self, *args, **kwargs) -> Any: ...
    def Create(self, AOwner: Component) -> None:
        """TCustomImageList.Create(AOwner: Component) -> 无
        分配内存并构造安全初始化的组件实例。
        所有对象都有一个构造对象的 Create 方法。 TComponent 重新定义了 Create，以便对于组件，Create 还可以：
        
        建立组件与其所有者的关系，如 AOwner 参数所示。
        将 ComponentStyle 属性设置为 csInheritable，这意味着该组件可以由后代表单类型继承。
        无需显式创建在表单设计器中添加的组件。这些组件在应用程序运行时自动创建，并在应用程序关闭时销毁。
        对于以编程方式创建的组件（即不是在表单设计器中创建的组件），请调用 Create 并将所有者组件作为 AOwner 参数传递。当组件被毁坏时，所有者将对其进行处置。如果组件不被拥有，则在需要销毁时使用 Free。
        
        提示：将 Self 作为 Owner 参数传递时，请考虑 Self 引用的内容。如果一个组件在其一个方法中创建另一个组件，则 Self 引用第一个组件，而不是正在创建的组件，该组件随后由第一个组件拥有。
        注意：TComponent 构造函数部分是虚拟的，以允许类引用的多态实例化。这对于流系统和表单设计器至关重要。声明新组件的 Create 构造函数时，不要忘记使用 override 指令。"""
    def CreateSize(self, AWidth: int, AHeight: int) -> None:
        """TCustomImageList.CreateSize(AWidth: int, AHeight: int) -> None"""
    def Delete(self, Index: int) -> None:
        """TCustomImageList.Delete(Index: int) -> None"""
    def Destroy(self, *args, **kwargs) -> Any:
        """处置组件及其拥有的组件。
        不要直接调用 Destroy。请拨打免费电话。 Free 验证组件不为零，然后才调用 Destroy。
        切勿在组件自己的事件处理程序之一中显式释放组件，也不要从其拥有或包含的组件的事件处理程序中释放组件。
        要销毁表单，请调用其 Release 方法。 Release 会等待所有表单的事件处理程序和表单组件的事件处理程序完成执行，然后再销毁表单。
        
        注意：表单拥有在设计模式下放置在其上的所有控件和非可视组件。当它被释放时，所有这些组件也会自动释放。默认情况下，所有表单均归全局 Application 对象所有。当应用程序终止时，它会释放全局 Application 对象，从而释放所有表单。对于不是组件的对象，以及使用 nil 所有者创建的组件，请务必在完成对象后调用 Free；否则分配给该对象的内存将丢失，直到应用程序终止。"""
    def Draw(self, 帆布： Canvas, X: int, Y: int, Index: int, Enabled: bool) -> None:
        """TCustomImageList.Draw(帆布： Canvas, X: int, Y: int, Index: int, Enabled: bool) -> None"""
    def DrawOverlay(self, 帆布： Canvas, X: int, Y: int, ImageIndex: int, Overlay: int, Enabled: bool) -> None:
        """TCustomImageList.DrawOverlay(帆布： Canvas, X: int, Y: int, ImageIndex: int, Overlay: int, Enabled: bool) -> None"""
    def FileLoad(self, ResType: ResType, Name: str, MaskColor: int) -> 布尔：
        """TCustomImageList.FileLoad(ResType: ResType, Name: str, MaskColor: int) -> bool"""
    def GetBitmap(self, Index: int, Image: Bitmap) -> 布尔：
        """TCustomImageList.GetBitmap(索引：int，图像：位图) -> bool"""
    def GetHotSpot(self, *args, **kwargs) -> Any: ...
    def GetIcon(self, Index: int, Image: Icon) -> None:
        """TCustomImageList.GetIcon(Index: int, Image: Icon) -> None"""
    def GetImageBitmap(self, *args, **kwargs) -> Any: ...
    def GetIndexByName(self, AName: str) -> 整数：
        """TCustomImageList.GetIndexByName(AName: str) -> int"""
    def GetInstRes(self, Instance: int, ResType: ResType, Name: str, Width: int, LoadFlags: LoadResources, MaskColor: int) -> 布尔：
        """TCustomImageList.GetInstRes（实例：int，ResType：ResType，名称：str，宽度：int，LoadFlags：LoadResources，MaskColor：int）-> bool"""
    def GetMaskBitmap(self, *args, **kwargs) -> Any: ...
    def GetNameByIndex(self, AIndex: int) -> 字符串：
        """TCustomImageList.GetNameByIndex(AIndex: int) -> str"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def GetResource(self, ResType: ResType, Name: str, Width: int, LoadFlags: LoadResources, MaskColor: int) -> 布尔：
        """TCustomImageList.GetResource（ResType：ResType，名称：str，宽度：int，LoadFlags：LoadResources，MaskColor：int）-> bool"""
    def HandleAllocated(self, *args, **kwargs) -> Any: ...
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def Insert(self, Index: int, Image: Bitmap, Mask: Bitmap) -> None:
        """TCustomImageList.Insert（索引：int，图像：位图，掩码：位图）->无"""
    def InsertIcon(self, Index: int, Image: Icon) -> None:
        """TCustomImageList.InsertIcon(Index: int, Image: Icon) -> None"""
    def InsertMasked(self, Index: int, Image: Bitmap, MaskColor: int) -> None:
        """TCustomImageList.InsertMasked（索引：int，图像：位图，MaskColor：int）->无"""
    def IsImageNameAvailable(self, *args, **kwargs) -> Any: ...
    def IsScaled(self, *args, **kwargs) -> Any: ...
    def Move(self, CurIndex: int, NewIndex: int) -> None:
        """TCustomImageList.Move(CurIndex: int, NewIndex: int) -> None"""
    def Overlay(self, ImageIndex: int, Overlay: int) -> 布尔：
        """TCustomImageList.Overlay(ImageIndex: int, Overlay: int) -> bool"""
    def RegisterChanges(self, Value: ChangeLink) -> None:
        """TCustomImageList.RegisterChanges（值：ChangeLink）->无"""
    def Replace(self, Index: int, Image: Bitmap, Mask: Bitmap) -> None:
        """TCustomImageList.Replace（索引：int，图像：位图，掩码：位图）->无"""
    def ReplaceIcon(self, Index: int, Image: Icon) -> None:
        """TCustomImageList.ReplaceIcon(Index: int, Image: Icon) -> None"""
    def ReplaceMasked(self, Index: int, NewImage: Bitmap, MaskColor: int) -> None:
        """TCustomImageList.ReplaceMasked（索引：int，NewImage：位图，MaskColor：int）->无"""
    def ResInstLoad(self, Instance: int, ResType: ResType, Name: str, MaskColor: int) -> 布尔：
        """TCustomImageList.ResInstLoad（实例：int，ResType：ResType，名称：str，MaskColor：int）-> bool"""
    def ResourceLoad(self, ResType: ResType, Name: str, MaskColor: int) -> 布尔：
        """TCustomImageList.ResourceLoad(ResType: ResType, Name: str, MaskColor: int) -> bool"""
    def SetSize(self, AWidth: int, AHeight: int) -> None:
        """TCustomImageList.SetSize(AWidth: int, AHeight: int) -> 无"""
    def UnRegisterChanges(self, Value: ChangeLink) -> None:
        """TCustomImageList.UnRegisterChanges（值：ChangeLink）->无"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomLinkControlToField(LinkControlToFieldDelegate):
    """表示用于将控件链接到字段的基类。
    TCustomLinkControlToField 类实现将控件链接到数据源中的字段的功能。
    
    提示：如果方向是双向的，则控件必须支持 IEditLinkObserver 接口。"""
    __hash__: ClassVar[None] = ...
    Active: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    AutoActivate: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    Binding: ExpressionsBindComponent
    """ExpressionsBind组件：Embarcadero Technologies 目前没有任何其他信息。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    控制： Component
    """组件：Embarcadero Technologies 目前没有任何其他信息。"""
    ControlMemberName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    CustomFormat: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    CustomParse: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Direction: LinkControlToFieldDirection
    """LinkControlToFieldDirection：Embarcadero Technologies 目前没有任何其他信息。"""
    FieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupDataSource: BaseLinkingBindSource
    """BaseLinkingBindSource：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupKeyFieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupValueFieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Owner: Any
    """返回组件所有者"""
    Track: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    UseEvalShortcuts: bool
    """布尔： Determines whether this binding component delegate uses evaluation shortcuts (True) or not (False)."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def ClearExpressionProperties(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomLinkControlToField.Create(AOwner: Component) -> 无
        创建 TContainedBindComponent 类的实例。
        Data.Bind.Components.TCustomLinkControlToField.Create 继承自 Data.Bind.Components.TContainedBindComponent.Create。此行下面的所有内容均引用 Data.Bind.Components.TContainedBindComponent.Create。
        创建 TContainedBindComponent 类的实例。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TContainedBindComponent 类的实例。
        Data.Bind.Components.TCustomLinkControlToField.Destroy 继承自 Data.Bind.Components.TContainedBindComponent.Destroy。此行下面的所有内容均引用 Data.Bind.Components.TContainedBindComponent.Destroy。
        销毁 TContainedBindComponent 类的实例。"""
    def GenerateExpressions(self, Sender: Component) -> None:
        """TCustomLinkControlToField.GenerateExpressions(Sender: Component) -> 无
        自动生成此委托所包装的快速绑定组件的绑定表达式。
        Data.Bind.Components.TCustomLinkControlToField.GenerateExpressions 继承自 Data.Bind.Components.TBindComponentDelegate.GenerateExpressions。此行下面的所有内容均引用 Data.Bind.Components.TBindComponentDelegate.GenerateExpressions。
        自动生成此委托所包装的快速绑定组件的绑定表达式。有关快速绑定组件的更多信息，请参阅新 LiveBinding 主题的快速绑定组件参考部分。"""
    def GetDelegates(self, *args, **kwargs) -> Any:
        """获取此包装器绑定组件用于执行表达式并响应用户输入的委托（或包含的）绑定组件。
        Data.Bind.Components.TCustomLinkControlToField.GetDelegates 继承自 Data.Bind.Components.TBindComponentDelegate.GetDelegates。此行下面的所有内容均引用 Data.Bind.Components.TBindComponentDelegate.GetDelegates。
        获取此包装器绑定组件用于执行表达式并响应用户输入的委托（或包含的）绑定组件。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomLinkLabel(WinControl):
    """Delphi TCustomLinkLabel 的包装"""
    __hash__: ClassVar[None] = ...
    结盟： CustomLinkLabel.TLinkAlignment
    """CustomLinkLabel.TLink结盟："""
    AutoSize: bool
    """布尔： Specifies whether the control sizes itself automatically to accommodate its contents.
        Use AutoSize to specify whether the control sizes itself automatically. When AutoSize is True, the control resizes automatically when its contents change.
        By default, AutoSize is False."""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnLinkClick: Callable[[Object,str,SysLinkType],None]
    """Callable[[Object, str, SysLinkType], None]:"""
    ParentWindow: Any
    """引用父级的底层控制。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    UseVisualStyle: bool
    """布尔："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomLinkLabel.Create(AOwner: Component) -> 无
        创建 TWinControl 的实例。
        调用 Create 来构造并初始化一个新控件，并将新构造的控件插入到其所有者中，如 AOwner 参数所指定的那样。 Create 通过调用所有者的 InsertComponent 方法将控件插入所有者中。
        大多数控件都会重写 Create 以初始化其独特的属性。重写 Create 方法的对象必须始终首先调用继承的 Create 方法，然后继续进行特定于组件的初始化。重写 Create 方法时指定重写指令。
        如果组件的 Create 方法分配资源或内存，请重写 Destroy 方法以释放这些资源。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomLinkListControlToField(LinkControlToFieldDelegate):
    """表示用于将列表控件链接到字段的基类。
    TCustomLinkListControlToField 类实现将列表控件（例如 TListBox）链接到字段的功能。
    
    提示：如果方向是双向的，则控件必须支持 IEditLinkObserver 接口。"""
    __hash__: ClassVar[None] = ...
    Active: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    AutoActivate: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    AutoBufferCount: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    BindLink: CustomBindGridListLink
    """CustomBindGridListLink：Embarcadero Technologies 目前没有任何其他信息。"""
    BufferCount: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    控制： Component
    """组件：Embarcadero Technologies 目前没有任何其他信息。"""
    ControlMemberName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    CustomFormat: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    CustomParse: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Direction: LinkControlToFieldDirection
    """LinkControlToFieldDirection：Embarcadero Technologies 目前没有任何其他信息。"""
    FieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    FillBreakCustomFormat: str
    """字符串： Specifies a custom expression that is used with the field defined by the FillBreakFieldName property. For instance, the expression StrCopy(%s, 0, 1); causes a break when the first character of the field is different. This property is optional."""
    FillBreakFieldName: str
    """字符串： Specifies the field used to determine a break. This property is optional."""
    FillBreakGroups: FillBreakGroups
    """FillBreakGroups：指定中断值范围的集合。中断值属于该集合中的一个项目。与该项目关联的显示值显示在标题中。该属性是可选的。"""
    FillExpressions: FormatExpressions
    """FormatExpressions：指定填充列表控件时要使用的附加可选表达式。当需要多个表达式来填充列表中的项目时，请使用此集合。
        例如，您可以使用 FillExpressions 来填充 FireMonkey 列表框项目的 Text 和 Detail 属性。使用 FillDisplayCustomFormat 和 FillDisplayCustomFormat 属性可以填充 Text 属性并向 FillExpressions 集合中添加一个项目作为 Detail 属性。"""
    FillHeaderCustomFormat: str
    """str：指定与 FillHeaderFieldName 属性定义的字段一起使用的自定义表达式。例如，表达式 StrCopy(%s, 0, 1);显示标题中字段的第一个字符。该属性是可选的。"""
    FillHeaderExpressions: FormatExpressions
    """FormatExpressions：指定填充列表标题的表达式集合。该属性是可选的。"""
    FillHeaderFieldName: str
    """字符串： Specifies the field to display in the list header. If FillBreakFieldName and FillBreakCustomFormat are blank, then the value determined using FillHeaderFieldName and FillBreakCustomFormat controls breaks. This is the only required field to cause breaking."""
    ListItemStyle: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    OnFilledList: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnFilled项目清单： Callable[[Object,IBindListEditorItem],None]
    """可调用[[对象，IBindListEditorItem]，无]："""
    OnFillingList: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnFilling项目清单： Callable[[Object,IBindListEditorItem],None]
    """可调用[[对象，IBindListEditorItem]，无]："""
    Owner: Any
    """返回组件所有者"""
    UseEvalShortcuts: bool
    """布尔： Determines whether this binding component delegate uses evaluation shortcuts (True) or not (False)."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def ClearExpressionProperties(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomLinkListControlToField.Create(AOwner: Component) -> 无
        创建 TContainedBindComponent 类的实例。
        Data.Bind.Components.TCustomLinkListControlToField.Create 继承自 Data.Bind.Components.TContainedBindComponent.Create。此行下面的所有内容均引用 Data.Bind.Components.TContainedBindComponent.Create。
        创建 TContainedBindComponent 类的实例。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TContainedBindComponent 类的实例。
        Data.Bind.Components.TCustomLinkListControlToField.Destroy 继承自 Data.Bind.Components.TContainedBindComponent.Destroy。此行下面的所有内容均引用 Data.Bind.Components.TContainedBindComponent.Destroy。
        销毁 TContainedBindComponent 类的实例。"""
    def FillList(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def GenerateExpressions(self, Sender: Component) -> None:
        """TCustomLinkListControlToField.GenerateExpressions(Sender: Component) -> 无
        自动生成此委托所包装的快速绑定组件的绑定表达式。
        Data.Bind.Components.TCustomLinkListControlToField.GenerateExpressions 继承自 Data.Bind.Components.TBindComponentDelegate.GenerateExpressions。此行下面的所有内容均引用 Data.Bind.Components.TBindComponentDelegate.GenerateExpressions。
        自动生成此委托所包装的快速绑定组件的绑定表达式。有关快速绑定组件的更多信息，请参阅新 LiveBinding 主题的快速绑定组件参考部分。"""
    def GetDelegates(self, *args, **kwargs) -> Any:
        """获取此包装器绑定组件用于执行表达式并响应用户输入的委托（或包含的）绑定组件。
        Data.Bind.Components.TCustomLinkListControlToField.GetDelegates 继承自 Data.Bind.Components.TBindComponentDelegate.GetDelegates。此行下面的所有内容均引用 Data.Bind.Components.TBindComponentDelegate.GetDelegates。
        获取此包装器绑定组件用于执行表达式并响应用户输入的委托（或包含的）绑定组件。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomLinkPropertyToField(LinkPropertyToFieldDelegate):
    """表示用于将组件的属性链接到字段的基类。
    TCustomLinkPropertyToField 类实现将组件的属性链接到字段的功能。
    
    提示：不使用观察者监视对此组件的用户输入。"""
    __hash__: ClassVar[None] = ...
    Active: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    AutoActivate: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    BindLink: CustomBindLink
    """CustomBindLink：Embarcadero Technologies 目前没有任何其他信息。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    CustomFormat: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupDataSource: BaseLinkingBindSource
    """BaseLinkingBindSource：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupKeyFieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupValueFieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def CanActivate(self, Sender: Component) -> 布尔：
        """TCustomLinkPropertyToField.CanActivate(发件人：组件) -> bool
        让包装绑定组件指示是否可以激活委托（或包含的）绑定组件。
        Data.Bind.Components.TCustomLinkPropertyToField.CanActivate 继承自 Data.Bind.Components.TBindComponentDelegate.CanActivate。此行下面的所有内容均引用 Data.Bind.Components.TBindComponentDelegate.CanActivate。
        让包装绑定组件指示是否可以激活委托（或包含的）绑定组件。
        如果可以激活委托（或包含的）绑定组件，则 CanActivate 方法返回 True，否则返回 False。"""
    def ClearGeneratedExpressions(self, Sender: Component) -> None:
        """TCustomLinkPropertyToField.ClearGeneratedExpressions（发件人：组件）-> 无
        立即清除此委托所包装的快速绑定组件的所有生成的绑定表达式。
        Data.Bind.Components.TCustomLinkPropertyToField.ClearGenerateExpressions 继承自 Data.Bind.Components.TBindComponentDelegate.ClearGenerateExpressions。此行下面的所有内容均引用 Data.Bind.Components.TBindComponentDelegate.ClearGenerateExpressions。
        立即清除此委托所包装的快速绑定组件的所有生成的绑定表达式。有关快速绑定组件的更多信息，请参阅新 LiveBinding 主题的快速绑定组件参考部分。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomLinkPropertyToField.Create(AOwner: Component) -> 无
        创建 TContainedBindComponent 类的实例。
        Data.Bind.Components.TCustomLinkPropertyToField.Create 继承自 Data.Bind.Components.TContainedBindComponent.Create。此行下面的所有内容均引用 Data.Bind.Components.TContainedBindComponent.Create。
        创建 TContainedBindComponent 类的实例。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TContainedBindComponent 类的实例。
        Data.Bind.Components.TCustomLinkPropertyToField.Destroy 继承自 Data.Bind.Components.TContainedBindComponent.Destroy。此行下面的所有内容均引用 Data.Bind.Components.TContainedBindComponent.Destroy。
        销毁 TContainedBindComponent 类的实例。"""
    def GenerateExpressions(self, Sender: Component) -> None:
        """TCustomLinkPropertyToField.GenerateExpressions(Sender: Component) -> 无
        自动生成此委托所包装的快速绑定组件的绑定表达式。
        Data.Bind.Components.TCustomLinkPropertyToField.GenerateExpressions 继承自 Data.Bind.Components.TBindComponentDelegate.GenerateExpressions。此行下面的所有内容均引用 Data.Bind.Components.TBindComponentDelegate.GenerateExpressions。
        自动生成此委托所包装的快速绑定组件的绑定表达式。有关快速绑定组件的更多信息，请参阅新 LiveBinding 主题的快速绑定组件参考部分。"""
    def GetDelegates(self, *args, **kwargs) -> Any:
        """获取此包装器绑定组件用于执行表达式并响应用户输入的委托（或包含的）绑定组件。
        Data.Bind.Components.TCustomLinkPropertyToField.GetDelegates 继承自 Data.Bind.Components.TBindComponentDelegate.GetDelegates。此行下面的所有内容均引用 Data.Bind.Components.TBindComponentDelegate.GetDelegates。
        获取此包装器绑定组件用于执行表达式并响应用户输入的委托（或包含的）绑定组件。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def Loaded(self, *args, **kwargs) -> Any:
        """在将表单文件读入内存后初始化组件。
Data.Bind.Components.TCustomLinkPropertyToField.Loaded 继承自 System.Classes.TComponent.Loaded。此行以下的所有内容均引用 System.Classes.TComponent.Loaded。
在将表单文件读入内存后初始化组件。
不要调用受保护的 Loaded 方法。流式系统在从流中加载组件的表单后调用此方法。
当流式系统从其表单文件加载表单或数据模块时，它首先通过调用其构造函数来构造表单组件，然后从表单文件中读取其属性值。在读取所有组件的所有属性值后，流式系统将按照组件的创建顺序调用每个组件的 Loaded 方法。这使组件有机会初始化任何依赖于其他组件或其自身其他部分的值的数据。

注意：在调用 Loaded 时，将解析对同级组件的所有引用。 Loaded 是同级指针在流式传输后可以使用的第一个位置。

正如在 TComponent 中实现的那样，Loaded 会清除 ComponentState 属性中的 csLoading 标志，表示组件不再加载。

警告：在继承形式上可能会多次调用 Loaded。每次流式传输一层继承时都会调用它。不要在重写的 Loaded 方法中分配内存，除非先检查内存在之前的调用中是否已分配。"""
    def RequiresControlHandler(self, *args, **kwargs) -> Any:
        """内部用于观察目的。
        Data.Bind.Components.TCustomLinkPropertyToField.RequiresControlHandler 继承自 Data.Bind.Components.TBindComponentDelegate.RequiresControlHandler。此行下面的所有内容均引用 Data.Bind.Components.TBindComponentDelegate.RequiresControlHandler。
        内部用于观察目的。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomListControl(WinControl):
    """Delphi TCustomListControl 的包装"""
    __hash__: ClassVar[None] = ...
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    ItemIndex: int
    """整数："""
    ParentWindow: Any
    """引用父级的底层控制。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def AddItem(self, Item: str, A目的： Object) -> None:
        """TCustomListControl.AddItem(Item: str, A目的： Object) -> None"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Clear(self, *args, **kwargs) -> Any: ...
    def ClearSelection(self, *args, **kwargs) -> Any: ...
    def CopySelection(self, Destination: CustomListControl) -> None:
        """TCustomListControl.CopySelection（目标：CustomListControl）->无"""
    def Create(self, AOwner: Component) -> None:
        """TCustomListControl.Create(AOwner: Component) -> 无
        创建 TWinControl 的实例。
        调用 Create 来构造并初始化一个新控件，并将新构造的控件插入到其所有者中，如 AOwner 参数所指定的那样。 Create 通过调用所有者的 InsertComponent 方法将控件插入所有者中。
        大多数控件都会重写 Create 以初始化其独特的属性。重写 Create 方法的对象必须始终首先调用继承的 Create 方法，然后继续进行特定于组件的初始化。重写 Create 方法时指定重写指令。
        如果组件的 Create 方法分配资源或内存，请重写 Destroy 方法以释放这些资源。"""
    def DeleteSelected(self, *args, **kwargs) -> Any: ...
    def GetCount(self, *args, **kwargs) -> Any: ...
    def MoveSelection(self, Destination: CustomListControl) -> None:
        """TCustomListControl.MoveSelection（目标：CustomListControl）->无"""
    def SelectAll(self, *args, **kwargs) -> Any: ...
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomListView(CustomMultiSelectListControl):
    """Delphi TCustomListView 的包装"""
    __hash__: ClassVar[None] = ...
    Bounding矩形： Rect
    """矩形："""
    帆布： Canvas
    """帆布："""
    Checkboxes: bool
    """布尔："""
    Column: ListColumn
    """列表栏："""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    DropTarget: ListItem
    """项目清单："""
    FlatScrollBars: bool
    """布尔："""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    FullDrag: bool
    """布尔："""
    GridLines: bool
    """布尔："""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    HotTrack: bool
    """布尔："""
    HotTrackStyles: ListHotTrackStyles
    """列出 HotTrack 样式："""
    ItemFocused: ListItem
    """项目清单："""
    Items: ListItems
    """列表项目："""
    ParentWindow: Any
    """引用父级的底层控制。"""
    RowSelect: bool
    """布尔："""
    SelCount: int
    """整数："""
    Selected: ListItem
    """项目清单："""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TopItem: ListItem
    """项目清单："""
    ViewOrigin: Point
    """Po整数："""
    VisibleRowCount: int
    """整数："""
    工作领域： WorkAreas
    """工作领域："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def AddItem(self, Item: str, A目的： Object) -> None:
        """TCustomListView.AddItem(Item: str, A目的： Object) -> None"""
    def AlphaSort(self, *args, **kwargs) -> Any: ...
    def Arrange(self, Code: ListArrangement) -> None:
        """TCustomListView.Arrange（代码：ListArrangement）->无"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Clear(self, *args, **kwargs) -> Any: ...
    def ClearSelection(self, *args, **kwargs) -> Any: ...
    def CopySelection(self, Destination: CustomListControl) -> None:
        """TCustomListView.CopySelection（目标：CustomListControl）->无"""
    def Create(self, AOwner: Component) -> None:
        """TCustomListView.Create(AOwner: Component) -> 无
        创建 TWinControl 的实例。
        调用 Create 来构造并初始化一个新控件，并将新构造的控件插入到其所有者中，如 AOwner 参数所指定的那样。 Create 通过调用所有者的 InsertComponent 方法将控件插入所有者中。
        大多数控件都会重写 Create 以初始化其独特的属性。重写 Create 方法的对象必须始终首先调用继承的 Create 方法，然后继续进行特定于组件的初始化。重写 Create 方法时指定重写指令。
        如果组件的 Create 方法分配资源或内存，请重写 Destroy 方法以释放这些资源。"""
    def CustomSort(self, SortProc: Callable[[int,int,int],int], lParam: int) -> 布尔：
        """TCustomListView.CustomSort(SortProc: Callable[[int, int, int], int], lParam: int) -> bool"""
    def DeleteSelected(self, *args, **kwargs) -> Any: ...
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TWinControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TWinControl 引用不为零，然后才调用 Destroy。"""
    def FindCaption(self, StartIndex: int, Value: str, Partial: bool, Inclusive: bool, Wrap: bool) -> 项目清单：
        """TCustomListView.FindCaption(StartIndex: int, 值: str, 部分: bool, 包含: bool, Wrap: bool) -> ListItem"""
    def FindData(self, StartIndex: int, Value: Pointer, Inclusive: bool, Wrap: bool) -> 项目清单：
        """TCustomListView.FindData(StartIndex: int, Value: Pointer, Inclusive: bool, Wrap: bool) -> ListItem"""
    def GetCount(self, *args, **kwargs) -> Any: ...
    def GetDragImages(self, *args, **kwargs) -> Any:
        """返回控件的图像列表，其中包含拖动时要显示的图像。
        重写 GetDragImages 为控件提供自定义图像列表。正如在 TControl 中实现的那样，GetDragImages 返回 nil (Delphi) 或 NULL (C++)。"""
    def GetHitTestInfoAt(self, X: int, Y: int) -> HitTests:
        """TCustomListView.GetHitTestInfoAt(X: int, Y: int) -> HitTests"""
    def GetItemAt(self, X: int, Y: int) -> 项目清单：
        """TCustomListView.GetItemAt(X: int, Y: int) -> ListItem"""
    def GetNearestItem(self, Po整数： Point, Direction: SearchDirection) -> 项目清单：
        """TCustomListView.GetNearestItem(点：点，方向：SearchDirection) -> ListItem"""
    def GetNextItem(self, StartItem: ListItem, Direction: SearchDirection, States: ItemStates) -> 项目清单：
        """TCustomListView.GetNextItem（StartItem：ListItem，方向：SearchDirection，状态：ItemStates）-> ListItem"""
    def GetSearchString(self, *args, **kwargs) -> Any: ...
    def IsEditing(self, *args, **kwargs) -> Any: ...
    def Scroll(self, DX: int, DY: int) -> None:
        """TCustomListView.Scroll(DX: int, DY: int) -> 无"""
    def SelectAll(self, *args, **kwargs) -> Any: ...
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def StringWidth(self, S: str) -> 整数：
        """TCustomListView.StringWidth(S: str) -> int"""
    def UpdateItems(self, FirstIndex: int, LastIndex: int) -> None:
        """TCustomListView.UpdateItems(FirstIndex: int, LastIndex: int) -> 无"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomMemo(CustomEdit):
    """TCustomMemo 是备忘录组件的基本类型，备忘录组件是多行编辑框，包括 TMemo 和 TDBMemo。
    TCustomMemo 引入了新的属性和方法来扩展 TCustomEdit 处理多行编辑框的功能。
    不要创建 TCustomMemo 的实例。声明实现多行编辑控件的控件对象时，使用 TCustomMemo 作为基类。 TCustomMemo 的属性和方法提供了后代类继承的基本行为以及组件可以重写以自定义其行为的行为。"""
    __hash__: ClassVar[None] = ...
    CaretPos: Point
    """点：指示插入符号在备忘录客户区中的位置。
        使用 CaretPos 确定光标的坐标。 CaretPos 定义屏幕上的位置（以字符为单位），原点位于备忘录的左上角。 X 指定点的水平坐标，Y 指定点的垂直坐标。
        要仅根据文本字符（而不是 X/Y 位置）确定插入符号的位置，请使用 SelStart 属性。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    EditMargins: EditMargins
    """EditMargins：Embarcadero Technologies 目前没有任何其他信息。"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    Lines: Strings
    """字符串： Contains the individual lines of text in the memo control.
        Use Lines to manipulate text in an memo control on a line-by-line basis. Lines is a TStrings object, so the TStrings methods may be used for Lines to perform manipulations such as counting the lines of text, adding new lines, deleting lines, or replacing lines with new text. For example:
        
        MyMemo.Lines.Add(...);
        
        To work with all the text at once, use the Text property. To manipulate individual lines of text, the Lines property works better.
        
        Note:  Although Lines is implemented as a TStrings descendant, it does not implement the support for associating objects with the strings in the list."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    SelStart: Any
    """返回/设置光标的位置。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomMemo.Create(AOwner: Component) -> None
创建并初始化 TCustomMemo 的实例。
调用 Create 来实例化 TCustomMemo 对象。
AOwner 是负责释放备忘录对象的组件（通常是表单）。这将成为 Owner 属性的值。
覆盖 Create 方法的派生对象应在进行任何其他初始化之前调用继承的 Create。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TCustomMemo 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 检查 TCustomMemo 引用是否为 nil，然后才调用 Destroy。
        Destroy 在调用继承的析构函数之前释放实现 Lines 属性的 TStrings 对象。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomMemoryStream(Stream):
    """TCustomMemoryStream 是一个抽象基类，用作内存流的共同祖先。
    定义可以传输存储在内存中的数据的流对象时，使用 TCustomMemoryStream 作为基类。内存流对于提供对存储在难以访问的介质中的数据的类似文件的访问非常有用。创建内存流时，数据可以移动到内部内存缓冲区。在操作内存流中的数据之后，当内存流被破坏时，可以将数据写出到其实际存储介质。
    不要实例化 TCustomMemoryStream 的实例。它是一个抽象类，实现所有内存流通用的行为。要使用内存流的实例，请使用 TCustomMemoryStream 的后代之一，例如 TMemoryStream 或 TResourceStream。"""
    __hash__: ClassVar[None] = ...
    ClassName: Any
    """返回 TObject.ClassName"""
    Memory: Pointer
    """指针：提供对为内存流分配的内存池的直接访问。
        使用 Memory 来访问流的内存。流的存储器保存通过存储器流传输的数据。 Size 是分配的内存字节数，Position 是内存中的当前位置。
        
        注意：内存是只读属性。内存可用于更改内存的内容，但要设置流使用的实际内存，TCustomMemoryStream 的后代必须通过调用 SetPointer 方法分配一个指向内存缓冲区的指针。"""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    def Read(self, Buffer, Count: int) -> 整数：
        """TCustomMemoryStream.Read(Buffer, Count: int) -> int
        从内存流读取最多 Count 个字节到 Buffer 中，并将流的当前位置前进读取的字节数。
        使用 Read 将内存流的内容从当前位置开始读入缓冲区。 Read 将从内存中的当前位置读取最多 Count 个字节。如果 Count 字节超出内存缓冲区的末尾，Read 将仅将数据传输到相关内存缓冲区的末尾。 Read 返回实际传输到 Buffer 的字节数，并相应地前进当前位置。如果返回值小于Count，则表示读取到流数据末尾。
        内存流的所有其他数据读取方法（ReadBuffer、ReadComponent）均调用 Read 来进行实际读取。
        
        注意：Read 将 Count 视为上限。相比之下，如果无法读取 Count 个字节，则 ReadBuffer 方法会引发异常。"""
    def ReadBytes(self) -> Any:
        """TPyDelphiStream.ReadBytes()
        以字节形式读取内容。"""
    def ReadFloat(self) -> Any:
        """TPyDelphiStream.ReadFloat()
        将内容读取为浮动。"""
    def ReadInt(self) -> Any:
        """TPyDelphiStream.ReadInt()
        将内容读取为整数。"""
    def ReadString(self) -> Any:
        """TPyDelphiStream.ReadString()
        将内容读取为字符串。"""
    def SaveToFile(self, FileName: str) -> None:
        """TCustomMemoryStream.SaveToFile(FileName: str) -> 无
        将内存流的全部内容写入具有给定文件名的文件。
        使用 SaveToFile 将 Memory 的内容写入文件。 SaveToFile 允许应用程序写出内存流的内容，而无需显式创建和释放文件流对象。如果文件已经存在，当前文件内容将被新文件完全替换。如果无法创建或打开指定的文件，SaveToFile 将引发 EFCreateError 异常。"""
    def SaveToStream(self, Stream: Stream) -> None:
        """TCustomMemoryStream.SaveToStream(Stream: Stream) -> 无
        将内存流的全部内容写入 Stream 指定的流对象。
        使用 SaveToStream 将内存中存储的数据复制到另一个存储介质中。 SaveToStream 将 Memory 的全部内容写入指定的流对象，从作为参数传递的流中的当前位置开始。
        当 Stream 参数是 TFileStream 对象时，SaveToStream 执行的操作与 SaveToFile 方法基本相同。但是，SaveToStream 写入目标流中的当前位置。因此，例如，SaveToStream 可用于将 Memory 的内容附加到文件流，而不是像 SaveToFile 那样替换文件的内容。
        如果内存流的全部内容无法写入目标流，SaveToStream 会引发 EWriteError 异常。"""
    def Seek(self, Offset: int, Origin: SeekOrigin) -> 整数：
        """TCustomMemoryStream.Seek(Offset: int, Origin: SeekOrigin) -> int
        将流的当前位置相对于 Origin 指定的原点移动 Offset 字节。
        使用 Seek 将内存流中的当前位置移动指定的偏移量。 Seek 允许应用程序读取或写入与内存流关联的内存中的特定位置。
        如果 Offset 为负数，则从指定原点向后查找。下表显示了 Origin 的不同值及其在查找时的含义：
        
        
        
        价值
        
        意义
        
        
        
        所以开始
        
        
        
        偏移量是从内存的开头开始的。 Seek 移动到 Offset 位置。偏移量必须 >= 0。
        
        
        
        
        如此电流
        
        
        
        偏移量是从当前位置开始的。寻找移动到位置+偏移。
        
        
        
        
        如此结束
        
        
        
        偏移量是从内存末尾开始的。偏移量必须 <= 0 以指示内存缓冲区末尾之前的字节数。
        
        
        Seek 返回 Position 属性的新值。
        
        注意：Seek 不会对为 Offset 提供的值进行错误检查。不要使用会使当前位置移动小于 0（在内存开始之前）或大于 Size（超出内存缓冲区末尾）的偏移量来调用 Seek。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    def WriteBytes(self) -> Any:
        """TPyDelphiStream.WriteBytes()
        将内容写入字节。"""
    def WriteFloat(self) -> Any:
        """TPyDelphiStream.WriteFloat()
        将内容写入浮动。"""
    def WriteInt(self) -> Any:
        """TPyDelphiStream.WriteInt()
将内容写入整数。"""
    def WriteString(self) -> Any:
        """TPyDelphiStream.WriteString()
        将内容写入字符串。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomMultiSelectListControl(CustomListControl):
    """Delphi TCustomMultiSelectListControl 的包装"""
    __hash__: ClassVar[None] = ...
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    MultiSelect: bool
    """布尔："""
    ParentWindow: Any
    """引用父级的底层控制。"""
    SelCount: int
    """整数："""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomNumberBox(CustomEdit):
    """TCustomEdit 是派生所有编辑框和备注控件的基类。
    Vcl.NumberBox.TCustomNumberBox 继承自Vcl.StdCtrls.TCustomEdit。该行以下的所有内容均引用Vcl.StdCtrls.TCustomEdit。
    TCustomEdit 是派生所有编辑框和备注控件的基类。
    TCustomEdit 通过引入提供以下功能的方法和属性来封装所有用于编辑文本的组件共有的行为：
    基本的文本编辑功能，例如选择文本、修改所选文本和大小写转换。
    对文本内容变化做出反应的能力。
    文本的访问控制，使其只读或引入密码字符来隐藏实际值。
    不要创建 TCustomEdit 的实例。在声明允许用户输入或修改文本的控件对象时，使用 TCustomEdit 作为基类。 TCustomEdit 的属性和方法提供了后代类继承的基本行为以及组件可以重写以自定义其行为的行为。"""
    __hash__: ClassVar[None] = ...
    AcceptExpressions: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    CurrencyFormat: NumberBoxCurrencyFormat
    """NumberBoxCurrencyFormat：Embarcadero Technologies 目前没有任何其他信息。"""
    CurrencyString: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Decimal: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    DisplayFormat: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    LargeStep: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    MaxValue: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    MinValue: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    Mode: NumberBoxMode
    """NumberBoxMode：Embarcadero Technologies 目前没有任何其他信息。"""
    NegativeValueColor: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    OnChangeValue: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnEvaluateExpression: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnValidateChar: Any
    """可调用[[unicodechr(str), bool], None]:"""
    ParentWindow: Any
    """引用父级的底层控制。"""
    SelStart: Any
    """返回/设置光标的位置。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    SmallStep: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    SpinButtonOptions: NumberBoxSpinButtonOptions
    """NumberBoxSpinButtonOptions: Embarcadero Technologies 目前没有任何其他信息。"""
    UseMouseWheel: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    UseNaNValue: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    UseUpDownKeys: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    Value: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    ValueCurrency: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    ValueFloat: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    ValueInt: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    Wrap: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomNumberBox.Create(AOwner: Component) -> 无
        创建 TCustomEdit 的实例。
        Vcl.NumberBox.TCustomNumberBox.Create 继承自 Vcl.StdCtrls.TCustomEdit.Create。该行以下所有内容均引用Vcl.StdCtrls.TCustomEdit.Create。
        创建 TCustomEdit 的实例。
        调用 Create 创建并初始化 TCustomEdit 的实例。
        AOwner 是另一个组件，通常是表单，负责释放编辑控件。它成为所有者财产的价值。
        重写 Create 方法的派生对象应在执行任何其他初始化之前调用继承的 Create。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TWinControl 的实例。
        Vcl.NumberBox.TCustomNumberBox.Destroy 继承自 Vcl.Controls.TWinControl.Destroy。该行以下的所有内容均引用Vcl.Controls.TWinControl.Destroy。
        销毁 TWinControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TWinControl 引用不为零，然后才调用 Destroy。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomPrototypeBindSource(BaseObjectBindSource):
    """是实现用于创建示例数据的绑定源的基类。
    如果您想创建自己的自定义原型绑定源，那么您应该从 TCustomPrototypeBindSource 派生您的类。设计应用程序时，可以从工具选项板中使用 TPrototypeBindSource。"""
    __hash__: ClassVar[None] = ...
    AutoEdit: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    AutoPost: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    DataGenerator: CustomDataGeneratorAdapter
    """CustomDataGeneratorAdapter：Embarcadero Technologies 目前没有任何其他信息。"""
    FieldDefs: GeneratorFieldDefs
    """GeneratorFieldDefs：Embarcadero Technologies 目前没有任何其他信息。"""
    Owner: Any
    """返回组件所有者"""
    RecordCount: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Create(self, AOwner: Component) -> None:
        """TCustomPrototypeBindSource.Create(AOwner: Component) -> 无
        分配内存并构造安全初始化的组件实例。
        Data.Bind.ObjectScope.TCustomPrototypeBindSource.Create 继承自 System.Classes.TComponent.Create。该行下面的所有内容均引用System.Classes.TComponent.Create。
        分配内存并构造安全初始化的组件实例。
        所有对象都有一个构造对象的 Create 方法。 TComponent 重新定义了 Create，以便对于组件，Create 还可以：
        
        建立组件与其所有者的关系，如 AOwner 参数所示。
        将 ComponentStyle 属性设置为 csInheritable，这意味着该组件可以由后代表单类型继承。
        无需显式创建在表单设计器中添加的组件。这些组件在应用程序运行时自动创建，并在应用程序关闭时销毁。
        对于以编程方式创建的组件（即不是在表单设计器中创建的组件），请调用 Create 并将所有者组件作为 AOwner 参数传递。当组件被毁坏时，所有者将对其进行处置。如果组件不被拥有，则在需要销毁时使用 Free。
        
        提示：将 Self 作为 Owner 参数传递时，请考虑 Self 引用的内容。如果一个组件在其一个方法中创建另一个组件，则 Self 引用第一个组件，而不是正在创建的组件，该组件随后由第一个组件拥有。
        注意：TComponent 构造函数部分是虚拟的，以允许类引用的多态实例化。这对于流系统和表单设计器至关重要。声明新组件的 Create 构造函数时，不要忘记使用 override 指令。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomStatusBar(WinControl):
    """TCustomStatusBar 是表示状态栏的对象的基类。
    TCustomStatusBar 组件是状态栏控件的基类。状态栏由一排面板组成，通常排列在窗体的底部，用于显示应用程序运行时的信息。每个面板都由 Panels 属性中列出的 TStatusPanel 对象表示。
    TCustomStatusBar 仅用作基类。要将状态栏添加到窗体，请使用 TCustomStatusBar 后代，例如 TStatusBar。"""
    __hash__: ClassVar[None] = ...
    AutoH整数： bool
    """布尔： Specifies whether the status bar's text is set automatically to the current hint.
        Use AutoHint to specify whether the status bar's text is set automatically to the current hint. When AutoHint is True, the status bar automatically responds to hint actions by displaying the long version of the hint's text in the first panel."""
    帆布： Canvas
    """Canvas：提供对状态栏绘图表面的运行时访问。
        只读 Canvas 属性提供对状态栏绘图表面的访问，您可以在实现 OnDrawPanel 事件的处理程序时使用该表面。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnCreatePanelClass: Callable[[CustomStatusBar,StatusPanelClass],None]
    """可调用[[CustomStatusBar，StatusPanelClass]，无]："""
    OnDrawPanel: Callable[[CustomStatusBar,StatusPanel,Rect],None]
    """可调用[[CustomStatusBar，StatusPanel，矩形]，无]："""
    OnH整数： Callable[[Object],None]
    """可调用[[对象]，无]："""
    Panels: StatusPanels
    """StatusPanels：列出状态栏中的面板（TStatusPanel 对象）。
        Panels 属性保存一个 TStatusPanels，即 TStatusPanel 对象的集合。在设计时，您可以使用面板编辑器添加、删除或修改面板。要打开面板编辑器，请在对象检查器中选择面板属性，然后双击右侧的值列或单击省略号 (...) 按钮。
        在设计时，您可以使用面板编辑器添加、删除或修改面板：
        
        要从对象检查器打开面板编辑器，请选择面板属性，然后双击右侧的值列或单击省略号 (...) 按钮。
        要从表单设计器打开面板编辑器，请右键单击 TStatusBar 并从上下文菜单中选择面板编辑器。"""
    ParentWindow: Any
    """引用父级的底层控制。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    SimplePanel: bool
    """bool：决定状态栏是显示单个面板还是多个面板。
        如果 SimplePanel 设置为 True，则状态栏包含一个以 SimpleText 形式显示文本的面板。如果 SimplePanel 设置为 False，状态栏会为其 Panels 属性中的每个项目显示一个单独的面板。
        
        注意：当 SimplePanel 为 False 时，无法使用 SimpleText 属性在状态栏中显示文本。相反，您必须在面板对象之一上设置 Text 属性。"""
    SimpleText: str
    """str：包含 SimplePanel 为 True 时要在状态面板中显示的文本字符串。

注意：Microsoft Windows XP 及更早版本将字符串的大小限制为 127 个字符。在 Microsoft Windows Vista、Windows 7 或更高版本的 Windows 操作系统下，SimpleText 没有这样的限制。"""
    SizeGrip: bool
    """布尔： Determines whether the status bar is resizable at run time.
        If SizeGrip is set to True, the status bar has a triangular grip on the lower right corner. The user can resize the status bar by dragging the grip with the mouse.
        A size grip will not be drawn unless the Parent property refers to the child of a TCustomForm descendant with a BorderStyle of bsSizeable or bsSizeToolWin.
        
        Note: If Align is set to alBottom, alRight, or alClient, the sizing grip will not work. If the Alignment property of the last panel in the status bar is set to taRightJustify, the sizing grip will truncate the panel's text."""
    UseSystem字体： bool
    """布尔： Specifies whether the status bar uses the system font.
        UseSystemFont specifies whether the status bar uses the system font. To change fonts, use the Font property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomStatusBar.Create(AOwner: Component) -> 无
        创建并初始化 TCustomStatusBar 组件。
        Create 方法创建一个状态栏及其画布和状态面板。
        AOwner 是一个组件，通常是表单，它成为 Owner 属性的值。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TCustomStatusBar 并释放其内存。
        不要直接调用 Destroy。相反，请使用 Free 方法，该方法在调用 Destroy 之前检查 nil 对象。
        Destroy 方法会销毁状态栏及其画布和状态面板。"""
    def ExecuteAction(self, Action: BasicAction) -> 布尔：
        """TCustomStatusBar.ExecuteAction(Action: BasicAction) -> bool
处理状态栏的操作。
执行操作时，应用程序会进行一系列调用以响应该操作。如果在此处理过程中，应用程序将状态栏标识为操作的潜在目标，则会调用状态栏的 ExecuteAction 方法。
如果操作在提示操作 (THintAction) 中，ExecuteAction 将检查 AutoHint 属性，如果为 True，则显示提示并返回 True。否则，它允许继承的方法响应任何其他操作。
Action 参数指定调用的操作。
如果操作已成功分派，则 ExecuteAction 返回 true，如果组件无法处理该操作，则返回 false。"""
    def FlipChildren(self, AllLevels: bool) -> None:
        """TCustomStatusBar.FlipChildren(AllLevels: bool) -> 无
        反转状态栏面板的位置。
        FlipChildren 遍历状态栏的面板，颠倒它们的顺序，但保持它们的属性不变。
        AllLevels 指定是否应在控件的子级上递归调用 FlipChildren。反转面板时，TCustomStatusBar 会忽略此参数。"""
    def SetBounds(self, ALeft: int, ATop: int, AWidth: int, AHeight: int) -> None:
        """TCustomStatusBar.SetBounds(ALeft: int, ATop: int, AWidth: int, AHeight: int) -> 无
        一次性设置 Left、Top、Width 和 Height 属性。
        TCustomStatusBar 覆盖 SetBounds 以更新大小夹点。
        ALeft、ATop、AWidth 和 AHeight 分别指定 Left、Top、Width 和 Height 属性的新值。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomStyleServices(Object):
    """TCustomStyleServices 是一个提供对样式功能的访问的类。
    使用 TCustomStyleServices 的方法和属性来获取有关样式的信息或执行自定义控件的绘制。
    不要实例化 TCustomStyleServices；相反，调用 StyleServices 函数来访问 TCustomStyleServices 的方法和属性。"""
    __hash__: ClassVar[None] = ...
    Available: bool
    """布尔： Determines whether the operating system supports styles.
        Use Available to check whether the operating system supports styles."""
    ClassName: Any
    """返回 TObject.ClassName"""
    DesigningState: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    Enabled: bool
    """布尔： Determines whether styles are enabled for the current application.
        Use Enabled to check whether the current application has styles enabled."""
    Flags: CustomStyleServices.TStyleFlags
    """CustomStyleServices.TStyleFlags：返回为当前样式设置的标志。
        使用 Flags 获取为当前样式设置的标志。"""
    IsSystemStyle: bool
    """布尔： Determines whether the current style is a system style.
        IsSystemStyle returns True if the current style is a default operating system style, and False if it is a custom style."""
    Name: str
    """字符串： Returns the name of the current style.
        Use Name to obtain a string that represents the name of the current style. This is the same name you can use with StyleManager.SetStyle to activate the style."""
    OnThemeChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    Theme: int
    """整数："""
    ThemeForDPI: int
    """整数："""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def ApplyThemeChange(self, *args, **kwargs) -> Any:
        """重置应用程序主题。
        每当操作系统主题更改时，TApplication 对象都会自动调用ApplyThemeChange。
        
        注意：ApplyThemeChange 由 VCL 内部使用，不应由应用程序手动调用。"""
    def ColorToRGB(self, Color: int, Details: PhemedElementDetails) -> 整数：
        """TCustomStyleServices.ColorToRGB（颜色：int，详细信息：PhemedElementDetails）-> int
        获取指定 TColor 的颜色参考。
        使用 ColorToRGB 将 Color 参数转换为其 RGB 表示形式。
        如果Details不为nil，该函数返回为当前样式下的Color定义的系统颜色。例如，如果 Color 为 clBtnFace，则该函数返回为当前样式的按钮面定义的系统颜色，作为 TColorRef 值。\r
        获取指定 TColor 的颜色参考。
        使用 ColorToRGB 将 Color 参数转换为其 RGB 表示形式。
        如果Details不为nil，该函数返回为当前样式下的Color定义的系统颜色。例如，如果 Color 为 clBtnFace，则该函数返回为当前样式的按钮面定义的系统颜色，作为 TColorRef 值。"""
    def ContentRect(self, DC: int, Details: ThemedElementDetails, Bounding矩形： Rect) -> 矩形：
        """TCustomStyleServices.ContentRect(DC: int, 详细信息: ThemedElementDetails, Bounding矩形： 矩形) -> 矩形"""
    def Create(self, *args, **kwargs) -> Any:
        """Constructs an object and initializes its data before the object is first used.
        Vcl.Themes.TCustomStyleServices.Create inherits from System.TObject.Create. All content below this line refers to System.TObject.Create.
        构造一个对象并在首次使用该对象之前初始化其数据。
        Create 构造一个对象。对象的用途、大小和行为差异很大。 TObject 定义的 Create 构造函数分配内存但不初始化数据。
        后代对象通常定义一个构造函数来创建特定类型的对象并初始化其数据。
        
        注意：如果异常从构造函数中逃逸，则会调用对象的析构函数来清理失败的实例。"""
    def DrawEdge(self, DC: int, Details: ThemedElementDetails, R: Rect, Edges: int, Flags: int, Content矩形： PRect) -> 布尔：
        """TCustomStyleServices.DrawEdge（DC：int，详细信息：ThemedElementDetails，R：矩形，边缘：int，标志：int，ContentRect：PRect）-> bool
        绘制包含当前样式元素的矩形的一条或多条边。
        调用 DrawEdge 绘制给定元素的一条或多条边。
        Edge 表示内边缘和外边缘的类型，Flags 指定边框的类型。
        
        注意：该方法的第一个重载已被弃用；请改用第二个重载。\r
        绘制包含当前样式元素的矩形的一条或多条边。
        调用 DrawEdge 绘制给定元素的一条或多条边。
        Edge 表示内边缘和外边缘的类型，Flags 指定边框的类型。
        
        注意：该方法的第一个重载已被弃用；请改用第二个重载。"""
    def DrawElement(self, DC: int, Details: ThemedElementDetails, R: Rect, Clip矩形： Rect, DPI: int) -> 布尔：
        """TCustomStyleServices.DrawElement（DC：int，详细信息：ThemedElementDetails，R：矩形，ClipRect：矩形，DPI：int）-> bool
        绘制指定元素。
        调用 DrawElement 使用当前样式绘制 Details 指定的元素。
        R 是绘制元素的矩形，ClipRect 是剪切矩形。\r
        绘制指定元素。
        调用 DrawElement 使用当前样式绘制 Details 指定的元素。
        R 是绘制元素的矩形，ClipRect 是剪切矩形。"""
    def DrawIcon(self, DC: int, Details: ThemedElementDetails, R: Rect, Images: int, Index: int) -> 布尔：
        """TCustomStyleServices.DrawIcon（DC：int，详细信息：ThemedElementDetails，R：矩形，图像：int，索引：int）-> bool
        在给定元素上绘制图标。
        调用DrawIcon绘制位于Images指定的图像列表中Index索引处的图像。该图标绘制在由 R 指定的矩形中，位于由“详细信息”指示的元素上方。"""
    def DrawParentBackground(self, Window: int, Target: int, Details: PhemedElementDetails, OnlyIfTransparent: bool, Bounds: Rect) -> 布尔：
        """TCustomStyleServices.DrawParentBackground（窗口：int，目标：int，详细信息：PhemedElementDetails，OnlyIfTransparent：bool，边界：矩形）-> bool
        绘制给定用户界面元素的父元素的背景。
        调用 DrawParentBackground 使用当前样式绘制用户界面元素的父元素的背景。
        如果 OnlyIfTransparent 为 True，则仅当元素在当前样式中透明时才执行绘制。 Bounds 表示要绘制的区域。\r
        绘制给定用户界面元素的父元素的背景。
        调用 DrawParentBackground 使用当前样式绘制用户界面元素的父元素的背景。
        如果 OnlyIfTransparent 为 True，则仅当元素在当前样式中透明时才执行绘制。 Bounds 表示要绘制的区域。\r
        绘制给定用户界面元素的父元素的背景。
        调用 DrawParentBackground 使用当前样式绘制用户界面元素的父元素的背景。
        如果 OnlyIfTransparent 为 True，则仅当元素在当前样式中透明时才执行绘制。 Bounds 表示要绘制的区域。"""
    def DrawText(self, DC: int, Details: ThemedElementDetails, S: str, R: Rect, Flags: int, Flags2: int, DPI: int) -> 布尔：
        """TCustomStyleServices.DrawText（DC：int，详细信息：ThemedElementDetails，S：str，R：矩形，Flags：int，Flags2：int，DPI：int）-> bool
        使用当前样式在元素上绘制文本。
        调用DrawText在R指定的矩形中绘制S字符串。S字符串具有Flags和Options参数指示的格式和附加选项。使用当前样式的设置执行绘图。
        
        注意：此函数的第一个重载已被弃用。使用以下两个使用 TTextFormat 的重载来指定文本格式。\r
        使用当前样式在元素上绘制文本。
        调用DrawText在R指定的矩形中绘制S字符串。S字符串具有Flags和Options参数指示的格式和附加选项。使用当前样式的设置执行绘图。
        
        注意：此函数的第一个重载已被弃用。使用以下两个使用 TTextFormat 的重载来指定文本格式。\r
        使用当前样式在元素上绘制文本。
        调用DrawText在R指定的矩形中绘制S字符串。S字符串具有Flags和Options参数指示的格式和附加选项。绘图是使用当前样式的设置进行的。
        
        注意：此函数的第一个重载已被弃用。使用以下两个重载，它们使用 TTextFormat 来指定文本格式。"""
    def GetElementColor(self, Details: ThemedElementDetails, ElementColor: ElementColor, Color: int) -> 布尔：
        """TCustomStyleServices.GetElementColor（详细信息：ThemedElementDetails，ElementColor：ElementColor，颜色：int）-> bool
        确定由“详细信息”指定的元素的颜色。
        GetElementColor 确定用于由 ElementColor 确定的属性的颜色值。"""
    def GetElementContentRect(self, DC: int, Details: ThemedElementDetails, Bounding矩形： Rect, Content矩形： Rect) -> 布尔：
        """TCustomStyleServices.GetElementContentRect(DC: int, Details: ThemedElementDetails, Bounding矩形： Rect, Content矩形： Rect) -> bool
        Gets the background rectangle of the content area of the element.
        Call GetElementContentRect to retrieve the rectangle that contains the background area of a control, when styles are enabled. 
        Details represents the user interface element from which the information is being retrieved."""
    def GetElementMargins(self, DC: int, Details: ThemedElementDetails, ElementMargin: ElementMargin, Margins: _MARGINS, DPI: int) -> 布尔：
        """TCustomStyleServices.GetElementMargins(DC: int, Details: ThemedElementDetails, ElementMargin: ElementMargin, Margins: _MARGINS, DPI: int) -> bool
确定当前样式中元素的边距。
调用 GetElementMargins 以检索由 Details 指定的控件的边距。\r
确定当前样式中元素的边距。
调用 GetElementMargins 以检索由 Details 指定的控件的边距。"""
    def GetElementRegion(self, Details: ThemedElementDetails, 矩形： Rect, Region: int) -> 布尔：
        """TCustomStyleServices.GetElementRegion（详细信息：ThemedElementDetails，矩形：矩形，区域：int）-> bool
        确定当前样式中元素的区域。
        调用 GetElementRegion 获取以给定矩形为边界的元素区域。\r
        确定当前样式中元素的区域。
        调用 GetElementRegion 获取以给定矩形为边界的元素区域。"""
    def GetElementSize(self, DC: int, Details: ThemedElementDetails, ElementSize: ElementSize, Size: Size, DPI: int) -> 布尔：
        """TCustomStyleServices.GetElementSize(DC: int, 详细信息: ThemedElementDetails, ElementSize: ElementSize, 大小: Size, DPI: int) -> bool
        确定控件指定部分的大小。
        调用 GetElementSize 获取包含由 Details 指定的控件部分的矩形的大小。
        ElementSize 表示要返回的大小类型: 最小值、实际值或拉伸值。\r
        确定控件指定部分的大小。
        调用 GetElementSize 获取包含由 Details 指定的控件部分的矩形的大小。
        ElementSize 表示要返回的大小类型：最小、实际或拉伸。"""
    def GetStyleColor(self, Color: StyleColor) -> 整数：
        """TCustomStyleServices.GetStyleColor(Color: StyleColor) -> int
返回由 Color 指定的元素在样式中定义的颜色。
使用 GetStyleColor 获取为某个控件定义的颜色。
例如，如果 Color 为 scButtonPressed，则 GetStyleColor 返回按下按钮时分配的颜色。
样式颜色使您可以访问当前样式中控件使用的颜色。 样式颜色有两种类别。 第一类包括直接从图像呈现的控件部分使用的颜色。 在这种情况下，样式颜色为您提供了一种访问该图像颜色的方法，并且仅提供信息。 第二类包括在运行时从代码呈现的控件使用的颜色（面板、列表框、网格等）。"""
    def GetStyleFontColor(self, 字体： StyleFont) -> 整数：
        """TCustomStyleServices.GetStyleFontColor(字体： StyleFont) -> int
返回 Font 指定元素的字体颜色。
调用 GetStyleFontColor 获取当前样式中为控件的特定部分和状态定义的字体颜色。
例如，如果 Font 为 sfEditBoxDisabled，则当编辑框被禁用时，GetStyleFontColor 将返回编辑框中文本的颜色。"""
    def GetSystemColor(self, Color: int) -> 整数：
        """TCustomStyleServices.GetSystemColor(Color: int) -> int
        返回当前样式中定义的系统颜色。
        当前样式有一组为系统颜色常量定义的颜色，类似于样式颜色。例如，您可以使用 clBtnFace 调用 GetSystemColor 来获取按钮表面的样式颜色。"""
    def GetTextExtent(self, DC: int, Details: ThemedElementDetails, Text: str, Flags: TextFormat, Extent矩形： Rect) -> 布尔：
        """TCustomStyleServices.GetTextExtent(DC: int, Details: ThemedElementDetails, Text: str, Flags: TextFormat, Extent矩形： Rect) -> bool
        Returns the rectangle that contains the given text, drawn in the current style.
        Call GetTextExtent to obtain the rectangle required to draw the given text with the specified formatting in the current style.\r
        Returns the rectangle that contains the given text, drawn in the current style.
        Call GetTextExtent to obtain the rectangle required to draw the given text with the specified formatting in the current style."""
    def GetTheme(self, Element: ThemedElement) -> 整数：
        """TCustomStyleServices.GetTheme(元素：ThemedElement) -> int"""
    def GetThemeForDPI(self, Element: ThemedElement, DPI: int) -> 整数：
        """TCustomStyleServices.GetThemeForDPI（元素：ThemedElement，DPI：int）-> int"""
    def HasElementFixedPosition(self, Details: ThemedElementDetails) -> 布尔：
        """TCustomStyleServices.HasElementFixedPosition（详细信息：ThemedElementDetails）-> bool
        Embarcadero Technologies 目前没有任何其他信息。"""
    def HasTransparentParts(self, Details: ThemedElementDetails) -> 布尔：
        """TCustomStyleServices.HasTransparentParts（详细信息：ThemedElementDetails）-> bool
        确定给定元素是否具有透明部分。
        调用HasTransparentParts检查Details指定的元素在当前样式中是否有透明部分。"""
    @classmethod
    def IsValidStyle(cls, Stream: Stream) -> 布尔：
        """TCustomStyleServices.IsValidStyle(Stream: Stream) -> bool
        检查提供的样式是否是有效的样式。
        调用 IsValidStyle 验证 Stream 指定的样式是否为有效样式。\r
        检查提供的样式是否是有效的样式。
        调用IsValidStyle验证Stream指定的样式是否为有效样式。"""
    @classmethod
    def LoadFromFile(cls, FileName: str) -> 定制风格服务：
        """TCustomStyleServices.LoadFromFile(FileName: str) -> CustomStyleServices
        从指定文件加载样式。
        调用 LoadFromFile 从指定文件加载样式。"""
    def PaintBorder(self, 控制： WinControl, EraseLRCorner: bool) -> None:
        """TCustomStyleServices.PaintBorder(控制： WinControl, EraseLRCorner: bool) -> None
        Draws the border of a control.
        Call PaintBorder to draw the border of a control using the current style."""
    def SaveToFile(self, FileName: str) -> None:
        """TCustomStyleServices.SaveToFile(FileName: str) -> 无
        将当前样式设置保存到指定文件。
        调用 SaveToFile 将当前样式保存到指定文件名中。"""
    def ThemesAvailable(self, *args, **kwargs) -> Any: ...
    def ThemesEnabled(self, *args, **kwargs) -> Any: ...
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomTabControl(WinControl):
    """TCustomTabControl 是选项卡控件组件（例如 TTabControl 和 TPageControl）的基本类型。
    定义顶部包含一组笔记本样式选项卡的控件时，使用 TCustomTabControl 作为基类。 TCustomTabControl 引入了许多属性、方法和事件来管理选项卡的外观和行为，并在用户选择选项卡之一时进行响应。
    
    注意：使用其中一个页面控件时，如果要限制用户切换到选项卡，则不能将 TTabSheet.Enabled 设置为 false 来实现该限制。相反，请使用 OnChanging 事件来阻止用户选择选项卡。"""
    __hash__: ClassVar[None] = ...
    帆布： Canvas
    """画布：允许访问选项卡控件的画布。
        在 OnDrawTab 事件期间使用 Canvas 在选项卡控件的画布上进行绘制。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    ParentWindow: Any
    """引用父级的底层控制。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomTabControl.Create(AOwner: Component) -> 无
        创建并初始化 TCustomTabControl 的实例。
        调用 Create 在运行时实例化选项卡控件。在设计时放置在窗体上的选项卡控件是自动创建的。 Create 调用继承的 Create 方法并设置选项卡控件的初始值，包括创建包含选项卡文本字符串的选项卡列表。
        AOwner 是一个组件，通常是表单，负责释放选项卡控件。它成为所有者财产的价值。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TCustomTabControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请使用免费。 Free 检查选项卡控件是否为 nil，然后才调用 Destroy。 Destroy 释放保存选项卡文本字符串列表的选项卡列表，并调用继承的析构函数。"""
    def GetHitTestInfoAt(self, X: int, Y: int) -> HitTests:
        '''TCustomTabControl.GetHitTestInfoAt(X: int, Y: int) -> HitTests
        Returns information about the location of a point relative to the client area of the tab control.
        Call GetHitTestInfoAt to determine what portion of the tab control, if any, sits under the point specified by the X and Y parameters.
        GetHitTestInfo returns a THitTests type. This set describes the possible elements under the mouse. When interpreting these values, each tab can be considered an "item" of the tab control.'''
    def IndexOfTabAt(self, X: int, Y: int) -> 整数：
        """TCustomTabControl.IndexOfTabAt(X: int, Y: int) -> int
        指示指定点处选项卡的索引。
        使用 IndexOfTabAt 定位哪个选项卡位于由 X 和 Y 指定的点处。如果 X 坐标为 X 且 Y 坐标为 Y 的点位于选项卡上方，则 IndexOfTabAt 在 Tabs 属性 (TTabControl) 中返回该选项卡的 0 偏移索引）或在 Pages 属性 (TPageControl) 中。如果 X 和 Y 定义的点不在制表符上方，则 IndexOfTabAt 返回 1。"""
    def RowCount(self, *args, **kwargs) -> Any:
        """设置 TabIndex 属性。
调用 RowCount 来更改 TabIndex 属性的值。后代类应覆盖 RowCount 以提供此属性的特殊实现。"""
    def ScrollTabs(self, Delta: int) -> None:
        """TCustomTabControl.ScrollTabs(Delta: int) -> 无
        当选项卡控件不是多行时，滚动可见的选项卡。
        调用 ScrollTabs 来更改选项卡控件中可见的选项卡。当 Delta 为正数时，右侧的 Delta 附加选项卡会滚动到视图中。当 Delta 为负数时，左侧的选项卡会滚动到视图中，Delta 的绝对值表示滚动的选项卡数量。如果指定方向上的 Delta 选项卡数量少于绝对值，则 ScrollTabs 会尽可能滚动。
        如果没有滚动选项卡，ScrollTabs 不起作用，这可能是因为控件足够宽以显示所有选项卡，也可能是因为 MultiLine 属性为 true。
        
        注意：ScrollTabs 滚动可见选项卡。它不会改变当前的选择。调用 ScrollTabs 可能会将所选选项卡滚动到视图之外。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def TabRect(self, Index: int) -> 矩形：
        """TCustomTabControl.TabRect(Index: int) -> 矩形
        返回指定选项卡的边界矩形。
        使用 TabRect 确定具有指定索引的选项卡的当前位置。 Index 是 Tabs 属性 (TTabControl) 或 Pages 属性 (TPageControl) 中选项卡的 0 偏移索引。 TabRect 返回指定选项卡的边界矩形（在客户端坐标中）。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomToggleSwitch(CustomControl):
    """TToggleSwitch 的基类。
    TToggleSwitch 实现了一个可点击的控件，允许用户在“打开”状态和“关闭”状态之间切换。"""
    __hash__: ClassVar[None] = ...
    Height: int
    """int：指定控件的垂直大小（以像素为单位）。
使用 Height 属性读取或更改控件的高度。"""
    Parent: Any
    """返回/设置控制父级"""
    Width: int
    """int：指定控件或窗体的水平尺寸（以像素为单位）。
        使用 Width 属性读取或更改控件的宽度。
        
        注意：对于选项卡表控件，在运行时更改此属性没有任何效果。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TCustomToggleSwitch.Create(AOwner: Component) -> 无
        创建 TCustomToggleSwitch 的实例。
        创建为所有切换开关属性设置默认值。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TCustomControl 的实例。
        Vcl.WinXCtrls.TCustomToggleSwitch.Destroy 继承自 Vcl.Controls.TCustomControl.Destroy。该行以下的所有内容均引用Vcl.Controls.TCustomControl.Destroy。
        销毁 TCustomControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证控件不为零，然后才调用 Destroy。
        应用程序只应在调用构造函数时显式释放控件，而不为控件分配所有者。
        当控件被销毁时，它会销毁其 Canvas 属性中的 TCanvas 对象。
        重写 Destroy 以释放在 Create 方法中分配的所有内存或资源。在后代控件类型中声明 Destroy 方法时，始终将 override 指令添加到声明中，并调用继承的 Destroy 作为重新声明方法中的最后一个语句。
        创建控件时，Delphi 自动提供围绕构造函数调用的异常处理。如果异常从构造函数中逃逸，则调用析构函数。这意味着析构函数代码必须准备好清理部分构造的实例。在处理其内容之前检查所有数据字段是否为零。"""
    def GetControlsAlignment(self, *args, **kwargs) -> Any:
        """Indicates how text is aligned within the control.
        Vcl.WinXCtrls.TCustomToggleSwitch.GetControlsAlignment inherits from Vcl.Controls.TControl.GetControlsAlignment. All content below this line refers to Vcl.Controls.TControl.GetControlsAlignment.
        指示文本在控件内的对齐方式。
        使用 GetControlsAlignment 确定控件的对齐方式。对于没有 Alignment 属性的控件，GetControlsAlignment 返回 taLeftJustify。
        
        注意：GetControlsAlignment 返回由 BiDiMode 属性更改之前文本的对齐方式。要检查是否应反转对齐以反映 BiDiMode 属性，请调用 UseRightToLeftAlignment。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def IsOn(self, *args, **kwargs) -> Any:
        """指示切换开关是否处于 On 状态。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class CustomTreeView(WinControl):
    __hash__: ClassVar[None] = ...
    帆布： Canvas
    """帆布："""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    DropTarget: TreeNode
    """树节点："""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    ParentWindow: Any
    """引用父级的底层控制。"""
    Selected: TreeNode
    """树节点："""
    SelectionCount: int
    """整数："""
    Selections: TreeNode
    """树节点："""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TopItem: TreeNode
    """树节点："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def AlphaSort(self, ARecurse: bool) -> 布尔：
        """TCustomTreeView.AlphaSort(ARecurse: bool) -> bool"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def ClearSelection(self, KeepPrimary: bool) -> None:
        """TCustomTreeView.ClearSelection(KeepPrimary: bool) -> 无"""
    def Create(self, AOwner: Component) -> None:
        """TCustomTreeView.Create(AOwner: Component) -> 无
        创建 TWinControl 的实例。
        调用 Create 来构造并初始化一个新控件，并将新构造的控件插入到其所有者中，如 AOwner 参数所指定的那样。 Create 通过调用所有者的 InsertComponent 方法将控件插入所有者中。
        大多数控件都会重写 Create 以初始化其独特的属性。重写 Create 方法的对象必须始终首先调用继承的 Create 方法，然后继续进行特定于组件的初始化。重写 Create 方法时指定重写指令。
        如果组件的 Create 方法分配资源或内存，请重写 Destroy 方法以释放这些资源。"""
    def CustomSort(self, SortProc: Callable[[int,int,int],int], Data: int, ARecurse: bool) -> 布尔：
        """TCustomTreeView.CustomSort(SortProc: Callable[[int, int, int], int], Data: int, ARecurse: bool) -> bool"""
    def Deselect(self, Node: TreeNode) -> None:
        """TCustomTreeView.Deselect(Node: TreeNode) -> None"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TWinControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TWinControl 引用不为零，然后才调用 Destroy。"""
    def FindNextToSelect(self, *args, **kwargs) -> Any: ...
    def FullCollapse(self, *args, **kwargs) -> Any: ...
    def FullExpand(self, *args, **kwargs) -> Any: ...
    def GetDragImages(self, *args, **kwargs) -> Any:
        """返回控件的图像列表，其中包含拖动时要显示的图像。
        重写 GetDragImages 为控件提供自定义图像列表。正如在 TControl 中实现的那样，GetDragImages 返回 nil (Delphi) 或 NULL (C++)。"""
    def GetHitTestInfoAt(self, X: int, Y: int) -> HitTests:
        """TCustomTreeView.GetHitTestInfoAt(X: int, Y: int) -> HitTests"""
    def GetNodeAt(self, X: int, Y: int) -> 树节点：
        """TCustomTreeView.GetNodeAt(X: int，Y: int) -> TreeNode"""
    def GetSelections(self, AList: List) -> 树节点：
        """TCustomTreeView.GetSelections(AList: List) -> TreeNode"""
    def IsEditing(self, *args, **kwargs) -> Any: ...
    def LoadFromFile(self, FileName: str) -> None:
        """TCustomTreeView.LoadFromFile(FileName: str) -> 无"""
    def LoadFromStream(self, Stream: Stream) -> None:
        """TCustomTreeView.LoadFromStream(Stream: Stream) -> 无"""
    def SaveToFile(self, FileName: str) -> None:
        """TCustomTreeView.SaveToFile(FileName: str) -> 无"""
    def SaveToStream(self, Stream: Stream) -> None:
        """TCustomTreeView.SaveToStream(Stream: Stream) -> 无"""
    def Select(self, Node: TreeNode, ShiftState: ShiftState) -> None:
        """TCustomTreeView.Select(Node: TreeNode, ShiftState: ShiftState) -> None"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def Subselect(self, Node: TreeNode, Validate: bool) -> None:
        """TCustomTreeView.Subselect(Node: TreeNode, Validate: bool) -> None"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class DateTimePicker(WinControl):
    """TDateTimePicker 显示用于输入日期或时间的列表框。
    TDateTimePicker 是专门为输入日期或时间而设计的可视化组件。在 dmComboBox 日期模式下，它类似于列表框或组合框，只不过下拉列表被替换为日历插图；用户可以从日历中选择日期。还可以通过向上和向下箭头滚动并键入来选择日期或时间。
    日期时间选择器忽略从右到左阅读的 BiDiMode 设置，根据系统区域设置显示日期。
    TDateTimePicker 根据用户系统上控制面板的区域设置中的日期和时间设置来格式化日期和时间值。由于 TDateTimePicker 是 Windows 控件的包装器，因此无法通过更改 SysUtils 单元中的格式变量来更改这些格式。但是，您可以使用 Windows API 调用 DateTime_SetFormat 以编程方式指定这些设置。
    
    注意：众所周知，当用于设置 1752 年（英语国家/地区更改为公历的那一年）的日期时，底层 Windows 控件的行为会出现不可预测的情况。使用非英语区域设置时，不同的日期可能会出现类似的问题。如果应用程序可能用于指定当前区域设置中转换时或之前的日期（例如，俄语区域设置中的 1918 年或之前），请务必使用受影响的日期来测试应用程序。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BevelWidth: int
    """整数： Specifies the width of the inner and outer bevels.
        Use BevelWidth to specify the width, in pixels, of the inner and outer bevels."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Cal结盟： DTCalAlignment
    """DTCalAlignment：确定下拉日历的对齐方式。
        将 CalAlignment 设置为 dtaLeft 或 dtaRight，以使下拉日历在组件的左侧或右侧对齐。仅当 Kind 属性为 dtkDate 并且 DateMode 属性为 dmComboBox 时，此属性才适用。"""
    CalColors: MonthCalColors
    """月份卡尔颜色："""
    Checked: bool
    """布尔： Indicates whether the check box next to the date or time is selected.
        Checked is true if the check box in the TDateTimePicker component is selected. Setting Checked to true at design time makes the check box appear selected by default."""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Date: float
    """漂浮："""
    DateFormat: DTDateFormat
    """DTDateFormat：指定日期的显示格式。
        如果 DateFormat 设置为 dfShort，则使用 Windows 控制面板中指定的短日期格式设置日期格式。默认情况下，它显示为：3/21/97。
        如果 DateFormat 设置为 dfLong，则使用 Windows 控制面板中指定的长日期格式来格式化日期。默认情况下，它显示为：Friday, March 21, 1997。（仅当 Kind 为 dtkDate 时适用。）
        对于自定义日期格式，请设置 Format 属性。"""
    DateMode: DTDateMode
    """DTDateMode：确定组件使用的日期选择方法。
        如果 DateMode 为 dmComboBox，则该组件有一个下拉日历插图，用户可以从中选择日期。如果 DateMode 为 dmUpDown，则组件具有向上/向下箭头，用户可以使用它们调整日期。 （仅当 Kind 为 dtkDate 时适用。）"""
    DateTime: float
    """漂浮："""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    DroppedDown: bool
    """布尔： Specifies whether the date time picker control is dropped down.
        DroppedDown specifies whether the date time picker control is dropped down."""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Format: str
    '''字符串： Specify format for date-time string.
        Format specifies custom format string for the date-time display, overriding the control panel strings. A custom format can include both date and time fields, but time fields are not editable unless the Kind property is dtkTime. The following format characters are understood.
        
        
        
        
        
        Element
        
        Description
        
        
        
        d
        
        
        
        The one- or two-digit day.
        
        
        
        
        dd
        
        
        
        The two-digit day. Single-digit day values are preceded by a zero.
        
        
        
        
        ddd
        
        
        
        The three-character weekday abbreviation.
        
        
        
        
        dddd
        
        
        
        The full weekday name.
        
        
        
        
        h
        
        
        
        The one- or two-digit hour in 12-hour format.
        
        
        
        
        hh
        
        
        
        The two-digit hour in 12-hour format. Single-digit values are preceded by a zero.
        
        
        
        
        H
        
        
        
        The one- or two-digit hour in 24-hour format.
        
        
        
        
        HH
        
        
        
        The two-digit hour in 24-hour format. Single-digit values are preceded by a zero.
        
        
        
        
        m
        
        
        
        The one- or two-digit minute.
        
        
        
        
        mm
        
        
        
        The two-digit minute. Single-digit values are preceded by a zero.
        
        
        
        
        M
        
        
        
        The one- or two-digit month number.
        
        
        
        
        MM
        
        
        
        The two-digit month number. Single-digit values are preceded by a zero.
        
        
        
        
        MMM
        
        
        
        The three-character month abbreviation.
        
        
        
        
        MMMM
        
        
        
        The full month name.
        
        
        
        
        t
        
        
        
        The one-letter AM/PM abbreviation (that is, AM is displayed as "A").
        
        
        
        
        tt
        
        
        
        The two-letter AM/PM abbreviation (that is, AM is displayed as "AM").
        
        
        
        
        yy
        
        
        
        The last two digits of the year (that is, 2001 would be displayed as "01").
        
        
        
        
        yyyy
        
        
        
        The full year (that is, 2001 would be displayed as "2001").
        
        
        
        
        To include literal strings in the format, enclose them in single quotes. Failing to quote literal strings can have unpredictable results, even if they do not include formatting codes. Use two single quotes to represent one single quote character in a literal string. For example,
        Today\'s date: MMM dd, yyyy
        entered in the property editor, produces the following results for April 1, 2001:
        "Today\'s date: Apr 01, 2001"
        
        Note:  When setting Format programmatically in Delphi code, double each single quote again:
        
        
        
        DateTimePicker1.Format := \'\'\'Today\'\'\'\'s date:\'\' MMM dd, yyyy\';'''
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    ImeMode: ImeMode
    """ImeMode：确定输入法编辑器 (IME) 的行为。
        设置 ImeMode 以配置 IME 处理用户击键的方式。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeMode 允许控件影响 IME 执行的转换类型，以便它适合控件期望的输入。例如，仅接受数字输入的控件可能会指定 imClose 的 ImeMode，因为数字输入不需要转换。
        
        注意：ImeMode 的值仅在控件获得焦点时才生效。要在控件已具有输入焦点时更改 ImeMode 的值，请调用 SetIme 方法。"""
    ImeName: str
    """str：指定用于将键盘输入转换为亚洲语言字符的输入法编辑器 (IME)。
        设置 ImeName 以指定使用哪个 IME 来转换击键。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeName 必须指定已通过 Windows 控制面板安装的 IME 之一。属性检查器提供系统上当前安装的所有 IME 的下拉列表。在运行时，应用程序可以从全局 Screen 变量获取当前安装的 IME 列表。
        如果 ImeName 指定不可用的 IME，则使用应用程序启动时处于活动状态的 IME。不会产生异常。
        
        注意：ImeName 的值仅在控件获得焦点时才生效。要在控件获得输入焦点后更改 ImeName 的值，请调用 SetIme 方法。"""
    Kind: DateTimeKind
    """DateTimeKind：确定组件是日期选择器还是时间选择器。
        如果 Kind 属性为 dtkDate，则该控件配置为支持日期编辑。默认格式仅提供控件值的日期部分，并且如果 DateMode 属性为 dmComboxBox，则下拉日历可用。
        如果 Kind 属性为 dtkTime，则该控件配置为支持时间编辑。默认格式仅提供控件值的时间部分，但如果格式属性包含日期字段代码，则也可以编辑日期部分。"""
    MaxDate: float
    """漂浮："""
    MinDate: float
    """漂浮："""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnCloseUp: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnDropDown: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnUserInput: Callable[[Object,str,float,bool],None]
    """Callable[[Object, str, float, bool], None]:"""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    ParseInput: bool
    """布尔： Enables the OnUserInput event.
        If ParseInput is True, the OnUserInput event occurs whenever the user types into the component's edit box."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowCheckbox: bool
    """布尔： Displays a check box next to the date or time.
        Set ShowCheckbox to true to display a check box in the TDateTimePicker component."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Time: float
    """漂浮： Indicates the time entered by the user.
        Time represents the time entered by the user. Set Time in program code or in the Object Inspector to determine which time is selected by default. (Applies only when Kind = dtkTime.)"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TDateTimePicker.Create(AOwner: Component) -> 无
        创建并初始化 TDateTimePicker 实例。
        Create 调用继承的构造函数方法并将 Date 和 Time 属性初始化为当前日期和时间。它还设置以下 ControlStyle 标志：csCaptureMouse、csOpaque、csClickEvents、csDoubleClicks 和 csFixedHeight。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class DelphiDefaultContainer:
    """Delphi 的抽象容器类型"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __delitem__(self, other) -> Any:
        """删除自身[key]。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""
    def __setitem__(self, index, object) -> None:
        """将 self[key] 设置为值。"""

class DelphiDefaultIterator:
    """抽象容器的迭代器"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __next__(self) -> Any:
        """实施下一个（自我）。"""

class DelphiDefaultMapping:
    """Delphi 的抽象映射类型"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __delitem__(self, other) -> Any:
        """删除自身[key]。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""
    def __setitem__(self, index, object) -> None:
        """将 self[key] 设置为值。"""

class DelphiMethod:
    """Delphi 方法的包装"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def __call__(self, *args, **kwargs) -> Any:
        """将 self 称为函数。"""

class DragImageList(CustomImageList):
    """Delphi TDragImageList 的包装器"""
    __hash__: ClassVar[None] = ...
    颜色深度： ColorDepth
    """颜色深度："""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    DragCursor: int
    """整数："""
    DragHotspot: Point
    """Po整数："""
    Dragging: bool
    """布尔："""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BeginDrag(self, Window: int, X: int, Y: int) -> 布尔：
        """TDragImageList.BeginDrag(Window: int, X: int, Y: int) -> bool"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def DragLock(self, Window: int, XPos: int, YPos: int) -> 布尔：
        """TDragImageList.DragLock(Window: int, XPos: int, YPos: int) -> bool"""
    def DragMove(self, X: int, Y: int) -> 布尔：
        """TDragImageList.DragMove(X: int, Y: int) -> bool"""
    def DragUnlock(self, *args, **kwargs) -> Any: ...
    def EndDrag(self, *args, **kwargs) -> Any: ...
    def GetHotSpot(self, *args, **kwargs) -> Any: ...
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def HideDragImage(self, *args, **kwargs) -> Any: ...
    def SetDragImage(self, Index: int, HotSpotX: int, HotSpotY: int) -> 布尔：
        """TDragImageList.SetDragImage(索引: int, HotSpotX: int, HotSpotY: int) -> bool"""
    def ShowDragImage(self, *args, **kwargs) -> Any: ...
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class DrawGrid(CustomDrawGrid):
    """TDrawGrid 表示以列和行格式显示信息的网格控件。
    将 TDrawGrid 对象添加到表单中，以表格格式呈现任意信息。 TDrawGrid 提供了许多属性来控制网格的外观，以及利用网格的表格组织来响应用户操作的事件和方法。
    TDrawGrid 引入了多个事件和方法，允许应用程序自定义网格的外观和行为。
    如果网格的单元格包含表示对象的文本字符串，请考虑改用 TStringGrid 对象。如果网格显示数据集中记录的字段值，请改用 TDBGrid。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BevelWidth: int
    """整数： Specifies the width of the inner and outer bevels.
        Use BevelWidth to specify the width, in pixels, of the inner and outer bevels."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    边框样式： BorderStyle
    """BorderStyle：确定是否在网格周围绘制单线边框。
将 BorderStyle 设置为 bsSingle 可在网格图像周围添加单线边框。将 BorderStyle 设置为 bsNone 可省略边框。"""
    帆布： Any
    """指定为控件呈现绘图表面的 TCanvas 对象。"""
    Col: Any
    """指定包含选定单元格的列的索引。"""
    ColCount: int
    """整数： Specifies the number of columns in the grid.
        Read ColCount to determine the number entries in the ColWidths array. Set ColCount to add or delete columns at the right side of the grid. The value of ColCount includes any fixed columns at the left of the grid as well as the scrollable columns in the body of the grid."""
    ColWidths: Any
    """指定网格的列宽"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DefaultCol结盟： Alignment
    """结盟： DefaultColAlignment is the default text alignment for all columns where alignment is not explicitly specified using TCustomGrid.ColAlignments."""
    DefaultColWidth: int
    """int：确定尚未显式调整大小的所有列的宽度（以像素为单位）。
        设置 DefaultColWidth 以更改网格中所有列的大小。设置 DefaultColWidth 后，使用鼠标或通过设置 ColWidths 属性调整大小的列也会被赋予 DefaultColWidth。
        当使用 ColCount 属性将新列添加到网格时，将创建宽度为 DefaultColWidth 的新列。"""
    DefaultDrawing: bool
    """bool：决定绘制网格时是否绘制Cells。
        将 DefaultDrawing 设置为 true 可使网格自动绘制网格中的单元格，包括添加背景颜色、固定单元格上的 3-D 效果以及所选单元格周围的焦点矩形。将 DefaultDrawing 设置为 false 可在绘制网格时跳过单元格的绘制。
        当 DefaultDrawing 为 false 时，应使用 DrawCell 方法绘制单元格。对于TCustomGrid来说，DrawCell是一个抽象方法。 TCustomGrid 的后代使用 DrawCell 来提供自己的自定义绘图代码，或生成 OnDrawCell 事件。"""
    DefaultRowHeight: int
    """int：指定尚未显式调整大小的所有行的高度（以像素为单位）。
        设置 DefaultRowHeight 以更改网格中所有行的大小。设置 DefaultRowHeight 后，使用鼠标或通过设置 RowHeights 属性调整大小的行也会被赋予 DefaultRowHeight。
        当使用 RowCount 属性将新行添加到网格时，将创建高度为 DefaultRowHeight 的新行。"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    绘图风格： GridDrawingStyle
    """GridDrawingStyle：确定绘制网格时使用的样式。
        DrawingStyle 确定用于绘制网格的样式。下表列出了 DrawingStyle 的可能值。
        
        
        
        
        价值
        
        意义
        
        
        
        gds经典版
        
        
        
        网格控件使用标准的、无主题的样式。
        
        
        
        
        gds主题
        
        
        
        网格控件使用当前操作系统主题。
        
        
        
        
        gds渐变
        
        
        
        网格控件使用渐变来设置样式。
        
        
        
        
        关于 Vcl.Grids.TStringGrid 的 DrawingStyle 的注意事项：
        除非您还将 DrawingStyle 设置为 gdsClassic，否则设置 FixColor 不会产生任何效果。
        除非将 DrawingStyle 的值设置为 gdsGradient，否则设置 GradientStartColor 和 GradientEndColor 不会产生任何效果。"""
    EditorMode: Any
    """确定当前单元格是否可以编辑。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    FixedColor: int
    """int：指定网格中固定行和列的背景颜色。
        设置固定颜色以指定网格中非滚动单元格的颜色。网格的滚动区域是使用 Color 属性绘制的。"""
    FixedCols: int
    """整数： Specifies the number of columns on the left of the grid that cannot be scrolled.
        Set FixedCols to create or get rid of nonscrolling columns. Nonscrolling columns appear at the left of the grid, and are always visible, even when the user scrolls the other columns in the grid. Use nonscrolling columns for displaying row titles or row numbers, or to implement a scroll lock that the user can set.
        Nonscrolling columns are visually distinct from the scrollable columns in the grid. They are painted with a separate background color, and their cells have a raised, 3-D look.
        
        Note:  Grids must include at least one scrolling column. Do not set FixedCols to a value greater than ColCount - 1."""
    FixedRows: int
    """int：指定网格顶部不可滚动的行数。
        设置FixedRows 以创建或删除非滚动行。非滚动行显示在网格顶部，并且始终可见，即使用户滚动网格中的其他行也是如此。使用非滚动行来显示列标题或列号。
        非滚动行在视觉上与网格中的可滚动行不同。它们涂有单独的背景颜色，并且它们的单元格具有凸起的 3D 外观。
        
        注意：网格必须至少包含一个滚动行。不要将 FixRows 设置为大于 RowCount - 1 的值。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    GradientEndColor: int
    """int：确定结束渐变颜色。
        GradientEndColor 确定结束渐变颜色。当 DrawingStyle 的值为 gdsGradient 时，使用 GradientEndColor。 GradientEndColor 和 GradientStartColor 定义在网格控件内绘制单个单元格时使用的颜色范围。"""
    GradientStartColor: int
    """int：确定起始渐变颜色。
        GradientStartColor 确定起始渐变颜色。当 DrawingStyle 的值为 gdsGradient 时，使用 GradientStartColor。 GradientEndColor 和 GradientStartColor 定义在网格控件内绘制单个单元格时使用的颜色范围。"""
    GridHeight: Any
    """指定网格的高度（以像素为单位）。"""
    GridLineWidth: int
    """int：指定分隔网格单元格的线的宽度（以像素为单位）。
        设置 GridLineWidth 以使网格中分隔单元格的线条更粗或更细。当 GridLineWidth 为零时，网格单元格之间不绘制分隔符。
        如果 Options 属性不包含 goFixedHorzLine、goFixedVertLine、goHorzLine 或 goVertLine，则 GridLineWidth 将无效。
        
        注意：对于在 Windows 9x 或 Windows ME 上运行的应用程序，建议不要使用大于 3 像素的值，因为可能会出现失真。"""
    GridWidth: Any
    """指定网格的宽度（以像素为单位）。"""
    LeftCol: Any
    """指定网格中第一个可见的可滚动列的索引。"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnColumnMoved: Callable[[Object,int,int],None]
    """可调用[[对象，int，int]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnDrawCell: Callable[[Object,int,int,Rect,GridDrawState],None]
    """Callable[[Object, int, int, Rect, GridDrawState], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnFixedCellClick: Callable[[Object,int,int],None]
    """可调用[[对象，int，int]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetEditMask: Callable[[Object,int,int,str],None]
    """Callable[[Object, int, int, str], None]:"""
    OnGetEditText: Callable[[Object,int,int,str],None]
    """Callable[[Object, int, int, str], None]:"""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseWheelDown: Callable[[Object,ShiftState,Point,bool],None]
    """Callable[[Object, ShiftState, Point, bool], None]:"""
    OnMouseWheelUp: Callable[[Object,ShiftState,Point,bool],None]
    """Callable[[Object, ShiftState, Point, bool], None]:"""
    OnRowMoved: Callable[[Object,int,int],None]
    """可调用[[对象，int，int]，无]："""
    OnSelectCell: Callable[[Object,int,int,bool],None]
    """Callable[[Object, int, int, bool], None]:"""
    OnSetEditText: Callable[[Object,int,int,str],None]
    """Callable[[Object, int, int, str], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnTopLeftChanged: Callable[[Object],None]
    """可调用[[对象]，无]："""
    Options: GridOptions
    """GridOptions：指定网格的各种显示和行为属性。
        设置选项以包括网格所需的属性。有关这些属性的定义，请参阅类型 Vcl.Grids.TGridOptions。"""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    Row: Any
    """指定包含所选单元格的行的索引。"""
    RowCount: int
    """int：指定网格中的行数。
        读取 RowCount 以确定 RowHeights 数组中的条目数。设置 RowCount 以在网格底部添加或删除行。 RowCount 的值包括网格顶部的任何固定行以及网格主体中的可滚动行。"""
    RowHeights: Any
    """指定网格的行高"""
    ScrollBars: ScrollStyle
    """ScrollStyle：指定网格是否包含水平和垂直滚动条。
        使用 ScrollBars 为网格提供水平或垂直滚动​​条。
        
        注意：如果网格中的所有单元格都适合 ClientWidth，则不会出现水平滚动条，即使 ScrollBars 为 ssHorizo​​ntal 或 ssBoth。如果所有单元格都适合 ClientHeight，则不会出现垂直滚动条，即使 ScrollBars 为 ssVertical 或 ssBoth。"""
    Selection: Any
    """指示当前选择的边界。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TopRow: Any
    """指定网格中第一个可见的可滚动行的索引。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    VisibleColCount: int
    """int：表示网格中可见的可滚动列的数量。
        使用 VisibleColCount 确定网格中完全可见的可滚动列的数量。 VisibleColCount 不包括由FixedCols 属性计数的固定列。它不包括网格右边缘上任何部分可见的列。"""
    VisibleRowCount: int
    """整数： Indicates the number of scrollable rows visible in the grid.
        Use VisibleRowCount to determine the number of scrollable rows fully visible in the grid. VisibleRowCount does not include the fixed rows counted by the FixedRows property. It does not include any partially visible rows on the bottom of the grid."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Edit(CustomEdit):
    """TEdit 是 Windows 单行编辑控件的包装。
    使用 TEdit 对象将标准 Windows 编辑控件放置在窗体上。编辑控件用于检索用户键入的文本。编辑控件还可以向用户显示文本。
    当仅向用户显示文本时，选择编辑控件以允许用户选择文本并将其复制到剪贴板。如果不需要编辑控件的选择功能，请选择标签对象。
    TEdit 实现了 TCustomEdit 中引入的通用行为。 TEdit 发布了许多从 TCustomEdit 继承的属性，但没有引入任何新行为。对于专门的编辑控件，请使用 TCustomEdit 的其他后代类或从它派生。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： Alignment
    """结盟： Determines how the text is aligned within the text edit control.
        Use Alignment to change the way the text is formatted in the text edit control. Alignment can take one of the following values:
        
        
        
        
        
        Value
        
        Meaning
        
        
        
        taLeftJustify
        
        
        
        Align text to the left side of the control
        
        
        
        
        taCenter
        
        
        
        Center text horizontally in the control.
        
        
        
        
        taRightJustify
        
        
        
        Align text to the right side of the control."""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSelect: bool
    """布尔： Determines whether all the text in the edit control is automatically selected when the control gets focus.
        Set AutoSelect to select all the text when the edit control gets focus. AutoSelect only applies to single-line edit controls.
        Use AutoSelect when the user is more likely to replace the text in the edit control than to append to it."""
    AutoSize: bool
    """布尔： Determines whether the height of the edit control automatically resizes to accommodate the text.
        Use AutoSize to make the edit control adjust its size automatically so the client area accommodates the height of the text. When AutoSize is false, the edit control has a fixed height. When AutoSize is true, the size of the control is readjusted whenever a change occurs that could affect the height of the control, such as a change to the font or border style.
        
        Note: AutoSize only adjusts the height of the edit control. Even with AutoSize set to true, text in the edit control may appear truncated if it extends beyond the width of the control."""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BevelWidth: int
    """整数： Specifies the width of the inner and outer bevels.
        Use BevelWidth to specify the width, in pixels, of the inner and outer bevels."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    边框样式： BorderStyle
    """BorderStyle：确定编辑控件在工作区周围是否有单线边框。
        使用 BorderStyle 可以影响编辑控件的工作区突出的清晰度。 BorderStyle 的值可以是 bsSingle 或 bsNone。如果 BorderStyle 为 bsSingle，则编辑控件在工作区周围有单线边框。如果 BorderStyle 为 bsNone，则没有边框。"""
    CanUndoSelText: bool
    """bool：当设置为 True 时，它​​允许您调用或调用 Undo 操作，以撤消之前使用 SetSelText 或 SetSelTextBuf 所做的更改。默认情况下它设置为 false。"""
    CharCase: EditCharCase
    """EditCharCase：确定编辑控件中文本的大小写。
        使用 CharCase 强制编辑控件的内容采用特定的大小写。
        当 CharCase 设置为 ecLowerCase 或 ecUpperCase 时，当用户在编辑控件中键入字符时，字符的大小写将被转换。将 CharCase 属性更改为 ecLowerCase 或 ecUpperCase 会更改文本的实际内容，而不仅仅是外观。任何案例信息都会丢失，并且无法通过将 CharCase 更改为 ecNormal 来重新捕获。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    HideSelection: bool
    """布尔： Determines whether the visual indication of the selected text remains when focus shifts to another control.
        Set HideSelection to false to provide visual feedback of the selected portion of the text even when the edit control does not have focus. Set HideSelection to true to show the selection only when the edit control has focus. HideSelection does not affect the actual value of the selection, only the visual indication. Always setting HideSelection to false can make forms with many edit controls look too busy."""
    ImeMode: ImeMode
    """ImeMode：确定输入法编辑器 (IME) 的行为。
        设置 ImeMode 以配置 IME 处理用户击键的方式。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeMode 允许控件影响 IME 执行的转换类型，以便它适合控件期望的输入。例如，仅接受数字输入的控件可能会指定 imClose 的 ImeMode，因为数字输入不需要转换。
        
        注意：ImeMode 的值仅在控件获得焦点时才生效。要在控件已具有输入焦点时更改 ImeMode 的值，请调用 SetIme 方法。"""
    ImeName: str
    """str：指定用于将键盘输入转换为亚洲语言字符的输入法编辑器 (IME)。
        设置 ImeName 以指定使用哪个 IME 来转换击键。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeName 必须指定已通过 Windows 控制面板安装的 IME 之一。属性检查器提供系统上当前安装的所有 IME 的下拉列表。在运行时，应用程序可以从全局 Screen 变量获取当前安装的 IME 列表。
        如果 ImeName 指定不可用的 IME，则使用应用程序启动时处于活动状态的 IME。不会产生异常。
        
        注意：ImeName 的值仅在控件获得焦点时才生效。要在控件获得输入焦点后更改 ImeName 的值，请调用 SetIme 方法。"""
    MaxLength: int
    """整数： Specifies the maximum number of characters the user can enter into the edit control.
        Use MaxLength to limit the number of characters that can be entered into the edit control. A value of 0 indicates that there is no application-defined limit on the length.
        Use MaxLength to limit the length of the text in an edit control if that text will be copied into a fixed-length buffer.
        
        Note:  Setting MaxLength will not truncate the existing text, it merely prevents the user from adding more text after reaching the limit of MaxLength characters.
        Note:  Even when MaxLength is 0, there may be limitations imposed by the operating system on the number of characters that may be entered into an edit control.
        Note:  The unit of MaxLength is characters (not bytes) if the application is using themes."""
    NumbersOnly: bool
    """布尔： Allows only numbers to be typed into the text edit.
        Use NumbersOnly to prohibit entry of non-numeric characters in the textfield. Note, however, that a user can paste non-numeric characters in the textfield even when this property is set.
        
        Code Examples
        StdCtrlsProp (Delphi)
        StdCtrlsProp (C++)"""
    OEMConvert: bool
    """布尔： Determines whether characters typed in the edit control are converted from ANSI to OEM and then back to ANSI.
        To ensure that any characters typed in the edit control can be unambiguously converted to the OEM character set, set OEMConvert to true. This causes all characters to be converted from ANSI to OEM and then back to ANSI as they are typed. Set OEMConvert to false to avoid the overhead of this conversion when it does not matter whether the text can be unambiguously mapped to an OEM string.
        OEMConvert is most useful for edit controls used to enter file names when the application does not use Unicode file names."""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    PasswordChar: Any
    """unicodechr(str)：指示要显示的字符（如果有），以代替在控件中键入的实际字符。
        使用PasswordChar 属性创建一个编辑控件，该控件显示特殊字符来代替任何输入的文本。如果将PasswordChar 设置为空字符（ANSI 字符零），则编辑控件将正常显示其文本。如果PasswordChar 是任何其他字符，则编辑控件将显示PasswordChar 来代替键入的每个字符。 PasswordChar 仅影响编辑控件的外观。 Text 属性的值反映了键入的实际字符。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ReadOnly: bool
    """bool：确定用户是否可以更改编辑控件的文本。
要将编辑控件限制为仅显示，请将 ReadOnly 属性设置为 true。将 ReadOnly 设置为 false 以允许编辑编辑控件的内容。
将 ReadOnly 设置为 true 可确保文本不会被更改，同时仍允许用户选择文本。然后，选定的文本可以由应用程序操作，或复制到剪贴板。"""
    SelStart: Any
    """返回/设置光标的位置。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Text: str
    """str：包含与控件关联的文本字符串。
        使用 Text 属性读取控件的 Text 或为 Text 值指定新字符串。默认情况下，Text 是控件名称。对于编辑控件和备忘录，文本出现在控件内。对于组合框，文本是组合框的编辑控制部分的内容。
        
        注意：显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用哪个属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。"""
    TextH整数： str
    """字符串： A hint or message to be displayed when the Text property is empty.
        Use TextHint to cue the user on what kind of entry is expected in the text field. Runtime themes must be enabled.
        
        Code Examples
        StdCtrlsProp (Delphi)
        StdCtrlsProp (C++)"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class FileOpenDialog(Component):
    """Vista 和更新的 Windows 操作系统样式文件打开对话框的类。
    此类扩展了 TCustomFileOpenDialog。它允许创建 Microsoft Windows Vista（或更新的 Windows 操作系统）样式的文件打开对话框 CLSID_FileOpenDialog 并实现 IFileOpenDialog 接口。"""
    __hash__: ClassVar[None] = ...
    ClientGuid: str
    """字符串："""
    DefaultExtension: str
    """字符串："""
    DefaultFolder: str
    """字符串："""
    FavoriteLinks: FavoriteLinkItems
    """最喜欢的链接项目："""
    FileName: Any
    FileNameLabel: str
    """字符串："""
    FileTypeIndex: int
    """整数："""
    FileTypes: FileTypeItems
    """文件类型项目："""
    OkButtonLabel: str
    """字符串："""
    OnExecute: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnFileOkClick: Callable[[Object,bool],None]
    """可调用[[对象，布尔]，无]："""
    OnFolderChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnFolderChanging: Callable[[Object,bool],None]
    """可调用[[对象，布尔]，无]："""
    OnSelectionChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnShareViolation: Callable[[Object,FileDialogShareViolationResponse],None]
    """可调用[[对象，FileDialogShareViolationResponse]，无]："""
    OnTypeChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    Options: FileDialogOptions
    """文件对话框选项："""
    Title: str
    """字符串："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Execute(self) -> Any:
        """TFileOpenDialog.Execute()
        显示对话框"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class FileStream(HandleStream):
    """TFileStream 使应用程序能够读取和写入磁盘上的文件。
使用 TFileStream 访问磁盘文件中的信息。TFileStream 将打开一个命名文件并提供读取或写入文件的方法。如果应用程序已经有该文件的句柄，并以适当的模式打开，则改用 THandleStream。"""
    __hash__: ClassVar[None] = ...
    ClassName: Any
    """返回 TObject.ClassName"""
    FileName: str
    """str：保留与文件流关联的文件的文件名。
        使用 FileName 显示 TFileStream 从磁盘访问的文件的名称。这是只读属性。"""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, AFileName: str, Mode: int) -> None:
        """TFileStream.Create(AFileName: str, Mode: int) -> None
        创建 TFileStream 的实例。
        调用 Create 实例化文件流以读取或写入指定文件。指定文件名和文件打开方式作为参数。
        Mode 参数指示文件的打开方式。模式参数由开放模式和（可能）共享模式或组合在一起组成。打开模式必须是以下值之一：
        
        
        
        价值
        
        意义
        
        申报于
        
        
        
        fm创建
        
        
        
        使用给定名称创建一个文件。如果给定名称的文件存在，则覆盖现有文件并以写入模式打开它。
        
        
        
        系统类
        
        
        
        
        FMOpenRead
        
        
        
        打开文件以只读方式。
        
        
        
        系统.SysUtils
        
        
        
        
        fm打开写入
        
        
        
        打开文件仅用于写入。写入文件将完全替换当前内容。
        
        
        
        系统.SysUtils
        
        
        
        
        fm打开读写
        
        
        
        打开文件以修改当前内容而不是替换它们。
        
        
        
        系统.SysUtils
        
        
        
        共享模式必须是以下值之一：
        
        
        
        价值
        
        意义
        
        申报于
        
        
        
        fmShareCompat
        
        
        
        共享与 FCB 的打开方式兼容。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShare独家
        
        
        
        其他应用程序因任何原因无法打开该文件。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShare拒绝写入
        
        
        
        其他应用程序可以打开该文件进行读取，但不能进行写入。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShareDenyRead
        
        
        
        其他应用程序可以打开该文件进行写入，但不能进行读取。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShareDenyNone
        
        
        
        不会尝试阻止其他应用程序读取或写入该文件。
        
        
        
        系统.SysUtils
        
        
        注意：在 Windows 上，Rights 参数被忽略。
        如果无法打开该文件，Create 将引发异常。\r
        创建 TFileStream 的实例。
        调用 Create 实例化文件流以读取或写入指定文件。指定文件名和文件打开方式作为参数。
        Mode 参数指示文件的打开方式。模式参数由开放模式和（可能）共享模式或组合在一起组成。打开模式必须是以下值之一：
        
        
        
        价值
        
        意义
        
        申报于
        
        
        
        fm创建
        
        
        
        创建具有给定名称的文件。如果给定名称的文件存在，则覆盖现有文件并以写入模式打开它。
        
        
        
        系统类
        
        
        
        
        FMOpenRead
        
        
        
        打开文件以只读方式。
        
        
        
        系统.SysUtils
        
        
        
        
        fm打开写入
        
        
        
        打开文件仅用于写入。写入文件将完全替换当前内容。
        
        
        
        系统.SysUtils
        
        
        
        
        fm打开读写
        
        
        
        打开文件以修改当前内容而不是替换它们。
        
        
        
        系统.SysUtils
        
        
        
        共享模式必须是以下值之一：
        
        
        
        价值
        
        意义
        
        申报于
        
        
        
        fmShareCompat
        
        
        
        共享与 FCB 的打开方式兼容。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShare独家
        
        
        
        其他应用程序因任何原因无法打开该文件。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShare拒绝写入
        
        
        
        其他应用程序可以打开该文件进行读取，但不能进行写入。 系统.SysUtils
        
        
        
        
        fmShareDenyRead
        
        
        
        其他应用程序可以打开该文件进行写入，但不能进行读取。
        
        
        
        系统.SysUtils
        
        
        
        
        fmShareDenyNone
        
        
        
        不会尝试阻止其他应用程序读取或写入该文件。
        
        
        
        系统.SysUtils
        
        
        注意：在 Windows 上，Rights 参数被忽略。
        如果无法打开文件，Create 会引发异常。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TFileStream 的实例。
        不要直接在应用程序中调用 Destroy。相反，调用 Free，它会检查 TFileStream 引用不为零，然后才调用 Destroy。
        Destroy 在释放对象之前关闭文件流的句柄。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    def ReadBytes(self) -> Any:
        """TPyDelphiStream.ReadBytes()
        以字节形式读取内容。"""
    def ReadFloat(self) -> Any:
        """TPyDelphiStream.ReadFloat()
        将内容读取为浮动。"""
    def ReadInt(self) -> Any:
        """TPyDelphiStream.ReadInt()
        将内容读取为整数。"""
    def ReadString(self) -> Any:
        """TPyDelphiStream.ReadString()
        将内容读取为字符串。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    def WriteBytes(self) -> Any:
        """TPyDelphiStream.WriteBytes()
        将内容写入字节。"""
    def WriteFloat(self) -> Any:
        """TPyDelphiStream.WriteFloat()
        将内容写入浮动。"""
    def WriteInt(self) -> Any:
        """TPyDelphiStream.WriteInt()
将内容写入整数。"""
    def WriteString(self) -> Any:
        """TPyDelphiStream.WriteString()
        将内容写入字符串。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Form(CustomForm):
    """TForm 代表一个标准的应用程序窗口（表单）。
    当您在设计时在表单设计器中创建表单时，它们将作为 TForm 的后代实现。窗体可以代表应用程序的主窗口、对话框或 MDI 子窗口。窗体可以包含其他对象，例如 TButton、TCheckBox 和 TComboBox 对象。
    表单的示例包括 TLoginDialog 和 TPasswordDialog 对象。"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Active控制： WinControl
    """控制窗口： Specifies the control that has focus on the form.
        Use ActiveControl to get or set the control that has focus on the form. Only one control can have focus at a given time in an application.
        If the form does not have focus, ActiveControl is the control on the form that will receive focus when the form receives focus.
        
        Note:  When focus shifts to another control, ActiveControl is updated before the OnExit event occurs."""
    ActiveMDIChild: Form
    """形式： Specifies the MDI child that has focus.
        Use ActiveMDIChild to get the MDI child that has focus.
        If the form is not an MDI parent (that is, if the FormStyle property of the form is not fsMDIForm), ActiveMDIChild returns nil (Delphi) or NULL (C++)."""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    AlphaBlend: bool
    """布尔： Specifies whether the form is translucent.
        Set AlphaBlend to specify that the form represents a layered window that allows a translucent color. The AlphaBlendValue property specifies the degree of translucency.
        
        Note: AlphaBlend does not work on all systems. The application must be running under Windows 2000 or better, and the machine must be a P90 or better."""
    AlphaBlendValue: int
    """int：指定半透明表单的半透明程度。
        将 AlphaBlendValue 设置为 0 到 255 之间的值，以指示 AlphaBlend 属性为 true 时的半透明程度。值为 0 表示完全透明的窗口。值为 255 表示完全不透明。
        
        注意：AlphaBlendValue 仅当 AlphaBlend 属性为 true 时才有效。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoScroll: bool
    """布尔： Indicates whether scroll bars appear automatically on the scrolling windowed control if it is not large enough to display all of its controls.
        If AutoScroll is true, the scroll bars appear automatically when necessary. For example, if the user resizes the control so that some of its controls are partially obscured, scroll bars appear.
        If AutoScroll is false, scroll bars don't appear automatically. In this case, use the HorzScrollBar and VertScrollBar properties to make scroll bars appear."""
    AutoSize: bool
    """布尔： Specifies whether the control sizes itself automatically to accommodate its contents.
        Use AutoSize to specify whether the control sizes itself automatically. When AutoSize is True, the control resizes automatically when its contents change.
        By default, AutoSize is False."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    BorderIcons: BorderIcons
    """BorderIcons：指定哪些图标出现在窗体的标题栏上。
        使用 BorderIcons 获取或设置出现在窗体标题栏上的图标。 BorderIcons 可以包含以下任意 TBorderIcons 值：
        
        
        
        
        
        价值
        
        意义
        
        
        
        双系统菜单
        
        
        
        该窗体有一个控制菜单（也称为系统菜单）。
        
        
        
        
        双最小化
        
        
        
        该表单有一个最小化按钮
        
        
        
        
        双最大化
        
        
        
        该表单有一个最大化按钮
        
        
        
        
        双帮助
        
        
        
        如果 BorderStyle 为 bsDialog 或排除 biMinimize 和 biMaximize，则窗体标题栏中会出现一个问号，单击时光标会变为 crHelp；否则，不会出现问号。
        
        
        
        
        
        注意：BorderIcons 和 BorderStyle 属性的某些组合是互斥的。例如，BorderIcons biMax、biMin 与 bsDialog 的 BorderStyle 是互斥的。"""
    边框样式： FormBorderStyle
    """FormBorderStyle：指定表单边框的外观和行为。
使用 BorderStyle 获取或设置表单边框的外观和行为。BorderStyle 可以是以下任何 TForm BorderStyle 值：

值

含义

bsDialog

不可调整大小；无最小化/最大化菜单

bsSingle

不可调整大小；最小化/最大化菜单

bsNone

不可调整大小；无可见边框线

bsSizeable

标准可调整大小边框

bsToolWindow

与 bsSingle 类似，但标题较小

bsSizeToolWin

与 bsSizeable 类似，但标题较小

注意：将 MDI 子表单的边框样式更改为 bsDialog 或 bsNone 无效。"""
    BorderWidth: int
    """int：指定控件边框的宽度。
使用 BorderWidth 获取或设置控件边框的宽度。控件绘制的图形或文本将被剪裁到边框内的区域。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    ClientHandle: int
    """int：提供对表单内部 MDI 客户端窗口句柄的访问。
        使用 ClientHandle 获取窗体内部 MDI 客户端窗口的句柄。
        仅当窗体是 MDI 父窗体（即窗体的 FormStyle 属性设置为 fsMDIForm）时，ClientHandle 才有意义。
        
        注意：请使用 Handle 属性来获取表单窗口本身的句柄。"""
    ClientHeight: int
    """int：指定控件工作区的高度（以像素为单位）。
        使用 ClientHeight 读取或更改控件客户区的高度。
        对于 TControl，ClientHeight 与 Height 相同。派生类可以实现与 Height 不同的 ClientHeight 属性。例如，窗体的 ClientHeight 是 Height 属性的值减去标题栏、调整边框和滚动条的高度。"""
    ClientWidth: int
    """int：指定控件工作区的水平尺寸（以像素为单位）。
        使用 ClientWidth 读取或更改控件客户区的宽度。 ClientWidth 相当于 ClientRect.Right。
        对于 TControl，ClientWidth 与 Width 相同。派生类可以实现与 Width 不同的 ClientWidth 属性。例如，窗体的 ClientWidth 是 Width 属性的值减去调整大小边框和滚动条的宽度。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    CustomTitleBar: TitleBar
    """TitleBar: Embarcadero Technologies 目前没有任何其他信息。"""
    DefaultMonitor: DefaultMonitor
    """DefaultMonitor：指定显示表单的监视器。
        使用 DefaultMonitor 将窗体与多监视器应用程序中的特定监视器关联。下表列出了可能的值：
        
        
        
        
        
        价值
        
        意义
        
        
        
        dm桌面
        
        
        
        没有尝试将表单放置在特定监视器上。
        
        
        
        
        dm初级
        
        
        
        该窗体位于全局屏幕对象的 Monitors 属性中列出的第一个监视器上。
        
        
        
        
        dm主窗体
        
        
        
        该窗体与应用程序的主窗体显示在同一台显示器上。
        
        
        
        
        dmActiveForm
        
        
        
        该表单与当前活动表单显示在同一监视器上。
        
        
        
        
        
        注意：如果应用程序没有主窗体，则 DefaultMonitor 不起作用。"""
    DockManager: IDockManager
    """IDockManager：指定控件的停靠管理器界面。
        使用 DockManager 指定控件的停靠管理器。对接管理器处理对接区域（控件对接的位置）的布局以及与对接区域相关的任何绘制。
        如果将 DockSite 和 UseDockManager 设置为 true，但不为 DockManager 赋值，则窗口控件将使用全局 DefaultDockTreeClass 变量生成默认停靠管理器。"""
    DockSite: bool
    """布尔： Specifies whether the control can be the target of drag-and-dock operations.
        Set DockSite to true to allow other controls to be docked to this windowed control.
        
        Code Examples
        Docking (Delphi)
        Docking (C++)"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    FormStyle: FormStyle
    """FormStyle：确定表单的样式。
        使用 FormStyle 获取或设置表单的样式。 FormStyle 是以下值之一：
        
        
        
        
        
        价值
        
        意义
        
        
        
        fs正常
        
        
        
        该窗体既不是 MDI 父窗口，也不是 MDI 子窗口。
        
        
        
        
        fsMDI子级
        
        
        
        该窗体是一个 MDI 子窗口。
        
        
        
        
        fsMDI表格
        
        
        
        该窗体是 MDI 父窗口。
        
        
        
        
        fs保持领先
        
        
        
        此窗体保留在桌面和项目中其他窗体的顶部，但 FormStyle 设置为 fsStayOnTop 的任何其他窗体除外。如果一个 fsStayOnTop 表单启动另一个表单，则这两个表单都不会始终保持在顶部。
        
        
        
        
        如果该窗体是 MDI 应用程序的主窗体，则其 FormStyle 属性必须设置为 fsMDIForm。
        
        注意：不建议在运行时更改 FormStyle。
        警告：放置在 FormStyle 设置为 fsMDIForm 的窗体客户区中的 TGraphicControl 后代将不会绘制。"""
    GlassFrame: GlassFrame
    """GlassFrame：访问 Windows Vista、Windows 7 或更高版本的 Windows 操作系统下的 Glass Frame。
使用 GlassFrame 使您的表单与 Windows Vista 或 Windows 7 Aero 兼容，显示玻璃效果。
GlassFrame 是为任何表单自动创建的 TGlassFrame 对象的属性。

注意：该属性仅适用于带有 Aero 的 Windows Vista 或 Windows 7。否则，Glass Frame 将被忽略。"""
    Height: int
    """int：指定控件的垂直大小（以像素为单位）。
使用 Height 属性读取或更改控件的高度。"""
    HelpFile: str
    """str：指定表单用于显示帮助的帮助文件的名称。
        如果您的窗体应该有一个与使用全局 TApplication 类型对象的 TApplication.HelpFile 属性指定的应用程序的默认帮助文件不同的帮助文件，则使用窗体的 HelpFile 属性来指定窗体将要使用的帮助文件的名称。用于显示来自的帮助。
        当窗体获得焦点时，TApplication.HelpSystem 指定的帮助系统显示窗体的 HelpFile 属性指定的帮助文件中的帮助主题。"""
    HorzScrollBar: ControlScrollBar
    """ControlScrollBar：表示滚动窗口控件的水平滚动条。
        使用 HorzScrollBar 隐藏、显示或操作滚动窗口控件的水平滚动条。"""
    Icon: Icon
    """图标：指定窗体最小化时出现的图标。
        设置 Icon 属性以为窗体提供图标。如果未设置 Icon，则系统在窗体最小化时提供默认图标。"""
    KeyPreview: bool
    """bool：指定窗体是否应在活动控件之前接收键盘事件。
        如果 KeyPreview 为 true，则键盘事件先在窗体上发生，然后再在活动控件上发生。 （活动控件由 ActiveControl 属性指定。）
        如果 KeyPreview 为 false，则键盘事件仅发生在活动控件上。
        导航键（Tab、BackTab、箭头键等）不受 KeyPreview 的影响，因为它们不生成键盘事件。同样，当按钮具有焦点或其 Default 属性为 true 时，Enter 键不受 KeyPreview 影响，因为它不会生成键盘事件。
        KeyPreview 默认为 false。"""
    MDIChildCount: int
    """int：指定打开的MDI子窗体的数量。
        使用 MDIChildCount 获取打开的 MDI 子窗体的数量。
        仅当窗体是 MDI 父窗体（即窗体的 FormStyle 属性设置为 fsMDIForm）时，MDIChildCount 才有意义。"""
    MDIChildren: Form
    """形式："""
    Menu: MainMenu
    """MainMenu：指定窗体的主菜单。
        使用 Menu 获取或设置窗体的主菜单。在设计时，Menu 设置为添加到窗体中的第一个 TMainMenu 组件。"""
    ModalResult: Any
    """表示用作模式对话框的表单的返回值。"""
    Object菜单项： MenuItem
    """MenuItem：表示对 OLE 对象的选择做出反应的 OLE 对象菜单项。
        使用 ObjectMenuItem 获取或设置分别在选择或取消选择窗体上的 OLE 对象时启用或禁用的菜单项。
        OLE 对象菜单项可用于标准 OLE 命令，例如“激活”或“转换”。 （这些命令的实现由 OLE 服务器提供。）"""
    OnActivate: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnAfterMonitorDpiChanged: Callable[[Object,int,int],None]
    """可调用[[对象，int，int]，无]："""
    OnAlignInsertBefore: Callable[[WinControl,Control,Control],bool]
    """可调用[[WinControl, Control, Control], bool]:"""
    OnAlignPosition: Callable[[WinControl,Control,int,int,int,int,Rect,AlignInfo],None]
    """Callable[[WinControl, Control, int, int, int, int, Rect, AlignInfo], None]:"""
    OnBeforeMonitorDpiChanged: Callable[[Object,int,int],None]
    """可调用[[对象，int，int]，无]："""
    OnCanResize: Callable[[Object,int,int,bool],None]
    """Callable[[Object, int, int, bool], None]:"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnClose: Callable[[Object,CloseAction],None]
    """可调用[[对象，CloseAction]，无]："""
    OnCloseQuery: Callable[[Object,bool],None]
    """可调用[[对象，布尔]，无]："""
    OnConstrainedResize: Callable[[Object,int,int,int,int],None]
    """可调用[[对象， int， int， int， int]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnCreate: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDeactivate: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDestroy: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDockDrop: Callable[[Object,DragDockObject,int,int],None]
    """Callable[[Object, DragDockObject, int, int], None]:"""
    OnDockOver: Callable[[Object,DragDockObject,int,int,DragState,bool],None]
    """Callable[[Object, DragDockObject, int, int, DragState, bool], None]:"""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetSiteInfo: Callable[[Object,Control,Rect,Point,bool],None]
    """可调用[[对象、控件、矩形、点、布尔]、无]："""
    OnHelp: Callable[[int,int,bool],bool]
    """可调用[[int, int, bool], bool]："""
    OnHide: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseWheel: Callable[[Object,ShiftState,int,Point,bool],None]
    """Callable[[Object, ShiftState, int, Point, bool], None]:"""
    OnMouseWheelDown: Callable[[Object,ShiftState,Point,bool],None]
    """Callable[[Object, ShiftState, Point, bool], None]:"""
    OnMouseWheelUp: Callable[[Object,ShiftState,Point,bool],None]
    """Callable[[Object, ShiftState, Point, bool], None]:"""
    OnPa整数： Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnResize: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnShortCut: Callable[[WMKey,bool],None]
    """可调用[[WMKey, bool], None]:"""
    OnShow: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnUnDock: Callable[[Object,Control,WinControl,bool],None]
    """Callable[[Object, Control, WinControl, bool], None]:"""
    Padding: Padding
    """填充：指定控件的填充。
        使用 Padding 指定控件的填充。该值是 TPadding 类的实例。"""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    PopupMode: PopupMode
    '''PopupMode: Controls how the top-level form behaves with respect to Window\'s WS_POPUP style.
        The PopupMode property controls how the top-level form behaves with respect to Window\'s WS_POPUP style. A window that has the WS_POPUP style is always above its "owner" in Z-order. You can use the PopupMode property in conjunction with the PopupParent property to avoid the appearance of a hung application caused by a modal dialog showing up behind another form on the screen.
        
        Note: Using the PopupMode property is similar to specifying fsStayOnTop for the FormStyle property, but allows better control over the layering. 
        The PopupMode property is automatically set to pmAuto when the ShowModal method is called. However, this causes the window handle to be recreated, which is not usually desirable. To avoid the re-creation of window handles, you can explicitly set the PopupMode property to pmAuto prior to calling the ShowModal method (such as at design time). 
        Set the PopupMode property to pmExplicit for non-modal design windows such as tool palettes and other floating tool windows. This causes the windows to always remain on top of the main form. In the case of a snapped together design (in which the window is docked to the main form), the design window remains on top of the designer.
        
        Note: For undocked windows, the design window remains above the main form, allowing other top-level forms to obscure the design window. 
        Set the PopupMode property to pmNone if you want the pop-up window to have the pre-Delphi 8 behavior (except for the ShowModal item mentioned above).
        You can force the Z-Ordering of your forms and create a "stacked" appearance that the user cannot change by setting the PopupParent property to an explicit TCustomForm. If the PopupMode property is pmExplicit and PopupParent is nil, then the Application.MainForm is implicitly used as the PopupParent. If no Application.MainForm is assigned, then Application.Handle is used as the PopupParent. If the PopupMode property is set to pmAuto, Screen.ActiveForm is used as the PopupParent.'''
    PopupParent: CustomForm
    """CustomForm：设置用户无法更改的堆叠表单的顺序。
        如果 PopupMode 属性设置为 pmExplicit 并且 PopupParent 为 nil，则 Application.MainForm 将隐式用作 PopupParent。如果未分配 Application.MainForm，则使用 Application.Handle 作为 PopupParent。
        如果 PopupMode 属性设置为 pmAuto，则 Screen.ActiveForm 将用作 PopupParent 属性。"""
    Position: Position
    """位置：表示表单的大小和位置。
        使用 Position 获取或设置表单的大小和位置。位置可以具有以下 TPosition 值之一：
        
        
        
        
        
        价值
        
        意义
        
        
        
        po设计
        
        
        
        该表单出现在屏幕上，并且具有与设计时相同的高度和宽度。
        
        
        
        
        默认值
        
        
        
        窗体出现在屏幕上的某个位置，其高度和宽度由操作系统确定。每次运行应用程序时，窗体都会稍微向下和向右移动。无论屏幕分辨率如何，窗体的右侧始终靠近屏幕的最右侧，窗体的底部始终靠近屏幕的底部。
        操作系统仅支持重叠窗口。对于弹出窗口或子窗口（例如，其 BorderStyle 为 bsDialog 或 bsNone），该窗口位于屏幕的左上角。
        
        
        
        
        po默认PosOnly
        
        
        
        窗体以您在设计时创建的大小显示，但操作系统选择其在屏幕上的位置。每次运行应用程序时，窗体都会稍微向下和向右移动。当表单无法再向下和向右移动并保持相同大小同时在屏幕上完全可见时，表单将显示在屏幕的左上角。
        操作系统仅支持重叠窗口。对于弹出窗口或子窗口（例如，其 BorderStyle 为 bsDialog 或 bsNone），该窗口位于屏幕的左上角。
        
        
        
        
        po默认大小仅
        
        
        
        窗体显示在设计时保留的位置，但操作系统选择其大小。无论屏幕分辨率如何，窗体的右侧始终靠近屏幕的最右侧，窗体的底部始终靠近屏幕的底部。
        
        
        
        
        屏幕中心
        
        
        
        表单仍保持设计时的大小，但位于屏幕中央。在多显示器应用程序中，窗体可以从该中心位置移动，以便它完全落在一个显示器上，如 DefaultMonitor 属性所指定的那样。
        
        
        
        
        po桌面中心
        
        
        
        表单仍保持设计时的大小，但位于屏幕中央。没有针对多显示器应用程序进行任何调整。
        
        
        
        
        po主表单中心
        
        
        
        该窗体保持设计时保留的大小，但位于应用程序主窗体的中心。没有针对多显示器应用程序进行任何调整。此位置只能与辅助形式一起使用。如果设置为主窗体，它的作用类似于 poScreenCenter。
        
        
        
        
        业主表格中心
        
        
        
        该窗体保持设计时保留的大小，但位于由 Owner 属性指定的窗体的中心。如果 Owner 属性未指定表单，则此位置的作用类似于 poMainFormCenter。
        
        
        
        
        请注意，如果 Position 设置为 poDefault、poDefaultPosOnly 或 poDefaultSizeOnly，并且 BorderStyle 设置为 bsDialog 或 bsNone，则窗体将定位在 (0,0)。"""
    PrintScale: PrintScale
    """PrintScale：表示打印表格的比例。
        使用 PrintScale 获取或设置打印表单的比例。 PrintScale 可以具有以下 TPrintScale 值之一：
        
        
        
        
        
        价值
        
        意义
        
        
        
        波内
        
        
        
        不会发生特殊的缩放；因此，打印的表格以及表格在屏幕上的显示方式可能会显得被压扁或拉伸。
        
        
        
        
        比例
        
        
        
        打印表格时，打印图像的可见尺寸与屏幕上的可见尺寸大致相同 (WYSIWYG)。表单图像经过缩放，以便打印的图像与屏幕上的可见尺寸大致相同。
        
        
        
        
        打印适合
        
        
        
        该表格使用相同的屏幕比例打印，但尺寸恰好适合打印页面。"""
    Scaled: bool
    """bool：指定是否根据 PixelsPerInch 属性的值调整窗体的大小。
        缩放确定表单是否根据设计时使用的字体与运行时系统使用的当前系统字体之间的差异进行调整。如果 Scaled 为 true，则窗体会调整自身及其所有子控件的大小，以维持控件大小和以默认字体显示的文本高度之间的关系。如果 Scaled 为 false，则不会发生此类调整大小。
        通过将 Scaled 设置为 true，表单可以调整为不可缩放的字体（即，仅提供离散点大小的字体）或差异，例如在设计时使用小字体设计但在使用大字体的系统上运行的表单。
        调整大小的程度由 PixelsPerInch 属性确定，该属性测量设计表单时使用的系统上字体的比例。"""
    ScreenSnap: bool
    """布尔： Specifies whether form snaps to edge of screen.
        ScreenSnap determines whether the edges of the form snap to the edge of the screen when the user moves the form. To control the snap distance, set the SnapBuffer property."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    SnapBuffer: int
    """整数： Specifies distance for screen snap.
        If ScreenSnap is true, SnapBuffer determines the maximum number of pixels that be between the form edge and the screen edge before the form snaps to the screen edge."""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TileMode: TileMode
    """TileMode：表示调用Tile方法时MDI子窗体的排列方式。
        TileMode 可以具有以下 TTileMode 值之一：
        
        
        
        
        
        价值
        
        意义
        
        
        
        tb水平
        
        
        
        每个表单都延伸到父表单的宽度上
        
        
        
        
        tb垂直
        
        
        
        每个窗体沿着父窗体的高度延伸
        
        
        
        
        仅当窗体是 MDI 子窗体（即窗体的 FormStyle 属性设置为 fsMDIChild）时，TileMode 才有意义。"""
    TipMode: TipMode
    """TipMode：TipMode 指示当控件接收焦点或接收手势时 TabTip（屏幕键盘等效项）是打开还是关闭。
        例如，在从 TButtonControl 派生的控件中，默认模式是tipClose，因此当控件接收到焦点或手势时，TabTip 会被指示消失。从 TCustomEdit 派生的控件的默认值是tipOpen。
        
        注：以上仅适用于支持触摸屏的设备"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    TransparentColor: bool
    """布尔： Specifies whether a color on the form appears transparent.
        Use TransparentColor to indicate that one of the colors on the form should be treated as transparent, allowing windows behind the form to completely show through. The TransparentColorValue property indicates the color that appears completely transparent.
        
        Note:  To make the entire form transparent, or to make it translucent rather than transparent, use the AlphaBlend and AlphaBlendValue properties.
        Note: TransparentColor does not work on all systems. The application must be running under Windows 2000 or better, with adequate hardware."""
    TransparentColorValue: int
    """整数： Indicates the color on the form that appears transparent when TransparentColor is true.
        Use TransparentColorValue to indicate the color that appears transparent when the TransparentColor property is true.
        
        Note:  If the application uses a 16-bit color palette, TransparentColorValue must be a basic color."""
    UseDockManager: bool
    """布尔： Specifies whether the docking manager is used in drag-and-dock operations.
        Use UseDockManager to get or set whether a docking manager is used in drag-and-dock operations. 
        The docking manager handles the positioning of docked controls and any painting of docking zones around those controls. If you do not use a docking manager, docked controls are aligned to the windowed control based on the closest edge to where they are released. When you do not use a docking manager, there is no region for a user to grab to automatically undock a docked control."""
    VertScrollBar: ControlScrollBar
    """ControlScrollBar：表示滚动窗口控件的垂直滚动条。
使用 VertScrollBar 隐藏、显示或操作滚动窗口控件的垂直滚动条。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    Width: int
    """int：指定控件或窗体的水平尺寸（以像素为单位）。
        使用 Width 属性读取或更改控件的宽度。
        
        注意：对于选项卡表控件，在运行时更改此属性没有任何效果。"""
    WindowMenu: MenuItem
    """MenuItem：指定 MDI 父窗体的窗口菜单。
        使用 WindowMenu 获取或设置 MDI 父窗体的窗口菜单。窗口菜单是 MDI 应用程序中的标准菜单。它包含让用户管理应用程序中的窗口的命令。菜单项通常包括级联、排列图标、平铺等。
        窗口菜单还列出（在底部）当前在应用程序中打开的子窗口。当用户从菜单中选择这些窗口之一时，该窗口将成为应用程序中的活动窗口。
        尽管此菜单通常称为“窗口”菜单，但它可以具有与菜单栏上现有菜单项相对应的任何名称。打开的子窗体的名称会在运行时自动合并到菜单中。
        仅当窗体是 MDI 父窗体（即窗体的 FormStyle 属性设置为 fsMDIForm）时，WindowMenu 才有意义。"""
    WindowState: WindowState
    """WindowState：表示窗体在屏幕上的显示方式。
        设置 WindowState 以最小化、最大化或恢复窗体窗口。读取 WindowState 以确定窗体是最小化、最大化还是处于正常状态。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def ArrangeIcons(self, *args, **kwargs) -> Any:
        """排列最小化 MDI 子窗体的图标。
        使用 ArrangeIcons 排列最小化 MDI 子窗体的图标，使它们均匀分布且不重叠。
        仅当窗体是 MDI 父窗体（即窗体的 FormStyle 属性为 fsMDIForm）时，ArrangeIcons 才起作用。"""
    def Cascade(self, *args, **kwargs) -> Any:
        """排列 MDI 子窗体以使它们重叠。
        使用 Cascade 排列 MDI 子窗体，使它们重叠。
        仅当窗体是 MDI 父窗体（即窗体的 FormStyle 属性为 fsMDIForm）时，级联才起作用。"""
    def Close(self) -> Any:
        """TForm.Close()
        关闭封装的表单"""
    def CloseQuery(self) -> Any:
        """TForm.CloseQuery()
询问包装的表单是否可以关闭"""
    def LoadProps(self) -> Any:
        """TForm.LoadProps()
        从 .pydfm 文件加载属性"""
    def Next(self, *args, **kwargs) -> Any:
        """激活表单序列中的下一个子表单。
        使用 Next 更改 MDI 父窗体的活动子窗体。例如，如果父窗体中有三个子窗体，并且 Form2 是活动窗体，则 Next 方法会使 Form3 成为活动窗体。再次调用 Next 会使 Form4 处于活动状态。下次应用程序调用 Next 时，序列会重新开始，Form2 再次成为活动表单。
        Next 方法仅适用于作为 MDI 父窗体的窗体（FormStyle 属性值为 fsMDIForm）。"""
    def Previous(self, *args, **kwargs) -> Any:
        """激活表单序列中的上一个 MDI 子表单。
        使用 Previous 更改 MDI 父窗体的活动子窗体。例如，如果父窗体中有三个子窗体，并且 Form4 是活动窗体，则 Previous 方法会使 Form3 成为活动窗体。再次调用 Previous 会使 Form2 处于活动状态。下次应用程序调用 Previous 时，序列会重新开始，Form4 再次成为活动表单。
        Previous 方法仅适用于作为 MDI 父窗体的窗体（FormStyle 属性值为 fsMDIForm）。"""
    def Release(self) -> Any:
        """TForm.Release()
释放（销毁）包装的表单"""
    def ShowModal(self) -> Any:
        """TForm.ShowModal()
        将包装的表单显示为模态表单"""
    def Tile(self, *args, **kwargs) -> Any:
        """排列 MDI 子窗体，使它们具有相同的大小。
        使用 Tile 排列 MDI 子窗体，使它们具有相同的大小。平铺表单完全填满了父表单的客户区。表单如何自行排列取决于其 TileMode 属性的值。
        仅当窗体是 MDI 父窗体（即窗体的 FormStyle 属性为 fsMDIForm）时，Tile 才起作用。"""
    def get_MDIChildren(self, I: int) -> 形式：
        """TForm.get_MDIChildren(I: int) -> 表单
        Embarcadero Technologies 目前没有任何其他信息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Graphic(Persistent):
    """TGraphic 是可以存储和显示可视图像的对象（例如图标、位图和图元文件）的抽象基类类型。
    TGraphic是一个抽象类，无法实例化。后代图形对象重写 TGraphic 的许多方法来满足其特定文件格式和图形特性的需要。 TGraphic 还引入了与 TPicture 对象和剪贴板一起使用的方法。 TGraphic 的属性提供有关图形图像的状态和大小的信息。
    当图形的类型已知时，将图形存储在其特定类型对象中。否则，使用可以容纳任何类型 TGraphic 的 TPicture 对象。"""
    __hash__: ClassVar[None] = ...
    Empty: Any
    Height: Any
    Modified: Any
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnProgress: Callable[[Object,ProgressStage,int,bool,Rect,str],None]
    """Callable[[Object, ProgressStage, int, bool, Rect, str], None]:"""
    Palette: Any
    PaletteModified: Any
    ScaledDrawer: ScaledGraphicDrawer
    """ScaledGraphicDrawer：返回对缩放抽屉的引用。
        当为图形启用缩放抽屉时，ScaledDrawer 属性将返回对其的引用。
        
        也可以看看
        启用S​​caledDrawer"""
    SupportsPartialTransparency: bool
    """布尔： Indicate whether graphic supports partial transparency or an alpha channel.
        SupportsPartialTransparency indicates whether the graphic supports partial transparency or an alpha channel.
        Some TGraphic descendants, such as TBitmap and TPngImage, can support partial transparency or an alpha channel. When a graphic that supports partial transparency is drawn on a canvas using DrawTransparent, it should be blended with the pixels on the canvas based on the value of the alpha channel."""
    Transparent: Any
    Width: Any
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    @classmethod
    def CanLoadFromStream(cls, Stream: Stream) -> 布尔：
        """TGraphic.CanLoadFromStream(Stream: Stream) -> bool
        当指定的流包含特定 TGraphic 子类的流图像时，CanLoadFromStream 返回 True。
        该方法使用当前流位置，它不会更改当前流位置。"""
    def Create(self, *args, **kwargs) -> Any:
        """创建 TGraphic 对象。
        该方法创建并初始化一个 TGraphic 对象。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """Destroys the TPersistent instance and frees its memory.
        Vcl.Graphics.TGraphic.Destroy inherits from System.Classes.TPersistent.Destroy. All content below this line refers to System.Classes.TPersistent.Destroy.
        销毁 TPersistent 实例并释放其内存。
        不要直接调用 Destroy。请拨打免费电话。在调用 Destroy 之前，Free 检查对象引用是否不为 nil。"""
    def DisableScaledDrawer(self, *args, **kwargs) -> Any:
        """DisableScaledDrawer 禁用图形的缩放抽屉。
        
        也可以看看
        比例抽屉
        启用S​​caledDrawer"""
    def EnableScaledDrawer(self, AGraphicScalerClass: ScaledGraphicDrawerClass, AInitialize: bool) -> None:
        """TGraphic.EnableScaledDrawer(AGraphicScalerClass: ScaledGraphicDrawerClass, AInitialize: bool) -> 无
        EnableScaledDrawer 启用图形缩放抽屉，用于缩放图形。
        AGraphicScalerClass 指定缩放抽屉类，例如 TWICScaledGraphicDrawer。
        
        也可以看看
        比例抽屉
        禁用缩放抽屉"""
    def Equals(self, Obj: Object) -> 布尔：
        """TGraphic.Equals(Obj: Object) -> bool
        将图形与另一个 TGraphic 对象进行比较，如果对象包含相同的图形，则返回 true。
        Equals 比较两个 TGraphic 对象的内容。如果 TGraphic 是不同的类或者它们包含不同的图形数据，则 Equals 返回 false。
        
        代码示例
        T图形（德尔福）
        T图形(C++)\r
        将图形与另一个 TGraphic 对象进行比较，如果对象包含相同的图形，则返回 true。
        Equals 比较两个 TGraphic 对象的内容。如果 TGraphic 是不同的类或者它们包含不同的图形数据，则 Equals 返回 false。
        
        代码示例
        T图形（德尔福）
        图形 (C++)"""
    def LoadFromClipboardFormat(self) -> Any:
        """TGraphic.LoadFromClipboardFormat()"""
    def LoadFromFile(self) -> Any:
        """TGraphic.LoadFromFile()"""
    def LoadFromStream(self) -> Any:
        """TGraphic.LoadFromStream()"""
    def SaveToClipboardFormat(self) -> Any:
        """TGraphic.SaveToClipboardFormat()"""
    def SaveToFile(self) -> Any:
        """TGraphic.SaveToFile()"""
    def SaveToStream(self) -> Any:
        """TGraphic.SaveToStream()"""
    def SetSize(self, AWidth: int, AHeight: int) -> None:
        """TGraphic.SetSize(AWidth: int, AHeight: int) -> 无
        指定图形的大小。
        使用 SetSize 方法设置图形的高度和宽度。这比单独设置高度和宽度具有更好的性能。"""
    def UpdateScaledDrawer(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class GroupBox(CustomControl):
    """TGroupBox 代表 Windows 组框。
    TGroupBox 组件代表一个标准的 Windows 组框，用于对窗体上的相关控件进行分组。当另一个控件组件放置在组框中时，该组框将成为该组件的父组件。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DefaultHeader字体： bool
    """布尔："""
    DockSite: bool
    """布尔： Specifies whether the control can be the target of drag-and-dock operations.
        Set DockSite to true to allow other controls to be docked to this windowed control.
        
        Code Examples
        Docking (Delphi)
        Docking (C++)"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    Header字体： Font
    """字体："""
    OnAlignInsertBefore: Callable[[WinControl,Control,Control],bool]
    """可调用[[WinControl, Control, Control], bool]:"""
    OnAlignPosition: Callable[[WinControl,Control,int,int,int,int,Rect,AlignInfo],None]
    """Callable[[WinControl, Control, int, int, int, int, Rect, AlignInfo], None]:"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDockDrop: Callable[[Object,DragDockObject,int,int],None]
    """Callable[[Object, DragDockObject, int, int], None]:"""
    OnDockOver: Callable[[Object,DragDockObject,int,int,DragState,bool],None]
    """Callable[[Object, DragDockObject, int, int, DragState, bool], None]:"""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetSiteInfo: Callable[[Object,Control,Rect,Point,bool],None]
    """可调用[[对象、控件、矩形、点、布尔]、无]："""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnUnDock: Callable[[Object,Control,WinControl,bool],None]
    """Callable[[Object, Control, WinControl, bool], None]:"""
    Padding: Padding
    """填充：指定控件的填充。
        使用 Padding 指定控件的填充。该值是 TPadding 类的实例。"""
    ParentBackground: bool
    """布尔： Determines whether the control uses its parent's theme background.
        If ParentBackground is True, the control uses the parent's theme background to draw its own background. 
        If  ParentBackground is False, the control uses its own properties, such as Color, to draw its background.
        ParentBackground has no effect unless XP themes are enabled."""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowFrame: bool
    """布尔："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class HandleStream(Stream):
    """THandleStream 使应用程序能够读取和写入由句柄标识的通信资源。
    使用 THandleStream 访问文件、套接字、命名管道、邮槽或其他在打开时提供句柄的通信资源。例如，FileOpen 函数提供磁盘上文件的句柄。 THandleStream 允许应用程序在使用句柄执行 I/O 时使用统一的流接口。
    为了避免管理文件句柄的开销，请使用 TFileStream 来处理磁盘文件。"""
    __hash__: ClassVar[None] = ...
    ClassName: Any
    """返回 TObject.ClassName"""
    Handle: int
    """整数： Specifies the handle for the communications resource the stream reads from and writes to.
        Read Handle to get the handle for file management functions. To read from or write to the resource, use the methods of the THandleStream object.
        Handle is a read-only property. The handle property cannot be changed to allow the handle stream to switch from reading to writing or vice versa. For example, to change from a file handle that is opened in read-only mode to one that is opened in write mode:
        
        Free the stream object.
        Call FileClose to close the file.
        Reopen the file in write mode and use the handle to create a new instance of a handle stream. Alternately, open a TFileStream object for the file, specifying a write mode for the stream.
        Note: Do not call the FileClose function on the Handle until after the THandleStream object has been destroyed."""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, AHandle: int) -> None:
        """THandleStream.Create(AHandle: int) -> 无
        创建 THandleStream 的实例。
        调用 Create 来实例化给定句柄的 THandleStream。
        必须通过以适当的模式打开或创建资源来获取句柄。例如，要创建用于读取文件的句柄流，请通过使用 fmOpenRead 或 fmOpenReadWrite 模式打开文件来获取文件句柄。要创建用于写入文件的句柄流，请通过使用 fmOpenWrite 或 fmOpenReadWrite 模式打开文件来获取文件句柄。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    def Read(self, Buffer, Count: int) -> 整数：
        """THandleStream.Read(Buffer, Count: int) -> int
        从与句柄流关联的资源中将最多 Count 个字节的数据读入缓冲区。
        当文件中的字节数未知时，使用 Read 从与句柄流关联的资源中读取数据。 Read 从当前位置开始从资源传输最多 Count 个字节，然后将资源中的当前位置前进实际传输的字节数。 Read 返回实际传输的字节数，如果遇到文件结束标记，则该字节数可能小于 Count。
        句柄流的所有其他数据读取方法（ReadBuffer、ReadComponent）均调用 Read 来执行实际读取。"""
    def ReadBytes(self) -> Any:
        """TPyDelphiStream.ReadBytes()
        以字节形式读取内容。"""
    def ReadFloat(self) -> Any:
        """TPyDelphiStream.ReadFloat()
        将内容读取为浮动。"""
    def ReadInt(self) -> Any:
        """TPyDelphiStream.ReadInt()
        将内容读取为整数。"""
    def ReadString(self) -> Any:
        """TPyDelphiStream.ReadString()
        将内容读取为字符串。"""
    def Seek(self, Offset: int, Origin: SeekOrigin) -> 整数：
        """THandleStream.Seek(偏移量：int，原点：SeekOrigin) -> int
        重置句柄流的当前位置。
        使用 Seek 将与句柄流关联的资源中的当前位置移动指定的偏移量。 Seek 允许应用程序读取或写入资源中的特定位置。
        Origin 参数指示如何解释 Offset 参数。原点应该是以下值之一：
        
        
        
        价值
        
        意义
        
        
        
        所以从头开始
        
        
        
        偏移量是从资源的开头开始的。 Seek 移动到 Offset 位置。偏移量必须 >= 0。
        
        
        
        
        所以从当前
        
        
        
        偏移量是从资源中的当前位置开始的。寻找移动到位置+偏移。
        
        
        
        
        所以从结束
        
        
        
        偏移量是从资源末尾开始的。偏移量必须 <= 0 以指示文件末尾之前的字节数。
        
        
        或者，您也可以使用 TSeekOrigin 及其值来指示从何处开始查找操作。
        Seek 返回 Position 属性的新值，即资源中的新当前位置。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    def Write(self, Buffer, Count: int) -> 整数：
        """THandleStream.Write(Buffer, Count: int) -> int
将 Count 个字节从 Buffer 写入资源中的当前位置。
使用 Write 从当前位置开始将 Count 个字节写入与句柄流关联的资源。写入资源后，Write 将当前位置前进写入的字节数，并返回写入的字节数。
句柄流的所有其他数据写入方法（WriteBuffer、WriteComponent）都调用 Write 进行实际写入。"""
    def WriteBytes(self) -> Any:
        """TPyDelphiStream.WriteBytes()
        将内容写入字节。"""
    def WriteFloat(self) -> Any:
        """TPyDelphiStream.WriteFloat()
        将内容写入浮动。"""
    def WriteInt(self) -> Any:
        """TPyDelphiStream.WriteInt()
将内容写入整数。"""
    def WriteString(self) -> Any:
        """TPyDelphiStream.WriteString()
        将内容写入字符串。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Header(CustomControl):
    """THeader 是一个分段式可视化控件，可显示文本并允许使用鼠标调整每个部分的大小。
THeader 是为了向后兼容而提供的。新应用程序应改用 THeaderControl。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    AllowResize: bool
    """布尔： Determines if the user can modify the size of the header at runtime with the mouse.
        If AllowResize is false, the sections within a header can't be resized. If AllowResize is true, clicking a border of a header section and dragging it left or right changes the width of the section. The default value is true."""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    边框样式： BorderStyle
    """BorderStyle：确定标头控件是否有边框。
        这些是可能的值：
        
        
        
        
        
        价值
        
        意义
        
        
        
        无
        
        
        
        无可见边框
        
        
        
        
        单曲
        
        
        
        单线边框"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnSized: Callable[[Object,int,int],None]
    """可调用[[对象，int，int]，无]："""
    OnSizing: Callable[[Object,int,int],None]
    """可调用[[对象，int，int]，无]："""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    SectionWidth: int
    """整数："""
    Sections: Strings
    """字符串：列出包含标题各部分文本的字符串。
        字符串列表的行数决定了标题的节数。如果字符串列表为空，则标头有一个空白部分。如果此字符串列表包含一行或多行，则每一行的文本都位于其自己的部分中。第一行位于最左侧的部分，第二行位于右侧的下一个部分，依此类推。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """THeader.Create(AOwner: Component) -> 无
        创建一个新的 THeader 对象。
        调用 Create 在运行时实例化标头。在设计时添加到表单的标题是自动创建的。
        AOwner 参数初始化标头的 Owner 属性。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """释放与 THeader 对象关联的内存。
        不要直接调用 Destroy。相反，请使用 Free 方法，该方法在调用 Destroy 之前检查 THeader 引用是否为零。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Icon(Graphic):
    """TIcon 是 Windows 图标的封装。
    使用 TIcon 代表图像列表中的图标之一。将图标分配给具有 Icon 属性的对象，例如 TForm 或 TPicture。
    图标对象表示从 Windows 图标文件（.ICO 文件）加载的值。使用 TCanvas 对象的 Draw 方法在画布上绘制图标。图标不会拉伸，因此请勿将 StretchDraw (TCanvas) 与图标一起使用。
    
    注意：TIcon 可用于显示多分辨率（>16 色）图标的值。但是，它不支持创建多分辨率图标，也不支持从文件或流加载图像后调整图像大小。"""
    __hash__: ClassVar[None] = ...
    Handle: Any
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Assign(self, Source: Persistent) -> None:
        """TIcon.Assign（来源：持久）-> 无
        从另一个 TIcon 对象复制图标图像。
        调用Assign 来复制另一个图标对象。如果它是另一个 TIcon 对象，Assign 会从 Source 参数复制图标图像。否则，Assign 调用继承的方法，该方法从任何源对象复制图标图像，该源对象在其 AssignTo 方法中指定如何复制到 TIcon。"""
    def AssignTo(self, Dest: Persistent) -> None:
        """TIcon.AssignTo（目标：持久）-> 无
        将图标图像复制到 TBitmap 图形对象。
        调用AssignTo 将图标复制到TBitmap 对象。如果是 TBitmap 对象，AssignTo 会将图标图像复制到 Dest 参数。否则，AssignTo 失败。
        将图标图像复制到位图的首选方法是使用 TBitmap 类的 Assign 方法，将图标对象作为 Source 参数传递。
        
        注意：调用AssignTo 后生成的位图始终具有Alpha 通道（透明度）信息和32 位颜色深度。"""
    @classmethod
    def CanLoadFromStream(cls, Stream: Stream) -> 布尔：
        """TIcon.CanLoadFromStream(Stream: Stream) -> bool
        Vcl.Graphics.TIcon.CanLoadFromStream 继承自Vcl.Graphics.TGraphic.CanLoadFromStream。该行以下所有内容均引用Vcl.Graphics.TGraphic.CanLoadFromStream。
        当指定的流包含特定 TGraphic 子类的流图像时，CanLoadFromStream 返回 True。
        该方法使用当前流位置，它不会更改当前流位置。"""
    def Create(self, *args, **kwargs) -> Any:
        """创建 TIcon 的实例。
        调用 Create 创建一个空的图标对象。一旦图像从文件或流读入图标，或者通过分配另一个图标对象，就可以在画布上绘制图标或将其添加到图像列表中。不要创建图标对象来设置表单或图片的图标属性。这些对象在它们自己的构造函数中创建一个 TIcon 对象。相反，请对可通过读取 Icon 属性获取的 TIcon 对象使用 LoadFromFile、LoadFromStream 或 LoadFromClipboardFormat 方法。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TIcon 的实例。
不要在应用程序中直接调用 Destroy。而是调用 Free。Free 会验证 TIcon 引用是否为零，然后才调用 Destroy。"""
    def HandleAllocated(self, *args, **kwargs) -> Any:
        """指示 TIcon 对象是否已获取基础 GDI 对象的句柄。
        使用 HandleAllocation 确定 Handle 属性是否设置为 HICON 值。 HandleAllocation 指示基础 GDI 对象是否已创建。使用 HandleAllocation 而不是读取 Handle 属性。当应用程序读取 Handle 属性时，如果基础 GDI 对象尚不存在，它会自动创建一个图标并返回其句柄。"""
    def LoadFromClipboardFormat(self, AFormat: int, AData: int, APalette: int) -> None:
        """TIcon.LoadFromClipboardFormat(AFormat: int, AData: int, APalette: int) -> 无
        防止应用程序从剪贴板加载图标。
        LoadFromClipboardFormat 在 TIcon 中被覆盖，因为不支持剪贴板格式。"""
    def LoadFromResourceID(self, Instance: int, ResID: int) -> None:
        """TIcon.LoadFromResourceID（实例：int，ResID：int）->无
        Embarcadero Technologies 目前没有任何其他信息。"""
    def LoadFromResourceName(self, Instance: int, ResName: str) -> None:
        """TIcon.LoadFromResourceName(Instance: int, ResName: str) -> None
        将图标资源加载到图标对象中。
        LoadFromResourceName 从模块的可执行文件加载指定的图标资源。
        实例是包含资源的模块的句柄。
        ResName 是要加载的资源的名称。"""
    def LoadFromStream(self, Stream: Stream) -> None:
        """TIcon.LoadFromStream(Stream: Stream) -> 无
        从流中加载图标。
        使用 LoadFromStream 从流中读取图标图像。将 Stream 参数设置为一个流对象，该对象提供对图标内存图像的访问。要从 .ico 文件加载图标，请使用 LoadFromFile 方法。要从剪贴板加载图标，请使用 LoadFromClipboardFormat 方法。"""
    def ReleaseHandle(self) -> Any:
        """TIcon.ReleaseHandle()"""
    def SaveToClipboardFormat(self, Format: int, Data: int, APalette: int) -> None:
        """TIcon.SaveToClipboardFormat（格式：int，数据：int，APalette：int）->无
        阻止应用程序将图标保存到剪贴板。
        SaveToClipboardFormat 在 TIcon 中被覆盖，因为剪贴板不支持该格式。"""
    def SaveToStream(self, Stream: Stream) -> None:
        """TIcon.SaveToStream(Stream: Stream) -> None
将图标保存到流中。
使用 SaveToStream 将图标图像写入流中。将 Stream 参数指定为接收图标内存图像的流对象。要将图标写入 .ico 文件，请使用 SaveToFile 方法。要将图标写入剪贴板，请使用 SaveToClipboardFormat 方法。"""
    def SetSize(self, AWidth: int, AHeight: int) -> None:
        """TIcon.SetSize(AWidth: int, AHeight: int) -> 无
        指定图标的大小。
        使用 SetSize 方法设置图标的高度和宽度。这比单独设置高度和宽度具有更好的性能。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Image(Control):
    """Delphi TImage 的包装"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSize: bool
    """布尔： Specifies whether the control sizes itself automatically to accommodate its contents.
        Use AutoSize to specify whether the control sizes itself automatically. When AutoSize is True, the control resizes automatically when its contents change.
        By default, AutoSize is False."""
    帆布： Canvas
    """帆布："""
    Center: bool
    """布尔："""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    IncrementalDisplay: bool
    """布尔："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnFindGraphicClass: Callable[[Object,FindGraphicClassContext,GraphicClass],None]
    """可调用[[对象，FindGraphicClassContext，GraphicClass]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnProgress: Callable[[Object,ProgressStage,int,bool,Rect,str],None]
    """Callable[[Object, ProgressStage, int, bool, Rect, str], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    Parent: Any
    """返回/设置控制父级"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    图片： Picture
    """图片："""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    Proportional: bool
    """布尔："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Stretch: bool
    """布尔："""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Transparent: bool
    """布尔："""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TImage.Create(AOwner: 组件) -> 无
        创建 TControl 的实例。
        调用 Create 构造并初始化 TControl 的实例。但是，您永远不应该尝试实例化 TControl。此类仅用作其他控件类的派生基类，并且您应该只调用 Create 来实例化这些派生类之一。
        Create 调用父构造函数并初始化控件。
        当重写 Create 时，始终首先调用继承的 Create 方法，然后继续进行控件的初始化。请记住在重写 Create 方法时指定 override 指令。
        
        注意：如果控件的构造函数分配资源或内存，还需重写析构函数以释放这些资源。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证控件不为零，然后才调用 Destroy。
        应用程序只应在调用构造函数时显式释放控件，而不为控件分配所有者。
        当控制被破坏时，它：
        
        释放 TFont 对象的 Font 属性。
        调用其继承的析构函数。
        重写 Destroy 以释放在 Create 方法中分配的所有内存或资源。在后代控件类型中声明 Destroy 方法时，始终将 override 指令添加到声明中，并调用继承的 Destroy 作为重新声明方法中的最后一个语句。
        创建控件时，Delphi 自动提供围绕构造函数调用的异常处理。如果异常从构造函数中逃逸，则调用析构函数。这意味着析构函数代码必须准备好清理部分构造的实例。在处理其内容之前检查所有数据字段是否为零。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ImageList(DragImageList):
    """Delphi TImageList 的包装"""
    __hash__: ClassVar[None] = ...
    AllocBy: int
    """整数："""
    BkColor: int
    """整数："""
    BlendColor: int
    """整数："""
    颜色深度： ColorDepth
    """颜色深度："""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    绘图风格： DrawingStyle
    """绘图风格："""
    GrayscaleFactor: int
    """整数："""
    Height: int
    """整数："""
    图像类型： ImageType
    """图像类型："""
    Masked: bool
    """布尔："""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    Owner: Any
    """返回组件所有者"""
    ShareImages: bool
    """布尔："""
    Width: int
    """整数："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Label(Control):
    """TLabel 是一个非窗口控件，用于在窗体上显示文本。
    使用 TLabel 添加用户无法在表单上编辑的文本。该文本可用于标记另一个控件，并可在用户键入加速键时将焦点设置到该控件。 Caption 属性可用于定义标签控件的加速键。
    因为TLabel不是TWinControl的后代，所以它没有自己的窗口，不能接收来自键盘的直接输入。要将对象添加到除了显示文本之外还可以响应键盘输入（而不是在键入加速键时将焦点设置到另一个对象）的对象，请使用 TStaticText。
    要将对象添加到显示用户可以滚动或编辑的文本的表单，请使用 TEdit。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： Alignment
    """结盟："""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSize: bool
    """布尔： Specifies whether the control sizes itself automatically to accommodate its contents.
        Use AutoSize to specify whether the control sizes itself automatically. When AutoSize is True, the control resizes automatically when its contents change.
        By default, AutoSize is False."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    省略号位置： EllipsisPosition
    """省略号位置："""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focus控制： WinControl
    """控制窗口："""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    GlowSize: int
    """整数："""
    Layout: TextLayout
    """文本布局："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    Parent: Any
    """返回/设置控制父级"""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowAccelChar: bool
    """布尔："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Transparent: bool
    """布尔："""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    WordWrap: bool
    """布尔："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class LabeledEdit(CustomEdit):
    """TLabeledEdit 是一个具有关联标签的编辑控件。
    使用 TLabeledEdit 将带有标签的编辑控件添加到窗体中。 TLabeledEdit 与关联的标签控件一起使用，该控件是其 EditLabel 属性的值。该标签相对于编辑控件的位置由 LabelPosition 和 LabelSpacing 属性确定。
    使用 Text 属性可处理控件中的文本，使用标签的 Caption 属性可处理标签中的文本。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： Alignment
    """结盟： Determines how the text is aligned within the text edit control.
        Use Alignment to change the way the text is formatted in the text edit control. Alignment can take one of the following values:
        
        
        
        
        
        Value
        
        Meaning
        
        
        
        taLeftJustify
        
        
        
        Align text to the left side of the control
        
        
        
        
        taCenter
        
        
        
        Center text horizontally in the control.
        
        
        
        
        taRightJustify
        
        
        
        Align text to the right side of the control."""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSelect: bool
    """布尔： Determines whether all the text in the edit control is automatically selected when the control gets focus.
        Set AutoSelect to select all the text when the edit control gets focus. AutoSelect only applies to single-line edit controls.
        Use AutoSelect when the user is more likely to replace the text in the edit control than to append to it."""
    AutoSize: bool
    """布尔： Determines whether the height of the edit control automatically resizes to accommodate the text.
        Use AutoSize to make the edit control adjust its size automatically so the client area accommodates the height of the text. When AutoSize is false, the edit control has a fixed height. When AutoSize is true, the size of the control is readjusted whenever a change occurs that could affect the height of the control, such as a change to the font or border style.
        
        Note: AutoSize only adjusts the height of the edit control. Even with AutoSize set to true, text in the edit control may appear truncated if it extends beyond the width of the control."""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BevelWidth: int
    """整数： Specifies the width of the inner and outer bevels.
        Use BevelWidth to specify the width, in pixels, of the inner and outer bevels."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    边框样式： BorderStyle
    """BorderStyle：确定编辑控件在工作区周围是否有单线边框。
        使用 BorderStyle 可以影响编辑控件的工作区突出的清晰度。 BorderStyle 的值可以是 bsSingle 或 bsNone。如果 BorderStyle 为 bsSingle，则编辑控件在工作区周围有单线边框。如果 BorderStyle 为 bsNone，则没有边框。"""
    CharCase: EditCharCase
    """EditCharCase：确定编辑控件中文本的大小写。
        使用 CharCase 强制编辑控件的内容采用特定的大小写。
        当 CharCase 设置为 ecLowerCase 或 ecUpperCase 时，当用户在编辑控件中键入字符时，字符的大小写将被转换。将 CharCase 属性更改为 ecLowerCase 或 ecUpperCase 会更改文本的实际内容，而不仅仅是外观。任何案例信息都会丢失，并且无法通过将 CharCase 更改为 ecNormal 来重新捕获。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    EditLabel: BoundLabel
    """绑定标签："""
    EditMask: str
    """字符串："""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    HideSelection: bool
    """布尔： Determines whether the visual indication of the selected text remains when focus shifts to another control.
        Set HideSelection to false to provide visual feedback of the selected portion of the text even when the edit control does not have focus. Set HideSelection to true to show the selection only when the edit control has focus. HideSelection does not affect the actual value of the selection, only the visual indication. Always setting HideSelection to false can make forms with many edit controls look too busy."""
    ImeMode: ImeMode
    """ImeMode：确定输入法编辑器 (IME) 的行为。
        设置 ImeMode 以配置 IME 处理用户击键的方式。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeMode 允许控件影响 IME 执行的转换类型，以便它适合控件期望的输入。例如，仅接受数字输入的控件可能会指定 imClose 的 ImeMode，因为数字输入不需要转换。
        
        注意：ImeMode 的值仅在控件获得焦点时才生效。要在控件已具有输入焦点时更改 ImeMode 的值，请调用 SetIme 方法。"""
    ImeName: str
    """str：指定用于将键盘输入转换为亚洲语言字符的输入法编辑器 (IME)。
        设置 ImeName 以指定使用哪个 IME 来转换击键。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeName 必须指定已通过 Windows 控制面板安装的 IME 之一。属性检查器提供系统上当前安装的所有 IME 的下拉列表。在运行时，应用程序可以从全局 Screen 变量获取当前安装的 IME 列表。
        如果 ImeName 指定不可用的 IME，则使用应用程序启动时处于活动状态的 IME。不会产生异常。
        
        注意：ImeName 的值仅在控件获得焦点时才生效。要在控件获得输入焦点后更改 ImeName 的值，请调用 SetIme 方法。"""
    标签位置： LabelPosition
    """标签位置："""
    LabelSpacing: int
    """整数："""
    MaxLength: int
    """整数： Specifies the maximum number of characters the user can enter into the edit control.
        Use MaxLength to limit the number of characters that can be entered into the edit control. A value of 0 indicates that there is no application-defined limit on the length.
        Use MaxLength to limit the length of the text in an edit control if that text will be copied into a fixed-length buffer.
        
        Note:  Setting MaxLength will not truncate the existing text, it merely prevents the user from adding more text after reaching the limit of MaxLength characters.
        Note:  Even when MaxLength is 0, there may be limitations imposed by the operating system on the number of characters that may be entered into an edit control.
        Note:  The unit of MaxLength is characters (not bytes) if the application is using themes."""
    NumbersOnly: bool
    """布尔： Allows only numbers to be typed into the text edit.
        Use NumbersOnly to prohibit entry of non-numeric characters in the textfield. Note, however, that a user can paste non-numeric characters in the textfield even when this property is set.
        
        Code Examples
        StdCtrlsProp (Delphi)
        StdCtrlsProp (C++)"""
    OEMConvert: bool
    """布尔： Determines whether characters typed in the edit control are converted from ANSI to OEM and then back to ANSI.
        To ensure that any characters typed in the edit control can be unambiguously converted to the OEM character set, set OEMConvert to true. This causes all characters to be converted from ANSI to OEM and then back to ANSI as they are typed. Set OEMConvert to false to avoid the overhead of this conversion when it does not matter whether the text can be unambiguously mapped to an OEM string.
        OEMConvert is most useful for edit controls used to enter file names when the application does not use Unicode file names."""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    PasswordChar: Any
    """unicodechr(str)：指示要显示的字符（如果有），以代替在控件中键入的实际字符。
        使用PasswordChar 属性创建一个编辑控件，该控件显示特殊字符来代替任何输入的文本。如果将PasswordChar 设置为空字符（ANSI 字符零），则编辑控件将正常显示其文本。如果PasswordChar 是任何其他字符，则编辑控件将显示PasswordChar 来代替键入的每个字符。 PasswordChar 仅影响编辑控件的外观。 Text 属性的值反映了键入的实际字符。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ReadOnly: bool
    """bool：确定用户是否可以更改编辑控件的文本。
要将编辑控件限制为仅显示，请将 ReadOnly 属性设置为 true。将 ReadOnly 设置为 false 以允许编辑编辑控件的内容。
将 ReadOnly 设置为 true 可确保文本不会被更改，同时仍允许用户选择文本。然后，选定的文本可以由应用程序操作，或复制到剪贴板。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Text: str
    """str：包含与控件关联的文本字符串。
        使用 Text 属性读取控件的 Text 或为 Text 值指定新字符串。默认情况下，Text 是控件名称。对于编辑控件和备忘录，文本出现在控件内。对于组合框，文本是组合框的编辑控制部分的内容。
        
        注意：显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用哪个属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。"""
    TextH整数： str
    """字符串： A hint or message to be displayed when the Text property is empty.
        Use TextHint to cue the user on what kind of entry is expected in the text field. Runtime themes must be enabled.
        
        Code Examples
        StdCtrlsProp (Delphi)
        StdCtrlsProp (C++)"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class LinkControlDelegate(BindComponentDelegate):
    """是一个绑定组件，它包装另一个绑定组件并引用一个控件。
    TLinkControlDelegate 类实现一个绑定组件，该组件包装另一个绑定组件并引用一个控件。
    有关委托的更多信息，请参阅新 LiveBinding 主题的快速绑定组件参考部分。"""
    __hash__: ClassVar[None] = ...
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def CanSetControlComponent(self, Value: Component) -> 布尔：
        """TLinkControlDelegate.CanSetControlComponent(Value: Component) -> bool
        返回给定参数是否可以用作此绑定组件的控制组件。
        CanSetControlComponent 返回给定 Value（其本身是一个 TComponent）是否可以用作此绑定组件的控制组件。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class LinkControlToField(CustomLinkControlToField):
    """将列表控件链接到字段。
    TLinkListControlToField 类使用已发布的属性扩展了 TCustomLinkListControlToField。
    
    提示：如果方向是双向的，则控件必须支持 IEditLinkObserver 接口。"""
    __hash__: ClassVar[None] = ...
    AutoActivate: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    控制： Component
    """组件：Embarcadero Technologies 目前没有任何其他信息。"""
    CustomFormat: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    CustomParse: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    DataSource: BaseLinkingBindSource
    """BaseLinkingBindSource：指定此委托组件链接到的 TBaseLinkingBindSource 对象。
        使用 DataSource 确定或设置连接到特定数据集的 TBaseLinkingBindSource 对象。"""
    Direction: LinkControlToFieldDirection
    """LinkControlToFieldDirection：Embarcadero Technologies 目前没有任何其他信息。"""
    FieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupDataSource: BaseLinkingBindSource
    """BaseLinkingBindSource：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupKeyFieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupValueFieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    OnActivated: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnActivating: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnAssignedValue: Callable[[Object,BindingAssignValueRec,Value],None]
    """可调用[[对象，BindingAssignValueRec，值]，无]："""
    OnAssigningValue: Callable[[Object,BindingAssignValueRec,Value,bool],None]
    """Callable[[Object, BindingAssignValueRec, Value, bool], None]:"""
    OnEvalError: Callable[[Object,Exception],None]
    """可调用[[对象，异常]，无]："""
    Owner: Any
    """返回组件所有者"""
    Track: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    UseEvalShortcuts: bool
    """布尔： Determines whether this binding component delegate uses evaluation shortcuts (True) or not (False)."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class LinkControlToFieldDelegate(LinkControlDelegate):
    """是一个绑定组件，它包装另一个绑定组件并引用控件、数据源和字段。
    TLinkControlToFieldDelegate 类实现一个绑定组件，该组件包装另一个绑定组件并引用控件、数据源和字段。
    有关委托的更多信息，请参阅新 LiveBinding 主题的快速绑定组件参考部分。"""
    __hash__: ClassVar[None] = ...
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    DataSource: BaseLinkingBindSource
    """BaseLinkingBindSource：指定此委托组件链接到的 TBaseLinkingBindSource 对象。
        使用 DataSource 确定或设置连接到特定数据集的 TBaseLinkingBindSource 对象。"""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class LinkLabel(CustomLinkLabel):
    """Delphi TLinkLabel 的包装"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： CustomLinkLabel.TLinkAlignment
    """CustomLinkLabel.TLink结盟："""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSize: bool
    """布尔： Specifies whether the control sizes itself automatically to accommodate its contents.
        Use AutoSize to specify whether the control sizes itself automatically. When AutoSize is True, the control resizes automatically when its contents change.
        By default, AutoSize is False."""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnLinkClick: Callable[[Object,str,SysLinkType],None]
    """Callable[[Object, str, SysLinkType], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    UseVisualStyle: bool
    """布尔："""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class LinkListControlToField(CustomLinkListControlToField):
    """将列表控件链接到字段。
    TLinkListControlToField 类使用已发布的属性扩展了 TCustomLinkListControlToField。
    
    提示：如果方向是双向的，则控件必须支持 IEditLinkObserver 接口。"""
    __hash__: ClassVar[None] = ...
    AutoActivate: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    控制： Component
    """组件：Embarcadero Technologies 目前没有任何其他信息。"""
    CustomFormat: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    DataSource: BaseLinkingBindSource
    """BaseLinkingBindSource：指定此委托组件链接到的 TBaseLinkingBindSource 对象。
        使用 DataSource 确定或设置连接到特定数据集的 TBaseLinkingBindSource 对象。"""
    FieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    FillBreakCustomFormat: str
    """字符串： Specifies a custom expression that is used with the field defined by the FillBreakFieldName property. For instance, the expression StrCopy(%s, 0, 1); causes a break when the first character of the field is different. This property is optional."""
    FillBreakFieldName: str
    """字符串： Specifies the field used to determine a break. This property is optional."""
    FillBreakGroups: FillBreakGroups
    """FillBreakGroups：指定中断值范围的集合。中断值属于该集合中的一个项目。与该项目关联的显示值显示在标题中。该属性是可选的。"""
    FillExpressions: FormatExpressions
    """FormatExpressions：指定填充列表控件时要使用的附加可选表达式。当需要多个表达式来填充列表中的项目时，请使用此集合。
        例如，您可以使用 FillExpressions 来填充 FireMonkey 列表框项目的 Text 和 Detail 属性。使用 FillDisplayCustomFormat 和 FillDisplayCustomFormat 属性可以填充 Text 属性并向 FillExpressions 集合中添加一个项目作为 Detail 属性。"""
    FillHeaderCustomFormat: str
    """str：指定与 FillHeaderFieldName 属性定义的字段一起使用的自定义表达式。例如，表达式 StrCopy(%s, 0, 1);显示标题中字段的第一个字符。该属性是可选的。"""
    FillHeaderExpressions: FormatExpressions
    """FormatExpressions：指定填充列表标题的表达式集合。该属性是可选的。"""
    FillHeaderFieldName: str
    """字符串： Specifies the field to display in the list header. If FillBreakFieldName and FillBreakCustomFormat are blank, then the value determined using FillHeaderFieldName and FillBreakCustomFormat controls breaks. This is the only required field to cause breaking."""
    ListItemStyle: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    OnActivated: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnActivating: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnAssignedValue: Callable[[Object,BindingAssignValueRec,Value],None]
    """可调用[[对象，BindingAssignValueRec，值]，无]："""
    OnAssigningValue: Callable[[Object,BindingAssignValueRec,Value,bool],None]
    """Callable[[Object, BindingAssignValueRec, Value, bool], None]:"""
    OnEvalError: Callable[[Object,Exception],None]
    """可调用[[对象，异常]，无]："""
    OnFilledList: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnFilled项目清单： Callable[[Object,IBindListEditorItem],None]
    """可调用[[对象，IBindListEditorItem]，无]："""
    OnFillingList: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnFilling项目清单： Callable[[Object,IBindListEditorItem],None]
    """可调用[[对象，IBindListEditorItem]，无]："""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class LinkPropertyToField(CustomLinkPropertyToField):
    """将组件的属性链接到字段。
    TLinkPropertyToField 类使用已发布的属性扩展了 TCustomLinkPropertyToField。
    
    提示：不使用观察者监视对此组件的用户输入。"""
    __hash__: ClassVar[None] = ...
    AutoActivate: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    Component: Component
    """Component：指定此包装绑定组件引用的组件。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    ComponentProperty: str
    """str：指定此包装绑定组件引用的组件的属性名称。"""
    Components: Any
    """返回拥有组件的迭代器"""
    CustomFormat: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    DataSource: BaseLinkingBindSource
    """BaseLinkingBindSource：指定此委托组件链接到的 TDataSource 对象。
        使用DataSource来确定或设置连接到特定数据集的TDataSource对象。"""
    FieldName: str
    """字符串： Specifies the field name that this wrapping binding component references."""
    LookupDataSource: BaseLinkingBindSource
    """BaseLinkingBindSource：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupKeyFieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    LookupValueFieldName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    OnActivated: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnActivating: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnAssignedValue: Callable[[Object,BindingAssignValueRec,Value],None]
    """可调用[[对象，BindingAssignValueRec，值]，无]："""
    OnAssigningValue: Callable[[Object,BindingAssignValueRec,Value,bool],None]
    """Callable[[Object, BindingAssignValueRec, Value, bool], None]:"""
    OnEvalError: Callable[[Object,Exception],None]
    """可调用[[对象，异常]，无]："""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class LinkPropertyToFieldDelegate(BindComponentDelegate):
    """是一个绑定组件，它包装另一个绑定组件并引用组件属性、数据源和字段名称。
    TLinkPropertyToFieldDelegate 类实现一个绑定组件，该组件包装另一个绑定组件并引用组件属性、数据源和字段名称。
    有关委托的更多信息，请参阅新 LiveBinding 主题的快速绑定组件参考部分。"""
    __hash__: ClassVar[None] = ...
    Component: Component
    """Component：指定此包装绑定组件引用的组件。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    ComponentProperty: str
    """str：指定此包装绑定组件引用的组件的属性名称。"""
    Components: Any
    """返回拥有组件的迭代器"""
    DataSource: BaseLinkingBindSource
    """BaseLinkingBindSource：指定此委托组件链接到的 TDataSource 对象。
        使用DataSource来确定或设置连接到特定数据集的TDataSource对象。"""
    FieldName: str
    """字符串： Specifies the field name that this wrapping binding component references."""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ListBox(CustomMultiSelectListControl):
    """TListBox 在可滚动列表中显示项目集合。
    使用 TListBox 显示用户可以选择、添加或删除的可滚动项目列表。 TListBox 是 Windows 列表框控件的包装。对于专用列表框，请使用 TCustomListBox 的其他后代类或从 TCustomListBox 派生您自己的类。
    TListBox 实现了 TCustomListBox 中引入的通用行为。 TListBox 发布了许多从 TCustomListBox 继承的属性，但没有引入任何新行为。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoComplete: bool
    """布尔："""
    AutoCompleteDelay: int
    """整数："""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BevelWidth: int
    """整数： Specifies the width of the inner and outer bevels.
        Use BevelWidth to specify the width, in pixels, of the inner and outer bevels."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    边框样式： BorderStyle
    """边框样式："""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Columns: int
    """整数："""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    ExtendedSelect: bool
    """布尔："""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    ImeMode: ImeMode
    """ImeMode：确定输入法编辑器 (IME) 的行为。
        设置 ImeMode 以配置 IME 处理用户击键的方式。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeMode 允许控件影响 IME 执行的转换类型，以便它适合控件期望的输入。例如，仅接受数字输入的控件可能会指定 imClose 的 ImeMode，因为数字输入不需要转换。
        
        注意：ImeMode 的值仅在控件获得焦点时才生效。要在控件已具有输入焦点时更改 ImeMode 的值，请调用 SetIme 方法。"""
    ImeName: str
    """str：指定用于将键盘输入转换为亚洲语言字符的输入法编辑器 (IME)。
        设置 ImeName 以指定使用哪个 IME 来转换击键。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeName 必须指定已通过 Windows 控制面板安装的 IME 之一。属性检查器提供系统上当前安装的所有 IME 的下拉列表。在运行时，应用程序可以从全局 Screen 变量获取当前安装的 IME 列表。
        如果 ImeName 指定不可用的 IME，则使用应用程序启动时处于活动状态的 IME。不会产生异常。
        
        注意：ImeName 的值仅在控件获得焦点时才生效。要在控件获得输入焦点后更改 ImeName 的值，请调用 SetIme 方法。"""
    IntegralHeight: bool
    """布尔："""
    ItemHeight: int
    """整数："""
    ItemIndex: Any
    """指示所选项目的位置。"""
    Items: Strings
    """字符串："""
    MultiSelect: bool
    """布尔："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnData: Callable[[WinControl,int,str],None]
    """可调用[[WinControl, int, str], None]:"""
    OnDataFind: Callable[[WinControl,str],int]
    """可调用[[WinControl， str]， int]："""
    OnData目的： Callable[[WinControl,int,Object],None]
    """可调用[[WinControl, int, Object], None]:"""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnDrawItem: Callable[[WinControl,int,Rect,OwnerDrawState],None]
    """Callable[[WinControl, int, Rect, OwnerDrawState], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMeasureItem: Callable[[WinControl,int,int],None]
    """可调用[[WinControl, int, int], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ScrollWidth: int
    """整数："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    Sorted: bool
    """布尔："""
    Style: ListBoxStyle
    """列表框样式："""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    TabWidth: int
    """整数："""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ListItem(Persistent):
    """Delphi TListItem 的包装"""
    __hash__: ClassVar[None] = ...
    Caption: str
    """字符串："""
    Checked: bool
    """布尔："""
    ClassName: Any
    """返回 TObject.ClassName"""
    Cut: bool
    """布尔："""
    Data: Pointer
    """指针："""
    Deleting: bool
    """布尔："""
    DropTarget: bool
    """布尔："""
    Focused: bool
    """布尔："""
    GroupID: int
    """整数："""
    Handle: int
    """整数："""
    ImageIndex: int
    """整数："""
    Indent: int
    """整数："""
    Index: int
    """整数："""
    Left: int
    """整数："""
    ListView: CustomListView
    """自定义列表视图："""
    OverlayIndex: int
    """整数："""
    Owner: ListItems
    """列表项目："""
    Position: Point
    """Po整数："""
    Selected: bool
    """布尔："""
    StateIndex: int
    """整数："""
    SubItemImages: int
    """整数："""
    SubItems: Strings
    """字符串："""
    Top: int
    """整数："""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Assign(self, persistent) -> Any:
        """TPersistent.Assign（持久）
        将另一个 TPersistent 对象的值分配给该对象"""
    def CancelEdit(self, *args, **kwargs) -> Any: ...
    def Create(self, AOwner: ListItems) -> None:
        """TListItem.Create(AOwner: ListItems) -> None
在首次使用对象之前构造一个对象并初始化其数据。
Create 构造一个对象。对象的用途、大小和行为有很大不同。 TObject 定义的 Create 构造函数分配内存但不初始化数据。
后代对象通常定义一个构造函数，该构造函数创建特定类型的对象并初始化其数据。

注意：如果构造函数中出现异常，则调用对象的析构函数来清理失败的实例。"""
    def Delete(self, *args, **kwargs) -> Any: ...
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TPersistent 实例并释放其内存。
        不要直接调用 Destroy。请拨打免费电话。在调用 Destroy 之前，Free 检查对象引用是否不为 nil。"""
    def DisplayRect(self, Code: DisplayCode) -> 矩形：
        """TListItem.DisplayRect(代码: DisplayCode) -> 矩形"""
    def EditCaption(self, *args, **kwargs) -> Any: ...
    def GetNamePath(self) -> Any:
        """TPersistent.GetNamePath()
        返回对象在对象检查器中显示的名称。"""
    def GetPosition(self, *args, **kwargs) -> Any: ...
    def MakeVisible(self, PartialOK: bool) -> None:
        """TListItem.MakeVisible(PartialOK: bool) -> 无"""
    def SetPosition(self, Value: Point) -> None:
        """TListItem.SetPosition(值：点) -> 无"""
    def Update(self, *args, **kwargs) -> Any: ...
    def WorkArea(self, *args, **kwargs) -> Any: ...
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ListView(CustomListView):
    """Delphi TListView 的包装器"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    AllocBy: int
    """整数："""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BevelWidth: int
    """整数： Specifies the width of the inner and outer bevels.
        Use BevelWidth to specify the width, in pixels, of the inner and outer bevels."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    边框样式： BorderStyle
    """边框样式："""
    BorderWidth: int
    """int：指定控件边框的宽度。
使用 BorderWidth 获取或设置控件边框的宽度。控件绘制的图形或文本将被剪裁到边框内的区域。"""
    Checkboxes: bool
    """布尔："""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    ColumnClick: bool
    """布尔："""
    Columns: ListColumns
    """列表列："""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    FlatScrollBars: bool
    """布尔："""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    FullDrag: bool
    """布尔："""
    GridLines: bool
    """布尔："""
    GroupHeaderImages: CustomImageList
    """自定义图像列表："""
    GroupView: bool
    """布尔："""
    Groups: ListGroups
    """列表组："""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    HideSelection: bool
    """布尔："""
    HotTrack: bool
    """布尔："""
    HotTrackStyles: ListHotTrackStyles
    """列出 HotTrack 样式："""
    HoverTime: int
    """整数："""
    图标选项： IconOptions
    """图标选项："""
    Items: ListItems
    """列表项目："""
    LargeImages: CustomImageList
    """自定义图像列表："""
    MultiSelect: bool
    """布尔："""
    OnAdvancedCustomDraw: Callable[[CustomListView,Rect,CustomDrawStage,bool],None]
    """可调用[[CustomListView，Rect，CustomDrawStage，bool]，无]："""
    OnAdvancedCustomDrawItem: Callable[[CustomListView,ListItem,CustomDrawState,CustomDrawStage,bool],None]
    """可调用[[CustomListView，ListItem，CustomDrawState，CustomDrawStage，bool]，None]："""
    OnAdvancedCustomDrawSubItem: Callable[[CustomListView,ListItem,int,CustomDrawState,CustomDrawStage,bool],None]
    """Callable[[CustomListView, ListItem, int, CustomDrawState, CustomDrawStage, bool], None]:"""
    OnChange: Callable[[Object,ListItem,ItemChange],None]
    """可调用[[对象，ListItem，ItemChange]，无]："""
    OnChanging: Callable[[Object,ListItem,ItemChange,bool],None]
    """Callable[[Object, ListItem, ItemChange, bool], None]:"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnColumnClick: Callable[[Object,ListColumn],None]
    """可调用[[对象，ListColumn]，无]："""
    OnColumnDragged: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnColumnRightClick: Callable[[Object,ListColumn,Point],None]
    """可调用[[对象，ListColumn，点]，无]："""
    OnCompare: Callable[[Object,ListItem,ListItem,int,int],None]
    """Callable[[Object, ListItem, ListItem, int, int], None]:"""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnCreateItemClass: Callable[[CustomListView,ListItemClass],None]
    """可调用[[CustomListView，ListItemClass]，无]："""
    OnCustomDraw: Callable[[CustomListView,Rect,bool],None]
    """可调用[[CustomListView，矩形，布尔]，无]："""
    OnCustomDrawItem: Callable[[CustomListView,ListItem,CustomDrawState,bool],None]
    """可调用[[CustomListView，ListItem，CustomDrawState，bool]，None]："""
    OnCustomDrawSubItem: Callable[[CustomListView,ListItem,int,CustomDrawState,bool],None]
    """Callable[[CustomListView, ListItem, int, CustomDrawState, bool], None]:"""
    OnData: Callable[[Object,ListItem],None]
    """可调用[[对象，ListItem]，无]："""
    OnDataFind: Callable[[Object,ItemFind,str,Point,Pointer,int,SearchDirection,bool,int],None]
    """Callable[[Object, ItemFind, str, Point, Pointer, int, SearchDirection, bool, int], None]:"""
    OnDataH整数： Callable[[Object,int,int],None]
    """可调用[[对象，int，int]，无]："""
    OnDataStateChange: Callable[[Object,int,int,ItemStates,ItemStates],None]
    """Callable[[Object, int, int, ItemStates, ItemStates], None]:"""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDeletion: Callable[[Object,ListItem],None]
    """可调用[[对象，ListItem]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnDrawItem: Callable[[CustomListView,ListItem,Rect,OwnerDrawState],None]
    """可调用[[CustomListView，ListItem，矩形，OwnerDrawState]，无]："""
    OnEdited: Callable[[Object,ListItem,str],None]
    """Callable[[Object, ListItem, str], None]:"""
    OnEditing: Callable[[Object,ListItem,bool],None]
    """Callable[[Object, ListItem, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetImageIndex: Callable[[Object,ListItem],None]
    """可调用[[对象，ListItem]，无]："""
    OnGetSubItemImage: Callable[[Object,ListItem,int,int],None]
    """Callable[[Object, ListItem, int, int], None]:"""
    OnInfoTip: Callable[[Object,ListItem,str],None]
    """Callable[[Object, ListItem, str], None]:"""
    OnInsert: Callable[[Object,ListItem],None]
    """可调用[[对象，ListItem]，无]："""
    OnItemChecked: Callable[[Object,ListItem],None]
    """可调用[[对象，ListItem]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnResize: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnSelectItem: Callable[[Object,ListItem,bool],None]
    """Callable[[Object, ListItem, bool], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OwnerData: bool
    """布尔："""
    OwnerDraw: bool
    """布尔："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ReadOnly: bool
    """布尔："""
    RowSelect: bool
    """布尔："""
    ShowColumnHeaders: bool
    """布尔："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Show工作领域： bool
    """布尔："""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    SmallImages: CustomImageList
    """自定义图像列表："""
    排序类型： SortType
    """排序类型："""
    StateImages: CustomImageList
    """自定义图像列表："""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    视图样式： ViewStyle
    """视图样式："""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class MainMenu(Menu):
    """TMainMenu 封装了表单的菜单栏及其随附的下拉菜单。
    使用 TMainMenu 提供窗体的主菜单。要开始设计菜单，请将主菜单添加到窗体中，然后双击该组件。
    TMainMenu 引入了将主菜单的下拉菜单与另一种形式的主菜单合并的属性和方法。
    TMainMenu 引入了用于协助 OLE 容器的菜单协商过程的属性和方法。
    
    提示：要创建用户可以在运行时配置的菜单，请使用带有操作管理器的 TActionMainMenuBar 组件。"""
    __hash__: ClassVar[None] = ...
    AutoHotkeys: MenuAutoFlag
    """MenuAutoFlag：确定菜单项的加速键是否可以自动重置。
        设置 AutoHotkeys 以指示菜单是否应自动确保其项目的加速键在必要时重置，以便每个菜单项都有一个加速键，并且没有两个项目具有相同的加速键。这确保了在运行时动态添加的菜单项可以具有不会引入冲突的加速键。 TMenu 在调整加速键时尝试保留所有现有的加速键映射，但可能被迫更改一些以确保每个项目都有唯一的加速键。
        在显示菜单之前，如果 AutoHotkeys 为 maAutomatic，则菜单会检查并调整加速键映射。当 AutoHotkeys 为 maManual 时，菜单不会更改顶级菜单项，但可能会调整子菜单的加速键，具体取决于作为子菜单父级的菜单项的 AutoHotkeys 属性。
        当 AutoHotkeys 为 maManual 时，应用程序仍然可以通过调用 Items 属性的 RethinkHotkeys 方法来调整菜单项。 AutoHotkeys 仅控制此调整是否自动发生。
        
        注意：菜单的 AutoHotkeys 属性链接到实现其 Items 属性的 TMenuItems 对象的 AutoHotkeys 属性。设置一个会设置另一个。"""
    AutoLineReduction: MenuAutoFlag
    """MenuAutoFlag：确定是否自动从菜单中删除多余的分隔栏。
        设置 AutoLineReduction 以指示菜单是否应自动确保菜单不以分隔栏开始或结束，并且两个分隔栏不会彼此相邻出现。这确保了在运行时动态构建的菜单不会在不需要的位置具有分隔栏。
        在显示菜单之前，当 AutoLineReduction 为 maAutomatic 时，它会删除多余的分隔栏。当 AutoLineReduction 为 maManual 时，菜单不会从顶级菜单项中删除分隔符，但可能会从子菜单中删除多余的分隔符，具体取决于作为子菜单父级的菜单项的 AutoLineReduction 属性。
        当 AutoLineReduction 为 maManual 时，应用程序仍然可以通过调用 Items 属性的 RethinkLines 方法来删​​除多余的分隔符。 AutoLineReduction 仅确定此调整是否自动发生。
        
        注意：菜单的 AutoLineReduction 属性链接到实现其 Items 属性的 TMenuItems 对象的 AutoLineReduction 属性。设置一个会设置另一个。"""
    AutoMerge: bool
    """布尔： Determines if the main menus of secondary forms merge with the main menu of the main form in non-MDI applications at runtime.
        To merge a form's menus with the main menu in the main form, set the AutoMerge property of each main menu you want merged to true. Make sure that the AutoMerge property of the main menu of the main form (the one other menus are merged into) remains false. How menus merge depends on the value of the GroupIndex property for each menu item.
        If the application is an MDI application (the FormStyle properties are set so the main form is a parent form and subsequent forms are child forms), menu merging occurs automatically without using the AutoMerge property."""
    BiDiMode: BiDiMode
    """BiDiMode：确定中东区域设置中的菜单布局。
        设置 BiDiMode 来控制菜单项的布局。 BiDiMode 控制菜单项是从左到右还是从右到左读取。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Images: CustomImageList
    """CustomImageList：列出可以显示在各个菜单项旁边的图像。
        使用图像来保存可以显示在菜单中的菜单项旁边的一组图像。各个菜单项设置其 ImageIndex 属性来指示列表中的哪个图像出现在菜单项标题的左侧。
        列表中的图像应为 16x16。
        
        提示：如果应用程序使用操作列表，则此属性应该是操作列表的 Images 属性的值。这样，执行相同操作的菜单项和按钮可以显示相同的图像。"""
    OnChange: Callable[[Object,MenuItem,bool],None]
    """Callable[[Object, MenuItem, bool], None]:"""
    Owner: Any
    """返回组件所有者"""
    OwnerDraw: bool
    """bool：指定菜单项是否由应用程序绘制。
        将 OwnerDraw 设置为 true 以指示应用程序将在 OnDrawItem 事件处理程序中绘制菜单项。当 OwnerDraw 为 true 时，菜单项需要在屏幕上呈现时会收到 OnMeasureItem 和 OnDrawItem 事件。
        将 OwnerDraw 设置为 false 以接受默认绘图。当 OwnerDraw 为 false 时，菜单项将在左侧显示标题和可选图像（如果设置了 Images 和 ImageIndex 属性）。
        自绘菜单对于显示选择菜单项时出现的值很有用。例如，在允许用户选择颜色的菜单中，所有者绘制菜单可以显示以指定颜色绘制的矩形，而不是颜色名称。"""
    ParentBiDiMode: bool
    """bool：指示 BiDiMode 属性是否继承自使用菜单的控件。
        默认情况下，ParentBiDiMode 为 true，表示菜单项的布局遵循关联窗体或控件的 BiDiMode 设置。将 ParentBiDiMode 更改为 false 以覆盖默认 BiDiMode 设置并独立控制菜单的布局。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetOle2AcceleratorTable(self, AccelTable: int, AccelCount: int, Groups: int) -> None:
        """TMainMenu.GetOle2AcceleratorTable(AccelTable: int, AccelCount: int, Groups: int) -> 无
        返回主菜单的加速表。
        调用 GetOle2AcceleratorTable 获取所有菜单项的加速表句柄，其 GroupIndex 值出现在 Groups 参数中。 AccelTable 参数设置为加速器表句柄，AccelCount 设置为表中的条目数。 GetOle2AcceleratorTable 由 OLE 容器在合并菜单时使用。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def Merge(self, Menu: MainMenu) -> None:
        """TMainMenu.Merge(菜单：MainMenu) -> 无
        在非 MDI 应用程序中将一种窗体的主菜单与另一种窗体的主菜单组合起来。
        调用 Merge 将另一个主菜单与此菜单合并。将要与此菜单合并的菜单指定为 Menu 参数。
        例如，要将应用程序中第一个窗体的主菜单用作应用程序的主菜单，请调用 Merge 将应用程序中任何其他窗体的主菜单与第一个窗体的主菜单合并。
        根据主菜单上菜单项的 GroupIndex 属性的值，合并的菜单项可以替换菜单栏上的菜单项，或者将菜单项插入到菜单栏中。有关如何执行这些操作的信息，请参阅 GroupIndex。
        要在显示其他窗体时自动合并和取消合并主菜单，请在应合并菜单的所有窗体上将 AutoMerge 属性的值更改为 true。"""
    def PopulateOle2Menu(self, SharedMenu: int, Groups: int, Widths: int) -> None:
        """TMainMenu.PopulateOle2Menu(SharedMenu: int, 组: int, 宽度: int) -> 无
        使用主菜单中的项目填充 OLE 菜单。
        调用 PopulateOle2Menu 将具有 Groups 参数指定的 GroupIndex 值的菜单项合并到使用 SharedMenu 句柄的菜单中。 PopulateOle2Menu 将指定组中的所有菜单项附加到菜单，并为附加的每个菜单项增加 Widths 数组中的相应条目。 PopulateOle2Menu 由 OLE 容器在合并菜单时使用。
        
        注意：PopulateOle2Menu 填充 SharedMenu 参数指定的菜单，但不会将其设置为与该菜单关联的 OLE 菜单。"""
    def SetOle2MenuHandle(self, Handle: int) -> None:
        """TMainMenu.SetOle2MenuHandle(Handle: int) -> 无
        将 OLE 菜单的句柄与主菜单相关联。
        调用 SetOle2MenuHandle 将窗体的菜单临时替换为 Handle 参数表示的菜单。要恢复原始菜单，请调用 SetOle2MenuHandle，并将 Handle 参数设置为 0。SetOle2MenuHandle 允许 OLE 容器使用 OLE 服务器提供的菜单项。"""
    def Unmerge(self, Menu: MainMenu) -> None:
        """TMainMenu.Unmerge(菜单: MainMenu) -> 无
        在非 MDI 应用程序中反转两个菜单的合并。
        调用 Unmerge 可从另一个主菜单中删除使用 Merge 方法添加的项目。 Menu 参数是合并菜单，其项目应从主菜单中删除。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class MediaPlayer(CustomControl):
    """TMediaPlayer 控制提供媒体控制接口 (MCI) 驱动程序的设备。
TMediaPlayer 组件包括一组按钮（播放、停止、弹出等），用于控制多媒体设备，例如 CD-ROM 驱动器、MIDI 音序器或 VCR。多媒体设备可以是硬件或软件。
媒体播放器组件包含多个按钮。这些按钮可以用鼠标单击，但不是单独的对象或按钮组件。

按钮

值

操作

播放

btPlay

播放媒体播放器

暂停

btPause

暂停播放或录制。如果单击时已暂停，则恢复播放或录制。

停止

btStop

停止播放或录制

下一个

btNext

跳至下一曲目，如果媒体不使用曲目，则跳至结尾

上一个

btPrev

跳至上一曲目，如果媒体不使用曲目，则跳至开头

步骤

btStep

向前移动若干帧

后退

btBack

向后移动若干帧

录制

btRecord

开始录制

弹出

btEject

弹出媒体

当用户单击 TMediaPlayer 组件上的相应按钮时，多媒体设备将播放、暂停、停止等。设备也可以通过与按钮相对应的控制方法进行控制（播放、暂停、停止、下一个、上一个、步骤、后退、开始录制和弹出）。
多媒体设备的类型（例如 dtWaveAudio 或 dtVideodisc）由 DeviceType 属性指定。如果设备将其媒体存储在文件中，则媒体文件的名称由 FileName 属性指定。如果 DeviceType 为 dtAutoSelect，则媒体播放器会尝试根据 FileName 指定的文件扩展名确定设备类型。
要让媒体播放器在运行时创建媒体播放器组件时自动尝试打开 DeviceType 指定的设备，请将 AutoOpen 属性设置为 true。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoEnable: bool
    """布尔： Determines whether the media player automatically enables and disables individual buttons in the component.
        Use AutoEnable to automatically enable or disable the control buttons on the media player. If AutoEnable is true, the media player automatically enables or disables its control buttons. The media player determines which buttons to enable or disable by the current mode specified in the Mode property, and the current multimedia device type specified in the DeviceType property.
        AutoEnable overrides the EnabledButtons property. The buttons enabled or disabled automatically by the media player supersede any buttons enabled or disabled with EnabledButtons.
        If AutoEnable is false, the media player does not enable or disable buttons. The buttons must enabled or disabled with the EnabledButtons property.
        The following table shows whether buttons are automatically enabled or disabled for each device mode:
        
        
        
        
        
        Button
        
        Play
        
        Record
        
        Pause
        
        Stop
        
        Not Open
        
        
        
        Back
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Disabled
        
        
        
        
        Eject
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Disabled
        
        
        
        
        Next
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Disabled
        
        
        
        
        Pause
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Disabled
        
        
        
        Disabled
        
        
        
        
        Play
        
        
        
        Disabled
        
        
        
        Disabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Disabled
        
        
        
        
        Prev
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Disabled
        
        
        
        
        Record
        
        
        
        Disabled
        
        
        
        Disabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Disabled
        
        
        
        
        Step
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Disabled
        
        
        
        
        Stop
        
        
        
        Enabled
        
        
        
        Enabled
        
        
        
        Disabled
        
        
        
        Disabled
        
        
        
        Disabled"""
    AutoOpen: bool
    """bool：确定应用程序运行时是否自动打开媒体播放器。
        使用 AutoOpen 让媒体播放器在运行时自动打开。
        如果 AutoOpen 为 true，则在运行时创建包含媒体播放器组件的表单时，媒体播放器会尝试打开由 DeviceType 属性（如果 DeviceType 为 dtAutoSelect 则为 FileName）指定的多媒体设备。
        如果 AutoOpen 为 false，则必须通过调用 Open 方法来打开设备。
        如果打开设备时发生错误，则会引发包含错误消息的 EMCIDeviceError 异常类型的异常。完成后，数字错误代码将存储在 Error 属性中，相应的错误消息将存储在 ErrorMessage 属性中。
        Wait 属性确定在打开多媒体设备之前是否将控制权返回给应用程序。 Notify 属性确定打开设备是否生成 OnNotify 事件。"""
    AutoRewind: bool
    """布尔： Determines if the media player control rewinds before playing or recording.
        If AutoRewind is true and the current position is at the end of the medium, Play or StartRecording moves the current position to the beginning of the medium before playing or recording. If AutoRewind is false, the user must click the Prev button or write code to call Previous to move to the beginning.
        If values have been assigned to StartPos or EndPos or if the multimedia device uses tracks, AutoRewind has no effect on playing or recording. When calling Play or StartRecording, the current position remains at the end of the medium."""
    Capabilities: MPDevCapsSet
    """MPDevCapsSet：确定打开的多媒体设备的功能。
        Capability 中指定的各种功能是在使用 Open 方法打开设备时确定的。
        
        注意：目前无法检查设备是否可以前进或后退。仅当设备类型（在 DeviceType 属性中指定）为动画、AVI 视频、数字视频、覆盖或 VCR 时，功能才包括 mpCanStep。"""
    ColoredButtons: ButtonSet
    """ButtonSet：确定媒体播放器控件上的哪些按钮具有颜色。
        ColoredButtons 控制媒体播放器上的哪些按钮是彩色的。
        如果按钮未使用 ColoredButtons 着色，则它在可见时会显示为黑白。默认情况下，所有媒体播放器控制按钮都是彩色的。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    DeviceID: int
    """整数： Specifies the device ID for the currently open multimedia device.
        The value of DeviceID is determined when a device is opened with the Open method. If no device is open, DeviceID is 0."""
    DeviceType: MPDeviceTypes
    """MPDeviceTypes：指定用媒体播放器打开的多媒体设备类型。
        DeviceType 指定要使用 Open 方法打开的多媒体设备类型。默认为 dtAutoSelect。
        如果 DeviceType 为 dtAutoSelect，则设备类型由 FileName 属性中指定的文件扩展名确定。如果没有与扩展关联的设备类型，则必须通过将 DeviceType 设置为 dtAutoSelect 以外的值来显式指定正确的设备类型。
        当安装多媒体设备时，该设备通常与适当的文件扩展名相关联。关联在注册表或 SYSTEM.INI 文件中指定。有关如何将文件扩展名与设备关联的说明，请参阅特定设备的文档。"""
    Display: WinControl
    """WinControl：指定使用窗口进行输出的多媒体设备的显示窗口。
        要使用“显示”，请将窗口控件（例如窗体或面板）的名称指定给“显示”以显示该控件中的输出。
        Display 的默认值为 nil (Delphi) 或 NULL (C++)，这意味着设备创建自己的窗口来显示输出。此外，通过在打开设备后释放分配给“显示”的控件，视频输出将位于其自己的默认窗口中。
        使用窗口显示输出的多媒体设备的示例有动画、AVI 视频、数字视频、叠加和 VCR。"""
    Display矩形： Rect
    """矩形： Specifies a rectangular area in the control specified by the Display property that is used to display output from a multimedia device.
        To display output in a specific rectangle area on a form assign a TRect record to DisplayRect. The Rect function can be used to create a TRect record.
        Media that use a rectangle to display output usually perform best if the default DisplayRect size is used. To set DisplayRect to the default size, position the rectangle in the upper left corner and use 0, 0 for the lower right corner.
        DisplayRect is ignored if Display is nil (Delphi) or NULL (C++).
        Examples of multimedia devices that use a window to display output are Animation, AVI Video, Digital Video, Overlay, and VCR.
        
        Note: DisplayRect can be set only after the media device is opened."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    EnabledButtons: ButtonSet
    """ButtonSet：确定媒体播放器上的哪些按钮可用。
        EnabledButtons 控制媒体播放器上的哪些按钮已启用且可用。
        启用的按钮是彩色的并且可用。禁用的按钮会变暗并且不可用。如果某个按钮未使用 EnabledButtons 启用，则该按钮将被禁用。默认情况下，所有按钮均已启用。
        如果 AutoEnable 属性为 true，则 AutoEnable 会取代 EnabledButton。由媒体播放器自动启用或禁用的按钮会覆盖使用 EnabledButtons 属性启用或禁用的任何按钮。"""
    EndPos: int
    """int：指定当前加载媒体中停止播放或录制的位置。
        EndPos 使用当前时间格式指定，该格式在 TimeFormat 属性中指定。
        EndPos 属性仅影响设置 EndPos 后调用的下一个 Play 或 StartRecording 方法。重置 EndPos 以影响对 Play 或 StartRecording 的任何后续调用。"""
    Error: int
    """int：指定媒体控制方法返回的MCI错误代码。
        Error 指定最近的媒体控制方法返回的 MCI 错误代码（后退、关闭、弹出、下一个、打开、暂停、仅暂停、播放、上一个、开始录制、恢复、快退、单步或停止）。 ErrorMessage 属性描述错误。
        媒体控制方法返回的错误代码与 mciSendCommand 函数返回的错误代码相同。描述错误代码的消息存储在 ErrorMessage 属性中。
        如果最近的媒体控制方法没有导致错误，则 Error 值为零。如果方法导致错误，则 Error 中将存储非零值。如果在打开设备期间发生错误，则会出现 EMCIDeviceError 异常。"""
    ErrorMessage: str
    """字符串： Describes the error code stored in the Error property.
        ErrorMessage specifies the error message that describes the error code returned from the most recent media control method (Back, Close, Eject, Next, Open, Pause, PauseOnly, Play, Previous, StartRecording, Resume, Rewind, Step, or Stop). 
        The error code described by the message is stored in the Error property."""
    FileName: str
    """字符串： Specifies the opened or saved media file.
        FileName specifies the media file to be opened by the Open method, or the file to save by the Save method.
        At design time, use a file open dialog box to specify the FileName property by clicking the ellipsis button (...) in the Object Inspector."""
    Frames: int
    """int：指定向前或向后移动的帧数。
Frames 指定 Step 方法向前移动或 Back 方法向后移动的帧数。Frames 默认为当前加载媒体长度的百分之十，由 Length 属性指定。
帧的定义因多媒体设备而异。对于显示媒体，一帧是一张静止图像。"""
    Length: int
    """整数： Specifies the length of the medium in the open multimedia device.
        Length is specified using the current time format, which is specified by the TimeFormat property."""
    Mode: MPModes
    """MPModes：指示当前打开的多媒体设备的状态。
        模式指定当前打开的多媒体设备的当前状态或模式。
        TMPModes 类型定义与 TMediaPlayer 一起使用的多媒体设备的模式。"""
    Notify: bool
    """布尔： Determines whether an OnNotify event is generated.
        Notify determines whether the next call to a media control method (Back, Close, Eject, Next, Open, Pause, PauseOnly, Play, Previous, StartRecording, Resume, Rewind, Step, or Stop) generates an OnNotify event when the method has completed.
        If Notify is true, the next media control method generates OnNotify event upon completion and stores the notification message in the NotifyValue property. If Notify is false, the method does not generate an OnNotify event and NotifyValue remains unchanged.
        Notify affects only the next call to a media control method. After an OnNotify event, Notify must be reset to affect any subsequent media control methods.
        By default, Play and StartRecording function as if Notify is true. Set Notify to false before calling Play or StartRecording to prevent an OnNotify event from being generated when playing or recording has finished. By default, all other media control methods function as if Notify is false.
        
        Tip:  Set Notify to true if the next media control is expected to take a long time, so the application is notified when the media control method has completed. If Notify is set to true, it is recommended to set Wait to false so that control returns to the application before the media control method is finished.
        Note:  When trying to resume a device that doesn't support Resume, the device is resumed as if the Play method was called. If Notify was assigned true before calling Resume (or any other media control method), Notify doesn't affect the call to Resume. Resume does not generate an OnNotify event upon completion, and NotifyValue remains unchanged."""
    NotifyValue: MPNotifyValues
    """MPNotifyValues：指示最后请求通知的媒体控制方法的结果。
        NotifyValue 报告请求通知的最后一个媒体控制方法（后退、关闭、弹出、下一个、打开、暂停、仅暂停、播放、上一个、开始录制、恢复、快退、单步或停止）的结果。
        要请求通知，请在调用媒体控制方法之前将 Notify 设置为 true。"""
    OnClick: Callable[[Object,MPBtnType,bool],None]
    """可调用[[对象，MPBtnType，布尔]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnNotify: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnPostClick: Callable[[Object,MPBtnType],None]
    """可调用[[对象，MPBtnType]，无]："""
    Parent: Any
    """返回/设置控制父级"""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    Position: int
    """整数： Specifies the current position within the currently loaded medium.
        The value of Position is specified according to the current time format, which is specified in the TimeFormat property.
        Position defaults to the beginning of the medium. If the medium supports multiple tracks, Position defaults to the beginning of the first track."""
    Shareable: bool
    """布尔： Determines whether more than one application can share a multimedia device.
        If Shareable is false, no other components or applications can access the device. If Shareable is true, more than one component or application can access the device. Shareable defaults to false.
        Be sure to set Shareable before opening a device.
        Some devices are not shareable. If Shareable is set to true for a device that isn't shareable, the Open method fails and the error code is returned to the Error property."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Start: int
    """int：指定当前加载介质中的起始位置。
        对于不使用轨道的设备，Start 是介质的开头；对于使用轨道的设备，Start 是第一个轨道的开头。当使用 Open 方法打开多媒体设备时定义开始。 Start 是根据当前时间格式指定的，该格式存储在 TimeFormat 属性中。 Start 在运行时是只读的，在设计时不可用。"""
    StartPos: int
    """整数： Specifies the position within the currently loaded medium from which to begin playing or recording.
        StartPos is specified using the current time format, which is specified in the TimeFormat property.
        The StartPos property affects only the next Play or StartRecording method called after setting StartPos. Reset must be set to StartPos to affect any subsequent calls to Play or StartRecording.
        StartPos does not affect the current position of the medium (specified in the Position property) until the next Play or StartRecording method is called."""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    TimeFormat: MPTimeFormats
    """MPTimeFormats：确定用于指定位置信息的格式。
        TimeFormat 确定如何解释 StartPos、Length、Position、Start 和 EndPos 属性。例如，如果 Position 为 180 并且 TimeFormat 为 tfMilliseconds，则当前位置为介质中的 180 毫秒。如果 Position 为 180 并且 TimeFormat 为 tfMSF，则当前位置为介质中的 180 分钟。
        并非所有设备都支持所有格式。当尝试设置不支持的格式时，分配将被忽略。
        当前计时信息始终以 4 字节整数形式传递。在某些格式中，返回的计时信息实际上并不是一个整数，而是包装在长整数中的单字节信息。"""
    TrackLength: int
    """整数："""
    TrackPosition: int
    """整数："""
    Tracks: int
    """int：指定打开的多媒体设备上可播放的曲目数。
        曲目指示打开的多媒体设备上有多少可播放的曲目。
        对于不使用轨道的设备，轨道是未定义的。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    VisibleButtons: ButtonSet
    """ButtonSet：指示媒体播放器上的哪些按钮可见。
        VisibleButtons 确定媒体播放器上的哪些按钮可见。如果使用 VisibleButtons 未使按钮可见，则它不会出现在媒体播放器控件上。默认情况下，当媒体播放器组件添加到表单时，所有按钮都是可见的。"""
    Wait: bool
    """bool：确定媒体控制方法是否仅在完成后才将控制权返回给应用程序。
        Wait 确定媒体控制方法（Back、Close、Eject、Next、Open、Pause、PauseOnly、Play、Previous、StartRecording、Resume、Rewind、Step 或 Stop）是否仅在完成后才将控制权返回给应用程序。
        等待在设计时不可用。
        如果 Wait 为 true，则媒体播放器组件将等到下一个媒体控制方法完成后再将控制权返回给应用程序。如果 Wait 为 false，应用程序将不会等待下一个媒体控制方法完成后再继续。
        Wait 仅影响设置 Wait 后调用的下一个媒体控制方法。必须重置等待才能影响对媒体控制方法的任何后续调用。
        默认情况下，Play 和 StartRecording 的功能就像 Wait 为 false 一样。在调用 Play 或 StartRecording 之前必须将 Wait 设置为 true，以防止在播放或录制完成之前控制权返回到应用程序。默认情况下，所有其他媒体控制方法的功能就如同 Wait 为 true 一样。
        
        注意：仅当预计下一个媒体控制需要很长时间时，Wait 通常设置为 false，以便应用程序可以在媒体控制方法完成之前执行其他代码。如果 Wait 设置为 false，则应将 Notify 设置为 true，以便在媒体控制方法完成时通知应用程序。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Back(self, *args, **kwargs) -> Any:
        """在当前加载的媒体中后退一定数量的帧（由 Frames 属性的值确定）。
        当运行时单击媒体播放器控件上的“后退”按钮时，将调用“后退”。
        完成后，Back 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 Back 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Back 是否生成 OnNotify 事件。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Close(self, *args, **kwargs) -> Any:
        """关闭打开的多媒体设备。
        完成后，Close 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 Close 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Close 是否生成 OnNotify 事件。
        当应用程序终止时，会自动调用 Close。"""
    def Create(self, AOwner: Component) -> None:
        """TMediaPlayer.Create(AOwner: 组件) -> 无
        创建一个媒体播放器对象。
        调用 Create 在运行时实例化媒体播放器。对于在设计时创建的媒体播放器，会自动调用 Create。
        Create 为媒体播放器分配内存并调用继承的 Create。然后，它加载媒体播放器按钮的位图并初始化其属性，将 AutoEnable、AutoRewind、Colored、Enabled 和 Visible 设置为 true，将 AutoOpen 设置为 false，将 DeviceType 设置为 dtAutoSelect。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁媒体播放器的实例。
        不要直接在应用程序中调用 Destroy。请拨打免费电话。 Free 在调用 Destroy 之前检查 TMediaPlayer 引用是否为 nil。
        Destroy 首先验证没有设备打开，然后销毁用于媒体播放器按钮的位图并调用继承的 Destroy。"""
    def Eject(self, *args, **kwargs) -> Any:
        """从打开的多媒体设备中释放加载的媒体。
        当运行时单击媒体播放器控件上的“弹出”按钮时，将调用“弹出”。它将从打开的多媒体设备中弹出加载的媒体。
        完成后，Eject 在 Error 属性中存储数字错误代码，并在 ErrorMessage 属性中存储相应的错误消息。
        Wait 属性确定在 Eject 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Eject 是否生成 OnNotify 事件。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Next(self, *args, **kwargs) -> Any:
        """移至当前加载媒体的下一曲目的开头。
        如果调用 Next 时当前位置位于最后一曲目，Next 会将当前位置设为最后一曲目的开头。如果多媒体设备不使用轨道，则“下一步”将转到媒体末尾。当运行时单击媒体播放器控件上的“下一步”按钮时，将调用“下一步”。
        完成后，Next 在 Error 属性中存储数字错误代码，并在 ErrorMessage 属性中存储相应的错误消息。
        Wait 属性确定在 Next 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Next 是否生成 OnNotify 事件。"""
    def Open(self, *args, **kwargs) -> Any:
        """打开多媒体设备。
        使用“打开”打开多媒体设备。在打开设备之前，必须在 DeviceType 属性中指定多媒体设备类型。
        完成后，Open 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 Open 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Open 是否生成 OnNotify 事件。"""
    def Pause(self, *args, **kwargs) -> Any:
        """打开或关闭打开的多媒体设备。
        如果调用 Pause 时设备已经暂停，则设备通过调用 Resume 方法恢复播放或录音。当运行时单击媒体播放器控件上的“暂停”按钮时，将调用“暂停”。
        完成后，Pause 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 Pause 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Pause 是否生成 OnNotify 事件。"""
    def PauseOnly(self, *args, **kwargs) -> Any:
        """暂停打开的多媒体设备。
        如果调用 PauseOnly 时设备已经暂停，则设备将保持暂停状态。
        完成后，PauseOnly 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 PauseOnly 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 PauseOnly 是否生成 OnNotify 事件。"""
    def Play(self, *args, **kwargs) -> Any:
        """播放打开的多媒体设备中加载的媒体。
在运行时单击媒体播放器控件上的“播放”按钮时，将调用 Play。
完成后，Play 会在 Error 属性中存储数字错误代码，并在 ErrorMessage 属性中存储相应的错误消息。
Wait 属性确定在 Play 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Play 是否生成 OnNotify 事件。
如果设置了 StartPos 属性，则播放从 StartPos 中指定的位置开始。否则，播放从 Position 属性中指定的当前位置开始。同样，如果设置了 EndPos 属性，则播放在 EndPos 中指定的位置停止。否则，播放将在媒体的末尾停止。
在播放开始之前是否倒带媒体（在 Position 属性中指定）取决于 AutoRewind 属性。"""
    def Previous(self, *args, **kwargs) -> Any:
        """如果调用 Previous 时位置位于轨道的开头，则将当前位置设置为上一轨道的开头。
        如果调用 Previous 时位置位于第一个轨道或轨道开头以外的位置，则 Previous 将当前位置设置为当前轨道的开头。如果设备不使用轨道，则 Previous 将当前位置设置为媒体的开头（在 Start 属性中指定）。当运行时单击媒体播放器控件上的“上一个”按钮时，将调用“上一个”。
        完成后，Previous 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 Previous 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Previous 是否生成 OnNotify 事件。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def Resume(self, *args, **kwargs) -> Any:
        """恢复播放或录制当前暂停的多媒体设备。
        当设备暂停时，在运行时单击媒体播放器控件上的“暂停”按钮时，将调用“恢复”。
        完成后，Resume 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 Resume 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Resume 是否生成 OnNotify 事件。"""
    def Rewind(self, *args, **kwargs) -> Any:
        """将当前位置设置为媒体的开头，该位置存储在 Start 属性中。
        完成后，Rewind 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 Rewind 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Rewind 是否生成 OnNotify 事件。"""
    def Save(self, *args, **kwargs) -> Any:
        """将当前加载的介质保存到 FileName 属性中指定的文件中。
        对于不使用文件中存储的媒体（例如视频光盘）的设备，保存将被忽略。
        完成后，Save 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 Save 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Save 是否生成 OnNotify 事件。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def StartRecording(self, *args, **kwargs) -> Any:
        """从当前位置或 StartPos 中指定的位置开始记录。
        当运行时单击媒体播放器控件上的“录制”按钮时，将调用 StartRecording。
        完成后，StartRecording 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 StartRecording 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 StartRecording 是否生成 OnNotify 事件。
        默认情况下，StartRecording 方法完成后，Notify 属性变为 true，Wait 属性变为 false。但是，如果这些属性在调用 StartRecording 之前已设置为特定值，则它们将保持不变。"""
    def Step(self, *args, **kwargs) -> Any:
        """在当前加载的媒体中向前移动多个帧（由 Frames 属性确定）。
        当运行时单击媒体播放器控件上的 Step 按钮时，将调用 Step。
        完成后，Step 将数字错误代码存储在 Error 属性中，并将相应的错误消息存储在 ErrorMessage 属性中。
        Wait 属性确定在 Step 方法完成之前是否将控制权返回给应用程序。 Notify 属性确定 Step 是否生成 OnNotify 事件。"""
    def Stop(self, *args, **kwargs) -> Any:
        """停止播放或录制。
在运行时单击媒体播放器控件上的“停止”按钮时，将调用 Stop。
完成后，Stop 会在 Error 属性中存储数字错误代码，并在 ErrorMessage 属性中存储相应的错误消息。
Wait 属性确定在 Stop 方法完成之前是否将控制权返回给应用程序。Notify 属性确定 Stop 是否生成 OnNotify 事件。"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Memo(CustomMemo):
    """TMemo 是 Windows 多行编辑控件的包装器。
    使用 TMemo 在窗体上放置标准 Windows 多行编辑控件。多行编辑框允许用户输入多行文本。它们适合表示冗长的信息。
    TMemo 实现了 TCustomMemo 中引入的通用行为。 TMemo 发布了许多从 TCustomMemo 继承的属性，但没有引入任何新行为。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： Alignment
    """结盟： Determines how the text is aligned within the text edit control.
        Use Alignment to change the way the text is formatted in the text edit control. Alignment can take one of the following values:
        
        
        
        
        
        Value
        
        Meaning
        
        
        
        taLeftJustify
        
        
        
        Align text to the left side of the control
        
        
        
        
        taCenter
        
        
        
        Center text horizontally in the control.
        
        
        
        
        taRightJustify
        
        
        
        Align text to the right side of the control."""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    边框样式： BorderStyle
    """BorderStyle：确定编辑控件在工作区周围是否有单线边框。
        使用 BorderStyle 可以影响编辑控件的工作区突出的清晰度。 BorderStyle 的值可以是 bsSingle 或 bsNone。如果 BorderStyle 为 bsSingle，则编辑控件在工作区周围有单线边框。如果 BorderStyle 为 bsNone，则没有边框。"""
    CanUndoSelText: bool
    """bool：当设置为 True 时，它​​允许您调用或调用 Undo 操作，以撤消之前使用 SetSelText 或 SetSelTextBuf 所做的更改。默认情况下它设置为 false。"""
    CharCase: EditCharCase
    """EditCharCase：确定编辑控件中文本的大小写。
        使用 CharCase 强制编辑控件的内容采用特定的大小写。
        当 CharCase 设置为 ecLowerCase 或 ecUpperCase 时，当用户在编辑控件中键入字符时，字符的大小写将被转换。将 CharCase 属性更改为 ecLowerCase 或 ecUpperCase 会更改文本的实际内容，而不仅仅是外观。任何案例信息都会丢失，并且无法通过将 CharCase 更改为 ecNormal 来重新捕获。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    EditMargins: EditMargins
    """EditMargins：Embarcadero Technologies 目前没有任何其他信息。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    HideSelection: bool
    """布尔： Determines whether the visual indication of the selected text remains when focus shifts to another control.
        Set HideSelection to false to provide visual feedback of the selected portion of the text even when the edit control does not have focus. Set HideSelection to true to show the selection only when the edit control has focus. HideSelection does not affect the actual value of the selection, only the visual indication. Always setting HideSelection to false can make forms with many edit controls look too busy."""
    ImeMode: ImeMode
    """ImeMode：确定输入法编辑器 (IME) 的行为。
        设置 ImeMode 以配置 IME 处理用户击键的方式。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeMode 允许控件影响 IME 执行的转换类型，以便它适合控件期望的输入。例如，仅接受数字输入的控件可能会指定 imClose 的 ImeMode，因为数字输入不需要转换。
        
        注意：ImeMode 的值仅在控件获得焦点时才生效。要在控件已具有输入焦点时更改 ImeMode 的值，请调用 SetIme 方法。"""
    ImeName: str
    """str：指定用于将键盘输入转换为亚洲语言字符的输入法编辑器 (IME)。
        设置 ImeName 以指定使用哪个 IME 来转换击键。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeName 必须指定已通过 Windows 控制面板安装的 IME 之一。属性检查器提供系统上当前安装的所有 IME 的下拉列表。在运行时，应用程序可以从全局 Screen 变量获取当前安装的 IME 列表。
        如果 ImeName 指定不可用的 IME，则使用应用程序启动时处于活动状态的 IME。不会产生异常。
        
        注意：ImeName 的值仅在控件获得焦点时才生效。要在控件获得输入焦点后更改 ImeName 的值，请调用 SetIme 方法。"""
    Lines: Strings
    """字符串： Contains the individual lines of text in the memo control.
        Use Lines to manipulate text in an memo control on a line-by-line basis. Lines is a TStrings object, so the TStrings methods may be used for Lines to perform manipulations such as counting the lines of text, adding new lines, deleting lines, or replacing lines with new text. For example:
        
        MyMemo.Lines.Add(...);
        
        To work with all the text at once, use the Text property. To manipulate individual lines of text, the Lines property works better.
        
        Note:  Although Lines is implemented as a TStrings descendant, it does not implement the support for associating objects with the strings in the list."""
    MaxLength: int
    """整数： Specifies the maximum number of characters the user can enter into the edit control.
        Use MaxLength to limit the number of characters that can be entered into the edit control. A value of 0 indicates that there is no application-defined limit on the length.
        Use MaxLength to limit the length of the text in an edit control if that text will be copied into a fixed-length buffer.
        
        Note:  Setting MaxLength will not truncate the existing text, it merely prevents the user from adding more text after reaching the limit of MaxLength characters.
        Note:  Even when MaxLength is 0, there may be limitations imposed by the operating system on the number of characters that may be entered into an edit control.
        Note:  The unit of MaxLength is characters (not bytes) if the application is using themes."""
    OEMConvert: bool
    """布尔： Determines whether characters typed in the edit control are converted from ANSI to OEM and then back to ANSI.
        To ensure that any characters typed in the edit control can be unambiguously converted to the OEM character set, set OEMConvert to true. This causes all characters to be converted from ANSI to OEM and then back to ANSI as they are typed. Set OEMConvert to false to avoid the overhead of this conversion when it does not matter whether the text can be unambiguously mapped to an OEM string.
        OEMConvert is most useful for edit controls used to enter file names when the application does not use Unicode file names."""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ReadOnly: bool
    """bool：确定用户是否可以更改编辑控件的文本。
要将编辑控件限制为仅显示，请将 ReadOnly 属性设置为 true。将 ReadOnly 设置为 false 以允许编辑编辑控件的内容。
将 ReadOnly 设置为 true 可确保文本不会被更改，同时仍允许用户选择文本。然后，选定的文本可以由应用程序操作，或复制到剪贴板。"""
    ScrollBars: ScrollStyle
    """ScrollStyle：确定备忘录控件是否有滚动条。
        使用 ScrollBars 提供多行编辑控件水平或垂直滚动​​条。 ScrollBars 可以采用以下值之一：
        
        
        
        
        
        价值
        
        意义
        
        
        
        ss无
        
        
        
        该控件没有滚动条。
        
        
        
        
        ss水平
        
        
        
        该控件的底部边缘有一个滚动条。
        
        
        
        
        垂直
        
        
        
        该控件的右边缘有一个滚动条。
        
        
        
        
        两者
        
        
        
        该控件的底部和右侧边缘都有一个滚动条。"""
    SelStart: Any
    """返回/设置光标的位置。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    WantReturns: bool
    """布尔： Determines whether the user can insert return characters into the text.
        Set WantReturns to true to allow users to enter return characters into the text. Set WantReturns to false to allow the form to handle return characters instead. 
        For example, in a form with a default button (such as an OK button) and a memo control, if WantReturns is false, pressing Enter chooses the default button. If WantReturns is true, pressing Enter inserts a return character in the text.
        
        Note:  If WantReturns is false, users can still enter return characters into the text by pressing Ctrl+Enter."""
    WantTabs: bool
    """布尔： Determines whether the user can insert tab characters into the text.
        Set WantTabs to true to allow users to enter tab characters into the text. Set WantTabs to false if you want the tab character to select the next control on the form instead. 
        
        Note:  If WantTabs is true, users can tab into the edit control, but they can't tab out."""
    WordWrap: bool
    """bool：确定编辑控件是否插入软回车以便文本在右边距处换行。
        将 WordWrap 设置为 true 可使编辑控件在右边距处换行文本，使其适合工作区。包装仅具有装饰目的。该文本不包含任何未明确输入的返回字符。将 WordWrap 设置为 false 可使编辑控件仅在文本中显式输入返回字符的情况下显示单独的行。
        
        注意：大多数情况下，当 WordWrap 为 true 时，水平滚动条是不必要的。然而，也有例外的情况出现；当线不能被切成碎片时，就不能发生缠绕。在这些情况下，仍然需要滚动条。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class MemoryStream(CustomMemoryStream):
    """TMemoryStream 是一个将数据存储在动态内存中的流。
    使用 TMemoryStream 将数据存储在动态内存缓冲区中，该缓冲区通过类似文件的访问功能得到增强。 TMemoryStream 提供流对象的通用 I/O 功能，同时引入方法和属性来管理动态内存缓冲区。
    内存流作为中间对象非常有用，它可以保存信息以及从另一个存储介质读取信息或将其写入到另一个存储介质。它们提供了一种有用的格式来比较流的内容，或操作存储在不易访问的介质中的数据。"""
    __hash__: ClassVar[None] = ...
    ClassName: Any
    """返回 TObject.ClassName"""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Clear(self, *args, **kwargs) -> Any:
        """释放内存缓冲区，丢弃与内存流关联的所有数据。
        使用 Clear 清空内存流的内存缓冲区并释放所有关联的内存。除了释放与内存缓冲区关联的内存之外，清除：
        
        将 Memory 属性设置为 nil (Delphi) 或 NULL (C++)。
        将位置属性设置为 0。
        将“大小”属性设置为 0。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TMemoryStream 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TMemoryStream 引用不为 nil，然后才调用 Destroy。
        当不再需要存储或写入数据时销毁 TMemoryStream 对象。 Destroy 在调用继承的析构函数之前调用 Clear 来释放内存缓冲区。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    def LoadFromFile(self, FileName: str) -> None:
        """TMemoryStream.LoadFromFile(FileName: str) -> 无
        将文件的全部内容加载到内存缓冲区中。
        使用 LoadFromFile 用文件的内容填充内存流。将文件名作为 FileName 参数传递。 LoadFromFile 允许应用程序将文件的内容读入内存流，而无需显式创建和释放文件流对象。
        LoadFromFile 重新分配内存缓冲区，以便文件的内容完全适合。它相应地设置 Size 属性，然后将文件的全部内容读入内存缓冲区。因此，LoadFromFile 将丢弃存储在内存流中的任何预先存在的数据。"""
    def LoadFromStream(self, Stream: Stream) -> None:
        """TMemoryStream.LoadFromStream(Stream: Stream) -> 无
        将流的全部内容加载到内存缓冲区中。
        使用 LoadFromStream 用 Stream 参数指定的流的内容填充内存流。在按源流的 Size 属性指示的字节数进行流式传输之前，LoadFromStream 始终将源流的 Position 设置为 0。
        LoadFromStream 重新分配内存缓冲区，以便源流的内容完全适合。它相应地设置 Size 属性，然后将源流的全部内容读入内存缓冲区。因此，LoadFromStream 将丢弃存储在内存流中的任何预先存在的数据。
        如果源流是 TFileStream 对象，则 LoadFromStream 执行与 LoadFromFile 相同的操作，只是应用程序必须创建并释放 TFileStream 对象。 LoadFromStream 还允许应用程序从其他类型的流对象填充内存流对象。"""
    def ReadBytes(self) -> Any:
        """TPyDelphiStream.ReadBytes()
        以字节形式读取内容。"""
    def ReadFloat(self) -> Any:
        """TPyDelphiStream.ReadFloat()
        将内容读取为浮动。"""
    def ReadInt(self) -> Any:
        """TPyDelphiStream.ReadInt()
        将内容读取为整数。"""
    def ReadString(self) -> Any:
        """TPyDelphiStream.ReadString()
        将内容读取为字符串。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def SetSize(self, NewSize: int) -> None:
        """TMemoryStream.SetSize(NewSize: int) -> 无
        设置内存流的 Size 属性。
        在用数据填充内存流之前，使用 SetSize 设置内存流的大小。 SetSize 分配内存缓冲区来保存 NewSize 字节，从而保留尽可能多的现有数据。
        在使用来自各种源或另一个流的一部分的数据填充内存缓冲区之前，请使用 SetSize。如果内存流的预期内容与另一个流或文件的内容完全相同，请改用 LoadFromStream 或 LoadFromFile。\r
        设置内存流的 Size 属性。
        在用数据填充内存流之前，使用 SetSize 设置内存流的大小。 SetSize 分配内存缓冲区来保存 NewSize 字节，从而保留尽可能多的现有数据。
        在使用来自各种源或另一个流的一部分的数据填充内存缓冲区之前，请使用 SetSize。如果内存流的预期内容与另一个流或文件的内容完全相同，请改用 LoadFromStream 或 LoadFromFile。"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    def Write(self, Buffer, Count: int) -> 整数：
        """TMemoryStream.Write(Buffer, Count: int) -> int
        将 Count 个字节从 Buffer 写入内存缓冲区中的当前位置，并按 Count 个字节更新当前位置。
        使用 Write 将 Count 个字节插入到内存流的内存缓冲区中，从当前位置开始。如果需要，Write 将增加内存缓冲区的大小，以容纳正在写入的数据。如果当前位置不是内存缓冲区的末尾，Write 将覆盖当前位置之后的数据。
        Write 将 Size 属性更新为 Position + Count，并将 Position 属性设置为 Size 的新值。因此，调用 Write 时，当前位置之后 Count 个字节中存储在内存流中的任何数据都会丢失。
        Write 总是将 Count 个字节写入缓冲区，除非出现内存故障。因此，对于TMemoryStream来说，Write相当于WriteBuffer方法。
        内存流的所有其他数据写入方法（WriteBuffer、WriteComponent）均调用 Write 来进行实际写入。"""
    def WriteBytes(self) -> Any:
        """TPyDelphiStream.WriteBytes()
        将内容写入字节。"""
    def WriteFloat(self) -> Any:
        """TPyDelphiStream.WriteFloat()
        将内容写入浮动。"""
    def WriteInt(self) -> Any:
        """TPyDelphiStream.WriteInt()
将内容写入整数。"""
    def WriteString(self) -> Any:
        """TPyDelphiStream.WriteString()
        将内容写入字符串。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Menu(Component):
    """TMenu 是菜单组件（例如 TMainMenu 和 TPopupMenu）的基类。
定义表示菜单项集合的组件时，使用 TMenu 作为基类。TMenu 引入了属性和方法来创建表示一组菜单项的 Windows 菜单、调度与这些菜单项相关的命令以及查找任何这些菜单项的帮助上下文 ID。"""
    __hash__: ClassVar[None] = ...
    AutoHotkeys: MenuAutoFlag
    """MenuAutoFlag：确定菜单项的加速键是否可以自动重置。
        设置 AutoHotkeys 以指示菜单是否应自动确保其项目的加速键在必要时重置，以便每个菜单项都有一个加速键，并且没有两个项目具有相同的加速键。这确保了在运行时动态添加的菜单项可以具有不会引入冲突的加速键。 TMenu 在调整加速键时尝试保留所有现有的加速键映射，但可能被迫更改一些以确保每个项目都有唯一的加速键。
        在显示菜单之前，如果 AutoHotkeys 为 maAutomatic，则菜单会检查并调整加速键映射。当 AutoHotkeys 为 maManual 时，菜单不会更改顶级菜单项，但可能会调整子菜单的加速键，具体取决于作为子菜单父级的菜单项的 AutoHotkeys 属性。
        当 AutoHotkeys 为 maManual 时，应用程序仍然可以通过调用 Items 属性的 RethinkHotkeys 方法来调整菜单项。 AutoHotkeys 仅控制此调整是否自动发生。
        
        注意：菜单的 AutoHotkeys 属性链接到实现其 Items 属性的 TMenuItems 对象的 AutoHotkeys 属性。设置一个会设置另一个。"""
    AutoLineReduction: MenuAutoFlag
    """MenuAutoFlag：确定是否自动从菜单中删除多余的分隔栏。
        设置 AutoLineReduction 以指示菜单是否应自动确保菜单不以分隔栏开始或结束，并且两个分隔栏不会彼此相邻出现。这确保了在运行时动态构建的菜单不会在不需要的位置具有分隔栏。
        在显示菜单之前，当 AutoLineReduction 为 maAutomatic 时，它会删除多余的分隔栏。当 AutoLineReduction 为 maManual 时，菜单不会从顶级菜单项中删除分隔符，但可能会从子菜单中删除多余的分隔符，具体取决于作为子菜单父级的菜单项的 AutoLineReduction 属性。
        当 AutoLineReduction 为 maManual 时，应用程序仍然可以通过调用 Items 属性的 RethinkLines 方法来删​​除多余的分隔符。 AutoLineReduction 仅确定此调整是否自动发生。
        
        注意：菜单的 AutoLineReduction 属性链接到实现其 Items 属性的 TMenuItems 对象的 AutoLineReduction 属性。设置一个会设置另一个。"""
    BiDiMode: BiDiMode
    """BiDiMode：确定中东区域设置中的菜单布局。
        设置 BiDiMode 来控制菜单项的布局。 BiDiMode 控制菜单项是从左到右还是从右到左读取。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Handle: int
    """整数： Provides access to the Windows menu handle for the menu.
        Use Handle to call a Windows API function that requires a menu handle. Handle is the handle for the menu that contains only the items described by the Items property."""
    Images: CustomImageList
    """CustomImageList：列出可以显示在各个菜单项旁边的图像。
        使用图像来保存可以显示在菜单中的菜单项旁边的一组图像。各个菜单项设置其 ImageIndex 属性来指示列表中的哪个图像出现在菜单项标题的左侧。
        列表中的图像应为 16x16。
        
        提示：如果应用程序使用操作列表，则此属性应该是操作列表的 Images 属性的值。这样，执行相同操作的菜单项和按钮可以显示相同的图像。"""
    Items: MenuItem
    """MenuItem：描述菜单的元素。
        使用 Items 访问有关菜单中元素的信息。 Items 是一个单独的 TMenuItem 对象，它在自己的 Items 属性中描述菜单的元素。
        
        注意：由于 Items 是 TMenuItem 的默认属性，因此 TMenu 的 Items 属性可以视为描述菜单中各个项目的菜单项索引数组。也就是说，而不是写
        注意：FirstItem?:= Menu1.Items.Items[0];
        注意：您可以使用
        注意：FirstItem?:= Menu1.Items[0];
        在设计时通过单击属性检查器中的 Items 属性来设置 Items 属性。菜单设计器自动插入菜单项。输入每个菜单项时，轮廓区域会出现在其他菜单项的可能位置。单击这些区域可指定其他菜单项。在运行时，创建一个以编程方式描述菜单元素的 TMenuItem，并设置菜单的 Items 属性。"""
    Owner: Any
    """返回组件所有者"""
    OwnerDraw: bool
    """bool：指定菜单项是否由应用程序绘制。
        将 OwnerDraw 设置为 true 以指示应用程序将在 OnDrawItem 事件处理程序中绘制菜单项。当 OwnerDraw 为 true 时，菜单项需要在屏幕上呈现时会收到 OnMeasureItem 和 OnDrawItem 事件。
        将 OwnerDraw 设置为 false 以接受默认绘图。当 OwnerDraw 为 false 时，菜单项将在左侧显示标题和可选图像（如果设置了 Images 和 ImageIndex 属性）。
        自绘菜单对于显示选择菜单项时出现的值很有用。例如，在允许用户选择颜色的菜单中，所有者绘制菜单可以显示以指定颜色绘制的矩形，而不是颜色名称。"""
    ParentBiDiMode: bool
    """bool：指示 BiDiMode 属性是否继承自使用菜单的控件。
        默认情况下，ParentBiDiMode 为 true，表示菜单项的布局遵循关联窗体或控件的 BiDiMode 设置。将 ParentBiDiMode 更改为 false 以覆盖默认 BiDiMode 设置并独立控制菜单的布局。"""
    WindowHandle: int
    """int：提供对使用菜单的窗口句柄的访问。
        读取 WindowHandle 以获取当用户单击菜单中的项目时接收 WM_COMMAND 消息的控件的窗口句柄。选择菜单项后，在 OnClick 事件处理程序中使用此句柄将消息发送到使用该菜单的控件或进行影响该控件的 Windows API 调用。
        设置 WindowHandle 将菜单与控件关联起来。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Create(self, AOwner: Component) -> None:
        """TMenu.Create(AOwner: 组件) -> 无
        创建 TMenu 的实例。
        调用 Create 在运行时创建菜单。设计时放置在表单上的菜单是自动创建的。 Create 调用继承的 Create 方法，然后设置菜单组件的初始值，包括创建 Items 属性。
        AOwner 参数指示负责管理与菜单关联的内存的组件（通常是表单）。"""
    def CreateMenuItem(self, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁菜单组件。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TMenu 引用不为零，然后才调用 Destroy。 Destroy 释放 Items 属性，然后调用继承的 Destroy 方法。"""
    def DispatchCommand(self, ACommand: int) -> 布尔：
        """TMenu.DispatchCommand(ACommand: int) -> bool
        使用指定值作为其 Command 属性来调用菜单项的 Click 方法。
        调用 DispatchCommand 来模拟与命令 ID 关联的菜单项的单击。如果 DispatchCommand 找到与命令 ID 匹配的菜单项，它将调用该菜单项的 Click 方法并返回 true。如果没有这样的项目，DispatchCommand 返回 false。"""
    def DispatchPopup(self, AHandle: int) -> 布尔：
        """TMenu.DispatchPopup(AHandle: int) -> bool
调度弹出菜单命令。
调用 DispatchPopup 模拟单击​​与弹出菜单句柄关联的菜单项。如果 DispatchPopup 找到与弹出菜单句柄匹配的菜单项，它会调用该菜单项的 Click 方法并返回 true。如果没有这样的项目，DispatchPopup 将返回 false。"""
    def FindItem(self, Value: int, Kind: FindItemKind) -> 菜单项：
        """TMenu.FindItem(值：int，种类：FindItemKind) -> MenuItem
        查找并返回菜单项。
        调用 FindItem 来定位菜单或其子菜单之一中的菜单项。菜单项由弹出菜单句柄、命令 ID 或菜单快捷方式值来标识。 Kind 参数指定如何识别菜单项。"""
    def GetChildren(self, Proc: Callable[[Component],None], Root: Component) -> None:
        """TMenu.GetChildren(Proc: Callable[[Component], None], Root: Component) -> None
        执行子菜单项的回调。
        GetChildren 由流系统自动调用，以便子菜单项与其父菜单一起保存和读取。"""
    def GetHelpContext(self, Value: int, ByCommand: bool) -> 整数：
        """TMenu.GetHelpContext(Value: int, ByCommand: bool) -> int
        返回与菜单项关联的帮助上下文 ID。
        调用 GetHelpContext 获取特定菜单项的上下文相关帮助的 ID。将菜单项标识为与 Value 属性匹配的项目。如果 ByCommand 为 true，则 Value 是 TMenuItem 的 Command 属性。如果 ByCommand 为 false，则 Value 为 Handle 属性。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def IsRightToLeft(self, *args, **kwargs) -> Any:
        """指示菜单项是否从右向左阅读。
调用 IsRightToLeft 来确定主菜单项的布局。如果应用程序在具有中东语言环境的系统上运行并且 BiDiMode 属性不是 bdLeftToRight，则 IsRightToLeft 返回 true。"""
    def IsShortCut(self, Message: WMKey) -> 布尔：
        """TMenu.IsShortCut(消息: WMKey) -> bool
        如果按键消息代表菜单中某个项目的快捷键，则调度该按键消息。
        在处理 KeyDown 消息时调用 IsShortCut 来识别快捷键并触发相应的菜单操作。 IsShortCut 解码 Message 参数中传递的关键消息。然后，它使用键入的字符值对 Shift、Control 和 Alt 键的状态进行编码，以获得菜单项的 ShortCut 属性。如果 IsShortCut 找到与快捷键组合关联的菜单项，它将调用该项目的 Click 方法并返回 true。如果菜单中没有项目具有与该消息对应的快捷方式，则 IsShortCut 返回 false。"""
    def ParentBiDiModeChanged(self, *args, **kwargs) -> Any:
        """确保菜单的布局遵循 BiDiMode 和 ParentBiDiMode 属性的当前设置。
        当必须更新菜单的 BiDiMode 属性以反映其关联控件的双向模式时，将调用 ParentBiDiMode Changed。\r
        确保菜单的布局遵循 BiDiMode 和 ParentBiDiMode 属性的当前设置。
        当菜单的 BiDiMode 属性必须更新以反映其关联控件的双向模式时，将调用 ParentBiDiMode Changed。"""
    def ProcessMenuChar(self, Message: WMMenuChar) -> None:
        """TMenu.ProcessMenuChar(消息: WMMenuChar) -> 无
        响应菜单的键盘输入。
        ProcessMenuChar 处理来自 Windows 的键盘消息。它检查输入的字符是否是菜单项之一的加速符。如果是，则 ProcessMenuChar 执行该菜单项（或者，如果该菜单项被禁用，则选择它）。如果该键不是加速键，则 ProcessMenuChar 会检查以该字符开头的标题。如果只有一个，则将其视为加速器。否则，将选择以该字符开头的第一个项目。
        以编程方式调用 ProcessMenuChar 时，必须提供 Message 参数的 User、MenuFlag 和 Menu 字段。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class MenuItem(Component):
    """TMenuItem 描述菜单中项目的属性。
    使用 TMenuItem 指定菜单中项目的外观和行为。每个 TMainMenu 或 TPopupMenu 组件可以包含多个菜单项。在设计时定义菜单时，菜单设计器会自动为菜单上的每个命令创建菜单项对象。
    Caption 属性可用于定义 TMainMenu 菜单项的加速键。"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与菜单项关联的操作。
        Action 指定与菜单项关联的操作对象。可以在设计时使用操作列表编辑器将操作与菜单项关联起来。操作是集中用户对命令响应的一种方式。"""
    AutoCheck: bool
    """布尔： Indicates whether the menu item's checked state toggles automatically when the item is clicked.
        When AutoCheck is true, then every time the menu item is clicked, the value of the Checked property toggles automatically before the OnClick event occurs. When AutoCheck is false, the application must explicitly set the value of the Checked property (for example, in an OnClick event handler)."""
    AutoHotkeys: MenuItemAutoFlag
    """MenuItemAutoFlag：确定是否可以自动重置子菜单项的加速键。
设置 AutoHotkeys 以指示是否可以在必要时重置 Items 属性中项目的加速键，以确保每个菜单项都有一个加速键，并且没有两个项目具有相同的加速键。这可确保在运行时动态添加的菜单项可以具有不会引起冲突的加速键。TMenuItem 在调整加速键时会尝试保留所有现有的加速键映射，但可能会被迫更改一些加速键，以确保每个项目都有唯一的加速键。
在显示菜单之前，如果 AutoHotkeys 为 maAutomatic 或 AutoHotkeys 为 maParent 且父菜单项调整加速键映射，则菜单会检查并调整加速键映射。否则，菜单不会更改 Items 属性中列出的项目，但可能会调整子菜单的加速键，具体取决于作为子菜单父级的菜单项的 AutoHotkeys 属性。

注意：当 AutoHotkeys 不允许自动调整加速键时，应用程序仍可以通过调用 RethinkHotkeys 方法来调整菜单项。AutoHotkeys 仅控制此调整是否自动发生。"""
    AutoLineReduction: MenuItemAutoFlag
    """MenuItemAutoFlag：确定是否自动从子菜单中删除多余的分隔栏。
        设置 AutoLineReduction 以指示菜单项是否应自动确保其 Items 属性定义的子菜单不以分隔栏开头或结尾，并且两个分隔栏不会彼此相邻出现。这可确保在运行时动态构建的菜单不会在不需要的位置具有分隔栏。
        在显示菜单之前，如果 AutoLineReduction 为 maAutomatic 或 AutoLineReduction 为 maParent 并且父菜单项会删除多余的分隔栏，则菜单项会删除多余的分隔栏。否则，菜单项不会从 Items 属性中删除分隔符，但可能会从子菜单中删除多余的分隔符，具体取决于作为子菜单父级的菜单项的 AutoLineReduction 属性。
        
        注意：当 AutoLineReduction 不允许自动删除分隔栏时，应用程序仍然可以通过调用 RethinkLines 方法删除多余的分隔符。 AutoLineReduction 仅控制此调整是否自动发生。"""
    位图： Bitmap
    """Bitmap：指定为菜单项绘制的位图。
使用 Bitmap 提供显示在菜单项标题旁边的自定义图像。在自绘菜单上，可以从 OnDrawItem 事件处理程序中使用 Bitmap 来表示整个菜单项或菜单项的一部分。

注意：如果设置了 ImageIndex 属性，并且父菜单具有非零 (Delphi) 或 NULL (C++) Images 属性，则使用 ImageIndex 标识的图像而不是 Bitmap。"""
    Break: MenuBreak
    """MenuBreak：确定菜单项是否在菜单中开始一个新列。
        设置“中断”可将长菜单分成此菜单项描述的项目处的列。 Break 的值指示菜单是否分成列，如果是，则父菜单的列之间是否出现一个栏。
        默认值为 mbNone（不分列）。"""
    Caption: str
    """str：指定菜单项的文本。
将 Caption 设置为用户在菜单中看到的此项的字符串。要为字符串中的字符加下划线，请在字符前添加一个与号 (&)。这种类型的字符称为加速符。如果 Caption 包含加速符，则用户可以通过在键入带下划线的字符时按 Alt 来选择菜单项。

提示：要自动分配或调整菜单项标题中的加速符，请使用 RethinkHotkeys 方法。
使用 Caption 属性将菜单项标识为将菜单分隔成几部分的线。指定连字符 (-) 作为菜单项的 Caption 值，以指示菜单项是分隔符。要将菜单分隔成多列，请改用 Break 属性。

注意：如果菜单项由 TAction 对象提供，则此属性不会与菜单项一起存储。"""
    Checked: bool
    """bool：指定标题旁边是否应出现复选标记。
        使用 Checked 允许菜单项像复选框一样工作。如果 Checked 为 true，则菜单项显示为已选中。如果 Checked 为 false，则菜单项保持未选中状态。
        
        注意：如果该属性由 TAction 对象提供，则该属性不会与菜单项一起存储。"""
    Command: int
    """整数： Specifies the Windows Command ID associated with the menu item.
        Use Command in an application that directly handles WM_COMMAND messages. When the user selects the menu item, Windows sends a WM_COMMAND to the window associated with the menu. The ItemID of the message contains the value of the Command property of the menu item that was selected."""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Count: int
    """int：表示菜单项的子项数量。
        读取 Count 以确定 Items 属性数组中列出的子项目数。当用户单击包含子项的菜单项时，会出现一个下拉菜单，其中显示这些子项。每个子项又可以包含其他子项。 Count 属性仅计算菜单项的直接子项。"""
    Default: bool
    """布尔： Specifies whether the menu item is invoked when the parent item is double clicked.
        Set Default to specify whether a menu item is the default item in a submenu. Default menu items are executed when the parent item is double-clicked, allowing users to avoid navigating the submenus that contain them. 
        The default item appears in boldface. A submenu can have only one default item. If the Items list of the parent menu item already contains a default menu item, setting the Default property to true sets the Default property of the previous default item to false."""
    Enabled: bool
    """bool：指定菜单项是否启用。
        使用 Enabled 启用或禁用菜单项。如果 Enabled 为 true，则当用户用鼠标选择该项目时，将调用 Click 方法。如果 Enabled 为 false，菜单项将显示为灰色，用户无法选择它。但是，即使 Enabled 为 false，调用 Click 方法也能正常工作。
        
        注意：如果该属性由 TAction 对象提供，则该属性不会与菜单项一起存储。"""
    GroupIndex: int
    """整数： Identifies the logical group to which the menu item belongs.
        Use GroupIndex to control how menus are merged. In applications that contain multiple forms, items from the menus of secondary forms can be merged into the application's main menu as those forms become active. MDI applications always merge the menus of child windows with the main menu of the parent window. 
        By default, all menu items in a menu bar (main menu) have the same GroupIndex value. To use GroupIndex to merge menus, set the GroupIndex value of each successive menu item to a value equal to or greater than that of the previous menu item. 
        When a menu item in a menu bar that is merged into the application's main menu has the same GroupIndex value as a menu item in the main menu, the menu item in the application's main menu is replaced by the corresponding menu item. If multiple menu items in the application's main menu have the same GroupIndex value, they can be replaced only by separate menu items from the other form's menu that also have repeated GroupIndex values. Thus, the first main menu item with a given value is replaced by the first item in the second form with that value, the second item in the main form is replaced by the second item in the second form, and so on. 
        When a menu item in a menu bar that is merged into the application's main menu has a GroupIndex that falls between the GroupIndex values of two adjacent items on the application's main menu, that menu item is inserted between the two adjacent items. If the item's GroupIndex value is greater than all other GroupIndex values in the application's main menu, the item appears at the end of the main menu. If the GroupIndex value is less than all other GroupIndex values in the application's main menu, the menu item appears at the beginning of the main menu bar. 
        When an object created by an OLE 2.0 server application is activated, the server can try to merge its menus with the menus of the container application. The GroupIndex property is used to replace up to three main menu items with items from the server, in the manner described above. The server application uses the following predefined GroupIndex values to locate menu items to replace:
        
        
        
        
        
        Group
        
        Index
        
        Description
        
        
        
        Edit
        
        
        
        1
        
        
        
        Server menu items for editing the active OLE object
        
        
        
        
        View
        
        
        
        3
        
        
        
        Server menu items for modifying the view of the OLE object.
        
        
        
        
        Help
        
        
        
        5
        
        
        
        Server menu items for accessing the server's online Help.
        
        
        
        
        
        Note:  See the documentation for the OLE server for information about whether it attempts menu merge during in-place activation.
        GroupIndex can also be used to define groups of menu items that act like radio buttons. To allow menu items to behave like radio buttons, set the RadioItem property to all menu items in the group to true, and assign each menu item the same value of GroupIndex. Checking any menu item in the group will then uncheck the others."""
    Handle: int
    """int：表示与菜单项关联的下拉菜单的Windows菜单句柄。
        调用需要菜单句柄的 Windows API 函数时，请使用 Handle。仅当 Count 属性大于 0 时，句柄才有效。"""
    HelpContext: int
    """int：指定与菜单项关联的帮助上下文 ID。
        使用 HelpContext 将菜单项与应用程序帮助系统中的屏幕关联起来。帮助系统中的每个屏幕都应该有一个唯一的上下文 ID。使用键盘选择菜单项时，按 F1 将显示帮助屏幕。显示哪个帮助屏幕取决于 HelpContext 属性的值。
        
        注意：如果该属性由 TAction 对象提供，则该属性不会与菜单项一起存储。"""
    H整数： str
    """str：指定当用户将鼠标指针移到菜单项上时可以出现的文本字符串。
        将 Hint 设置为一个字符串，该字符串提供比标题更多的有关菜单项含义的信息。如果启用了帮助提示（即，如果表单和应用程序的 ShowHint 属性为 True），则当用户将鼠标悬停在菜单项上时，提示文本将显示在状态栏中。它也可用于应用程序的 OnHint 事件处理程序中的代码。
        Hint 的值可以指定帮助提示窗口的短值和 OnHint 事件处理程序使用的较长字符串。要同时提供短提示和长提示，请将 Hint 设置为短字符串，后跟竖线 (|)，最后是长字符串。
        
        注意：如果该属性由 TAction 对象提供，则该属性不会与菜单项一起存储。"""
    ImageIndex: int
    """整数： Indicates which image maintained by the parent menu appears next to the menu item.
        Set ImageIndex to designate an image that should appear next to the caption when the menu item is drawn. On top-level menu items, ImageIndex specifies a zero-offset index into the Images property of the parent menu (TMenu or TPopupMenu). On submenu items, ImageIndex is the zero-offset index into the parent item's SubMenuImages property.
        If the parent menu or item does not maintain a list of images, use the Bitmap property to provide an image for a single menu item. However, any image specified by ImageIndex takes precedence over the Bitmap property. Bitmap is only used when ImageIndex has a negative value or the parent's Images or SubMenuImages property is nil (Delphi) or NULL (C++).
        
        Note:  This property is not stored with the menu item if it is supplied by a TAction object."""
    ImageName: str
    """字符串： Displays the name of linked items from the Image Collection."""
    Items: MenuItem
    """菜单项："""
    MenuIndex: int
    """int：表示菜单项在其父菜单中的索引。
        使用 MenuInde​​x 在其父菜单项的 Items 属性中定位菜单项。更改此值会在其菜单中移动菜单项。
        
        注意：MenuInde​​x 可能与用户看到的菜单中的项目位置不对应。菜单可以包含不可见的项目。"""
    OnAdvancedDrawItem: Callable[[Object,Canvas,Rect,OwnerDrawState],None]
    """可调用[[对象、画布、矩形、OwnerDrawState]、无]："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDrawItem: Callable[[Object,Canvas,Rect,bool],None]
    """可调用[[对象、画布、矩形、布尔]、无]："""
    OnMeasureItem: Callable[[Object,Canvas,int,int],None]
    """Callable[[Object, Canvas, int, int], None]:"""
    Owner: Any
    """返回组件所有者"""
    Parent: MenuItem
    """菜单项： Identifies the parent menu item of this menu item.
        Read Parent to determine the menu item that represents the dropdown menu that contains this menu item. If the menu item is a top level menu item in a main menu or pop-up menu, Parent is the value of that menu's Items property."""
    RadioItem: bool
    '''布尔： Specifies whether the menu item is mutually exclusive with other menu items in its group.
        Use RadioItem to make the menu item behave like a radio button with a group of other menu items. The group of menu items is the set of all menu items in a pop-up or drop-down menu that have the same value of GroupIndex. When RadioItem is true, only one menu item in the group that contains the menu item can be checked at a time. The single selected menu item in the group is indicated by a round dot next to the Caption.
        
        Note: RadioItem does not automatically select the item when the user clicks it at runtime: you must still explicitly set the Checked property to true in response to the OnClick event. RadioItem simply changes the appearance of the Checked state (from a check mark to a round dot) and automatically unchecks other menu items in the same group when you set the Checked property to true.
        RadioItem does not work for the top-level items in a main menu.
        
        Note:  Under Windows NT 3.51, the round dot indicator only appears if the "new shell" has been installed.'''
    ShortCut: int
    """整数： Shortcut that opens the menu item.
        The string representation of this shortcut appears to the right of the menu item in the menu.
        
        Note: ShortCut is not stored with the menu item if it is supplied by an action."""
    SubMenuImages: CustomImageList
    """CustomImageList：列出可以显示在该菜单项的子菜单中的各个项目旁边的图像。
        使用 SubMenuImages 提供一组可以显示在 Items 属性中列出的项目旁边的图像。各个菜单项设置其 ImageIndex 属性来指示列表中的哪个图像出现在菜单项标题的左侧。
        
        提示：如果应用程序使用操作列表，则此属性可以是命令列表的 Images 属性的值。这样，执行相同操作的菜单项和按钮可以显示相同的图像。"""
    Visible: bool
    """bool：指定菜单项是否出现在菜单中。
        使用 Visible 可防止用户看到菜单中的项目。例如，删除不适用于 OnPopup 事件处理程序中弹出菜单的当前组件的菜单项。
        如果 Visible 为 true，则显示菜单项。如果 Visible 为 false，则隐藏菜单项。
        
        注意：如果该属性由 TAction 对象提供，则该属性不会与菜单项一起存储。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Add(self, Item: MenuItem) -> None:
        """TMenuItem.Add(Item: MenuItem) -> 无
        将一个或多个菜单项添加到 Items 属性数组的末尾。
        使用“添加”将新菜单项添加到该菜单项的下拉菜单中。如果此菜单项是主菜单或弹出菜单的 Items 属性的值，则“添加”会将这些项目添加到菜单末尾。
        指定要添加的单个新菜单项作为 Item 参数的值，或指定新菜单项数组作为 AItems 参数的值。 AItems_Size 是 AItems 数组中最后一项的索引（比项数少 1）。\r
        将一个或多个菜单项添加到 Items 属性数组的末尾。
        使用“添加”将新菜单项添加到该菜单项的下拉菜单中。如果此菜单项是主菜单或弹出菜单的 Items 属性的值，则“添加”会将这些项目添加到菜单末尾。
        指定要添加的单个新菜单项作为 Item 参数的值，或指定新菜单项数组作为 AItems 参数的值。 AItems_Size 是 AItems 数组中最后一项的索引（比项数少 1）。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Clear(self, *args, **kwargs) -> Any:
        """删除并释放 Items 属性中列出的所有菜单项。
        使用 Clear 释放 Items 属性数组中列出的所有项目。"""
    def Click(self, *args, **kwargs) -> Any:
        """模拟鼠标点击。
        Click 生成 OnClick 事件，就好像用户单击了菜单项一样。与真正的鼠标单击不同，Click 不会向与菜单关联的窗口生成 WM_COMMAND 消息。
        当用户选择菜单项时，组件编写者可以覆盖 click 以提供不同的响应。"""
    def Create(self, AOwner: Component) -> None:
        """TMenuItem.Create(AOwner: Component) -> 无
        创建 TMenuItem 的实例。
        使用 Create 在运行时创建菜单项。在设计时使用菜单设计器定义的菜单项是自动创建的。
        AOwner 是负责释放菜单项的组件。它成为所有者财产的价值。"""
    def Delete(self, Index: int) -> None:
        """TMenuItem.Delete(Index: int) -> None
        从 Items 属性数组中删除菜单项。
        调用Delete 可从菜单中删除菜单项及其所有子菜单。 Index 参数是要删除的项目的索引，其中 0 指定菜单中的第一项，1 指定第二项，依此类推。
        删除不会释放已删除项目的内存。要从菜单中删除项目并释放其内存，请在要删除的项目中调用 Free 方法。
        要暂时隐藏菜单项而不删除它，请使用 Visible 属性。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TMenuItem 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TMenuItem 引用不为零，然后才调用 Destroy。"""
    def Find(self, ACaption: str) -> 菜单项：
        """TMenuItem.Find(ACaption: str) -> 菜单项
        在给定标题的 Items 属性数组中定位菜单项。
        使用 Find 在 Items 属性数组中定位菜单项，其标题由 ACaption 参数指定。将项目标题与 ACaption 参数进行比较时，Find 会忽略加速键字符。
        Find 返回 Items 属性数组中具有指定标题的第一个菜单项。如果未找到任何项目，Find 将返回 nil (Delphi) 或 NULL (C++)。"""
    def GetChildren(self, Proc: Callable[[Component],None], Root: Component) -> None:
        """TMenuItem.GetChildren(Proc: Callable[[Component], None], Root: Component) -> None
        枚举所有子组件。
        Vcl.Menus.TMenuItem.GetChildren继承自System.Classes.TComponent.GetChildren。此行下面的所有内容均引用 System.Classes.TComponent.GetChildren。
        枚举所有子组件。
        GetChildren 在组件流系统内部使用。没有必要直接调用它。
        GetChildren 需要一个接收所有枚举组件的 TGetChildProc 例程。
        Root 代表将被枚举的组件的所有者。
        此方法在 TComponent 中不执行任何操作，预计会在后代中被覆盖。"""
    def GetEnumerator(self, *args, **kwargs) -> Any:
        """返回 TComponent 枚举器。
Vcl.Menus.TMenuItem.GetEnumerator 继承自 System.Classes.TComponent.GetEnumerator。此行以下所有内容均引用 System.Classes.TComponent.GetEnumerator。
返回 TComponent 枚举器。
GetEnumerator 返回 TComponentEnumerator 引用，该引用枚举指定包含组件中包含的组件。
要处理所有这些子组件，请在 While MoveNext do 循环中调用 TComponentEnumerator GetCurrent 方法。"""
    def GetImageList(self, *args, **kwargs) -> Any:
        """返回为菜单项提供图像的图像列表。
        使用 GetImageList 访问包含此菜单项的图像的图像列表。 ImageIndex 属性标识 GetImageList 返回的列表中的特定图像。
        GetImageList 首先检查此菜单项的父级是否有 SubMenuImages 属性。如果父菜单项不维护图像列表，它将检查该菜单项的父菜单项，依此类推，直到到达顶级菜单项（未设置父菜单项的菜单项）。如果父菜单项均不具有 SubMenuImages 属性，则 GetImageList 将检查顶级菜单中的 Images 属性。
        GetImageList 返回它找到的第一个图像列表。如果没有找到图像列表，GetImageList 将返回 nil (Delphi) 或 NULL (C++)。"""
    def GetItem(self, Index: int) -> 菜单项：
        """TMenuItem.GetItem(Index: int) -> MenuItem
        Embarcadero Technologies 目前没有任何其他信息。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def GetParentMenu(self, *args, **kwargs) -> Any:
        """返回菜单项所属的主菜单。
        GetParentMenu 返回包含菜单项的菜单。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def IndexOf(self, Item: MenuItem) -> 整数：
        """TMenuItem.IndexOf(Item: MenuItem) -> int
        返回 Items 数组中菜单项的位置。
        调用IndexOf在以该菜单项为首的子菜单中定位该菜单项。 IndexOf 对于第一个菜单项返回 0，对于第二个菜单项返回 1，依此类推。如果菜单项不在子菜单中，IndexOf 返回 -1。
        
        注意：如果菜单中包含一些不可见的项目，IndexOf 可能与用户看到的菜单中项目的位置不对应。"""
    def InitiateAction(self, *args, **kwargs) -> Any:
        """如果菜单项与操作链接关联，则调用操作链接的 Update 方法。
        InitiateAction 调用操作链接（如果菜单项有一个操作链接）来更新操作与菜单项之间的关联。"""
    def Insert(self, Index: int, Item: MenuItem) -> None:
        """TMenuItem.Insert(Index: int, Item: MenuItem) -> None
        将菜单项插入 Items 数组中的指定位置。
        使用“插入”将新菜单项插入到该菜单项的下拉菜单中。如果此菜单项是主菜单或弹出菜单的 Items 属性的值，则“插入”会将项目插入到该菜单中。将要添加的新菜单项指定为 Item 参数的值，并将 Items 数组中的位置指定为 Index 参数的值。"""
    def InsertNewLineAfter(self, AItem: MenuItem) -> 整数：
        """TMenuItem.InsertNewLineAfter(AItem: MenuItem) -> int
        在 Items 属性数组中的指定项目后面插入分隔栏。
        使用 InsertNewLineAfter 在 AItem 指定的菜单项后插入分隔栏。如果 AItem 不是 Items 属性数组中的项目，则 InsertNewLineAfter 会引发异常。
        InsertNewLineAfter 返回 Items 属性数组中新插入的分隔符项的索引。
        
        提示：在运行时插入分隔条时，最好将 AutoLineReduction 设置为 true，以便可以自动删除多余的分隔符。"""
    def InsertNewLineBefore(self, AItem: MenuItem) -> 整数：
        """TMenuItem.InsertNewLineBefore(AItem: MenuItem) -> int
        在 Items 属性数组中的指定项目之前插入分隔栏。
        使用 InsertNewLineBefore 在 AItem 指定的菜单项之前插入分隔栏。如果 AItem 不是 Items 属性数组中的项目，则 InsertNewLineBefore 会引发异常。
        InsertNewLineBefore 返回 Items 属性数组中新插入的分隔符项的索引。
        
        提示：在运行时插入分隔条时，最好将 AutoLineReduction 设置为 true，以便可以自动删除多余的分隔符。"""
    def IsLine(self, *args, **kwargs) -> Any:
        """指示菜单项是否表示分隔栏。
        调用 IsLine 判断菜单项是否为分隔栏。 IsLine 检查菜单项的 Caption，如果 Caption 的值为“-”，则返回 true。带有此标题的菜单项显示为分隔栏。"""
    def NewBottomLine(self, *args, **kwargs) -> Any:
        """在 Items 属性数组的末尾插入分隔栏。
        使用 NewBottomLine 在 items 属性数组的末尾插入分隔栏。这在运行时动态构建子菜单时非常有用。
        NewBottomLine 返回 Items 属性数组中新插入的分隔符项的索引。
        
        提示：在运行时插入分隔条时，最好将 AutoLineReduction 设置为 true，以便可以自动删除多余的分隔符。"""
    def NewTopLine(self, *args, **kwargs) -> Any:
        """在 Items 属性数组的开头插入分隔条。
使用 NewTopLine 在 items 属性数组的开头插入分隔条。这在运行时动态构建子菜单时很有用。
NewTopLine 返回 Items 属性数组中新插入的分隔项的索引。

提示：在运行时插入分隔条时，最好将 AutoLineReduction 设置为 true，以便自动删除多余的分隔符。"""
    def Remove(self, Item: MenuItem) -> None:
        """TMenuItem.Remove(Item: MenuItem) -> None
        从 Items 属性数组中删除菜单项
        调用“删除”可从菜单中删除菜单项及其所有子菜单。 Item 参数是要删除的项目。如果 Item 不是 Items 数组中的菜单项，Remove 会引发异常。
        删除不会释放项目的内存。要从菜单中删除项目并释放其内存，请在要删除的项目中调用 Free 方法。
        要暂时隐藏菜单项而不删除它，请使用 Visible 属性。"""
    def RethinkHotkeys(self, *args, **kwargs) -> Any:
        """调整子项目的标题，使每个项目都有一个加速键，并且没有重复的加速键。
        调用 RethinkHotkeys 来调整 Items 属性中的项目以及这些项目的任何子菜单中的加速键。 RethinkHotkeys 检查没有加速键或具有重复加速键的项目。然后，它会用唯一的字符替换所有重复的加速键，并将加速键添加到没有加速键的项目中。 RethinkHotkeys 优先考虑现有的加速键映射，但如有必要，可能会更改它们以确保唯一性。
        当 AutoHotkeys 属性为 false 时，RethinkHotkeys 允许菜单调整加速键。对于任何将 AutoHotkeys 设置为 true 的菜单或子菜单，此调整会自动发生。
        如果 RethinkHotkeys 更改了任何菜单项的 Caption 属性，则 RethinkHotkeys 返回 true，否则返回 false。"""
    def RethinkLines(self, *args, **kwargs) -> Any:
        """从 Items 属性数组中删除多余的分隔线。
调用 RethinkLines 以从 Items 属性中的项目以及这些项目的任何子菜单中删除多余的分隔线。RethinkLines 会删除出现在子菜单最开始或最结尾的分隔线以及紧跟在另一个分隔线后面的分隔线。
当 AutoLineReduction 属性为 false 时，RethinkLines 允许菜单删除多余的分隔线。对于将 AutoLineReduction 设置为 true 的任何菜单或子菜单，此调整都会自动发生。
如果 RethinkLines 删除了任何菜单项，则 RethinkLines 返回 true，否则返回 false。"""
    def SetParentComponent(self, Value: Component) -> None:
        """TMenuItem.SetParentComponent（值：组件）-> 无
        设置父组件。
        Vcl.Menus.TMenuItem.SetParentComponent继承自System.Classes.TComponent.SetParentComponent。此行下面的所有内容均引用 System.Classes.TComponent.SetParentComponent。
        设置父组件。
        SetParentComponent 在组件流系统内部使用。没有必要直接调用它。
        派生类重写此方法以实现对父子关系的正确处理。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Metafile(Graphic):
    """TMetafile 是 Win32 增强型图元文件的封装。
TMetafile 包含图元文件图形（EMF 文件格式）。
TMetafile 的属性指示图元文件的大小和特性。
要在画布上绘制图元文件，请调用 TCanvas 对象的 Draw 或 StretchDraw 方法，并将 TMetafile 作为参数传递。Enhanced 属性确定图元文件在磁盘上的存储方式。如果 Enhanced 为真，则图元文件将存储为 .EMF（Win32 增强型图元文件）文件。如果 Enhanced 为假，则图元文件将存储为 .WMF（Windows 3.1 图元文件，带有 Aldus 标头）。"""
    __hash__: ClassVar[None] = ...
    CreatedBy: Any
    Description: Any
    Enhanced: Any
    Handle: Any
    Inch: Any
    MMHeight: Any
    MMWidth: Any
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Assign(self, Source: Persistent) -> None:
        """TMetafile.Assign(Source: Persistent) -> None
将对象复制到图元文件。
Assign 将对象的 Enhanced 和 Palette 属性复制到图元文件。如果图元文件为 nil (Delphi) 或 NULL (C++)，Assign 将创建一个。否则，Assign 将调用继承的方法。对于分配，图元文件与其他 TGraphic 对象以及 TPicture 具有多态性。"""
    @classmethod
    def CanLoadFromStream(cls, Stream: Stream) -> 布尔：
        """TMetafile.CanLoadFromStream(Stream: Stream) -> bool
        Vcl.Graphics.TMetafile.CanLoadFromStream 继承自Vcl.Graphics.TGraphic.CanLoadFromStream。该行以下所有内容均引用Vcl.Graphics.TGraphic.CanLoadFromStream。
        当指定的流包含特定 TGraphic 子类的流图像时，CanLoadFromStream 返回 True。
        该方法使用当前流位置，它不会更改当前流位置。"""
    def Clear(self) -> Any:
        """清除()"""
    def Create(self, *args, **kwargs) -> Any:
        """实例化图元文件对象。
        调用 Create 在运行时实例化图元文件。
        Create 为图元文件对象分配内存，并调用继承的 Create。然后将“增强”和“透明”属性设置为 true。
        要从头开始创建图元文件图像，请在图元文件画布中绘制图像。当图元文件画布被销毁时，它将图像传输到提供给图元文件画布构造函数的图元文件对象中。在画布上绘制图像并销毁画布后，图像在图元文件对象中“可播放”。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁元文件对象的实例。
不要在应用程序中直接调用 Destroy。相反，应用程序应该调用 Free。Free 在调用 Destroy 之前会验证 TMetafile 引用是否为零。
Destroy 释放图像，当元文件图像上的引用计数为零时，它会释放图像和句柄。然后 Destroy 调用继承的 Destroy。"""
    def HandleAllocated(self, *args, **kwargs) -> Any:
        """指示 TMetafile 对象是否已获取基础 GDI 对象的句柄。
        使用 HandleAllocation 确定 Handle 属性是否设置为 HMETAFILE 值。 HandleAllocation 指示基础 GDI 对象是否已创建。使用 HandleAllocation 而不是读取 Handle 属性。当应用程序读取 Handle 属性时，如果基础 GDI 对象尚不存在，它会自动创建一个图元文件并返回其句柄。"""
    def LoadFromClipboardFormat(self, AFormat: int, AData: int, APalette: int) -> None:
        """TMetafile.LoadFromClipboardFormat(AFormat: int, AData: int, APalette: int) -> None
        从剪贴板加载图元文件。
        LoadFromClipboardFormat 用剪贴板中的数据替换当前图像。 LoadFromClipboardFormat 忽略 AData 和 APalette 参数。"""
    def LoadFromStream(self, Stream: Stream) -> None:
        """TMetafile.LoadFromStream(Stream: Stream) -> 无
        从流加载图元文件。
        通过指定从中加载图元文件的流作为 Stream 的值来使用 LoadFromStream。 LoadFromStream 从流中读取图元文件并用它替换当前图像。"""
    def ReleaseHandle(self) -> Any:
        """TMetaFile.ReleaseHandle()"""
    def SaveToClipboardFormat(self, AFormat: int, AData: int, APalette: int) -> None:
        """TMetafile.SaveToClipboardFormat(AFormat: int, AData: int, APalette: int) -> None
        将图元文件保存为剪贴板格式。
        使用 SaveToClipboardFormat 将图元文件复制为剪贴板格式。然后可以使用剪贴板的 SetAsHandle 方法将结果值复制到 Windows 剪贴板。
        图元文件的调色板在 APalette 参数中返回，格式在 AFormat 参数中返回，数据句柄在 AData 参数中返回。在保存图元文件之前，应用程序必须使用 RegisterClipboardFormat 方法向图元文件对象注册格式。
        要将图元文件保存到文件，请调用 SaveToFile。"""
    def SaveToFile(self, Filename: str) -> None:
        '''TMetafile.SaveToFile(Filename: str) -> None
        Writes the metafile to disk.
        Use SaveToFile to save the metafile to a file provided by the Filename parameter. To load a metafile from a file, call the LoadFromFile method.
        
         Note: If the Filename parameter has an extension of ".wmf", the metafile is saved as a WMF file. It is not necessary to set the Enhanced property.'''
    def SaveToStream(self, Stream: Stream) -> None:
        """TMetafile.SaveToStream(Stream: Stream) -> 无
        将图元文件写入流。
        使用 SaveToStream 将图元文件保存到 Stream 参数指定的流中。
        如果Enhanced属性为True，图元文件将保存为EMF；如果为 False，则保存为 WMF。"""
    def SetSize(self, AWidth: int, AHeight: int) -> None:
        """TMetafile.SetSize(AWidth: int, AHeight: int) -> None
        指定图元文件的大小。
        使用 SetSize 方法设置图元文件的高度和宽度。这比单独设置高度和宽度具有更好的性能。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Monitor(Object):
    """TMonitor 代表运行应用程序的监视器。
    TMonitor 代表显示应用程序用户界面的监视器。它引入了描述单个监视器尺寸的属性。此外，“主要”属性将主要属性与系统上的其他监视器区分开来。
    编写多显示器应用程序时，使用 TMonitor 帮助布局表单和对话框，以便它们不会分散在多个显示器上。
    应用程序不会创建 TMonitor 实例。相反，所有可用监视器的监视器组件均由全局 Screen 变量的 Monitors 属性列出。全局 Screen 变量还提供有关运行应用程序的监视器的全局信息，例如屏幕分辨率、可用字体等。"""
    __hash__: ClassVar[None] = ...
    Bounds矩形： Any
    """指示显示器的尺寸（以像素为单位）。"""
    Handle: Any
    """指示监视器的 Windows 句柄。"""
    Height: Any
    """指示显示器的垂直尺寸（以像素为单位）。"""
    Left: Any
    """指示显示器左边缘的逻辑位置。"""
    MonitorNum: Any
    """指定全局屏幕对象的监视器列表中监视器的索引。"""
    PixelsPerInch: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    Primary: Any
    """指示这是否是主监视器。"""
    Top: Any
    """指示显示器顶部边缘的逻辑位置。"""
    Width: Any
    """指示显示器的水平尺寸（以像素为单位）。"""
    Workarea矩形： Any
    """指示显示器上可用区域的尺寸。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Notebook(CustomControl):
    """TNotebook 显示多个页面，每个页面都有自己的一组控件。
    笔记本组件经常与选项卡集控件 (TTabSet) 一起使用，让用户通过单击选项卡来选择笔记本中的页面。 TNotebook 是为了向后兼容而提供的。新应用程序应改用 TPageControl。"""
    __hash__: ClassVar[None] = ...
    ActivePage: str
    """str：确定笔记本中显示哪个页面。
        ActivePage 确定笔记本中显示哪个页面。 ActivePage 的值必须是 Pages 属性中包含的字符串之一。
        要通过索引而不是字符串获取或设置活动页面，请改用 PageIndex 属性。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnPageChanged: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    PageIndex: int
    """int：确定笔记本控件中显示哪个页面。
        PageIndex 的值决定笔记本中显示哪个页面。更改 PageIndex 值会更改控件中的页面。
        创建页面时，Pages 属性中的每个字符串都会自动分配一个 PageIndex 值。第一页接收值 0，第二页接收值 1，依此类推。如果从 Pages 属性中删除字符串，则将重新分配 PageIndex 值，以便值始终以 0 开头并继续增加，值之间没有任何间隙。
        要使用字符串而不是索引来获取或设置当前页面，请改用 ActivePage 属性。"""
    Pages: Strings
    """字符串： Contains the strings that identify the individual pages of the notebook control.
        The Pages property contains the strings that identify the individual pages of the notebook control. Both these controls create a separate page for each string in the Pages property. For example, if Pages contains three strings, First, Second, and Third, the control has three separate pages. 
        You can access the various pages in a notebook or tabbed notebook control with either the ActivePage or PageIndex property."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TNotebook.Create(AOwner: 组件) -> 无
        构造一个 TNotebook 组件。
        调用 Create 在运行时实例化笔记本。在设计时放置在表单中的笔记本组件是自动创建的。
        AOwner 参数指定负责释放笔记本的组件（通常是表单）。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TNotebook 组件。
        不要直接在应用程序中调用 Destroy。相反，请使用 Free，它会在调用 Destroy 之前检查 TNotebook 引用是否为 nil。"""
    def GetChildren(self, Proc: Callable[[Component],None], Root: Component) -> None:
        """TNotebook.GetChildren(Proc: Callable[[Component], None], Root: Component) -> None
        为控件的每个子级调用指定的方法。
        Vcl.ExtCtrls.TNotebook.GetChildren 继承自 Vcl.Controls.TWinControl.GetChildren。该行以下的所有内容均引用Vcl.Controls.TWinControl.GetChildren。
        为控件的每个子级调用指定的方法。
        GetChildren 由加载和保存组件的流系统调用。应用程序很少需要调用此例程。
        GetChildren 对 Controls 属性列出的每个子控件执行由 Proc 参数指定的回调，该属性将 Root 参数列为其 Owner。
        重写 GetChildren 以限制或增加与控件一起保存的子控件。重写 GetChildren 时，为每个应保存的子控件调用作为 Proc 参数传递的过程。 Root 参数指示拥有该控件的组件（通常是窗体）。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class NumberBox(CustomNumberBox):
    """TNumberBox 是一个数字输入控件，支持输入整数、具有给定十进制数字和正确格式的浮点数以及货币值。"""
    __hash__: ClassVar[None] = ...
    AcceptExpressions: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： Alignment
    """结盟： Determines how the text is aligned within the text edit control.
        Use Alignment to change the way the text is formatted in the text edit control. Alignment can take one of the following values:
        
        
        
        
        
        Value
        
        Meaning
        
        
        
        taLeftJustify
        
        
        
        Align text to the left side of the control
        
        
        
        
        taCenter
        
        
        
        Center text horizontally in the control.
        
        
        
        
        taRightJustify
        
        
        
        Align text to the right side of the control."""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSelect: bool
    """布尔： Determines whether all the text in the edit control is automatically selected when the control gets focus.
        Set AutoSelect to select all the text when the edit control gets focus. AutoSelect only applies to single-line edit controls.
        Use AutoSelect when the user is more likely to replace the text in the edit control than to append to it."""
    AutoSize: bool
    """布尔： Determines whether the height of the edit control automatically resizes to accommodate the text.
        Use AutoSize to make the edit control adjust its size automatically so the client area accommodates the height of the text. When AutoSize is false, the edit control has a fixed height. When AutoSize is true, the size of the control is readjusted whenever a change occurs that could affect the height of the control, such as a change to the font or border style.
        
        Note: AutoSize only adjusts the height of the edit control. Even with AutoSize set to true, text in the edit control may appear truncated if it extends beyond the width of the control."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    边框样式： BorderStyle
    """BorderStyle：确定编辑控件在工作区周围是否有单线边框。
        使用 BorderStyle 可以影响编辑控件的工作区突出的清晰度。 BorderStyle 的值可以是 bsSingle 或 bsNone。如果 BorderStyle 为 bsSingle，则编辑控件在工作区周围有单线边框。如果 BorderStyle 为 bsNone，则没有边框。"""
    CharCase: EditCharCase
    """EditCharCase：确定编辑控件中文本的大小写。
        使用 CharCase 强制编辑控件的内容采用特定的大小写。
        当 CharCase 设置为 ecLowerCase 或 ecUpperCase 时，当用户在编辑控件中键入字符时，字符的大小写将被转换。将 CharCase 属性更改为 ecLowerCase 或 ecUpperCase 会更改文本的实际内容，而不仅仅是外观。任何案例信息都会丢失，并且无法通过将 CharCase 更改为 ecNormal 来重新捕获。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    CurrencyFormat: NumberBoxCurrencyFormat
    """NumberBoxCurrencyFormat：Embarcadero Technologies 目前没有任何其他信息。"""
    CurrencyString: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Decimal: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    DisplayFormat: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    HideSelection: bool
    """布尔： Determines whether the visual indication of the selected text remains when focus shifts to another control.
        Set HideSelection to false to provide visual feedback of the selected portion of the text even when the edit control does not have focus. Set HideSelection to true to show the selection only when the edit control has focus. HideSelection does not affect the actual value of the selection, only the visual indication. Always setting HideSelection to false can make forms with many edit controls look too busy."""
    ImeMode: ImeMode
    """ImeMode：确定输入法编辑器 (IME) 的行为。
        设置 ImeMode 以配置 IME 处理用户击键的方式。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeMode 允许控件影响 IME 执行的转换类型，以便它适合控件期望的输入。例如，仅接受数字输入的控件可能会指定 imClose 的 ImeMode，因为数字输入不需要转换。
        
        注意：ImeMode 的值仅在控件获得焦点时才生效。要在控件已具有输入焦点时更改 ImeMode 的值，请调用 SetIme 方法。"""
    ImeName: str
    """str：指定用于将键盘输入转换为亚洲语言字符的输入法编辑器 (IME)。
        设置 ImeName 以指定使用哪个 IME 来转换击键。 IME 是亚洲语言字符的前端输入处理器。 IME 挂钩所有键盘输入，在转换窗口中将其转换为亚洲字符，并将转换后的字符或字符串发送到应用程序。
        ImeName 必须指定已通过 Windows 控制面板安装的 IME 之一。属性检查器提供系统上当前安装的所有 IME 的下拉列表。在运行时，应用程序可以从全局 Screen 变量获取当前安装的 IME 列表。
        如果 ImeName 指定不可用的 IME，则使用应用程序启动时处于活动状态的 IME。不会产生异常。
        
        注意：ImeName 的值仅在控件获得焦点时才生效。要在控件获得输入焦点后更改 ImeName 的值，请调用 SetIme 方法。"""
    LargeStep: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    MaxLength: int
    """整数： Specifies the maximum number of characters the user can enter into the edit control.
        Use MaxLength to limit the number of characters that can be entered into the edit control. A value of 0 indicates that there is no application-defined limit on the length.
        Use MaxLength to limit the length of the text in an edit control if that text will be copied into a fixed-length buffer.
        
        Note:  Setting MaxLength will not truncate the existing text, it merely prevents the user from adding more text after reaching the limit of MaxLength characters.
        Note:  Even when MaxLength is 0, there may be limitations imposed by the operating system on the number of characters that may be entered into an edit control.
        Note:  The unit of MaxLength is characters (not bytes) if the application is using themes."""
    MaxValue: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    MinValue: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    Mode: NumberBoxMode
    """NumberBoxMode：Embarcadero Technologies 目前没有任何其他信息。"""
    NegativeValueColor: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    OEMConvert: bool
    """布尔： Determines whether characters typed in the edit control are converted from ANSI to OEM and then back to ANSI.
        To ensure that any characters typed in the edit control can be unambiguously converted to the OEM character set, set OEMConvert to true. This causes all characters to be converted from ANSI to OEM and then back to ANSI as they are typed. Set OEMConvert to false to avoid the overhead of this conversion when it does not matter whether the text can be unambiguously mapped to an OEM string.
        OEMConvert is most useful for edit controls used to enter file names when the application does not use Unicode file names."""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnChangeValue: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnEvaluateExpression: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnValidateChar: Any
    """可调用[[unicodechr(str), bool], None]:"""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ReadOnly: bool
    """bool：确定用户是否可以更改编辑控件的文本。
要将编辑控件限制为仅显示，请将 ReadOnly 属性设置为 true。将 ReadOnly 设置为 false 以允许编辑编辑控件的内容。
将 ReadOnly 设置为 true 可确保文本不会被更改，同时仍允许用户选择文本。然后，选定的文本可以由应用程序操作，或复制到剪贴板。"""
    SelStart: Any
    """返回/设置光标的位置。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    SmallStep: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    SpinButtonOptions: NumberBoxSpinButtonOptions
    """NumberBoxSpinButtonOptions: Embarcadero Technologies 目前没有任何其他信息。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    TextH整数： str
    """字符串： A hint or message to be displayed when the Text property is empty.
        Use TextHint to cue the user on what kind of entry is expected in the text field. Runtime themes must be enabled.
        
        Code Examples
        StdCtrlsProp (Delphi)
        StdCtrlsProp (C++)"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    UseMouseWheel: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    UseNaNValue: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    UseUpDownKeys: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    Value: float
    """漂浮： Embarcadero Technologies 目前没有任何其他信息。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    Wrap: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class 目的：
    """TObject 是所有对象和组件的最终祖先。
TObject 通过引入以下方法来封装对象共有的基本行为：

通过分配、初始化和释放所需内存来创建、维护和销毁对象实例。
在创建或销毁对象实例时做出响应。
返回对象的类类型和实例信息以及有关其已发布属性的运行时类型信息 (RTTI)。
支持消息处理。
支持对象实现的接口。
在声明不需要持久化（不保存和重新加载）且不需要分配给其他对象的简单对象时，使用 TObject 作为直接基类。
对象的大部分功能由 TObject 引入的方法确定。许多这些方法由 IDE 内部使用，不供用户直接调用。其他方法在具有更复杂行为的后代对象中被覆盖。
虽然 TObject 是组件框架的基础对象，但并非所有对象都是组件。所有组件类都来自 TComponent。

注意：TObject 从未直接实例化。尽管它不使用阻止实例化的编程语言功能，但 TObject 是一个抽象类。"""
    __hash__: ClassVar[None] = ...
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def AfterConstruction(self, *args, **kwargs) -> Any:
        """最后一个构造函数执行后响应。
        AfterConstruction 在对象的最后一个构造函数执行后自动调用。不要在您的应用程序中显式调用它。
        TObject 中实现的 AfterConstruction 方法不执行任何操作。当创建一个在创建对象后执行操作的类时，重写此方法。例如，TCustomForm 重写 AfterConstruction 以生成 OnCreate 事件。"""
    def BeforeDestruction(self, *args, **kwargs) -> Any:
        """在第一个析构函数执行之前响应。
        BeforeDestruction 在对象的第一个析构函数执行之前自动调用。不要在您的应用程序中显式调用它。
        TObject 中实现的 BeforeDestruction 方法不执行任何操作。当创建一个在对象被销毁之前执行操作的类时，重写此方法。例如，TCustomForm 重写 BeforeDestruction 以生成 OnDestroy 事件。
        
        注意：当对象在完全构造之前被销毁时，BeforeDestruction 不会被调用。也就是说，如果对象的构造函数引发异常，则会调用析构函数来处理该对象，但不会调用 BeforeDestruction。"""
    @classmethod
    def ClassInfo(cls, *args, **kwargs) -> Any:
        """返回指向对象类型的运行时类型信息 (RTTI) 表的指针。
        ClassInfo 提供对给定对象类型的 RTTI 表的访问。
        有些类不提供运行时类型信息。对于这些类，ClassInfo 返回 nil (Delphi) 或 NULL (C++)。所有从 TPersistent 派生的类都提供运行时类型信息。"""
    @classmethod
    def ClassName(cls, *args, **kwargs) -> Any:
        """返回一个字符串，指示对象实例的类型（而不是作为参数传递的变量的类型）。
使用 ClassName 从对象实例或类引用中获取类名。这对于区分分配给具有祖先类类型的变量的对象实例很有用。

注意：在 C++ 代码中，调用 ClassName 作为方法来获取对象的类名。使用全局静态函数从元类对象中获取类名。"""
    @classmethod
    def ClassNameIs(cls, Name: str) -> 布尔：
        """TObject.ClassNameIs(名称: str) -> bool
        确定对象是否属于特定类型。
        ClassNameIs 确定对象实例或类引用是否具有与指定字符串匹配的类名。这对于跨模块或共享库查询对象很有用。
        
        注意：在 C++ 代码中，调用 ClassNameIs 作为方法来比较对象的类名。使用全局静态函数比较元类对象中的类名。"""
    @classmethod
    def ClassParent(cls, *args, **kwargs) -> Any:
        """返回类的直接祖先的类型。
        ClassParent 返回对象实例或类引用的父类的名称。对于 TObject，ClassParent 返回 nil (Delphi) 或 NULL (C++)。
        避免在应用程序代码中使用 ClassParent。
        
        注意：在 Delphi 代码中，使用 is 或 as 运算符而不是 ClassParent。
        注意：在 C++ 代码中，请使用动态转换或 InheritsFrom 方法而不是 ClassParent。"""
    def ClassType(self, *args, **kwargs) -> Any:
        """返回对象类的类引用。
        
        注意：ClassType 动态确定对象的类型并返回其类引用或元类。
        避免在应用程序代码中使用 ClassType。
        
        注意：在 Delphi 代码中，使用 is 或 as 运算符而不是 ClassType。
        注意：在 C++ 代码中，请使用动态转换或 InheritsFrom 方法而不是 ClassType。"""
    def CleanupInstance(self, *args, **kwargs) -> Any:
        """对类中的长字符串、变体和接口变量执行终结。
        不要直接调用 CleanupInstance。当对象实例被销毁时，CleanupInstance 会自动调用。
        CleanupInstance 释放所有长字符串和变体。它将长字符串设置为空，并将变体设置为未分配。"""
    def Create(self, *args, **kwargs) -> Any:
        """构造一个对象并在首次使用该对象之前初始化其数据。
        Create 构造一个对象。对象的用途、大小和行为差异很大。 TObject 定义的 Create 构造函数分配内存但不初始化数据。
        后代对象通常定义一个构造函数来创建特定类型的对象并初始化其数据。
        
        注意：如果异常从构造函数中逃逸，则会调用对象的析构函数来清理失败的实例。"""
    def DefaultHandler(self, Message) -> None:
        """TObject.DefaultHandler(Message) -> None
为处理消息记录的方法提供接口。
当 Dispatch 无法找到特定消息的方法时，它会调用 DefaultHandler。DefaultHandler 为对象没有特定处理程序的所有消息提供消息处理。处理消息的后代类会根据其处理的消息类型覆盖 DefaultHandler。

注意：在 Delphi 消息处理方法中，仅当祖先类未指定要处理的特定消息的消息方法时，调用 inherited 才会调用祖先类的 DefaultHandler 方法。否则，调用 inherited 会调用该消息类型的特定处理程序。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """处置对象实例。
        不要直接调用 Destroy。请拨打免费电话。 Free 在调用 Destroy 之前验证对象引用不为 nil。
        TObject 定义的 Destroy 方法释放内存。后代对象通常定义为该特定类型的对象定制的析构函数。
        在后代中声明 Destroy 方法时，始终将 override 指令添加到声明中，并调用继承的 Destroy 作为重写方法中的最后一个语句。由于 Destroy 是虚拟方法，因此重写它可确保发生正确的继承行为。
        
        注意：如果构造函数中发生异常，则会调用析构函数来销毁未完全初始化的部分构造的对象实例。因此，析构函数应该在尝试释放分配的资源（例如句柄）之前检查它们是否实际分配，因为它们的值可能为零。
        应实现 Destroy，以便它对在对象的构造函数内创建的所有子对象（即由构造函数分配的）调用 Free。与 Destroy 不同，Free 在销毁零对象时提供了保护。"""
    def Dispatch(self, Message) -> None:
        """TObject.Dispatch(消息) -> 无
        根据 Message 参数的内容调用对象的消息处理方法。
        调用 Dispatch 自动将消息传递给适当的消息处理程序。
        调度确定消息是否在为该对象声明的消息处理程序列表中。如果该对象不处理该消息，Dispatch 将检查祖先类的消息处理程序列表，并继续检查祖先，直到找到特定处理程序或用完祖先，在这种情况下，它会调用 DefaultHandler。
        Dispatch 对 Message 中的数据所做的唯一假设是前两个字节包含消息 ID，即确定 Dispatch 调用哪个消息处理程序的整数。尽管任何类型的数据都可以传递给 Dispatch，但大多数 TObject 后代都期望消息记录，例如 TMessage 或特定的数据结构类型。"""
    def DisposeOf(self, *args, **kwargs) -> Any:
        """DisposeOf 强制执行对象中的析构函数代码。
        当 Delphi Mobile 编译器支持自动引用计数时，它是以前版本的产物。在当前版本的 Delphi 中，DisposeOf 用作调用 TObject.Free 的包装器。
        
        类型
          TMySimpleClass = 类
          私人的
            字符串成员：字符串；
            构造函数 Create(const Text: String);
            析构函数 销毁；
          结尾;
        
        构造函数 TMySimpleClass.Create(const Text: String);
        开始
          字符串成员：=文本；
        结尾;
        
        析构函数 TMySimpleClass.Destroy；
        开始
          // 这将在调用 DisposeOf 方法时执行。
        结尾;
        
        变量
          my目的： TMySimpleClass;
        开始
          myObject := TMySimpleClass.Create('这是一段指示 DisposeOf 方法用法的代码片段');
          尝试
            // 此处使用“myObject”
          最后
            myObject.DisposeOf;
          结尾;
        结尾。"""
    def Equals(self, Obj: Object) -> 布尔：
        """TObject.Equals(Obj: Object) -> bool
        检查当前实例和 Obj 参数是否相等。
        该函数有一个 TObject 类型的 Obj 参数。
        默认情况下，Equals方法显示当前对象和Obj对象对应的地址是否相同。该方法返回一个布尔值，表示两个地址之间的相等性。
        
        
        注意：应该在用户派生类中重写 Equals，以便为使用者对象提供相等确定功能。
        例如，在 FMX.Types.TBounds 类中，如果当前对象和 Obj 对象的 Rect 属性相等，则 Equals 也会返回 True。在 FMX.StdActns.TBaseValueRange 类中，如果当前对象和 Obj 对象的所有属性都相等，则 Equals 也会返回 True。"""
    def FieldAddress(self, Name: str) -> 指针：
        """TObject.FieldAddress(名称: str) -> 指针
        返回已发布对象字段的地址。
        FieldAddress 由组件流系统内部使用来访问对象的指定已发布字段。 FieldAddress 返回指向该字段的指针（如果存在）。如果对象没有使用该名称的已发布字段，则 FieldAddress 返回 nil (Delphi) 或 NULL (C++)。
        程序应使用属性而不是 FieldAddress 来访问和操作字段。\r
        返回已发布对象字段的地址。
        FieldAddress 由组件流系统内部使用来访问对象的指定已发布字段。 FieldAddress 返回指向该字段的指针（如果存在）。如果对象没有使用该名称的已发布字段，则 FieldAddress 返回 nil (Delphi) 或 NULL (C++)。
        程序应该使用属性而不是 FieldAddress 来访问和操作字段。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def FreeInstance(self, *args, **kwargs) -> Any:
        """释放先前调用 NewInstance 方法分配的内存。
        所有析构函数都会自动调用 FreeInstance 来释放通过重写 NewInstance 分配的内存。
        不要直接调用 FreeInstance。如果重写 NewInstance 以更改对象实例数据的分配方式，则应重写 FreeInstance。
        与 NewInstance 一样，FreeInstance 使用从 InstanceSize 返回的值来释放对象的内存。"""
    def GetHashCode(self, *args, **kwargs) -> Any:
        """返回包含哈希码的整数。
        默认情况下，对对象调用 GetHashCode 返回一个表示存储该对象的虚拟地址的整数。
        
        笔记：
        GetHashCode 应该在用户派生类中重写，以便为消费者对象提供整数哈希码表示形式。
        哈希码的符号取决于特定对象实例的地址。对于驻留在较高内存位置的对象实例，可能会出现负哈希码。"""
    def GetInterface(self, IID: GUID, Obj) -> 布尔：
        """TObject.GetInterface(IID: GUID, Obj) -> bool
检索指定的接口。
GetInterface 检索由 GUID 或类型名称指定的接口。 GetInterface 的基本实现使用 IID 参数中指定的 GUID。 如果类支持指定的接口，则在 Obj 参数中返回该接口，GetInterface 的返回值为 True。 否则，Obj 包含 nil (Delphi) 或 NULL (C++)，GetInterface 返回 False。

注意：在 Delphi 代码中，IID 可以是接口名称。 编译器会自动将此名称转换为相应的 GUID。
注意：在 C++ 代码中，使用 GetInterface 的模板化版本从 DelphiInterface 对象获取接口。
GetInterface 等同于 as 运算符 (Delphi) 和动态强制转换 (C++)，不同之处在于，如果不支持该接口，GetInterface 不会引发异常。"""
    @classmethod
    def GetInterfaceEntry(cls, IID: GUID) -> PInterfaceEntry:
        """TObject.GetInterfaceEntry(IID: GUID) -> PInterfaceEntry
        返回在类中实现的特定接口的条目。
        GetInterfaceEntry 返回 IID 参数指定的接口的类条目。
        
        注意：在Delphi代码中，IID可以是接口名称。编译器会将此名称替换为实际的 GUID。
        注意：COM 对象可以使用 GetInterfaceEntry 自动调度调用双 IDispatch 接口。"""
    @classmethod
    def GetInterfaceTable(cls, *args, **kwargs) -> Any:
        """返回一个指向包含给定类实现的所有接口的结构的指针。
        GetInterfaceTable 返回该类的接口条目。该列表仅包含该类实现的接口，而不包含其祖先的接口。要查找祖先列表，请迭代调用 ClassParent，然后对其返回的值调用 GetInterfaceTable。要查找特定接口的条目，请改用 GetInterfaceEntry 方法。"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    @classmethod
    def InitInstance(cls, Instance: Pointer) -> 目的：
        """TObject.InitInstance(Instance: Pointer) -> Object
将新分配的对象实例初始化为全零，并初始化该实例的虚拟方法表指针。
您不应直接调用 InitInstance。在创建对象时，NewInstance 会调用 InitInstance。覆盖 NewInstance 时，请务必将 InitInstance 作为最后一条语句调用。
InitInstance 不是虚拟的，因此您无法覆盖它。相反，请在构造函数中初始化对象的任何数据。"""
    @classmethod
    def InstanceSize(cls, *args, **kwargs) -> Any:
        """返回对象类型的每个实例的大小（以字节为单位）。
        InstanceSize 指示类的实例数据需要多少字节的内存。 InstanceSize 从分配和释放内存的方法中调用。 InstanceSize 不是虚拟方法，因此无法重写。仅当实现 NewInstance 的自定义版本时才应调用 InstanceSize。"""
    @classmethod
    def MethodAddress(cls, Name: str) -> 指针：
        """TObject.MethodAddress(名称: str) -> 指针
        按名称返回类方法的地址。
        
        注意：您只能将 MethodAddress 用于已发布的方法。
        在某些情况下，无需提前对方法名称进行硬编码即可调用对象方法。调用 MethodAddress 通过将方法名称指定为字符串来动态检索此类方法的地址。
        调用该方法的一种简单方法是定义过程或函数数据类型，例如：
        
        type TProc = 对象过程；
        
        将对象名称和 MethodAddress 方法分配给 TMethod 变量，例如：
        
        MethodVar.Data?:= 指针(ObjectInstanceName);
        MethodVar.Code?:= ObjectInstanceName.MethodAddress('MethodNameString');
        
        将其传递到对过程或函数类型的变量的调用中：
        
        Proc?:= TProc(MethodVar);
        过程；\r
        按名称返回类方法的地址。
        
        注意：您只能将 MethodAddress 用于已发布的方法。
        在某些情况下，无需提前对方法名称进行硬编码即可调用对象方法。调用 MethodAddress 通过将方法名称指定为字符串来动态检索此类方法的地址。
        调用该方法的一种简单方法是定义过程或函数数据类型，例如：
        
        type TProc = 对象过程；
        
        将对象名称和 MethodAddress 方法分配给 TMethod 变量，例如：
        
        MethodVar.Data?:= 指针(ObjectInstanceName);
        MethodVar.Code?:= ObjectInstanceName.MethodAddress('MethodNameString');
        
        将其传递到对过程或函数类型的变量的调用中：
        
        Proc?:= TProc(MethodVar);
        过程；"""
    @classmethod
    def MethodName(cls, Address: Pointer) -> 字符串：
        """TObject.MethodName（地址：指针）-> str
        按地址返回类方法的名称。
        在某些情况下，无需提前对方法名称进行硬编码即可调用对象方法。调用 MethodAddress 通过将方法名称指定为字符串来动态检索此类方法的地址。
        MethodName 与此过程相反 - 通过提供 Address 方法，该方法的名称将作为字符串返回。"""
    @classmethod
    def NewInstance(cls, *args, **kwargs) -> Any:
        """为对象类型的实例分配内存并返回指向该新实例的指针。
        所有构造函数都会自动调用 NewInstance。 NewInstance 调用 InstanceSize 来确定要从堆中分配多少包含特定实例的内存。不要直接调用NewInstance。
        仅在特殊内存分配要求时重写 NewInstance。例如，当分配大量需要同时位于内存中的相同对象时，您可以为整个组分配单个内存块，然后重写 NewInstance 以便为每个实例使用该较大块的一部分。
        如果您重写 NewInstance 来分配内存，则可能需要重写 FreeInstance 来释放内存。
        
        注意：默认情况下，NewInstance 调用InitInstance。"""
    @classmethod
    def QualifiedClassName(cls, *args, **kwargs) -> Any:
        """返回类的限定名称。
        QualifiedClassName 返回与类名称连接的类的单元范围。例子：
        
        用途
          SysUtils、SyncObjs；
        
        开始
          Writeln(TEvent.QualifiedClassName); // 显示System.SyncObjs.TEvent"""
    def SafeCallException(self, Except目的： Object, ExceptAddr: Pointer) -> 整数：
        """TObject.SafeCallException(Except目的： Object, ExceptAddr: Pointer) -> int
        Handles exceptions in methods declared using the safecall calling convention.
        SafeCallException handles exceptions in methods that use the safecall calling convention. Some classes that implement interfaces override this method to handle possible errors. 
        As implemented in TObject, SafeCallException simply returns E_UNEXPECTED. This is the appropriate response for classes that do no support interfaces."""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToString(self, *args, **kwargs) -> Any:
        '''Returns a string containing the class name.
        By default, the ToString returns a string containing the class name of the instance that is being called. 
        For example, calling ToString on a TButton instance returns a string containing "TButton". 
        
        Note: ToString is intended to be overridden in user-derived classes, to provide consumer objects with a string representation.'''
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    @classmethod
    def UnitName(cls, *args, **kwargs) -> Any:
        """返回定义该类的单元的名称。
        UnitName 可用于获取定义特定类的单元。例如，在 TButton 上调用 UnitName 将返回 Vcl.StdCtrls 字符串。"""
    @classmethod
    def UnitScope(cls, *args, **kwargs) -> Any:
        """返回类的单元范围。
        类的单元范围当前与类的单元名称等效。
        
        用途
          SysUtils、SyncObjs；
        
        开始
          Writeln(TEvent.UnitScope); // 显示System.SyncObjs
          // ..."""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class OpenDialog(Component):
    """TOpenDialog 显示文件选择对话框。
    TOpenDialog 显示用于选择和打开文件的模式 Windows 对话框。该对话框不会在运行时出现，直到通过调用 Execute 方法激活该对话框。当用户单击“打开”时，对话框将关闭，选定的一个或多个文件将存储在“文件”属性中。"""
    __hash__: ClassVar[None] = ...
    DefaultExt: str
    """字符串： Specifies a default file extension.
        DefaultExt specifies a file extension that is appended automatically to the selected file name, unless the selected file name already includes a registered extension. If the user selects a file name with an extension that is unregistered, DefaultExt is appended to the unregistered extension.
        Extensions longer than three characters are not supported. Do not include the period (.) that divides the file name and its extension.
        
        Code Examples
        SavePictureDialog (Delphi)
        TApplicationIcon (Delphi)
        SavePictureDialog (C++)
        TApplicationIcon (C++)"""
    FileEditStyle: FileEditStyle
    """FileEditStyle：确定文件选择对话框的样式。 （过时的。）
        维护 FileEditStyle 是为了与旧版本的 VCL 兼容。它没有任何作用。"""
    FileName: Any
    Files: Strings
    """字符串： List of selected file names.
        Files is a string list that contains each selected file name with its full directory path. (To let users select multiple file names, set the ofAllowMultiSelect flag in Options.) Use properties and methods for string lists to traverse this list of files and read individual items.
        The example below assigns the list of files in Files to the Items property of a TListBox component.
        
        
        
        ListBox1.Items.Assign(OpenDialog1.Files);
        
        
        
        
        ListBox1->Items->Assign(OpenDialog1->Files);"""
    Filter: str
    '''字符串： Determines the file masks (filters) available in the dialog.
        The file-selection dialog includes a drop-down list of file types under the edit box. When the user picks a file type from the list, only files of the selected type are displayed in the dialog.
        To configure file masks at design time, click on the ellipsis marks (...) to the right of the Filter property in the Object Inspector. This opens the Filter editor. In the left column of the Filter editor, under Filter Name, type a brief description of each file type that will be available at runtime. In the right column, under Filter, type the file mask corresponding to each description. For example, the description "Text files" might appear to the left of the mask "*.txt", and the description "Pascal source files" might appear to the left of the mask "*.pas". Since the description appears in the drop-down list at runtime, it is often helpful to show the mask explicitly in the description (for example, "Text files (*.txt)").
        To create file masks in program code, assign a value to the Filter property that consists of a description and a mask separated by a vertical bar (pipe) character. Do not include spaces around the vertical bar. For example,
        
        
        
        OpenDialog1.Filter := \'Text files (*.txt)|*.TXT\';
        
        
        
        
        OpenDialog1->Filter = "Text files (*.txt)|*.TXT";
        
        
        
        Multiple filters should be separated by vertical bars. For example,
        
        
        
        OpenDialog1.Filter := \'Text files (*.txt)|*.TXT|Pascal files (*.pas)|*.PAS\';
        
        
        
        
        OpenDialog1->Filter = "Text files (*.txt)|*.TXT|Pascal files (*.pas)|*.PAS";
        
        
        
        To include multiple masks in a single filter, separate the masks with semicolons. This works both in the Object Inspector and in program code. For example,
        
        
        
        OpenDialog1.Filter := \'Pascal files|*.PAS;*.DPK;*.DPR\';
        
        
        
        
        OpenDialog1->Filter = "Pascal files|*.PAS;*.DPK;*.DPR";
        
        
        
        If no value is assigned to Filter, the dialog displays all file types.'''
    FilterIndex: int
    """int：确定对话框打开时默认选择哪个过滤器。
        FilterIndex 确定对话框打开时默认选择“过滤器”中的哪种文件类型。将 FilterIndex 设置为 1 以选择列表中的第一个文件类型作为默认文件类型，或将 FilterIndex 设置为 2 以选择第二个文件类型作为默认文件类型，依此类推。如果 FilterIndex 的值超出或范围，则 Filter 中列出的第一个文件类型为默认值。"""
    HistoryList: Strings
    """字符串： Maintains a list of previously selected files. (Obsolete.)
        HistoryList is maintained for compatibility with older versions of TOpenDialog. It is not used."""
    InitialDir: str
    """str：确定对话框打开时的当前目录。
        InitialDir 确定文件选择对话框打开时显示的默认目录。例如，要将对话框指向 WINDOWS\\SYSTEM 目录，请将 InitialDir 的值设置为 C:\\WINDOWS\\SYSTEM。
        如果没有为InitialDir 赋值，或者指定的目录不存在，则初始目录由全局ForceCurrentDirectory 变量控制。如果 ForceCurrentDirectory 为 true，则打开对话框并显示当前工作目录。否则，该对话框将打开并显示当前工作目录或“我的文档”目录，具体取决于 Windows 版本。"""
    OnCanClose: Callable[[Object,bool],None]
    """可调用[[对象，布尔]，无]："""
    OnFolderChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnIncludeItem: Callable[[OFNotifyEx,bool],None]
    """可调用[[OFNotifyEx，布尔]，无]："""
    OnSelectionChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnTypeChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    Options: OpenOptions
    """OpenOptions：确定文件选择对话框的外观和行为。
        使用选项属性可以自定义对话框的外观和功能。"""
    OptionsEx: OpenOptionsEx
    """OpenOptionsEx：使用确定文件选择对话框的外观和行为的附加标志来增强选项属性。
        使用 OptionsEx 属性可以进一步自定义除 Options 属性涵盖的选项之外的文件打开对话框。"""
    Title: str
    '''字符串： Specifies the text in the dialog\'s title bar.
        Use Title to specify the text that appears in the file-selection dialog\'s title bar. If no value is assigned to Title, the dialog has the title "Open".
        
        Code Examples
        TOpenDialogTitle (Delphi)
        TOpenDialogTitle (C++)'''
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, AOwner: Component) -> None:
        """TOpenDialog.Create(AOwner: Component) -> 无
        创建并初始化 TOpenDialog 实例。
        Create 生成一个 TOpenDialog 实例，但新对话框在运行时不会出现在窗体上，直到调用 Execute 方法。
        AOwner 是负责释放 TOpenDialog 实例的组件。它成为所有者财产的价值。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TOpenDialog 并释放其内存。
        不要直接在应用程序中调用 Destroy。请拨打免费电话。 Free 在调用 Destroy 之前验证 TOpenDialog 引用不为零。"""
    def Execute(self) -> Any:
        """TOpenDialog.Execute()
显示对话框"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Page(CustomControl):
    """指定 TNotebook 控件中的页面。
    TPage 类实现 TNotebook 控件中的页面。"""
    __hash__: ClassVar[None] = ...
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    Height: int
    """int：指定控件的垂直大小（以像素为单位）。
使用 Height 属性读取或更改控件的高度。"""
    OnAlignInsertBefore: Callable[[WinControl,Control,Control],bool]
    """可调用[[WinControl, Control, Control], bool]:"""
    OnAlignPosition: Callable[[WinControl,Control,int,int,int,int,Rect,AlignInfo],None]
    """Callable[[WinControl, Control, int, int, int, int, Rect, AlignInfo], None]:"""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    ParentWindow: Any
    """引用父级的底层控制。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    Width: int
    """int：指定控件或窗体的水平尺寸（以像素为单位）。
        使用 Width 属性读取或更改控件的宽度。
        
        注意：对于选项卡表控件，在运行时更改此属性没有任何效果。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TPage.Create(AOwner: Component) -> None
创建 TCustomControl 的一个实例。
Vcl.ExtCtrls.TPage.Create 继承自 Vcl.Controls.TCustomControl.Create。此行以下所有内容均指 Vcl.Controls.TCustomControl.Create。
创建 TCustomControl 的一个实例。
调用 Create 构造并初始化 TCustomControl 的一个实例。但是，您永远不应尝试实例化 TCustomControl。此类仅用作其他控件类的基类，您只应调用 Create 来实例化其中一个子类。在设计时放置在表单上的控件会自动创建。
调用继承的构造函数后，Create 会初始化控件以及其 Canvas 属性的 TCanvas 对象。
重写 Create 时，始终先调用继承的 Create 方法，然后继续初始化控件。记住在重写 Create 方法时指定 override 指令。

注意：如果组件的构造函数分配资源或内存，还应重写析构函数以释放这些资源。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class PageControl(WinControl):
    """TPageControl 是一组用于制作多页对话框的页面。
    使用 TPageControl 创建多页对话框或选项卡式笔记本。 TPageControl 显示作为 TTabSheet 对象的多个重叠页面。用户通过单击出现在控件顶部的页面选项卡来选择页面。要在设计时向 TPageControl 对象添加新页面，请右键单击 TPageControl 对象并选择“新建页面”。
    您可以为 TPageControl 的页面定义加速键。要定义加速键，请使用 TTabSheet 控件的 Caption 属性。
    要创建仅使用单个主体部分（页面）的选项卡式控件，请改用 TTabControl。
    
    注意：使用其中一个页面控件时，如果要限制用户切换到选项卡，则不能将 TTabSheet.Enabled 设置为 false 来实现该限制。相反，请使用 OnChanging 事件来阻止用户选择选项卡。"""
    __hash__: ClassVar[None] = ...
    ActivePage: Any
    """指定页面控件当前显示的页面。"""
    ActivePageIndex: Any
    """指定页面控件当前显示的页面。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    帆布： Any
    """允许访问选项卡控件画布。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    DockSite: bool
    """布尔： Specifies whether the control can be the target of drag-and-dock operations.
        Set DockSite to true to allow other controls to be docked to this windowed control.
        
        Code Examples
        Docking (Delphi)
        Docking (C++)"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    HotTrack: bool
    """布尔： Determines whether labels on the tab under the mouse are automatically highlighted.
        Set HotTrack to true to provide visual feedback to the user about which tab would be selected if the mouse button is clicked. HotTrack is especially useful when the tab control contains multiple rows of tabs."""
    Images: CustomImageList
    """CustomImageList：指定选项卡中绘制的图像。
        图像指定在选项卡中绘制的图像。对于禁用的选项卡，使用图像的灰色版本。
        在 TCustomTabControl 的实现中，图像列表属性中的图像顺序直接对应于控件中的关联选项卡。在后代类 TPageControl 中，此行为被对单个 TTabSheet 对象的支持所取代，每个对象都有一个 ImageIndex 属性。在任何情况下，应用程序程序员都可以通过定义 OnGetImageIndex 事件处理程序来定义自定义图像显示。"""
    MultiLine: bool
    """bool：确定选项卡是否可以出现在多行上。
        使用 MultiLine 确定选项卡的显示方式。如果 MultiLine 为 true，则当选项卡数量超过选项卡控件顶部的数量时，选项卡将显示在多行上。行数由选项卡控件中有多少个选项卡决定。如果 MultiLine 为 false，则选项卡仅显示在一行上，用户必须滚动显示的滚动箭头才能查看所有选项卡。"""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnChanging: Callable[[Object,bool],None]
    """可调用[[对象，布尔]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDockDrop: Callable[[Object,DragDockObject,int,int],None]
    """Callable[[Object, DragDockObject, int, int], None]:"""
    OnDockOver: Callable[[Object,DragDockObject,int,int,DragState,bool],None]
    """Callable[[Object, DragDockObject, int, int, DragState, bool], None]:"""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnDrawTab: Callable[[CustomTabControl,int,Rect,bool],None]
    """Callable[[CustomTabControl, int, Rect, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetImageIndex: Callable[[Object,int,int],None]
    """可调用[[对象，int，int]，无]："""
    OnGetSiteInfo: Callable[[Object,Control,Rect,Point,bool],None]
    """可调用[[对象、控件、矩形、点、布尔]、无]："""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnResize: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnUnDock: Callable[[Object,Control,WinControl,bool],None]
    """Callable[[Object, Control, WinControl, bool], None]:"""
    OwnerDraw: bool
    """布尔： Specifies whether the tab control handles its own painting.
        Set OwnerDraw to true to override any default painting behavior."""
    PageCount: Any
    """指示 TPageControl 对象中的页数。"""
    Pages: Any
    """列出 TPageControl 中的所有页面。"""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    RaggedRight: bool
    """布尔： Specifies whether rows of tabs stretch to fill the width of the control.
        Use RaggedRight to get or set whether rows of tabs stretch to fill the width of the control."""
    RowCount: Any
    ScrollOpposite: bool
    """bool：确定多行选项卡控件中选项卡行的滚动方式。
设置 ScrollOpposite 以确定当用户选择另一行中的选项卡时，多行选项卡控件中前几行选项卡的移动位置。当 ScrollOpposite 为 true 时，如果 TabPosition 为 tpTop，则前几行选项卡将移动到选项卡控件的底部，如果 TabPosition 为 tpBottom，则前几行选项卡将移动到顶部。当 ScrollOpposite 为 false 时，前几行选项卡将移动到所有其他行选项卡的后面。
例如，在顶部有三行选项卡的选项卡控件中，如果用户选择第二行中的选项卡，ScrollOpposite 将确定第一行的移动位置。如果 ScrollOpposite 为 true，则第二行现在出现在选项卡控件顶部的前（底）行，后面（上方）的第三行紧随其后。第一行移动到选项卡控件的底部。如果 ScrollOpposite 为 false，则第一行将移至后面（顶部），这样选项卡控件就会在前面显示第二行（在选项卡区域的底部），然后显示第三行（现在位于中间），最后显示第一行。

注意：将 ScrollOpposite 设置为 true 会自动将 MultiLine 属性设置为 true。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Style: TabStyle
    """TabStyle：指定选项卡控件的样式。
        使用样式来确定选项卡的外观。这些可以显示为笔记本选项卡或按钮。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabHeight: int
    """int：指定选项卡控件中选项卡的高度（以像素为单位）。
        设置 TabHeight 以控制显示在选项卡控件的客户端区域上方的选项卡的高度。 TabHeight 属性是各个选项卡的垂直尺寸（以像素为单位）。如果 TabHeight 设置为 0，选项卡会自动调整自身大小以适合其文本。"""
    TabIndex: int
    """整数： Identifies the selected tab on a tab control.
        Read TabIndex to determine which tab was selected by the user. TabIndex is the index of the tab in the list of labels maintained by the Tabs property. The first (leftmost) tab has a TabIndex of 0, the next has 1, and so on. If no tabs are selected, TabIndex has a value of -1.
        Set TabIndex to programmatically change the selected tab in the tab control."""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabPosition: TabPosition
    """TabPosition：确定选项卡是显示在顶部还是底部。
        将 TabPosition 设置为 tpTop 以在选项卡控件的顶部显示选项卡。将 TabPosition 设置为 tpBottom 以在底部显示选项卡。如果 ScrollOpposite 属性为 True，则选项卡可以出现在顶部和底部，其中包含当前选项卡的行以及 TabPosition 指示的一侧的所有后续行。
        由于Windows通用控件的限制，如果TabPosition为tpLeft或tpRight，则Font必须为True Type字体。否则，选项卡文本可能绘制不正确。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    TabWidth: int
    """int：指定选项卡控件中选项卡的水平尺寸（以像素为单位）。
        TabWidth 指定所有选项卡的固定宽度。如果 TabWidth 为 0，则每个选项卡都会自动变宽以显示其标题。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, AOwner: Component) -> None:
        """TPageControl.Create(AOwner: Component) -> 无
        创建 PageControl 的实例。
        调用 Create 在运行时实例化页面控件。在设计时添加到表单的页面控件是自动创建的。
        AOwner 是页面控件应出现的形式。它成为所有者财产的价值。
        在运行时创建页面控件时，必须以编程方式添加页面。要在运行时将页面添加到页面控件，请为该页面创建 TTabSheet 对象并设置其 PageControl 属性。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TPageControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TPageControl 引用不为零，然后才调用 Destroy。 Destroy 释放保存控件页面的 TList 对象，然后调用继承的析构函数。"""
    def FindNextPage(self) -> Any:
        """TPageControl.FindNextPage()
        返回页面控件中指定页面之前或之后的下一页。"""
    def GetChildren(self, Proc: Callable[[Component],None], Root: Component) -> None:
        """TPageControl.GetChildren(Proc: Callable[[Component], None], Root: Component) -> None
        为页面控件中的每个页面调用指定的过程。
        调用 GetChildren 为页面控件中的每个页面执行回调。 Proc 参数是回调。 TPageControl 会忽略 Root 参数。
        GetChildren 主要用于加载和保存组件的流系统。"""
    def GetHitTestInfoAt(self) -> Any:
        """TPageControl.GetHitTestInfoAt()
返回有关某个点相对于选项卡控件的客户区的位置的信息。"""
    def IndexOfTabAt(self) -> Any:
        """TPageControl.IndexOfTabAt()
        指示指定点处选项卡的索引。"""
    def ScrollTabs(self) -> Any:
        """TPageControl.ScrollTabs()
当选项卡控件不是多行时，滚动可见的选项卡。"""
    def SelectNextPage(self) -> Any:
        """TPageControl.SelectNextPage()
        将 ActivePage 更改为当前活动页面之前或之后的第一个可见页面。"""
    def TabRect(self) -> Any:
        """TPageControl.TabRect()
        返回指定选项卡的边界矩形。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class PaintBox(Control):
    """Delphi TPaintBox 的包装"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    帆布： Canvas
    """帆布："""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnPa整数： Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    Parent: Any
    """返回/设置控制父级"""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TPaintBox.Create(AOwner: Component) -> 无
        创建 TControl 的实例。
        调用 Create 构造并初始化 TControl 的实例。但是，您永远不应该尝试实例化 TControl。此类仅用作其他控件类的派生基类，并且您应该只调用 Create 来实例化这些派生类之一。
        Create 调用父构造函数并初始化控件。
        当重写 Create 时，始终首先调用继承的 Create 方法，然后继续进行控件的初始化。请记住在重写 Create 方法时指定 override 指令。
        
        注意：如果控件的构造函数分配资源或内存，还需重写析构函数以释放这些资源。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Panel(CustomControl):
    """Delphi TPanel 包装器"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： Alignment
    """结盟："""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSize: bool
    """布尔： Specifies whether the control sizes itself automatically to accommodate its contents.
        Use AutoSize to specify whether the control sizes itself automatically. When AutoSize is True, the control resizes automatically when its contents change.
        By default, AutoSize is False."""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BevelWidth: int
    """整数： Specifies the width of the inner and outer bevels.
        Use BevelWidth to specify the width, in pixels, of the inner and outer bevels."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    边框样式： BorderStyle
    """边框样式："""
    BorderWidth: int
    """int：指定控件边框的宽度。
使用 BorderWidth 获取或设置控件边框的宽度。控件绘制的图形或文本将被剪裁到边框内的区域。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DockManager: IDockManager
    """IDockManager：指定控件的停靠管理器界面。
        使用 DockManager 指定控件的停靠管理器。对接管理器处理对接区域（控件对接的位置）的布局以及与对接区域相关的任何绘制。
        如果将 DockSite 和 UseDockManager 设置为 true，但不为 DockManager 赋值，则窗口控件将使用全局 DefaultDockTreeClass 变量生成默认停靠管理器。"""
    DockSite: bool
    """布尔： Specifies whether the control can be the target of drag-and-dock operations.
        Set DockSite to true to allow other controls to be docked to this windowed control.
        
        Code Examples
        Docking (Delphi)
        Docking (C++)"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    FullRepa整数： bool
    """布尔："""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    Locked: bool
    """布尔："""
    OnAlignInsertBefore: Callable[[WinControl,Control,Control],bool]
    """可调用[[WinControl, Control, Control], bool]:"""
    OnAlignPosition: Callable[[WinControl,Control,int,int,int,int,Rect,AlignInfo],None]
    """Callable[[WinControl, Control, int, int, int, int, Rect, AlignInfo], None]:"""
    OnCanResize: Callable[[Object,int,int,bool],None]
    """Callable[[Object, int, int, bool], None]:"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnConstrainedResize: Callable[[Object,int,int,int,int],None]
    """可调用[[对象， int， int， int， int]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDockDrop: Callable[[Object,DragDockObject,int,int],None]
    """Callable[[Object, DragDockObject, int, int], None]:"""
    OnDockOver: Callable[[Object,DragDockObject,int,int,DragState,bool],None]
    """Callable[[Object, DragDockObject, int, int, DragState, bool], None]:"""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetSiteInfo: Callable[[Object,Control,Rect,Point,bool],None]
    """可调用[[对象、控件、矩形、点、布尔]、无]："""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnResize: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnUnDock: Callable[[Object,Control,WinControl,bool],None]
    """Callable[[Object, Control, WinControl, bool], None]:"""
    Padding: Padding
    """填充：指定控件的填充。
        使用 Padding 指定控件的填充。该值是 TPadding 类的实例。"""
    ParentBackground: bool
    """布尔： Determines whether the control uses its parent's theme background.
        If ParentBackground is True, the control uses the parent's theme background to draw its own background. 
        If  ParentBackground is False, the control uses its own properties, such as Color, to draw its background.
        ParentBackground has no effect unless XP themes are enabled."""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowCaption: bool
    """布尔："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    UseDockManager: bool
    """布尔： Specifies whether the docking manager is used in drag-and-dock operations.
        Use UseDockManager to get or set whether a docking manager is used in drag-and-dock operations. 
        The docking manager handles the positioning of docked controls and any painting of docking zones around those controls. If you do not use a docking manager, docked controls are aligned to the windowed control based on the closest edge to where they are released. When you do not use a docking manager, there is no region for a user to grab to automatically undock a docked control."""
    垂直对齐： VerticalAlignment
    """垂直对齐："""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class PascalInterface:
    """Pascal 记录的包装"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class PascalRecord:
    """Pascal 记录的包装"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Persistent(Object):
    """TPersistent 是所有具有赋值和流功能的对象的祖先。
    TPersistent 封装了所有对象共有的行为，这些对象可以分配给其他对象，并且可以在表单文件（.xfm 或 .dfm 文件）中读取和写入其属性。为此，TPeristic 引入了可以重写的方法：
    
    定义将未发布的数据加载和存储到流中的过程。
    提供为属性赋值的方法。
    提供将一个对象的内容分配给另一个对象的方法。
    不要创建 TPersistent 的实例。当声明不是组件但需要保存到流或将其属性分配给其他对象的对象时，请使用 TPersistent 作为基类。"""
    __hash__: ClassVar[None] = ...
    ClassName: Any
    """返回 TObject.ClassName"""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Assign(self, persistent) -> Any:
        """TPersistent.Assign（持久）
        将另一个 TPersistent 对象的值分配给该对象"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TPersistent 实例并释放其内存。
        不要直接调用 Destroy。请拨打免费电话。在调用 Destroy 之前，Free 检查对象引用是否不为 nil。"""
    def GetNamePath(self) -> Any:
        """TPersistent.GetNamePath()
        返回对象在对象检查器中显示的名称。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Picture(Persistent):
    """TPicture 包含位图、图标、图元文件图形或用户定义的图形。
    TPicture是一个TGraphic容器，用于保存图形，其类型在Graphic属性中指定。如果图形可以属于任何 TGraphic 类，则使用它来代替 TGraphic。 LoadFromFile 和 SaveToFile 是多态的。例如，如果 TPicture 持有一个 Icon，则 LoadFromFile 是有效的位图文件，其中 TIcon 类只能读取 .ICO 文件。
    如果 TPicture 包含位图图形，则 Bitmap 属性指定该图形。如果 TPicture 包含图标图形，则 Icon 属性指定该图形。如果 TPicture 包含图元文件图形，则图元文件属性指定该图形。
    TPicture 的属性指示图片对象包含的图形类型及其大小。 TPicture 的方法用于加载、保存和操作图形。
    要将图片加载或保存到剪贴板，请使用 TClipboard 对象的分配方法。
    要在画布上绘制图片，请调用 TCanvas 对象的 Draw 或 StretchDraw 方法，并将 TPicture 的 Graphic 属性作为参数传递。"""
    __hash__: ClassVar[None] = ...
    位图： Any
    Graphic: Any
    Height: Any
    Icon: Any
    Metafile: Any
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnFindGraphicClass: Callable[[Object,FindGraphicClassContext,GraphicClass],None]
    """可调用[[对象，FindGraphicClassContext，GraphicClass]，无]："""
    OnProgress: Callable[[Object,ProgressStage,int,bool,Rect,str],None]
    """Callable[[Object, ProgressStage, int, bool, Rect, str], None]:"""
    PictureAdapter: IChangeNotifier
    """IChangeNotifier：代表图片的OLE接口。
        PictureAdapter 仅供内部使用。"""
    WICImage: WICImage
    """WICImage：Embarcadero Technologies 目前没有任何其他信息。"""
    Width: Any
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Assign(self, Source: Persistent) -> None:
        """TPicture.Assign（来源：持久）-> 无
        通过将一个对象的内容复制到另一个对象来将一个对象复制到另一个对象。
        当 Source 是对 Graphic 属性有效的对象类型时，Assign 使该图形成为 Graphic 属性的值。
        Assign 执行的操作取决于 TPicture Graphic 属性和 Source 的实际类型。例如，如果 Graphic 属性和 Source 都是位图 (TBitmap)，则 Source 中包含的位图将复制到 Graphic 属性中。类似的转换是有效的，例如，对于 TIcon 或 TMetafile。
        如果 Source 参数不是 Graphic 属性的有效对象，Assign 将调用继承的方法，以便可以从与其兼容的任何对象复制图片。"""
    def Create(self, *args, **kwargs) -> Any:
        """创建一个 TPicture 对象。
        调用 Create 在运行时创建 TPicture 的实例。 Create 为图片对象分配内存并初始化其内部格式。创建 TPicture 对象后，使用 LoadFromClipboardFormat 或 LoadFromFile 方法将图形图像分配给图片，以便应用程序可以使用它。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁图片对象的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 在调用 Destroy 之前验证 TPicture 引用不为零。
        Destroy 在调用继承的 Destroy 之前释放其包含的图形图像。"""
    def LoadFromClipboardFormat(self, AFormat: int, AData: int, APalette: int) -> None:
        """TPicture.LoadFromClipboardFormat(AFormat: int, AData: int, APalette: int) -> None
        Reads the picture from the handle provided in the given Clipboard format.
        Use LoadFromClipboardFormat to read in a graphic from the Clipboard. If the format is not supported, an EInvalidGraphic exception is raised.
        The following code snippet shows how to load a picture from the clipboard into a TImage control.
        
        Note: To load a picture into the clipboard, you can use the code snippet for the SaveToClipboardFormat method.
        
        Delphi:
        
        uses
          Vcl.Clipbrd;
        
        procedure TForm1.Button1Click(Sender: TObject);
        var
          图片： TPicture;
        begin
         Picture := TPicture.Create;
         try
           Picture.LoadFromClipboardFormat(cf_BitMap, ClipBoard.GetAsHandle(cf_Bitmap), 0);
           Image1.Picture := Picture;
         finally
           Picture.Free;
           Clipboard.Clear;
         end;
        end;
        
        
        
        C++:
        
        #include <Vcl.Clipbrd.hpp>
        
        void __fastcall TForm1::Button1Click(TObject *Sender){
        \tTPicture* Picture;
        \tTClipboard* cb = Clipboard();
        
        \tPicture = new TPicture();
        \ttry{
        \t\tPicture->LoadFromClipboardFormat(CF_BITMAP, cb->GetAsHandle(CF_BITMAP), 0);
        \t\tImage1->Picture = Picture;
        \t}
        \t__finally{
        \t\tdelete Picture;
        \t\tcb->Clear();
        \t}
        }"""
    def LoadFromFile(self) -> Any:
        """TPicture.LoadFromFile()"""
    def LoadFromStream(self, Stream: Stream) -> None:
        """TPicture.LoadFromStream(Stream: Stream) -> 无
        从流中读取图片。
        使用 LoadFromStream 从 TStream 对象读取图片。创建的 TGraphic 类由流中包含的数据类型决定。
        流中的数据应事先通过调用另一个 TPicture 或 TGraphic 后代的 SaveToStream 方法写入。"""
    @classmethod
    def RegisterClipboardFormat(cls, AFormat: int, AGraphicClass: GraphicClass) -> None:
        """TPicture.RegisterClipboardFormat(AFormat: int, AGraphicClass: GraphicClass) -> 无
        注册一个新的 TGraphic 类以在 LoadFromClipboardFormat 方法中使用。
        使用 RegisterClipboardFormat 向 TPicture 注册新的图形格式，以便它可以与 LoadFromClipboardFormat 方法一起使用。"""
    @classmethod
    def RegisterFileFormat(cls, AExtension: str, ADescription: str, AGraphicClass: GraphicClass) -> None:
        '''TPicture.RegisterFileFormat(AExtension: str, ADescription: str, AGraphicClass: GraphicClass) -> None
        Registers a new TGraphic class for use in LoadFromFile.
        Use RegisterFileFormat to register a graphic file format with TPicture so that it can be used with a Open or Save dialog box.
        The AExtension parameter specifies the three-character system file extension to associate with the graphic class (for example, "bmp" is associated with TBitmap). The ADescription parameter specifies the description of the graphic to appear in the drop down list of the dialog box (for example, "Bitmaps" is the description of TBitmap). The AGraphicClass parameter registers the new graphic class to associate with the file format.'''
    @classmethod
    def RegisterFileFormatRes(cls, AExtension: str, ADescriptionResID: int, AGraphicClass: GraphicClass) -> None:
        '''TPicture.RegisterFileFormatRes(AExtension: str, ADescriptionResID: int, AGraphicClass: GraphicClass) -> None
        Registers a new TGraphic class for use in the LoadFromFile method.
        Use RegisterFileFormatRes by specifying a string resource.
        The AExtension parameter specifies the three-character system file extension to associate with the graphic class (for example, "bmp" is associated with TBitmap).
        The ADescriptionResID parameter specifies the resource ID for a description of the graphic, which then appears in the drop down list of the dialog box (for example, "Bitmaps" is the description of TBitmap).
        The AGraphicClass parameter registers the new graphic class to associate with the file format.'''
    def SaveToClipboardFormat(self, AFormat: int, AData: int, APalette: int) -> None:
        '''TPicture.SaveToClipboardFormat(AFormat: int, AData: int, APalette: int) -> None
        Allocates a global handle and writes the picture in its native Clipboard format (CF_BITMAP for bitmaps, CF_METAFILE for metafiles, and so on).
        Use SaveToClipboardFormat to copy the picture to a Clipboard format. The resulting values can then be copied to the Windows clipboard using the clipboard\'s SetAsHandle method.
        The palette of the picture is returned in the APalette parameter, the format in the AFormat parameter, and a handle to the data in the AData parameter. Before the picture can be saved, an application must have registered the format using the RegisterClipboardFormat method.
        The following code snippet shows how to save a bitmap to the clipboard.
        
        Note: To load a bitmap from the clipboard, you can use the code snippet for the LoadFromClipboardFormat method.
        
        Delphi:
        
        uses
          Vcl.Clipbrd;
        
        procedure TForm1.Button1Click(Sender: TObject);
        var
          MyFormat : Word;
          Picture : TPicture;
          AData : THandle;
          APalette : HPALETTE;
        begin
          Picture := TPicture.Create;
          try
            Picture.LoadFromFile(\'C:\\Users\\Public\\Pictures\\Sample Pictures\\desert.bmp\');
            Picture.SaveToClipBoardFormat(MyFormat, AData, APalette);
            ClipBoard.SetAsHandle(MyFormat,AData);
          finally
            Picture.Free;
          end;
        end;
        
        
        
        C++:
        
        #include <Vcl.Clipbrd.hpp>
        
        void __fastcall TForm1::Button1Click(TObject *Sender){
        \tTClipboard* cb = Clipboard();
        \tunsigned short MyFormat;
        \tTPicture* Picture;
        \tunsigned int AData;
        \tHPALETTE APalette;
        
        \tPicture = new TPicture();
        \ttry{
        \t\tPicture->LoadFromFile("C:\\\\Users\\\\Public\\\\Pictures\\\\Sample Pictures\\\\desert.bmp");
        \t\tPicture->SaveToClipboardFormat(MyFormat, AData, APalette);
        \t\tcb->SetAsHandle(MyFormat, AData);
        \t}
        \t__finally{
        \t\tdelete Picture;
        \t}
        }'''
    def SaveToFile(self) -> Any:
        """TPicture.SaveToFile()"""
    def SaveToStream(self, Stream: Stream) -> None:
        """TPicture.SaveToStream(Stream: Stream) -> None
将图片保存到流中。
使用 SaveToStream 将图片保存到 Stream 参数指定的 TStream 对象中。
可以通过调用其 LoadFromStream 方法将保存的图片加载到另一个 TPicture 或适当的 TGraphic 后代中。"""
    @classmethod
    def SupportsClipboardFormat(cls, AFormat: int) -> 布尔：
        """TPicture.SupportsClipboardFormat(AFormat: int) -> bool
        指示 LoadFromClipboardFormat 方法是否支持给定的剪贴板格式。
        如果 LoadFromClipboardFormat 方法支持指定为 AFormat 值的剪贴板格式，则 SupportsClipboardFormat 返回 true。如果不支持该格式，该方法将返回 false。"""
    @classmethod
    def UnregisterGraphicClass(cls, AClass: GraphicClass) -> None:
        """TPicture.UnregisterGraphicClass(AClass: GraphicClass) -> 无
        从文件格式和剪贴板格式的内部列表中删除对指定 TGraphic 类及其所有后代的所有引用。
        调用 UnregisterGraphicClass 使图形类对所有图片对象不可用。 UnregisterGraphicClass 反转由 RegisterFileFormat、RegisterFileFormatRes 或 RegisterClipboardFormat 方法完成的注册。注册图形类时，全局 GraphicFilter、GraphicExtension 和 GraphicFileMask 函数可以返回图形类的对话框过滤器字符串、默认文件扩展名或文件过滤器。当这些值不可用时调用 UnregisterGraphicClass。例如，实现自定义图形类的组件编写者根据所使用的语言取消注册这些类。在 Delphi 中，类在实现它们的单元的终结块中取消注册，而在 C++ 中，使用 #pragma exit 指令 (C++) 取消注册类。
        自定义类的文件格式和剪贴板格式在初始化块（Delphi）中注册或使用#pragmastartup（C++）注册。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Po整数：
    """Delphi TPoint 类型的包装器"""
    __hash__: ClassVar[None] = ...
    X: Any
    """提供对点的 X 坐标的访问"""
    Y: Any
    """提供对点的 Y 坐标的访问"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class PopupMenu(Menu):
    """TPopupMenu 封装了弹出菜单的属性、方法和事件。
    使用 TPopupMenu 定义当用户用鼠标右键单击控件时出现的弹出菜单。要使弹出菜单可用，请将 TPopupMenu 对象分配给控件的 PopupMenu 属性。
    
    提示：要创建用户可以在运行时配置的弹出菜单，请使用带有操作管理器的 TStandardMenuPopup 组件。
    注意：如果弹出菜单的 ParentBiDiMode 为 true，则弹出菜单的 BiDiMode 将设置为激活它的控件的 BiDiMode。如果找不到控件，则 BiDiMode 将设置为 Application 对象的 BiDiMode 的值。弹出菜单的 BiDiMode 会影响其所有菜单项。"""
    __hash__: ClassVar[None] = ...
    结盟： PopupAlignment
    """PopupAlignment：确定当用户单击鼠标右键时弹出菜单出现的位置。
        设置对齐方式来控制弹出菜单的位置。对齐控制菜单是显示在鼠标左侧、鼠标右侧还是鼠标居中。
        默认情况下，菜单的左上角位于鼠标下方 (paLeft)。"""
    AutoHotkeys: MenuAutoFlag
    """MenuAutoFlag：确定菜单项的加速键是否可以自动重置。
        设置 AutoHotkeys 以指示菜单是否应自动确保其项目的加速键在必要时重置，以便每个菜单项都有一个加速键，并且没有两个项目具有相同的加速键。这确保了在运行时动态添加的菜单项可以具有不会引入冲突的加速键。 TMenu 在调整加速键时尝试保留所有现有的加速键映射，但可能被迫更改一些以确保每个项目都有唯一的加速键。
        在显示菜单之前，如果 AutoHotkeys 为 maAutomatic，则菜单会检查并调整加速键映射。当 AutoHotkeys 为 maManual 时，菜单不会更改顶级菜单项，但可能会调整子菜单的加速键，具体取决于作为子菜单父级的菜单项的 AutoHotkeys 属性。
        当 AutoHotkeys 为 maManual 时，应用程序仍然可以通过调用 Items 属性的 RethinkHotkeys 方法来调整菜单项。 AutoHotkeys 仅控制此调整是否自动发生。
        
        注意：菜单的 AutoHotkeys 属性链接到实现其 Items 属性的 TMenuItems 对象的 AutoHotkeys 属性。设置一个会设置另一个。"""
    AutoLineReduction: MenuAutoFlag
    """MenuAutoFlag：确定是否自动从菜单中删除多余的分隔栏。
        设置 AutoLineReduction 以指示菜单是否应自动确保菜单不以分隔栏开始或结束，并且两个分隔栏不会彼此相邻出现。这确保了在运行时动态构建的菜单不会在不需要的位置具有分隔栏。
        在显示菜单之前，当 AutoLineReduction 为 maAutomatic 时，它会删除多余的分隔栏。当 AutoLineReduction 为 maManual 时，菜单不会从顶级菜单项中删除分隔符，但可能会从子菜单中删除多余的分隔符，具体取决于作为子菜单父级的菜单项的 AutoLineReduction 属性。
        当 AutoLineReduction 为 maManual 时，应用程序仍然可以通过调用 Items 属性的 RethinkLines 方法来删​​除多余的分隔符。 AutoLineReduction 仅确定此调整是否自动发生。
        
        注意：菜单的 AutoLineReduction 属性链接到实现其 Items 属性的 TMenuItems 对象的 AutoLineReduction 属性。设置一个会设置另一个。"""
    AutoPopup: bool
    """bool：决定当用户点击鼠标右键时是否自动出现弹出菜单。
        将 AutoPopup 设置为 true 以使当用户在将弹出菜单指定为其 PopupMenu 属性的控件上单击鼠标右键时自动显示弹出菜单。专为 32 位 Windows 设计的键盘上的应用程序键在按下时也会显示此菜单。
        如果应以编程方式控制弹出菜单的外观，请将 AutoPopup 设置为 false。要在 AutoPopup 为 false 时显示弹出菜单，请使用 Popup 方法。"""
    BiDiMode: BiDiMode
    """BiDiMode：确定中东区域设置中的菜单布局。
        设置 BiDiMode 来控制菜单项的布局。 BiDiMode 控制菜单项是从左到右还是从右到左读取。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    HelpContext: int
    """整数： Specifies a context ID for the entire pop-up menu.
        Use HelpContext to associate a help screen with the entire pop-up menu. Each screen in the Help system should have a unique context ID. When a component is selected in the application, pressing F1 displays the Help screen associated with the value of HelpContext.
        To associate a help screen with the individual items in the pop-up menu, use the HelpContext property of the associated TMenuItem objects."""
    Images: CustomImageList
    """CustomImageList：列出可以显示在各个菜单项旁边的图像。
        使用图像来保存可以显示在菜单中的菜单项旁边的一组图像。各个菜单项设置其 ImageIndex 属性来指示列表中的哪个图像出现在菜单项标题的左侧。
        列表中的图像应为 16x16。
        
        提示：如果应用程序使用操作列表，则此属性应该是操作列表的 Images 属性的值。这样，执行相同操作的菜单项和按钮可以显示相同的图像。"""
    MenuAnimation: MenuAnimation
    """MenuAnimation：指定菜单首次显示时的显示方式。
        使用 MenuAnimation 指定弹出菜单在屏幕上的显示方式。菜单可以简单地作为一个整体出现，也可以像从任何边缘拉出的窗帘一样滑入视图。
        
        注意：MenuAnimation 仅在 Windows 98、NT 5.0 或更高版本上运行时才有效。"""
    OnChange: Callable[[Object,MenuItem,bool],None]
    """Callable[[Object, MenuItem, bool], None]:"""
    OnClose: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnPopup: Callable[[Object],None]
    """可调用[[对象]，无]："""
    Owner: Any
    """返回组件所有者"""
    OwnerDraw: bool
    """bool：指定菜单项是否由应用程序绘制。
        将 OwnerDraw 设置为 true 以指示应用程序将在 OnDrawItem 事件处理程序中绘制菜单项。当 OwnerDraw 为 true 时，菜单项需要在屏幕上呈现时会收到 OnMeasureItem 和 OnDrawItem 事件。
        将 OwnerDraw 设置为 false 以接受默认绘图。当 OwnerDraw 为 false 时，菜单项将在左侧显示标题和可选图像（如果设置了 Images 和 ImageIndex 属性）。
        自绘菜单对于显示选择菜单项时出现的值很有用。例如，在允许用户选择颜色的菜单中，所有者绘制菜单可以显示以指定颜色绘制的矩形，而不是颜色名称。"""
    ParentBiDiMode: bool
    """bool：指示 BiDiMode 属性是否继承自使用菜单的控件。
        默认情况下，ParentBiDiMode 为 true，表示菜单项的布局遵循关联窗体或控件的 BiDiMode 设置。将 ParentBiDiMode 更改为 false 以覆盖默认 BiDiMode 设置并独立控制菜单的布局。"""
    PopupComponent: Component
    """组件：指示最后响应鼠标右键单击而显示弹出菜单的组件。
        读取 PopupComponent 以确定当前正在使用弹出菜单的控件。在多个控件共享同一弹出菜单的应用程序中，使用 PopupComponent 来确定其中哪个控件显示菜单。
        在以编程方式调用 Popup 方法以显示弹出菜单之前，将 PopupComponent 设置为将控件与菜单关联。"""
    PopupPo整数： Point
    """点：表示弹出菜单出现的位置。
        此公共属性在内部使用来定位弹出菜单。它的值由 Popup 方法设置。"""
    TrackButton: TrackButton
    """TrackButton：指定与工具栏按钮关联时哪个鼠标按钮激活弹出菜单。
        使用 TrackButton 指定当鼠标按钮与工具栏按钮关联时激活弹出菜单。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def CloseMenu(self, *args, **kwargs) -> Any:
        """关闭屏幕上的弹出菜单。
        调用 CloseMenu 关闭弹出菜单。"""
    def Create(self, AOwner: Component) -> None:
        """TPopupMenu.Create(AOwner: 组件) -> 无
        创建 TPopupMenu 的实例。
        调用Create创建运行时创建弹出菜单。在设计时放置在表单或数据模块中的弹出菜单是自动创建的。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TPopupMenu 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TPopupMenu 引用不为零，然后才调用 Destroy。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def Popup(self, X: int, Y: int) -> None:
        """TPopupMenu.Popup(X: int, Y: int) -> 无
        在屏幕上显示弹出菜单。
        调用Popup调出弹出菜单。菜单出现在由 X 和 Y 值（以像素为单位）指示的屏幕坐标处。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class PrototypeBindSource(CustomPrototypeBindSource):
    """是用于创建示例数据的绑定源。
    如果您想创建自己的自定义原型绑定源，那么您应该从 TCustomPrototypeBindSource 派生您的类。在设计使用 LiveBindings 框架的应用程序时，您可以使用工具选项板中随时可用的 TPrototypeBindSource 组件来生成绑定的示例数据。
    教程部分中的这些教程描述了 TPrototypeBindSource 的使用：
    
    教程：使用 TPrototypeBindSource 和 LiveBindings 设计器
    移动教程：使用 LiveBindings 填充 ListView（iOS 和 Android）
    教程：在 Metropolis UI 中使用 LiveBindings 和 DataModule
    移动教程：使用 LiveBindings 在移动应用程序（iOS 和 Android）中填充列表框"""
    __hash__: ClassVar[None] = ...
    AutoActivate: bool
    """bool：指定是否自动激活绑定源。将 AutoActive 设置为 True 以自动激活。"""
    AutoEdit: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    AutoPost: bool
    """布尔： Embarcadero Technologies 目前没有任何其他信息。"""
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    FieldDefs: GeneratorFieldDefs
    """GeneratorFieldDefs：Embarcadero Technologies 目前没有任何其他信息。"""
    OnCreateAdapter: Callable[[Object,BindSourceAdapter],None]
    """可调用[[对象，BindSourceAdapter]，无]："""
    Owner: Any
    """返回组件所有者"""
    RecordCount: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    ScopeMappings: ScopeMappings
    """ScopeMappings：指定范围映射的拥有集合。
        ScopeMappings 属性指定一个拥有的集合，其元素是范围映射。 ScopeMappings 用于添加可由引用此源组件的表达式引用的名称/值对。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class RadioButton(WinControl):
    """TRadioButton 是系统单选按钮的包装。
    使用 TRadioButton 将单选按钮添加到表单。单选按钮向用户呈现一组互斥的选项，即一次只能选择一组单选按钮中的一个。当用户选择一个单选按钮时，先前选择的单选按钮将变为取消选择。单选按钮经常分组在单选组框（TGroupBox）中。首先将组框添加到窗体中，然后从组件选项板中获取单选按钮并将它们放入组框中。或者，您可以添加一个 TRadioGroup，这是一个已包含单选按钮的组，这样您就不必从工具选项板中获取按钮。
    默认情况下，直接包含在同一窗口控件容器（例如 TRadioGroup 或 TPanel）中的所有单选按钮都会被分组。例如，只有当表单上的两个单选按钮包含在单独的容器（例如两个不同的组框）中时，才可以同时选中它们。
    Caption 属性可用于定义控件的加速键。"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： LeftRight
    """左右： Determines the position of the caption relative to the radio button.
        Set Alignment to determine whether the caption of the radio button should appear to the left of the radio button (taLeftJustify) or to the right of the radio button (taRightJustify).
        
        Note:  Do not confuse the Alignment property with the alignment of the caption in the text area of the radio button. The caption always appears left aligned. Alignment only controls on which side of the button the text area appears."""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Checked: bool
    """布尔："""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    WordWrap: bool
    """布尔："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TRadioButton.Create(AOwner: Component) -> 无
        创建 TRadioButton 的实例。
        调用 Create 在运行时实例化单选按钮。在设计时添加到表单的单选按钮是自动创建的。
        AOwner 是一个组件，通常是一个表单，它成为 Owner 属性的值。所有者负责释放单选按钮对象。"""
    def GetControlsAlignment(self, *args, **kwargs) -> Any:
        """返回控件中任何文本的对齐方式。
        使用 GetControlsAlignment 确定没有 Alignment 属性的控件中文本的方向。
        GetControlsAlignment 重写继承的方法，如果 UseRightToLeftAlignment 返回 false，则返回 taRightJustify。如果 UseRightToLeftAlignment 返回 true，则 GetControlsAlignment 返回与 Alignment 属性相反的值。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class RadioGroup(CustomControl):
    '''TRadioGroup represents a group of radio buttons that function together.
    A TRadioGroup object is a special group box that contains only radio buttons. Radio buttons that are placed directly in the same control component are said to be "grouped." When the user checks a radio button, all other radio buttons in its group become unchecked. Hence, two radio buttons on a form can be checked at the same time only if they are placed in separate containers, such as group boxes.
    To add radio buttons to a TRadioGroup, edit the Items property in the Object Inspector. Each string in Items makes a radio button appear in the group box with the string as its caption. The value of the ItemIndex property determines which radio button is currently selected.
    Display the radio buttons in a single column or in multiple columns by setting the Columns property.
    
    Note:  Setting the radio group\'s BiDiMode to bdRightToLeft automatically flips its radio buttons. The FlipChildren method has no effect.'''
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Columns: int
    """整数："""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DefaultHeader字体： bool
    """布尔："""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    Header字体： Font
    """字体："""
    ItemIndex: int
    """整数："""
    Items: Strings
    """字符串："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBackground: bool
    """布尔： Determines whether the control uses its parent's theme background.
        If ParentBackground is True, the control uses the parent's theme background to draw its own background. 
        If  ParentBackground is False, the control uses its own properties, such as Color, to draw its background.
        ParentBackground has no effect unless XP themes are enabled."""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    RadioTabStop: bool
    """布尔："""
    ShowFrame: bool
    """布尔："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    WordWrap: bool
    """布尔："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class 矩形：
    """Delphi TRect 类型的包装器"""
    __hash__: ClassVar[None] = ...
    Bottom: Any
    """提供对矩形底部坐标的访问"""
    BottomRight: Any
    """提供对矩形的 BottomRight 坐标的访问"""
    Left: Any
    """提供对矩形左坐标的访问"""
    Right: Any
    """提供对矩形右坐标的访问"""
    Top: Any
    """提供对矩形顶部坐标的访问"""
    TopLeft: Any
    """提供对矩形左上角坐标的访问"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ResourceStream(CustomMemoryStream):
    """TResourceStream 是一个内存流，提供对应用程序中已编译资源的访问。
    使用 TResourceStream 读取应用程序的资源。 TResourceStream 的实例将单个资源的值保存在内存缓冲区中，应用程序可以访问该资源。
    全局ReadComponentRes函数使用TResourceStream来访问应用程序使用的编译资源。"""
    __hash__: ClassVar[None] = ...
    ClassName: Any
    """返回 TObject.ClassName"""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, Instance: int, ResName: str, ResType: PWideChar) -> None:
        """TResourceStream.Create（实例：int，ResName：str，ResType：PWideChar）->无
        创建与特定资源名称和类型关联的 TResourceStream 实例。
        调用Create实例化TResourceStream，传入标识指定实例中资源的参数。 TResourceStream找到资源数据并将其加载到TResourceStream的内存缓冲区中。
        Instance 参数是与包含资源的可执行文件或共享库关联的实例句柄。
        在第一个构造函数语法中，ResName 是与随应用程序一起编译的 .rc 文件中的资源关联的字符串。如果资源与整数 ID 而不是字符串关联，请在井号后使用整数的字符串表示形式。因此，例如，整数标识符为 128 的资源由 ResName #128 来标识。
        
        注意：通过 ID 指定资源比通过名称指定资源需要更少的内存。
        ResType 参数是标识资源类型的字符串。应用程序可以定义自己的资源类型并通过 .rc 文件中的名称来标识它们。此外，还有许多预定义的资源类型（反映 Windows 资源类型）。要标识属于预定义资源类型之一的资源，请将 ResType 设置为下表中的适当值：
        
        
        
        
        
        资源类型
        
        资源类型
        
        
        
        RT_ACCELERATOR
        
        
        
        加速表
        
        
        
        
        RT_位图
        
        
        
        位图资源
        
        
        
        
        RT_DIALOG
        
        
        
        对话框
        
        
        
        
        RT_字体
        
        
        
        字体资源
        
        
        
        
        RT_FONTDIR
        
        
        
        字体目录资源
        
        
        
        
        RT_菜单
        
        
        
        菜单资源
        
        
        
        
        RT_RCDATA
        
        
        
        应用程序定义的资源（原始数据）
        
        
        
        
        RT_STRING
        
        
        
        字符串表条目
        
        
        
        
        RT_MESSAGETABLE
        
        
        
        消息表条目
        
        
        
        
        RT_CURSOR
        
        
        
        与硬件相关的光标资源
        
        
        
        
        RT_GROUP_CURSOR
        
        
        
        与硬件无关的光标资源
        
        
        
        
        RT_图标
        
        
        
        依赖于硬件的图标资源
        
        
        
        
        RT_GROUP_ICON
        
        
        
        独立于硬件的图标资源
        
        
        
        
        RT_版本
        
        
        
        版本资源"""
    def CreateFromID(self, Instance: int, ResID: int, ResType: PWideChar) -> None:
        """TResourceStream.CreateFromID（实例：int，ResID：int，ResType：PWideChar）->无"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TResourceStream 的实例。
        不要在应用程序中直接调用 Destroy 来销毁 TResourceStream 的实例。相反，请拨打免费电话。 Free 验证 TResourceStream 引用不为零，然后才调用 Destroy。
        Destroy 在调用继承的析构函数之前释放存储资源的内存缓冲区。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    def ReadBytes(self) -> Any:
        """TPyDelphiStream.ReadBytes()
        以字节形式读取内容。"""
    def ReadFloat(self) -> Any:
        """TPyDelphiStream.ReadFloat()
        将内容读取为浮动。"""
    def ReadInt(self) -> Any:
        """TPyDelphiStream.ReadInt()
        将内容读取为整数。"""
    def ReadString(self) -> Any:
        """TPyDelphiStream.ReadString()
        将内容读取为字符串。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    def Write(self, Buffer, Count: int) -> 整数：
        """TResourceStream.Write(Buffer, Count: int) -> int
        重写继承的方法以在尝试将资源写回应用程序时引发异常。
        应用程序不应使用 TResourceStream 写入正在运行的应用程序的资源。当应用程序尝试写入应用程序的资源时，Write 会重写继承的方法以引发 EStreamError 异常。
        由于 TResourceStream 的所有其他数据写入方法（WriteBuffer、WriteComponent）都调用 Write 来进行实际写入，因此调用 TResourceStream 的任何数据写入方法都会引发异常。"""
    def WriteBytes(self) -> Any:
        """TPyDelphiStream.WriteBytes()
        将内容写入字节。"""
    def WriteFloat(self) -> Any:
        """TPyDelphiStream.WriteFloat()
        将内容写入浮动。"""
    def WriteInt(self) -> Any:
        """TPyDelphiStream.WriteInt()
将内容写入整数。"""
    def WriteString(self) -> Any:
        """TPyDelphiStream.WriteString()
        将内容写入字符串。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class SaveDialog(OpenDialog):
    '''TSaveDialog displays a "Save As" dialog for saving files.
    TSaveDialog displays a modal Windows dialog box for selecting file names and saving files. The dialog does not appear at runtime until it is activated by a call to the Execute method. When the user clicks Save, the dialog closes and the selected file name is stored in the FileName property.'''
    __hash__: ClassVar[None] = ...
    FileName: Any
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Execute(self) -> Any:
        """TOpenDialog.Execute()
显示对话框"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ScrollBar(WinControl):
    """Delphi TScrollBar 的包装"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    Kind: ScrollBarKind
    """滚动条种类："""
    LargeChange: int
    """整数："""
    Max: int
    """整数："""
    Min: int
    """整数："""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnScroll: Callable[[Object,ScrollCode,int],None]
    """Callable[[Object, ScrollCode, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    PageSize: int
    """整数："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    Position: int
    """整数："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    SmallChange: int
    """整数："""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TScrollBar.Create(AOwner: Component) -> 无
        创建 TWinControl 的实例。
        调用 Create 来构造并初始化一个新控件，并将新构造的控件插入到其所有者中，如 AOwner 参数所指定的那样。 Create 通过调用所有者的 InsertComponent 方法将控件插入所有者中。
        大多数控件都会重写 Create 以初始化其独特的属性。重写 Create 方法的对象必须始终首先调用继承的 Create 方法，然后继续进行特定于组件的初始化。重写 Create 方法时指定重写指令。
        如果组件的 Create 方法分配资源或内存，请重写 Destroy 方法以释放这些资源。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def SetParams(self, APosition: int, AMin: int, AMax: int) -> None:
        """TScrollBar.SetParams(APosition: int, AMin: int, AMax: int) -> None"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Shape(Control):
    """Delphi TShape 的包装"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    刷子： Brush
    """刷子："""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    Parent: Any
    """返回/设置控制父级"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    笔： Pen
    """笔："""
    Shape: ShapeType
    """形状类型："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TShape.Create(AOwner: 组件) -> 无
        创建 TControl 的实例。
        调用 Create 构造并初始化 TControl 的实例。但是，您永远不应该尝试实例化 TControl。此类仅用作其他控件类的派生基类，并且您应该只调用 Create 来实例化这些派生类之一。
        Create 调用父构造函数并初始化控件。
        当重写 Create 时，始终首先调用继承的 Create 方法，然后继续进行控件的初始化。请记住在重写 Create 方法时指定 override 指令。
        
        注意：如果控件的构造函数分配资源或内存，还需重写析构函数以释放这些资源。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证控件不为零，然后才调用 Destroy。
        应用程序只应在调用构造函数时显式释放控件，而不为控件分配所有者。
        当控制被破坏时，它：
        
        释放 TFont 对象的 Font 属性。
        调用其继承的析构函数。
        重写 Destroy 以释放在 Create 方法中分配的所有内存或资源。在后代控件类型中声明 Destroy 方法时，始终将 override 指令添加到声明中，并调用继承的 Destroy 作为重新声明方法中的最后一个语句。
        创建控件时，Delphi 自动提供围绕构造函数调用的异常处理。如果异常从构造函数中逃逸，则调用析构函数。这意味着析构函数代码必须准备好清理部分构造的实例。在处理其内容之前检查所有数据字段是否为零。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def StyleChanged(self, Sender: Object) -> None:
        """TShape.StyleChanged(发件人：对象) -> 无"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Size:
    """Delphi TSize 类型的包装器"""
    __hash__: ClassVar[None] = ...
    cx: Any
    """提供对尺寸宽度的访问"""
    cy: Any
    """提供对尺寸高度的访问"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class SpeedButton(Control):
    """Delphi TSpeedButton 的包装"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    AllowAllUp: bool
    """布尔："""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    DisabledImageIndex: int
    """整数："""
    DisabledImageName: str
    """字符串："""
    Down: bool
    """布尔："""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Flat: bool
    """布尔："""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Glyph: Bitmap
    """位图："""
    GroupIndex: int
    """整数："""
    HotImageIndex: int
    """整数："""
    HotImageName: str
    """字符串："""
    ImageIndex: int
    """整数："""
    ImageName: str
    """字符串："""
    Images: CustomImageList
    """自定义图像列表："""
    Layout: ButtonLayout
    """按钮布局："""
    Margin: int
    """整数："""
    NumGlyphs: int
    """整数："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    Parent: Any
    """返回/设置控制父级"""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    PressedImageIndex: int
    """整数："""
    PressedImageName: str
    """字符串："""
    SelectedImageIndex: int
    """整数："""
    SelectedImageName: str
    """字符串："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Spacing: int
    """整数："""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Transparent: bool
    """布尔："""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class SpinButton(WinControl):
    """TSpinButton 允许用户使用箭头按钮浏览一系列值。
    TSpinButton 是一个带有两个 TTimerSpeedButton 的控件，每个按钮都显示一个箭头。 TSpinButton 允许使用箭头按钮导航一系列值，以自定义控件保存的值。通常，它用于增加或减少焦点控件的值。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DownGlyph: Bitmap
    """位图：显示在“向下”按钮上的位图。
        DownGlyph 表示出现在“向下”按钮上的位图。
        您可以在单个位图中提供最多四个图像（每个状态一个），具体取决于 DownNumGlyphs 属性的值。所有图像必须具有相同的大小并且彼此相邻并排成一行。
        按钮的四种状态说明如下表：
        
        
        
        按钮状态
        
        描述
        
        
        
        向上
        
        
        
        该图像在按钮弹起时出现。当按钮具有焦点时也会使用此图像（例如，如果用户使用 Tab 键切换到该按钮）；在这种情况下，将在按钮周围绘制一个焦点矩形。如果位图中不存在其他图像，位按钮也会将此图像用于所有其他状态。
        
        
        
        
        残疾人
        
        
        
        该图像通常显示为灰色，表示无法选择该按钮。
        
        
        
        
        点击
        
        
        
        单击按钮时会出现此图像。当用户释放鼠标按钮时，向上图像会重新出现。
        
        
        
        
        向下
        
        
        
        当按钮保持按下状态时，会出现此图像。"""
    DownNumGlyphs: int
    """int：指定“向下”按钮上显示的字形数量。
        DownNumGlyphs 指定“向下”按钮上显示的字形数量。如果位图中有多个图像，则必须使用 NumGlyphs 属性指定位图中的图像数量。默认值为 1。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focus控制： WinControl
    """WinControl：指定与 TSpinButton 关联的窗口控件。
        使用 FocusControl 将焦点设置到控件。"""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnDownClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnUpClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    UpGlyph: Bitmap
    """位图： The bitmap that appears on the Up button.
        UpGlyph specifies the bitmap that appears on the Up button.
        You can provide up to four images (one for each state) within a single bitmap, depending on the value of the UpNumGlyphs property. All images must be the same size and next to each other in a row.
        The four states of the button are described in the following table:
        
        
        
        Button state
        
        Description
        
        
        
        Up
        
        
        
        This image appears when the button is up. This image is also used when the button has focus (for example, if the user tabs to it); in this case, a focus rectangle is drawn around the button. If no other images exist in the bitmap, bit buttons also use this image for all other states.
        
        
        
        
        Disabled
        
        
        
        This image usually appears dimmed to indicate that the button cannot be selected.
        
        
        
        
        Clicked
        
        
        
        This image appears when the button is clicked. The Up image reappears when the user releases the mouse button.
        
        
        
        
        Down
        
        
        
        This image appears when the button stays down."""
    UpNumGlyphs: int
    """int：向上按钮上出现的字形数量。
        UpNumGlyphs 指定“向上”按钮上显示的字形数量。如果位图中有多个图像，则必须使用 NumGlyphs 属性指定位图中的图像数量。默认值为 1。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TSpinButton.Create(AOwner: Component) -> None
创建并初始化 TSpinButton 实例。
Create 方法创建并初始化 TSpinButton 实例。"""
    def SetBounds(self, ALeft: int, ATop: int, AWidth: int, AHeight: int) -> None:
        """TSpinButton.SetBounds(ALeft: int, ATop: int, AWidth: int, AHeight: int) -> 无
        在单个操作中设置控件的 Left、Top、Width 和 Height 属性。
        SetBounds 在单个操作中设置控件的 Left、Top、Width 和 Height 属性。将 Left、Top、Width 和 Height 属性的值分别指定为 ALeft、ATop、AWidth 和 AHeight 参数的值。通过分别设置 Left、Top、Width 和 Height 属性可以实现相同的效果。
        SetBounds调用SetBounds继承的方法。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class SpinEdit(CustomEdit):
    """TSpinEdit 将 TEdit 框与 TSpinButton 结合在一起。
    TSpinEdit 组件是附加了 TSpinButton 的 TEdit。
    编辑框的值是数字。通过按下 TSpinButton 的向上和向下按钮，可以增加或减少 Value。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSelect: bool
    """布尔： Determines whether all the text in the edit control is automatically selected when the control gets focus.
        Set AutoSelect to select all the text when the edit control gets focus. AutoSelect only applies to single-line edit controls.
        Use AutoSelect when the user is more likely to replace the text in the edit control than to append to it."""
    AutoSize: bool
    """布尔： Determines whether the height of the edit control automatically resizes to accommodate the text.
        Use AutoSize to make the edit control adjust its size automatically so the client area accommodates the height of the text. When AutoSize is false, the edit control has a fixed height. When AutoSize is true, the size of the control is readjusted whenever a change occurs that could affect the height of the control, such as a change to the font or border style.
        
        Note: AutoSize only adjusts the height of the edit control. Even with AutoSize set to true, text in the edit control may appear truncated if it extends beyond the width of the control."""
    Button: SpinButton
    """SpinButton：指定 TSpinEdit 的 TSpinButton。
        Button 是一个只读属性，指定 TSpinEdit 的旋转按钮。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    EditorEnabled: bool
    """bool：指定Value是否可以编辑。
        EditorEnabled 指定值是否可以编辑。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    Increment: int
    """int：指定增量值。
        Increment 指定用于增加或减少 Value 属性的增量，方法是在 TSpinEdit 获得焦点时单击 TSpinEdit 按钮之一或使用向上和向下键。"""
    MaxLength: int
    """整数： Specifies the maximum number of characters the user can enter into the edit control.
        Use MaxLength to limit the number of characters that can be entered into the edit control. A value of 0 indicates that there is no application-defined limit on the length.
        Use MaxLength to limit the length of the text in an edit control if that text will be copied into a fixed-length buffer.
        
        Note:  Setting MaxLength will not truncate the existing text, it merely prevents the user from adding more text after reaching the limit of MaxLength characters.
        Note:  Even when MaxLength is 0, there may be limitations imposed by the operating system on the number of characters that may be entered into an edit control.
        Note:  The unit of MaxLength is characters (not bytes) if the application is using themes."""
    MaxValue: int
    """int：指定最大值。
        MaxValue 指定 TSpinEdit 可以采用的最大值。"""
    MinValue: int
    """整数： Specifies the minimum value.
        MinValue specifies the minimum Value that TSpinEdit can take."""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ReadOnly: bool
    """bool：确定用户是否可以更改编辑控件的文本。
要将编辑控件限制为仅显示，请将 ReadOnly 属性设置为 true。将 ReadOnly 设置为 false 以允许编辑编辑控件的内容。
将 ReadOnly 设置为 true 可确保文本不会被更改，同时仍允许用户选择文本。然后，选定的文本可以由应用程序操作，或复制到剪贴板。"""
    SelStart: Any
    """返回/设置光标的位置。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Value: int
    """整数： Specifies the value listed in the TSpinEdit.
        Value specifies the value listed in the TSpinEdit. The value can be changed by clicking one of the TSpinEdit buttons or using the Up and Down keys while TSpinEdit is focused."""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TSpinEdit.Create(AOwner: Component) -> 无
        创建并初始化 TSpinEdit 实例。
        Create 方法创建并初始化一个 TSpinEdit 实例。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TSpinEdit 实例。
        Destroy 方法销毁 TSpinEdit 实例。 Destroy 调用 Destroy 继承的方法。"""
    def GetChildren(self, Proc: Callable[[Component],None], Root: Component) -> None:
        """TSpinEdit.GetChildren(Proc: Callable[[Component], None], Root: Component) -> None
        该方法为空白。
        TSpinEdit 不需要为控件的子控件调用指定的方法，因此 GetChildren 不执行任何操作。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Splitter(Control):
    """Delphi TSplitter 的包装"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    AutoSnap: bool
    """布尔："""
    Beveled: bool
    """布尔："""
    帆布： Canvas
    """帆布："""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    Cursor: int
    """int：指定当鼠标指针进入控件覆盖的区域时用于表示鼠标指针的图像。
        更改 Cursor 的值以在鼠标指针进入控件时向用户提供反馈。 Cursor 的值是由全局变量 Screen 维护的光标列表中光标的索引。除了 TScreen 提供的内置光标之外，应用程序还可以将自定义光标添加到列表中。"""
    MinSize: int
    """整数："""
    OnCanResize: Callable[[Object,int,bool],None]
    """可调用[[对象，int，布尔]，无]："""
    OnMoved: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnPa整数： Callable[[Object],None]
    """可调用[[对象]，无]："""
    Parent: Any
    """返回/设置控制父级"""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    调整大小样式： ResizeStyle
    """调整大小样式："""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    Width: int
    """int：指定控件或窗体的水平尺寸（以像素为单位）。
        使用 Width 属性读取或更改控件的宽度。
        
        注意：对于选项卡表控件，在运行时更改此属性没有任何效果。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TSplitter.Create(AOwner: 组件) -> 无
        创建 TControl 的实例。
        调用 Create 构造并初始化 TControl 的实例。但是，您永远不应该尝试实例化 TControl。此类仅用作其他控件类的派生基类，并且您应该只调用 Create 来实例化这些派生类之一。
        Create 调用父构造函数并初始化控件。
        当重写 Create 时，始终首先调用继承的 Create 方法，然后继续进行控件的初始化。请记住在重写 Create 方法时指定 override 指令。
        
        注意：如果控件的构造函数分配资源或内存，还需重写析构函数以释放这些资源。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证控件不为零，然后才调用 Destroy。
        应用程序只应在调用构造函数时显式释放控件，而不为控件分配所有者。
        当控制被破坏时，它：
        
        释放 TFont 对象的 Font 属性。
        调用其继承的析构函数。
        重写 Destroy 以释放在 Create 方法中分配的所有内存或资源。在后代控件类型中声明 Destroy 方法时，始终将 override 指令添加到声明中，并调用继承的 Destroy 作为重新声明方法中的最后一个语句。
        创建控件时，Delphi 自动提供围绕构造函数调用的异常处理。如果异常从构造函数中逃逸，则调用析构函数。这意味着析构函数代码必须准备好清理部分构造的实例。在处理其内容之前检查所有数据字段是否为零。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class StaticText(WinControl):
    """TStaticText 是一个在窗体上显示文本的窗口控件。
    TStaticText 组件的功能与 TLabel 类似，只是它继承自 TWinControl，因此具有窗口句柄。当组件的加速键必须属于窗口控件（例如在 ActiveX 属性页上）时，请使用 TStaticText 而不是 TLabel。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： Alignment
    """结盟："""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSize: bool
    """布尔： Specifies whether the control sizes itself automatically to accommodate its contents.
        Use AutoSize to specify whether the control sizes itself automatically. When AutoSize is True, the control resizes automatically when its contents change.
        By default, AutoSize is False."""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    边框样式： StaticBorderStyle
    """静态边框样式："""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focus控制： WinControl
    """控制窗口："""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowAccelChar: bool
    """布尔："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Transparent: bool
    """布尔："""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class StatusBar(CustomStatusBar):
    """TStatusBar 代表状态栏。
    TStatusBar 组件是一行面板，通常在窗体底部对齐，用于显示应用程序运行时的信息。每个面板都由 Panels 属性中列出的 TStatusPanel 对象表示。 SimplePanel 属性可用于在运行时在单面板显示和多面板显示之间切换状态栏。"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoH整数： bool
    """布尔： Specifies whether the status bar's text is set automatically to the current hint.
        Use AutoHint to specify whether the status bar's text is set automatically to the current hint. When AutoHint is True, the status bar automatically responds to hint actions by displaying the long version of the hint's text in the first panel."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    BorderWidth: int
    """int：指定控件边框的宽度。
使用 BorderWidth 获取或设置控件边框的宽度。控件绘制的图形或文本将被剪裁到边框内的区域。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnCreatePanelClass: Callable[[CustomStatusBar,StatusPanelClass],None]
    """可调用[[CustomStatusBar，StatusPanelClass]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnDrawPanel: Callable[[StatusBar,StatusPanel,Rect],None]
    """可调用[[StatusBar, StatusPanel, Rect], None]："""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnH整数： Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnResize: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    Panels: StatusPanels
    """StatusPanels：列出状态栏中的面板（TStatusPanel 对象）。
        Panels 属性保存一个 TStatusPanels，即 TStatusPanel 对象的集合。在设计时，您可以使用面板编辑器添加、删除或修改面板。要打开面板编辑器，请在对象检查器中选择面板属性，然后双击右侧的值列或单击省略号 (...) 按钮。
        在设计时，您可以使用面板编辑器添加、删除或修改面板：
        
        要从对象检查器打开面板编辑器，请选择面板属性，然后双击右侧的值列或单击省略号 (...) 按钮。
        要从表单设计器打开面板编辑器，请右键单击 TStatusBar 并从上下文菜单中选择面板编辑器。"""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    SimplePanel: bool
    """bool：决定状态栏是显示单个面板还是多个面板。
        如果 SimplePanel 设置为 True，则状态栏包含一个以 SimpleText 形式显示文本的面板。如果 SimplePanel 设置为 False，状态栏会为其 Panels 属性中的每个项目显示一个单独的面板。
        
        注意：当 SimplePanel 为 False 时，无法使用 SimpleText 属性在状态栏中显示文本。相反，您必须在面板对象之一上设置 Text 属性。"""
    SimpleText: str
    """str：包含 SimplePanel 为 True 时要在状态面板中显示的文本字符串。

注意：Microsoft Windows XP 及更早版本将字符串的大小限制为 127 个字符。在 Microsoft Windows Vista、Windows 7 或更高版本的 Windows 操作系统下，SimpleText 没有这样的限制。"""
    SizeGrip: bool
    """布尔： Determines whether the status bar is resizable at run time.
        If SizeGrip is set to True, the status bar has a triangular grip on the lower right corner. The user can resize the status bar by dragging the grip with the mouse.
        A size grip will not be drawn unless the Parent property refers to the child of a TCustomForm descendant with a BorderStyle of bsSizeable or bsSizeToolWin.
        
        Note: If Align is set to alBottom, alRight, or alClient, the sizing grip will not work. If the Alignment property of the last panel in the status bar is set to taRightJustify, the sizing grip will truncate the panel's text."""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    UseSystem字体： bool
    """布尔： Specifies whether the status bar uses the system font.
        UseSystemFont specifies whether the status bar uses the system font. To change fonts, use the Font property."""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Stream(Object):
    """TStream 是流对象的基类类型，这些流对象可以读取或写入各种存储介质，例如磁盘文件、动态内存等。
使用专门的流对象读取、写入或复制存储在特定介质中的信息。TStream 的每个后代都实现了将信息传输到特定存储介质（例如磁盘文件、动态内存等）或从特定存储介质传输信息的方法。除了用于读取、写入和复制字节到流和从流中复制字节的方法之外，流对象还允许应用程序在流中寻找任意位置。TStream 的属性提供有关流的信息，例如其大小和流中的当前位置。
TStream 还引入了与组件和文件管理器协同工作的方法，用于以简单和继承的形式加载和保存组件。这些方法由启动组件流的全局例程自动调用。也可以直接调用它们来启动流处理。但请注意，组件流始终涉及两个附加对象：

作为参数传递给流方法的组件对象。
由流自动创建并与流关联的文件管理器对象。
子代流对象（例如用于组件流的内存和文件流）由全局函数 ReadComponentRes 和 WriteComponentRes 自动创建。对于流式传输其他类型的信息，请根据特定数据和存储需求选择子代类。这些包括：

TFileStream - 用于处理文件。
TStringStream - 用于操作内存中的字符串。
TMemoryStream - 用于处理内存缓冲区。
TWinSocketStream - 用于通过套接字连接进行读写。
TOleStream - 用于使用 COM 接口进行读写。"""
    __hash__: ClassVar[None] = ...
    ClassName: Any
    """返回 TObject.ClassName"""
    Position: int
    """int：表示当前读取和写入流中的偏移量。
        使用 Position 获取流的当前位置。这是从流数据开头算起的字节数。"""
    Size: int
    """int：表示流的大小（以字节为单位）。
        使用 Size 查找流的大小。大小在从流读取和写入的例程内部使用。设置 TStream 的 Size 属性不会执行任何操作。但是，TStream 的后代可以重写此属性，以允许应用程序更改使用流访问的资源的大小。
        Size 属性通常指示流的大小（以字节为单位）。但 TStream 的后代可以使用 -1 来指示未知的大小。当大小未知时，使用 TStream.Read 的返回值来确定流的结尾。
        
        使用 DataSnap 和 DBX 的流大小示例
        当您以块的形式读取 DataSnap 流时，用于读取流的实际 TStream 后代是 TDBXStreamReaderStream。 TDBXStreamReaderStream 重写 TStream 的方法，例如方法 System.Classes.TStream.GetSize，它是属性 Size 的读取器。
        DBX 连接支持按块读取流。默认块大小为 32K。流可以从客户端传递到服务器，也可以从服务器传递到客户端。当接收方正在读取流时（无论接收方是客户端还是服务器），流都会以块的形式从发送方传递到接收方。当流大到需要多个块读取时，接收方流的 Size 属性将为 -1，这表明流的大小未知。当接收方读取流时，DataSnap 根据需要向发送方发出下一个块的请求。要读取流，客户端调用 Read() 方法，直到返回值小于请求的值。
        以下代码展示了如何通过检查 Read() 的返回值来读取流到底：
        
        变量
          LBuffer: TArray<字节>;
          LReadCount：整数；
        开始
          SetLength(LBuffer, 1024*10); // 本例使用 10K 缓冲区。缓冲区大小可以更大或更小。
          重复
            LReadCount := AStream.Read(LBuffer[0], Length(LBuffer));
            如果 LReadCount > 0 那么
            开始
              // 处理缓冲区
            结尾;
          直到 LReadCount < 长度(LBuffer)；"""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CopyFrom(self, Source: Stream, Count: int, BufferSize: int) -> 整数：
        """TStream.CopyFrom(源：Stream，计数：int，BufferSize：int) -> int
        将指定数量的字节从一个流复制到另一个流。
        使用 CopyFrom 将数据从一个流复制到另一个流。使用 CopyFrom 无需在复制数据时创建、读取、写入和释放缓冲区。
        CopyFrom 将 Source 指定的流中的 Count 字节复制到流中。然后，它将当前位置移动 Count 个字节并返回复制的字节数。
        如果Count为0，CopyFrom在读取之前将Source位置设置为0，然后将Source的全部内容复制到流中。如果 Count 大于或小于 0，则 CopyFrom 从 Source 中的当前位置读取。
        由于 CopyFrom 方法使用 ReadBuffer 和 WriteBuffer 进行有效复制，因此如果 Count 大于 SourceStream 大小，ReadBuffer 会抛出异常，表明发生了流读取错误。"""
    def FixupResourceHeader(self, FixupInfo: int) -> None:
        """TStream.FixupResourceHeader(FixupInfo: int) -> 无
        修补已写入流的资源的资源标头。
        不调用FixupResourceHeader？它在内部使用。 WriteDescentRes 方法在将组件写入流后调用 FixupResourceHeader。然后该方法使用当前位置来确定刚刚写入的资源的大小并相应地调整资源头。
        FixupInfo 参数是 WriteResourceHeader 在写入资源标头时（在 WriteDescentRes 流出组件之前）返回的值。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    def Read(self, Buffer, Count: int) -> 整数：
        """TStream.Read(Buffer, Count: int) -> int
        负责从流中读取最多 Count 个字节的数据到 Buffer 中的方法。
        后代流类可以定义自己的 Read 方法，将数据从其特定存储介质（例如内存或磁盘文件）读取到 Buffer 缓冲区中。
        Read 用于从流中读取的字节数不一定固定的情况。
        Read 尝试从当前位置开始从流中读取最多 Count 个字节，然后将流中的当前位置前进实际传输的字节数。 Read返回实际读取的字节数，可能小于Count。
        Offset 指定 Buffer 中从零开始的位置，从该位置将第一个字节写入 Buffer。
        流的所有其他数据读取方法（ReadBuffer、ReadData）都调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 个字节的数据到 Buffer 中的方法。
        后代流类可以定义自己的 Read 方法，将数据从其特定存储介质（例如内存或磁盘文件）读取到 Buffer 缓冲区中。
        Read 用于从流中读取的字节数不一定固定的情况。
        Read 尝试从当前位置开始从流中读取最多 Count 个字节，然后将流中的当前位置前进实际传输的字节数。 Read返回实际读取的字节数，可能小于Count。
        Offset 指定 Buffer 中从零开始的位置，从该位置将第一个字节写入 Buffer。
        流的所有其他数据读取方法（ReadBuffer、ReadData）都调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 个字节的数据到 Buffer 中的方法。
        后代流类可以定义自己的 Read 方法，将数据从其特定存储介质（例如内存或磁盘文件）读取到 Buffer 缓冲区中。
        Read 用于从流中读取的字节数不一定固定的情况。
        Read 尝试从当前位置开始从流中读取最多 Count 个字节，然后将流中的当前位置前进实际传输的字节数。 Read返回实际读取的字节数，可能小于Count。
        Offset 指定 Buffer 中从零开始的位置，从该位置将第一个字节写入 Buffer。
        流的所有其他数据读取方法（ReadBuffer、ReadData）都调用 Read 来进行实际读取。"""
    def Read64(self, Buffer: tuple, Offset: int, Count: int) -> 整数：
        """TStream.Read64（缓冲区：元组，偏移量：int，计数：int）-> int
        Embarcadero Technologies 目前没有任何其他信息。"""
    def ReadBuffer(self, Buffer, Count: int) -> None:
        """TStream.ReadBuffer(Buffer, Count: int) -> None
        将 Count 个字节从流读入缓冲区。
        在要读取的字节数已知且固定的情况下（例如读取结构时），使用 ReadBuffer 将 Count 个字节从流读取到 Buffer 缓冲区中。 ReadBuffer 在内部用于从流加载和从流复制。
        Read 尝试从当前位置开始从流中准确读取 Count 个字节，然后将流中的当前位置前进实际传输的字节数。
        Offset 指定 Buffer 中从零开始的位置，从该位置将第一个字节写入 Buffer。
        ReadBuffer 调用 Read 来进行实际读取。如果无法从流中读取 Count 个字节，则会引发 EReadError 异常。\r
        将 Count 个字节从流读入缓冲区。
        在要读取的字节数已知且固定的情况下（例如在结构中读取时），使用 ReadBuffer 将 Count 个字节从流读取到 Buffer 缓冲区中。 ReadBuffer 在内部用于从流加载和从流复制。
        Read 尝试从当前位置开始从流中准确读取 Count 个字节，然后将流中的当前位置前进实际传输的字节数。
        Offset 指定 Buffer 中从零开始的位置，从该位置将第一个字节写入 Buffer。
        ReadBuffer 调用 Read 来进行实际读取。如果无法从流中读取 Count 个字节，则会引发 EReadError 异常。\r
        从流中读取 Count 个字节到 Buffer 中。
        在要读取的字节数已知且固定的情况下（例如读取结构时），使用 ReadBuffer 将 Count 个字节从流读取到 Buffer 缓冲区中。 ReadBuffer 在内部用于从流加载和从流复制。
        Read 尝试从当前位置开始从流中准确读取 Count 个字节，然后将流中的当前位置前进实际传输的字节数。
        Offset 指定 Buffer 中从零开始的位置，从该位置将第一个字节写入 Buffer。
        ReadBuffer 调用 Read 来进行实际读取。如果无法从流中读取 Count 个字节，则会引发 EReadError 异常。"""
    def ReadBufferData(self, Buffer: bool) -> None:
        """TStream.ReadBufferData(Buffer: bool) -> None
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 数量的字节，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不 = SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下方法工作 算法：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。 使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。 如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，则 ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后前进 流中的当前位置除以传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。 ReadBufferData 引发 EReadError 如果 ReadBufferData 无法准确读取指定的字节数，则会出现异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。\r
        负责将固定 Count 或 SizeOf(Buffer) 数量的字节从流读取到 Buffer 中的方法。
        使用 ReadBufferData 将固定 Count 或 SizeOf(Buffer) 数量的字节从流中准确读取到类型化 Buffer 中。如果 ReadBufferData 无法准确读取指定的字节数，则 ReadBufferData 将引发 EReadError 异常。
        ReadBufferData 使用以下算法工作：
        
        当 ReadBufferData 没有 Count 参数时，ReadBufferData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。如果传输的字节数不= SizeOf(Buffer)，则 ReadBufferData 引发 EReadError 异常。
        当ReadBufferData有Count参数时，ReadBufferData调用ReadData来读取Count字节。如果报告的传输字节数不等于 Count，则 ReadBufferData 会引发 EReadError 异常。
        ReadBufferData 调用 ReadData 来执行实际读取。"""
    def ReadBytes(self) -> Any:
        """TPyDelphiStream.ReadBytes()
        以字节形式读取内容。"""
    def ReadComponent(self, Instance: Component) -> Component:
        """TStream.ReadComponent(实例: 组件) -> 组件
        启动组件及其属性的流式传输。
        ReadComponent 由全局例程 ReadComponentRes、ReadComponentRes 方法间接调用，或者可以直接调用它来启动组件流。
        ReadComponent 从流中读取数据值并将它们分配给 Instance 的属性。然后，它构造一个读取器对象并调用读取器的 ReadRootComponent 方法来读取 Instance 的属性值，并构造在流中定义的子对象作为 Instance 的子对象。 ReadComponent 返回组件。
        如果 Instance 为 nil (Delphi) 或 NULL (C++)，ReadComponent 将根据流中的类型信息构造一个组件，并返回新构造的组件。"""
    def ReadComponentRes(self, Instance: Component) -> Component:
        """TStream.ReadComponentRes(实例：组件) -> 组件
        从资源文件格式的流中读取组件及其属性。
        ReadComponentRes 由全局例程 ReadComponentResFile 自动调用。如果流的当前位置指向使用 WriteComponentRes 方法写入的组件，也可以直接调用它。
        ReadComponentResFile 创建一个文件流对象，然后调用其 ReadComponentRes 方法。
        ReadComponentRes 首先调用 ReadResHeader 方法从流中读取资源标头。如果流当前位置不包含资源标头，ReadResHeader 将引发 EInvalidImage 异常。然后，ReadComponentRes 调用 ReadComponent 来读取必须在 Instance 上设置的属性。"""
    def ReadData(self, Buffer: Pointer, Count: int) -> 整数：
        """TStream.ReadData(Buffer: Pointer, Count: int) -> int
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 会尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 个但不超过 SizeOf(Buffer) 个字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定是固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 个字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进字节数 转入。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回字节数 读。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 数量的字节，然后将流中的当前位置前进该数量 传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。读取数据返回 读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将当前位置向前推进 流按传输的字节数计算。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后前进当前 流中的位置由传输的字节数决定。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。\r
        负责从流中读取最多 Count 但不超过 SizeOf(Buffer) 字节到 Buffer 的方法。
        ReadData 用于从流中读取的字节数不一定固定的情况。
        ReadData 使用以下算法工作：
        
        当 ReadData 没有 Count 参数时，ReadData 尝试读取 SizeOf(Buffer) 字节数，然后将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        当ReadData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 ReadData 尝试读取 SizeOf(Buffer) 字节数。 ReadData 将流中的当前位置前进 Count 个字节数。 ReadData 返回计数。
        如果 Count <= SizeOf(Buffer)，则 ReadData 尝试从流中读取最多 Count 个字节。 ReadData 将流中的当前位置前进所传输的字节数。 ReadData 返回读取的字节数。
        ReadData 方法调用 Read 来进行实际读取。"""
    def ReadFloat(self) -> Any:
        """TPyDelphiStream.ReadFloat()
        将内容读取为浮动。"""
    def ReadInt(self) -> Any:
        """TPyDelphiStream.ReadInt()
        将内容读取为整数。"""
    def ReadResHeader(self, *args, **kwargs) -> Any:
        """从流中读取资源文件头。
        不要直接调用 ReadResHeader。在从资源文件读取组件之前，它由 ReadComponentRes 自动调用。
        读取资源文件标头后，ReadResHeader 将流的当前位置移动到标头之外。如果流不包含有效的资源文件标头，ReadResHeader 将引发 EInvalidImage 异常。"""
    def ReadString(self) -> Any:
        """TPyDelphiStream.ReadString()
        将内容读取为字符串。"""
    def Seek(self, Offset: int, Origin: int) -> 整数：
        """TStream.Seek(Offset: int, Origin: int) -> int
移动到流式资源中的指定位置。
调用 Seek 可移动流在其特定存储介质（如内存或磁盘文件）中的当前位置。
Origin 参数指示如何解释 Offset 参数。Origin 应为以下值之一：

值

含义

soBeginning

Offset 是从资源的开头开始的。Seek 移动到位置 Offset。Offset 必须 >= 0。

soCurrent

Offset 是从资源中的当前位置开始的。Seek 移动到 Position + Offset。

soEnd

Offset 是从资源的末尾开始的。Offset 必须 <= 0 以指示文件末尾之前的字节数。

Seek 返回 Position 属性的新值。
Seek 由 Position 和 Size 属性调用。

注意：在 TStream 中实现时，两个版本（32 位或 64 位语法）相互调用。后代流类必须重写这些版本中的至少一个，并且重写不能调用继承的默认实现。\r
移动到流资源中的指定位置。
调用 Seek 以在其特定存储介质（例如内存或磁盘文件）中移动流的当前位置。
Origin 参数指示如何解释 Offset 参数。Origin 应为以下值之一：

值

含义

soBeginning

Offset 是从资源的开头开始的。Seek 移动到位置 Offset。Offset 必须 >= 0。

soCurrent

Offset 是从资源中的当前位置开始的。Seek 移动到 Position + Offset。

soEnd

Offset 是从资源的末尾开始的。Offset 必须 <= 0 以指示文件末尾之前的字节数。

Seek 返回 Position 属性的新值。
Seek 由 Position 和 Size 属性调用。

注意：在 TStream 中实现时，两个版本（32 位或 64 位语法）相互调用。后代流类必须重写这些版本中的至少一个，并且重写不能调用继承的默认实现。\r
移动到流资源中的指定位置。
调用 Seek 以在其特定存储介质（例如内存或磁盘文件）中移动流的当前位置。
Origin 参数指示如何解释 Offset 参数。Origin 应为以下值之一：

值

含义

soBeginning

Offset 是从资源的开头开始的。Seek 移动到位置 Offset。Offset 必须 >= 0。

soCurrent

Offset 是从资源中的当前位置开始的。Seek 移动到 Position + Offset。

soEnd

Offset 是从资源的末尾开始的。Offset 必须 <= 0 以指示文件末尾之前的字节数。

Seek 返回 Position 属性的新值。
Seek 由 Position 和 Size 属性调用。

注意：正如在 TStream 中实现的那样，两个版本（32 位或 64 位语法）相互调用。后代流类必须至少覆盖其中一个版本，并且覆盖不能调用继承的默认实现。"""
    def Seek32(self, Offset: int, Origin: SeekOrigin) -> 整数：
        """TStream.Seek32(偏移量：int，原点：SeekOrigin) -> int
        Embarcadero Technologies 目前没有任何其他信息。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    def Write(self, Buffer, Count: int) -> 整数：
        """TStream.Write(Buffer, Count: int) -> int
        负责将 Count 个字节从 Buffer 写入流的方法。
        Write 尝试将 Count 个字节从 Buffer 写入流中的当前位置，并返回写入的字节数。
        写入流后，Write 将当前位置前进所写入的字节数。
        Offset 指定要写入的第一个字节在 Buffer 中的从零开始的位置。
        流的所有其他数据写入方法（WriteBuffer、WriteData）均调用 Write 来进行实际写入。
        每个后代流对象都定义一个 Write 方法，用于将数据写入其特定存储介质（例如内存或磁盘文件）。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        Write 尝试将 Count 个字节从 Buffer 写入流中的当前位置，并返回写入的字节数。
        写入流后，Write 将当前位置前进所写入的字节数。
        偏移量指定缓冲区中要写入的第一个字节的从零开始的位置。
        流的所有其他数据写入方法（WriteBuffer、WriteData）均调用 Write 来进行实际写入。
        每个后代流对象都定义一个 Write 方法，用于将数据写入其特定存储介质（例如内存或磁盘文件）。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        Write 尝试将 Count 个字节从 Buffer 写入流中的当前位置，并返回写入的字节数。
        写入流后，Write 将当前位置前进所写入的字节数。
        偏移量指定缓冲区中要写入的第一个字节的从零开始的位置。
        流的所有其他数据写入方法（WriteBuffer、WriteData）均调用 Write 来进行实际写入。
        每个后代流对象都定义了一个 Write 方法，用于将数据写入其特定的存储介质（例如内存或磁盘文件）。"""
    def Write64(self, Buffer: tuple, Offset: int, Count: int) -> 整数：
        """TStream.Write64（缓冲区：元组，偏移量：int，计数：int）-> int
        Embarcadero Technologies 目前没有任何其他信息。"""
    def WriteBuffer(self, Buffer, Count: int) -> None:
        """TStream.WriteBuffer(Buffer, Count: int) -> None
        将 Count 个字节从 Buffer 写入流中。
        WriteBuffer 尝试将 Count 个字节从 Buffer 写入流中的当前位置，然后 WriteBuffer 将当前位置前进 Count 个字节。如果流无法写入所有请求的字节，则会引发 EWriteError 异常。
        偏移量指定缓冲区中要写入的第一个字节的从零开始的位置。
        使用 WriteBuffer 将数据保存到流中。 WriteBuffer 用于已知且需要写入的字节数的情况，例如写入结构时。使用 WriteBuffer 进行标准文件 I/O 流。
        WriteBuffer 在内部用于写入流。它由其他对象（例如字符串和列表）使用，用于写入存储在缓冲区中的字符串。
        WriteBuffer 调用 Write 来处理实际写入。\r
        将 Count 个字节从 Buffer 写入流中。
        WriteBuffer 尝试将 Count 个字节从 Buffer 写入流中的当前位置，然后 WriteBuffer 将当前位置前进 Count 个字节。如果流无法写入所有请求的字节，则会引发 EWriteError 异常。
        偏移量指定缓冲区中要写入的第一个字节的从零开始的位置。
        使用 WriteBuffer 将数据保存到流中。 WriteBuffer 用于已知且需要写入的字节数的情况，例如写入结构时。使用 WriteBuffer 进行标准文件 I/O 流。
        WriteBuffer 在内部用于写入流。它由其他对象（例如字符串和列表）使用，用于写入存储在缓冲区中的字符串。
        WriteBuffer 调用 Write 来处理实际写入。\r
        将 Count 个字节从 Buffer 写入流中。
        WriteBuffer 尝试将 Count 个字节从 Buffer 写入流中的当前位置，然后 WriteBuffer 将当前位置前进 Count 个字节。如果流无法写入所有请求的字节，则会引发 EWriteError 异常。
        偏移量指定缓冲区中要写入的第一个字节的从零开始的位置。
        使用 WriteBuffer 将数据保存到流中。 WriteBuffer 用于已知且需要写入的字节数的情况，例如写入结构时。使用 WriteBuffer 进行标准文件 I/O 流。
        WriteBuffer 在内部用于写入流。它由其他对象（例如字符串和列表）使用，用于写入存储在缓冲区中的字符串。
        WriteBuffer 调用 Write 来处理实际的写入操作。"""
    def WriteBufferData(self, Buffer: int, Count: int) -> None:
        """TStream.WriteBufferData(Buffer: int, Count: int) -> None
        将 Buffer 中最多 4 个四字节或 Count 个字节写入流中。
        WriteBufferData 使用以下算法工作：
        
        如果 Count <= 4，则 WriteBufferData 尝试从当前位置开始将最多 Count 个字节写入流中，并将流中的当前位置前进所传输的字节数。
        如果 Count > 4，则 WriteBufferData 尝试从当前位置开始向流写入最多 4 个四个字节，然后前进流中的当前位置，直到从 WriteBufferData 开始之前的初始位置计算字节数执行。"""
    def WriteBytes(self) -> Any:
        """TPyDelphiStream.WriteBytes()
        将内容写入字节。"""
    def WriteComponent(self, Instance: Component) -> None:
        """TStream.WriteComponent（实例：组件）->无
        启动将组件及其属性写入流。
        WriteComponent 在组件流系统内部使用，但也可以在将组件写入内存流或数据库 blob 时直接调用。
        WriteComponent 构造一个 writer 对象并调用其 WriteRootComponent 方法将 Instance 指定的组件及其拥有的对象写入流。"""
    def WriteComponentRes(self, ResName: str, Instance: Component) -> None:
        """TStream.WriteComponentRes(ResName: str, Instance: Component) -> None
        将组件及其属性从资源文件格式写入流。
        WriteComponentRes 在流系统内部使用，但也可以在向磁盘上的其他应用程序发送数据时直接调用。 WriteComponentRes 用于需要数据的流组件，例如以资源文件格式存储的位图或图标。
        WriteComponentRes 调用 WriteDescendentRes，传入 nil (Delphi) 或 NULL (C++) 作为 Ancestor。因此，WriteDescendentRes 为组件启动流处理的剩余部分，在这种情况下，该组件不是后代。
        要读取使用 WriteComponentRes 编写的组件，请调用 ReadComponentRes 方法。"""
    def WriteData(self, Buffer: tuple, Count: int) -> 整数：
        """TStream.WriteData(Buffer: tuple, Count: int) -> int
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回数字 写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        写数据 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回的数量 写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        写入数据方法 调用 Write 进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回字节数 书面。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 写出他们的实际写作。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。 当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。\r
        负责将 Count 个字节从 Buffer 写入流的方法。
        WriteData 用于写入流的字节数不一定固定的情况。
        WriteData 使用以下算法工作：
        
        当 WriteData 没有 Count 参数时，WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数。
        当WriteData有Count参数时，则：
        如果 Count > SizeOf(Buffer)，则 WriteData 尝试写入 SizeOf(Buffer) 字节数。 WriteData 将流中的当前位置前进 Count 字节数。
        如果 Count <= SizeOf(Buffer)，则 WriteData 尝试向流写入最多 Count 个字节，然后将流中的当前位置前进所传输的字节数。 WriteData 返回写入的字节数，该数可能小于 Count。
        WriteData 方法调用 Write 来进行实际写入。"""
    def WriteDescendent(self, Instance: Component, Ancestor: Component) -> None:
        """TStream.WriteDescentent（实例：组件，祖先：组件）->无
        以继承形式流式传输组件及其属性。
        不要直接调用 WriteDescentent。 WriteDescendent 由 WriteComponent 自动调用。
        WriteDescent 构造一个 writer 对象，然后调用 writer 对象的 WriteDescentent 方法将 Instance 中传递的组件写入流中。 Instance 可以是从 Ancestor 派生的继承形式，也可以是 nil (Delphi) 或 NULL (C++)。但是，WriteDescentent 永远不会用于写入拥有的组件，而仅用于在根组件上启动流式传输。"""
    def WriteDescendentRes(self, ResName: str, Instance: Component, Ancestor: Component) -> None:
        """TStream.WriteDescententRes(ResName: str, Instance: Component, Ancestor: Component) -> None
        以继承形式流式传输组件及其属性。
        不要直接调用 WriteDescentRes。 WriteDescentRes 由 WriteComponentRes 自动调用。
        WriteDescentRes 将资源文件头写入流，使用 ResName 中传递的资源名称作为资源名称。然后，它调用 WriteDescendent 将 Instance 作为 Ancestor 的后代写入流中。"""
    def WriteFloat(self) -> Any:
        """TPyDelphiStream.WriteFloat()
        将内容写入浮动。"""
    def WriteInt(self) -> Any:
        """TPyDelphiStream.WriteInt()
将内容写入整数。"""
    def WriteResourceHeader(self, ResName: str, FixupInfo: int) -> None:
        """TStream.WriteResourceHeader(ResName: str, FixupInfo: int) -> None
        将资源文件头写入流。
        不调用WriteResourceHeader；它在内部使用。 WriteDescentRes 方法在将组件写入流之前调用 WriteResourceHeader。此方法使用作为资源名称的 ResName 传递的值来写入资源文件标头。它返回 FixupInfo 中的一个位置，在知道资源大小后必须使用该位置来调整标头。 WriteDescentRes 调用 FixupResourceHeader，并在流出组件后返回作为 FixupInfo 的值。"""
    def WriteString(self) -> Any:
        """TPyDelphiStream.WriteString()
        将内容写入字符串。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class StringGrid(DrawGrid):
    """TStringGrid 代表一个网格控件，旨在简化字符串和关联对象的处理。
    将 TStringGrid 对象添加到表单中以表格格式呈现文本数据。 TStringGrid 提供了许多属性来控制网格的外观，以及利用网格的表格组织来响应用户操作的事件和方法。
    TStringGrid 引入了将对象与网格中的每个字符串关联起来的能力。这些对象可以封装由呈现给用户的字符串表示的任何信息或行为。
    对于 TStringGrid，DrawingStyle 属性控制当前设置是否对 FixColor、GradientStartColor 和 GradientEndColor 产生任何影响：
    
    除非您还将 DrawingStyle 设置为 gdsClassic，否则设置 FixColor 不会产生任何效果。
    除非将 DrawingStyle 的值设置为 gdsGradient，否则设置 GradientStartColor 和 GradientEndColor 不会产生任何效果。
    注意：如果要在网格中显示的字符串表示数据集中记录的字段值，请改用 TDBGrid。
    注意：要显示字符串和关联的对象或控件，请改用 TDrawGrid。 。"""
    __hash__: ClassVar[None] = ...
    帆布： Any
    """指定为控件呈现绘图表面的 TCanvas 对象。"""
    Cells: str
    """字符串："""
    Col: Any
    """指定包含选定单元格的列的索引。"""
    ColWidths: Any
    """指定网格的列宽"""
    Cols: Strings
    """字符串："""
    EditorMode: Any
    """确定当前单元格是否可以编辑。"""
    GridHeight: Any
    """指定网格的高度（以像素为单位）。"""
    GridWidth: Any
    """指定网格的宽度（以像素为单位）。"""
    LeftCol: Any
    """指定网格中第一个可见的可滚动列的索引。"""
    Objects: Object
    """目的："""
    Row: Any
    """指定包含所选单元格的行的索引。"""
    RowHeights: Any
    """指定网格的行高"""
    Rows: Strings
    """字符串："""
    Selection: Any
    """指示当前选择的边界。"""
    TopRow: Any
    """指定网格中第一个可见的可滚动行的索引。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, AOwner: Component) -> None:
        """TStringGrid.Create(AOwner: Component) -> 无
        创建 TStringGrid 的实例。
        调用 Create 在运行时创建 TStringGrid 的实例。对于设计时放置在表单上的字符串网格，会自动调用 Create。
        AOwner 是另一个组件，通常是一个表单，它成为网格的所有者。所有者负责释放网格。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TStringGrid 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证字符串 grid 不为零，然后才调用 Destroy。
        Destroy 释放用于管理字符串数组及其关联对象的辅助对象。"""
    def GetCell(self, col, row) -> Any:
        """TStringGrid.GetCell（列，行）
        返回单元格的内容"""
    def SetCell(self, col, row, value) -> Any:
        """TStringGrid.SetCell(列、行、值)
        设置单元格的内容"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class StringStream(BytesStream):
    """TStringStream 提供对存储为长字符串的信息的类似文件的访问。
    使用 TStringStream 将数据存储为通过 I/O 功能增强的长字符串。 TStringStream 作为中间对象非常有用，它可以保存文本以及从另一个存储介质读取文本或将其写入到另一个存储介质。 TStringStream 提供了一种处理从不易访问的介质获取的文本的机制。"""
    __hash__: ClassVar[None] = ...
    ClassName: Any
    """返回 TObject.ClassName"""
    DataString: str
    """str：提供对存储 TStringStream 对象表示的文本的字符串的直接访问。
        使用 DataString 来访问流的文本。文本表示通过字符串流传输的信息。 Size 是字符串中的字节数，Position 是 DataString 中的当前位置。
        
        注意：DataString 是只读属性。 DataString 可用于更改字符串的内容，但应用程序无法更改DataString 本身。"""
    Encoding: Encoding
    """Encoding：表示TStringStream实例内部用于存储数据的编码。
        Encoding 表示用于从给定字符串获取相应字节数组，或从包含的字节数组获取相应字符串的编码。 （字符串流包含字节数组。）
        流字符串的编码在构造函数中设置（您可以指定要使用的编码）。"""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Create(self, *args, **kwargs) -> Any:
        """创建 TStringStream 的实例。
        调用Create实例化一个TStringStream对象。 Create 将 DataString 属性初始化为 AString 参数。\r
        创建 TStringStream 的实例。
        调用Create实例化一个TStringStream对象。 Create 将 DataString 属性初始化为 AString 参数。\r
        创建 TStringStream 的实例。
        调用Create实例化一个TStringStream对象。 Create 将 DataString 属性初始化为 AString 参数。\r
        创建 TStringStream 的实例。
        调用Create实例化一个TStringStream对象。 Create 将 DataString 属性初始化为 AString 参数。\r
        创建 TStringStream 的实例。
        调用Create实例化一个TStringStream对象。 Create 将 DataString 属性初始化为 AString 参数。\r
        创建 TStringStream 的实例。
        调用Create实例化一个TStringStream对象。 Create 将 DataString 属性初始化为 AString 参数。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """Destroys an instance of TMemoryStream.
        System.Classes.TStringStream.Destroy inherits from System.Classes.TMemoryStream.Destroy. All content below this line refers to System.Classes.TMemoryStream.Destroy.
        销毁 TMemoryStream 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TMemoryStream 引用不为 nil，然后才调用 Destroy。
        当不再需要存储或写入数据时销毁 TMemoryStream 对象。 Destroy 在调用继承的析构函数之前调用 Clear 来释放内存缓冲区。"""
    def Free(self) -> Any:
        """TObject.Free()
        释放包装的 Delphi 对象"""
    def InheritsFrom(self, ClassName) -> Any:
        """TObject.InheritsFrom(类名)
        如果 Delphi 对象是 ClassName 或继承自 ClassName，则返回 True"""
    def ReadBytes(self) -> Any:
        """TPyDelphiStream.ReadBytes()
        以字节形式读取内容。"""
    def ReadFloat(self) -> Any:
        """TPyDelphiStream.ReadFloat()
        将内容读取为浮动。"""
    def ReadInt(self) -> Any:
        """TPyDelphiStream.ReadInt()
        将内容读取为整数。"""
    def ReadString(self) -> Any:
        """TPyDelphiStream.ReadString()
        将内容读取为字符串。"""
    def SetProps(self, prop1 = ..., prop2 = ...) -> Any:
        """TObject.SetProps(prop1=val1, prop2=val2...)
        在一次调用中设置多个属性"""
    def ToList(self) -> Any:
        """TStrings.ToList()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 列表对象返回。"""
    def ToTuple(self) -> Any:
        """TStrings.ToTuple()
        如果该对象是容器（TStrings、TComponent...），则它将序列的内容作为 Python 元组对象返回。"""
    def WriteBytes(self) -> Any:
        """TPyDelphiStream.WriteBytes()
        将内容写入字节。"""
    def WriteFloat(self) -> Any:
        """TPyDelphiStream.WriteFloat()
        将内容写入浮动。"""
    def WriteInt(self) -> Any:
        """TPyDelphiStream.WriteInt()
将内容写入整数。"""
    def WriteString(self) -> Any:
        """TPyDelphiStream.WriteString()
        将内容写入字符串。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __dir__(self) -> Any:
        """返回此实例的所有方法、字段和属性的列表。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Strings(Persistent):
    """TStrings 是用于表示字符串列表的对象的基类。
从 TStrings 派生一个类来存储和操作字符串列表。TStrings 包含抽象方法，或者用 C++ 术语来说，是纯虚拟方法，不应直接实例化。
TStrings 的后代可以表示多个单独的字符串，例如列表框中显示的各个行。某些对象使用 TStrings 的后代来表示一个较长的文本主体，以便可以将其分成较小的块进行操作。
TStrings 引入了许多属性和方法，用于：

在列表中的指定位置添加或删除字符串。
重新排列列表中的字符串。
访问特定位置的字符串。
从文件或流中读取字符串或将字符串写入文件或流。
将对象与列表中的每个字符串关联。
以名称-值对的形式存储和检索字符串。
有关名称-值对的说明，请参阅 NameValueSeparator 属性。"""
    __hash__: ClassVar[None] = ...
    Capacity: Any
    """指示 TStrings 对象可以容纳的字符串数量。"""
    CommaText: str
    '''字符串： Lists the strings in the TStrings object in a single comma-delimited string.
        Use CommaText to get or set all the strings in the TStrings object in a single comma-delimited string. The single comma-delimited string format is also known as the system data format (SDF).
        When retrieving CommaText, any string in the list that include spaces, commas or double quotes will be contained in double quotes, and any double quotes in a string will be repeated. For example, if the list contains the following strings:
        
        Stri,ng1
        Stri"ng2
        String 3
        String4
        
        CommaText will return: 
        
        "Stri,ng1","Stri""ng2","String 3",String4
        
        When assigning CommaText, the value is parsed as SDF formatted text. For SDF format, strings are separated by commas or spaces, and optionally enclosed in double quotes. Double quote marks that are part of the string are repeated to distinguish them from the quotes that surround the string. Spaces and commas that are not contained within double quote marks are delimiters. Two commas next to each other will indicate an empty string, but spaces that appear next to another delimiter are ignored. For example, suppose CommaText is set to:
        
        "Stri,ng 1","Stri""ng 2",String 3,String4
        
        The list will then contain:
        
        Stri,ng 1
        Stri"ng 2
        String
        3
        String4
        
        Note: CommaText is the same as the DelimitedText property with a delimiter of \',\' and a quote character of \'"\'.
        Including a trailing comma in the source string causes a blank item to be included in the string list. For example, if CommaText is set to
        
        "String1,String2,String3, "
        
        the string list will contain
        
        String1
        String2
        String3
        <Blank>'''
    Count: int
    """整数： Introduces an abstract property to represent the number of strings in the list.
        Descendants of TStrings implement a Count property to indicate the number of strings in the list.
        Use the Count property when iterating over all the strings in the list, or when trying to locate the position of a string relative to the last string in the list."""
    DefaultEncoding: Encoding
    """编码：当前对象的默认编码。
当在对 LoadFromStream 或 SaveToStream 的调用中指定了 nil 编码时，将使用 DefaultEncoding。
默认情况下，DefaultEncoding 设置为 Default。如果 LoadFromStream 或 SaveToStream 需要其他默认编码，用户可以更改 DefaultEncoding。"""
    DelimitedText: str
    '''字符串： Represents all the strings in the TStrings object as a single delimited string.
        Use DelimitedText to get or set all the strings in the TStrings object in a single string, separated by the character specified by the Delimiter property. 
        When retrieving DelimitedText, any string in the list that includes spaces or the delimiter and quotation marks characters specified in the Delimiter and QuoteChar properties will be surrounded (before and after) by the quotation mark character (QuoteChar). In addition, any QuoteChar character contained in an individual string will be repeated. 
        When retrieving DelimitedText, the resulting value delimits individual strings in two ways: each string is surrounded (before and after) by the quotation marks character specified by the QuoteChar property. In addition, individual strings are separated by the character specified by the Delimiter property. 
        When assigning DelimitedText, individual strings must be separated using Delimiter marks, and optionally enclosed in QuoteChar characters. 
        When assigning DelimitedText, the value is parsed as SDF formatted text. For SDF format, strings are separated by Delimiter characters or spaces, and optionally enclosed in QuoteChar characters. QuoteChar marks that are part of the string are repeated to distinguish them from the QuoteChar characters that surround the string. Spaces and Delimiter characters that are not contained within QuoteChar marks are delimiters. Two Delimiter characters next to each other will indicate an empty string, but spaces that appear next to another Delimiter character are ignored. 
        If StrictDelimiter is set to False, the space character is also interpreted as a delimiter, regardless of the value of Delimiter. This is not true when the space character occurs between quotation marks. 
        
        Note: CommaText is the same as the DelimitedText property when Delimiter is \',\' and QuoteChar is \'"\'. Including a trailing Delimiter in the source string causes a blank item to be included in the string list.'''
    Delimiter: Any
    """unicodechr(str)：指定 DelimitedText 属性使用的分隔符。
        使用 Delimiter 获取或设置 DelimitedText 属性使用的分隔符。 DelimitedText 将 TStrings 对象中的所有字符串表示为单个字符串，各个字符串由 Delimiter 值的字符分隔。
        默认分隔符由逗号 (,) 表示。"""
    Encoding: Encoding
    """编码：从流或文件读取期间确定的字符编码。
        Encoding 是一个只读属性，包含调用 LoadFromStream 或 LoadFromFile 方法时检测到的字符编码的值。如果文件或流不包含 BOM（无法检测到编码值），则 Encoding 将设置为 DefaultEncoding 属性中指定的值。
        SaveToStream 和 SaveToFile 方法中使用了编码。"""
    KeyNames: str
    """字符串："""
    LineBreak: str
    """str：定义换行符。
        LineBreak 属性在 TStrings 内部使用来设置字符串终止符。设置或读取 LineBreak 属性以确定多字符串输出操作中的字符串终止符。
        例如，GetText 方法返回一个包含所有 TStrings 字符串的长字符串，每个字符串均以 LineBreak 值终止。
        
        注意：在 Windows 上，默认的 LineBreak 值是回车符和换行符的组合 (#13#10)，而在 Android、Linux、macOS 和 iOS 上，它只是换行符 (#10)。"""
    NameValueSeparator: Any
    """unicodechr(str)：表示用于分隔名称和值的字符。
        包含 NameValueSeparator 字符的字符串被视为名称-值对。 NameValueSeparator 默认为等号 (=)。 TStrings 定义了用于访问名称和值以及搜索特定名称的各种方法。
        作为名称-值对的字符串由名称部分、分隔符和值部分组成。分隔符周围的任何空格都是名称或值的一部分。此约定对应于许多初始化文件中使用的格式。例如：
        
        显示网格=1
        对齐网格=1
        网格大小X=8
        网格大小Y=8"""
    Names: str
    """字符串："""
    Objects: Any
    """表示与 Strings 属性中的每个字符串关联的一组对象。"""
    Options: StringsOptions
    """StringsOptions：控制 TString 的一组布尔属性。
        使用选项指定字符串列表的以下布尔属性的值：
        
        
        
        选项
        
        财产
        
        
        严格分隔符
        
        严格分隔符
        
        
        所以写BOM
        
        写入BOM
        
        
        so尾随换行符
        
        尾随换行符
        
        
        所以使用语言环境
        
        使用语言环境"""
    QuoteChar: Any
    """unicodechr(str)：指定 DelimitedText 属性使用的引号字符。
        使用 QuoteChar 获取或设置用于将各个字符串括在 DelimitedText 属性中的引号字符。
        当 QuoteChar 设置为空字符时，DelimitedText 执行以下操作：
        
        阅读时，不返回引用的列表项。
        分配时，不检查引用字符的分配值。
        也就是说，您可以将 QuoteChar 设置为空字符以禁用 DelimitedText 中的引用。要将 QuoteChar 设置为空字符，请执行以下操作：
        
        
        德尔福：
        
        MyStringList.QuoteChar := #0;
        
        
        
        C++：
        
        MyStringList->QuoteChar = '\\0';"""
    StrictDelimiter: bool
    """bool：确定如何使用 Delimiter 属性。
        如果 StrictDelimiter 为 True，则 DelimitedText 中的各个字符串仅由 Delimiter 分隔或在 QuoteChar 之间引用。如果 StrictDelimiter 为 False，则空格和不可打印字符也用作分隔符。
        
        提示：如果您不希望提取带引号的字符串，就好像它们被分隔符包围一样，您可以将 QuoteChar 设置为空字符（Delphi 中的 #0，C++ 中的 '\\0'）。"""
    字符串： str
    """字符串："""
    StringsAdapter: IStringsAdapter
    """IStringsAdapter：为 TStrings 对象实现 IStringsAdapter 接口。
        
        StringsAdapter 在 OLE 应用程序中使用时指定附加的 TStringsAdapter。
        
        注意：要创建 StringsAdapter，您可以使用 GetOleStrings 和 SetOleStrings，而不是创建 TStringsAdapter 的实例。 StringsAdapter 在 OLE 应用程序内部使用。"""
    Text: Any
    """将 TStrings 对象中的字符串列为单个字符串，各个字符串由回车符和换行符分隔。"""
    TrailingLineBreak: bool
    """布尔： Determines whether to add a line Break after the last line of the Text property or not.
        Use TrailingLineBreak to add a finishing line break to Text. Set TrailingLineBreak to True to add a  line Break after the last line of Text. Set TrailingLineBreak to False to finish Text without a  line Break. Default is True."""
    Updating: bool
    """bool：指示字符串列表是否正在更新。"""
    UseLocale: bool
    """bool：确定字符串列表必须用于字符串比较的实现。
        将 UseLocale 设置为 True 以使用 AnsiCompareStr 和 AnsiCompareText 来比较字符串。
        将 UseLocale 设置为 False 以使用 CompareStr 和 CompareText。默认为 True。"""
    ValueFromIndex: str
    """字符串："""
    Values: str
    """字符串："""
    WriteBOM: bool
    """布尔： Will cause SaveToStream and SaveToFile to write a BOM.
        Set WriteBOM to True to cause SaveToStream to write a BOM (byte-order mark) to the stream and to cause SaveToFile to write a BOM to the file."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Add(self, s) -> Any:
        """TStrings.Add(s)
        将字符串添加到 TStrings 对象并返回索引位置"""
    def AddObject(self, s, delphiobject) -> Any:
        """TStrings.AddObject(s, delphiobject)
        将字符串和关联的 Delphi 对象添加到字符串并返回索引位置"""
    def AddPair(self, Name: str, Value: str) -> 字符串：
        """TStrings.AddPair(名称：str，值：str) -> 字符串
        使用流式编码将名称-值对添加到字符串列表中。
        AddPair 使用当前的 NameValueSeparator 添加名称-值对。您还可以使用 AddPair 添加名称-值对和相应的 AObject。
        TStrings 返回对字符串列表的引用，允许使用流式编码填充列表。\r
        使用流式编码将名称-值对添加到字符串列表中。
        AddPair 使用当前的 NameValueSeparator 添加名称-值对。您还可以使用 AddPair 添加名称-值对和相应的 AObject。
        TStrings 返回对字符串列表的引用，允许使用流式编码填充列表。"""
    def AddStrings(self, 字符串： Strings) -> None:
        """TStrings.AddStrings(字符串： Strings) -> None
        Adds the specified strings (and objects) to the current TStrings object.
        AddStrings, with the Strings parameter of the TStrings type, appends strings and associated objects from the Strings object at the end of the string list in the current TStrings object.
        AddStrings with the Strings parameter representing the array of strings, appends strings from Strings array at the end of the string list in the current TStrings object.
        AddStrings, with two parameters, appends strings from Strings array at the end of the string list in the current TStrings object and associates references to objects from Objects with their strings (having the same numbers in Strings and Objects arrays).
        If the number of strings in Strings is not equal to the number of objects in Objects, then an exception is raised.\r
        Adds the specified strings (and objects) to the current TStrings object.
        AddStrings, with the Strings parameter of the TStrings type, appends strings and associated objects from the Strings object at the end of the string list in the current TStrings object.
        AddStrings with the Strings parameter representing the array of strings, appends strings from Strings array at the end of the string list in the current TStrings object.
        AddStrings, with two parameters, appends strings from Strings array at the end of the string list in the current TStrings object and associates references to objects from Objects with their strings (having the same numbers in Strings and Objects arrays).
        If the number of strings in Strings is not equal to the number of objects in Objects, then an exception is raised.\r
        Adds the specified strings (and objects) to the current TStrings object.
        AddStrings, with the Strings parameter of the TStrings type, appends strings and associated objects from the Strings object at the end of the string list in the current TStrings object.
        AddStrings with the Strings parameter representing the array of strings, appends strings from Strings array at the end of the string list in the current TStrings object.
        AddStrings, with two parameters, appends strings from Strings array at the end of the string list in the current TStrings object and associates references to objects from Objects with their strings (having the same numbers in Strings and Objects arrays).
        If the number of strings in Strings is not equal to the number of objects in Objects, then an exception is raised."""
    def Append(self, S: str) -> None:
        """TStrings.Append(S: str) -> 无
        将字符串添加到列表中。
        Append 与 Add 方法相同，只是它不返回值。当添加字符串后不需要知道字符串的索引，或者返回的索引没有意义的 TString 的后代时，请使用 Append。
        例如，备忘录对象使用的 TStrings 后代使用索引来确定在何处插入字符串，但插入的字符串不一定最终作为列表中的单个字符串。插入的文本的一部分可能会成为前一个字符串的一部分，并且一部分可能会被分解成后续的字符串。在这种情况下，Add 返回的索引没有意义。
        使用 Append 而不是 Add 作为需要 TGetStrProc 的函数的参数。"""
    def Assign(self, Source: Persistent) -> None:
        """TStrings.Assign（来源：持久）-> 无
        从 Source 对象设置 Strings 数组中的字符串、可能关联的对象以及当前 TStrings 对象的一些其他属性。
        使用Assign 从Source 对象设置TStrings 对象的属性。如果 Source 是 TStrings 类型，Assign 会复制以下属性：
        
        弦乐
        对象
        默认编码
        编码
        越线
        分隔符
        引用字符
        名称值分隔符
        选项
        如果Source不是TStrings类型，继承的Assign将在其AssignTo方法中设置来自任何支持TStrings的对象的字符串数组的值。"""
    def BeginUpdate(self) -> Any:
        """TStrings.BeginUpdate()
        使 TStrings 对象能够跟踪字符串列表何时发生更改。"""
    def Clear(self) -> Any:
        """TStrings.Clear()
        清除 TStrings 中的所有字符串（以及关联的对象"""
    def Create(self, *args, **kwargs) -> Any:
        """创建 TStrings 对象的实例。
        不要直接调用 TStrings 的 Create 方法。 TStrings 是一个抽象类，其构造函数只能作为派生类构造函数的继承方法进行调用。"""
    def Delete(self, i) -> Any:
        """TStrings.Delete(i)
        删除索引 i 处的字符串（以及关联的对象"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TStrings 实例并释放其内存。
        不要直接调用 Destroy。请拨打免费电话。在调用 Destroy 之前，Free 检查对象引用是否不为 nil。"""
    def EndUpdate(self) -> Any:
        """TStrings.EndUpdate()
        使 TStrings 对象能够跟踪字符串列表何时完成更改。"""
    def Equals(self, 字符串： Strings) -> 布尔：
        """TStrings.Equals(字符串： Strings) -> bool
        Compares the list of strings to the list from another TStrings object and returns true if the two lists match.
        Call Equals to compare the lists in two TStrings objects. Equals compares only the strings, not any references to associated objects. Equals returns true if the lists for both TStrings objects have the same number of strings and the strings in each list match. Equals returns false if the lists are different in length, if they contain different strings, or if the order of the strings in the two lists differ.
        
        Note:  The Equals method uses an overridden Get method to perform the compare, thus it does not provide a context-insensitive option."""
    def Exchange(self, Index1: int, Index2: int) -> None:
        """TStrings.Exchange(Index1: int, Index2: int) -> None
        交换列表中两个字符串的位置。
        调用 Exchange 重新排列列表中的字符串。这些字符串由 Index1 和 Index2 参数中的索引值指定。索引从零开始，因此列表中的第一个字符串的索引值为 0，第二个字符串的索引值为 1，依此类推。
        如果任一字符串具有关联对象，Exchange 也会更改该对象的位置。"""
    def Get(self, Index: int) -> 字符串：
        """TStrings.Get(索引：int) -> str
        返回给定索引的字符串。
        Get 是 Strings 属性的受保护读取实现。
        在 TStrings 中，Get 是抽象的，或者用 C++ 术语来说，是纯虚拟的，这意味着它没有实现。后代类必须重写此方法以返回具有指定索引的字符串。"""
    def GetEnumerator(self, *args, **kwargs) -> Any:
        """返回 TStrings 枚举器。
        GetEnumerator 返回 TStringsEnumerator 引用，该引用枚举 TStrings 对象中的字符串。
        要处理所有这些字符串，请在 While MoveNext do 循环中调用 TStringsEnumerator GetCurrent 方法。"""
    def GetObject(self, Index: int) -> 目的：
        """TStrings.GetObject(索引: int) -> 对象
        返回与指定索引处的字符串关联的对象。
        GetObject 是 Objects 属性的受保护读取实现。
        Index 是与对象关联的字符串的索引。
        在 TStrings 中，GetObject 始终返回 nil (Delphi) 或 NULL (C++)。这为不支持将对象与列表中的字符串关联的后代提供了默认实现。支持此功能的后代重写 GetObject 以返回指定的对象。"""
    def GetText(self, *args, **kwargs) -> Any:
        """分配文本缓冲区并用 Text 属性的值填充它。
        调用 GetText 获取动态分配的字符缓冲区，其中包含列表中的所有字符串。各个字符串在 OS X 操作系统上由回车符 (#13) 分隔，在 Windows 操作系统上由回车符和换行符 (#13#10) 分隔。调用者负责使用 StrDispose 过程释放返回值。"""
    def IndexOf(self, s) -> Any:
        """TStrings.IndexOf(s)
        返回字符串 s 的索引，如果未找到则返回 -1"""
    def IndexOfName(self, Name: str) -> 整数：
        """TStrings.IndexOfName(Name: str) -> int
返回具有指定名称的第一个名称-值对的位置。
调用 IndexOfName 查找名称部分等于 Name 参数或仅大小写不同的名称-值对的第一个出现位置。IndexOfName 返回字符串的基于 0 的索引。如果列表中没有字符串具有指示的名称，则 IndexOfName 返回 -1。

注意：如果有多个名称-值对的名称部分与 Name 参数匹配，则 IndexOfName 返回第一个这样的字符串的位置。"""
    def IndexOfObject(self, A目的： Object) -> 整数：
        """TStrings.IndexOfObject(A目的： Object) -> int
        返回列表中与给定对象关联的第一个字符串的索引。
        调用 IndexOfObject 来定位与对象 AObject 关联的列表中的第一个字符串。将要定位的对象指定为 AObject 参数的值。 IndexOfObject 返回字符串和对象的从 0 开始的索引。如果该对象不与任何字符串关联，则 IndexOfObject 返回 -1。"""
    def Insert(self, Index: int, S: str) -> None:
        """TStrings.Insert(Index: int, S: str) -> None
        引入抽象（Delphi）或纯虚（C++）方法在指定位置插入字符串。
        TStrings 的后代实现了 Insert 方法，将字符串 S 添加到列表中 Index 指定的位置。如果 Index 为 0，则将字符串插入到列表的开头。如果 Index 为 1，则将该字符串放在列表的第二个位置，依此类推。
        所有将字符串添加到列表的方法都使用 Insert 方法来添加字符串。
        如果字符串有关联对象，请改用 InsertObject 方法。"""
    def InsertObject(self, Index: int, S: str, A目的： Object) -> None:
        """TStrings.InsertObject(Index: int, S: str, A目的： Object) -> None
        将字符串插入到列表中的指定位置，并将其与对象关联。
        调用InsertObject将字符串S插入列表中Index标识的位置，并将其与对象AObject关联起来。如果 Index 为 0，则将字符串插入到列表的开头。如果 Index 为 1，则将该字符串放在列表的第二个位置，依此类推。"""
    def LoadFromFile(self, filename) -> Any:
        """TStrings.LoadFromFile(文件名)
        用指定文件中的文本行填充列表。"""
    def LoadFromStream(self, Stream: Stream) -> None:
        """TStrings.LoadFromStream(Stream: Stream) -> 无
        用从流中读取的文本行填充列表。
        LoadFromStream 从 Stream 指定的流中填充 TStrings 对象的字符串列表。从流中读取的文本被解析为在 Windows 操作系统上由回车符和换行符 (#13#10) 字符分隔的字符串，在 macOS 操作系统上由回车符 (#13) 字符分隔。因此，LoadFromStream 读取 Text 属性的值。
        如果未给出 Encoding 参数，则使用适当的编码加载字符串。编码的值是通过调用 TEncoding 类的 GetBufferEncoding 例程获得的。然后，LoadFromStream 将编码值保存在 Encoding 属性中，以便在保存流时使用。
        如果流是文件流，则 LoadFromStream 执行与 LoadFromFile 相同的操作，只不过 LoadFromFile 创建和销毁文件流。\r
        用从流中读取的文本行填充列表。
        LoadFromStream 从 Stream 指定的流中填充 TStrings 对象的字符串列表。从流中读取的文本被解析为在 Windows 操作系统上由回车符和换行符 (#13#10) 字符分隔的字符串，在 macOS 操作系统上由回车符 (#13) 字符分隔。因此，LoadFromStream 读取 Text 属性的值。
        如果未给出 Encoding 参数，则使用适当的编码加载字符串。编码的值是通过调用 TEncoding 类的 GetBufferEncoding 例程获得的。然后，LoadFromStream 将编码值保存在 Encoding 属性中，以便在保存流时使用。
        如果流是文件流，则 LoadFromStream 执行与 LoadFromFile 相同的操作，只不过 LoadFromFile 创建和销毁文件流。"""
    def Move(self, CurIndex: int, NewIndex: int) -> None:
        """TStrings.Move(CurIndex: int, NewIndex: int) -> None
        更改字符串在列表中的位置。
        使用 Move 将字符串移动到 CurIndex 位置，使其占据 NewIndex 位置。这些位置被指定为从 0 开始的索引。例如，以下代码行将第一个位置的字符串移动到最后一个位置：
        对于德尔福：
        
        MyStringsObject.Move(0, MyStringsObject.Count - 1);
        
        对于 C++：
        
        MyStringsObject->移动(0, MyStringsObject->Count - 1);
        
        如果该字符串具有关联对象，则该对象在其新位置仍与该字符串关联。"""
    def Put(self, Index: int, S: str) -> None:
        """TStrings.Put(Index: int, S: str) -> None
        更改具有指定索引的字符串的值。
        Put 是 Strings 属性的受保护写入实现。
        Put 将 Index 指定索引的字符串的值更改为 S。Put 不会更改指定位置的对象。也就是说，与先前字符串关联的任何对象都将与新字符串关联。"""
    def PutObject(self, Index: int, A目的： Object) -> None:
        """TStrings.PutObject(Index: int, A目的： Object) -> None
        更改与指定索引处的字符串关联的对象。
        PutObject 是 Objects 属性的受保护写入实现。
        正如在 TStrings 中实现的那样，PutObject 不执行任何操作。这为不支持将对象与列表中的字符串关联的后代提供了默认实现。支持此功能的后代重写 PutObject 以更改指定的对象。"""
    def SaveToFile(self, filename) -> Any:
        """TStrings.SaveToFile(文件名)
        将列表中的字符串保存到指定文件中。"""
    def SaveToStream(self, Stream: Stream) -> None:
        """TStrings.SaveToStream(Stream: Stream) -> 无
        将 Text 属性的值写入 Stream 流。
        SaveToStream 从当前 TStrings 对象中获取所有字符串，并将它们组合成包含这些由 LineBreak 序列分隔的字符串的单个字符串。然后 SaveToStream 使用指定的 Encoding 对该字符串进行编码。然后SaveToStream将编码后的字符串写入指定的Stream流中。
        如果 WriteBOM 为 True，则 SaveToStream 首先获取指定 Encoding 或 DefaultEncoding（如果 Encoding = nil）的前导码，并将前导码字节写入主字符串之前的流中。
        如果未给出 Encoding 参数，则使用 E​​ncoding 属性中指定的编码保存字符串。
        
        注意：在 Windows 上，默认的 LineBreak 值是回车符和换行符的组合 (#13#10)，而在 macOS 上，它只是换行符 (#10)。
        注意：如果 TrailingLineBreak 为 True，则 SaveToStream 会在最后一个字符串之后写入结束换行符 LineBreak。
        如果流是文件流，则 SaveToStream 执行与 SaveToFile 相同的操作，不同之处在于 SaveToFile 创建和销毁文件流。\r
        将 Text 属性的值写入 Stream 流。
        SaveToStream 从当前 TStrings 对象中获取所有字符串，并将它们组合成包含这些由 LineBreak 序列分隔的字符串的单个字符串。然后 SaveToStream 使用指定的 Encoding 对该字符串进行编码。然后SaveToStream将编码后的字符串写入指定的Stream流中。
        如果 WriteBOM 为 True，则 SaveToStream 首先获取指定 Encoding 或 DefaultEncoding（如果 Encoding = nil）的前导码，并将前导码字节写入主字符串之前的流中。
        如果未给出 Encoding 参数，则使用 E​​ncoding 属性中指定的编码保存字符串。
        
        注意：在 Windows 上，默认的 LineBreak 值是回车符和换行符的组合 (#13#10)，而在 macOS 上，它只是换行符 (#10)。
        注意：如果 TrailingLineBreak 为 True，则 SaveToStream 会在最后一个字符串之后写入结束换行符 LineBreak。
        如果流是文件流，则 SaveToStream 执行与 SaveToFile 相同的操作，只不过 SaveToFile 创建和销毁文件流。"""
    def SetStrings(self, Source: Strings) -> None:
        """TStrings.SetStrings(来源：字符串) -> 无
        将另一个 TStrings 对象中的字符串设置到字符串列表。
        使用 SetStrings 从另一个 TStrings 对象（Source）分配 TStrings 对象的值。
        
        注意：SetStrings 与Assign 类似，但Assign 还复制多个附加属性。"""
    def SetText(self, Text: PWideChar) -> None:
        """TStrings.SetText(文本: PWideChar) -> 无
        设置文本属性。
        调用 SetText 将列表替换为 Text 参数指定的字符串。 SetText 一次将一个字符串添加到列表中，使用 Text 中的回车符或换行符作为分隔符，指示何时添加新字符串。"""
    def ToObjectArray(self, *args, **kwargs) -> Any:
        """返回与字符串关联的 TObject 数组。
         
        使用ToObjectArray 获取与Strings 关联的TObject 数组。
        
        注意：TStrings是一个抽象类，该方法没有任何作用。后代类可以将对象与字符串关联起来。
        注意：TStrings 对象不拥有 Objects 数组中的对象。即使 TStrings 对象被销毁，添加到 Objects 数组中的对象仍然存在。它们必须由应用程序显式销毁。"""
    def ToStringArray(self, *args, **kwargs) -> Any:
        """将 TStrings 后代转换为字符串数组。
         
        使用 ToStringArray 获取列表中每个字符串的字符串数组。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __delitem__(self, other) -> Any:
        """删除自身[key]。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""
    def __setitem__(self, index, object) -> None:
        """将 self[key] 设置为值。"""

class StyleInfo:
    """Delphi TStyleInfo 类型的包装器"""
    __hash__: ClassVar[None] = ...
    Author: Any
    """提供对样式信息作者的访问"""
    AuthorEMail: Any
    """提供对样式信息的作者电子邮件的访问"""
    AuthorUrl: Any
    """提供对样式信息的作者 URL 的访问"""
    Name: Any
    """提供对样式信息名称的访问"""
    Version: Any
    """提供对样式信息版本的访问"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class StyleManager(Object):
    """处理与样式相关的操作。
    使用 TStyleManager 可以：
    
    注册和取消注册样式类。
    设置活动样式。
    从文件或资源加载样式。
    检索样式及其描述符。
    替换并检索样式引擎。"""
    __hash__: ClassVar[None] = ...
    ActiveStyle: Any
    """返回当前样式。"""
    DesignerStyle: CustomStyleServices
    """定制风格服务："""
    Style: CustomStyleServices
    """定制风格服务："""
    StyleDescriptor: StyleManager.TStyleClassDescriptor
    """StyleManager.TStyleClassDescriptor："""
    StyleNames: Any
    """提供对 VCL 样式名称的访问。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    @classmethod
    def CheckSysClassName(cls, AClassName: str) -> 布尔：
        """TStyleManager.CheckSysClassName(AClassName: str) -> bool
        Embarcadero Technologies 目前没有任何其他信息。"""
    @classmethod
    def GetStyle(cls, Name: str) -> 定制风格服务：
        """TStyleManager.GetStyle(名称: str) -> CustomStyleServices
        Embarcadero Technologies 目前没有任何其他信息。"""
    @classmethod
    def HandleMessage(cls, 控制： WinControl, Message: Message, DefWndProc: Callable[[Message],None]) -> 布尔：
        """TStyleManager.HandleMessage(控制： WinControl, Message: Message, DefWndProc: Callable[[Message], None]) -> bool
        处理来自控件的消息。
        HandleMessage 将从控件接收到的消息发送到样式引擎。
        
        
        
        范围
        
        意义
        
        
        控制
        
        传递消息的组件。
        
        
        信息
        
        传递给引擎的消息。
        
        
        定义窗口过程
        
        为消息调用的默认窗口过程。"""
    @classmethod
    def Initialize(cls, *args, **kwargs) -> Any:
        """初始化有关样式和样式引擎的数据。
        
        注意：此功能仅供内部使用。不要直接调用它。"""
    @classmethod
    def IsCustomStyleAvailable(cls, A控制： Control) -> 布尔：
        """TStyleManager.IsCustomStyleAvailable(A控制： Control) -> bool
        Embarcadero Technologies 目前没有任何其他信息。"""
    @classmethod
    def IsSystemStyleDefault(cls, A控制： Control) -> 布尔：
        """TStyleManager.IsSystemStyleDefault(A控制： Control) -> bool
        Embarcadero Technologies 目前没有任何其他信息。"""
    def IsValidStyle(self) -> Any:
        """TStyleManager.IsValidStyle()
        检查 Vcl 样式文件是否有效"""
    @classmethod
    def LoadDesigningStyle(cls, FileName: str) -> StyleManager.TStyleServicesHandle:
        """TStyleManager.LoadDesigningStyle(FileName: str) -> StyleManager.TStyleServicesHandle
        Embarcadero Technologies 目前没有任何其他信息。"""
    @classmethod
    def LoadDesigningStyles(cls, FileNames: tuple) -> None:
        """TStyleManager.LoadDesigningStyles(FileNames: tuple) -> None
        Embarcadero Technologies 目前没有任何其他信息。"""
    def LoadFromFile(self) -> Any:
        """TStyleManager.LoadFromFile()
        从文件加载 VCL 样式"""
    @classmethod
    def LoadFromResource(cls, Instance: int, ResourceName: str) -> StyleManager.TStyleServicesHandle:
        """TStyleManager.LoadFromResource(Instance: int, ResourceName: str) -> StyleManager.TStyleServicesHandle
        从指定资源加载样式。
        请注意，LoadFromResource 不会自动切换到加载的样式。为此，请调用 SetStyle 方法。
        
        
        
        
        范围
        
        意义
        
        
        实例
        
        已加载资源的实例句柄。
        
        
        资源名称
        
        与资源关联的字符串。
        
        
        资源类型
        
        标识资源类型的字符串。\r
        从指定资源加载样式。
        请注意，LoadFromResource 不会自动切换到加载的样式。为此，请调用 SetStyle 方法。
        
        
        
        
        范围
        
        意义
        
        
        实例
        
        已加载资源的实例句柄。
        
        
        资源名称
        
        与资源关联的字符串。
        
        
        资源类型
        
        标识资源类型的字符串。"""
    @classmethod
    def Notification(cls, Operation: CustomStyleEngine.TStyleEngineNotification, Data: Pointer) -> None:
        """TStyleManager.Notification（操作：CustomStyleEngine.TStyleEngineNotification，数据：指针）->无
        通知样式引擎发生的事件。
        
        
        
        范围
        
        意义
        
        
        手术
        
        执行的操作。
        
        
        数据
        
        执行操作的数据。"""
    @classmethod
    def RegisterStyle(cls, Style: CustomStyleServices) -> None:
        """TStyleManager.RegisterStyle（样式：CustomStyleServices）->无
        注册由 Style 参数指定的样式的实例。"""
    @classmethod
    def RegisterStyleClass(cls, Extension: str, Description: str, ResourceType: str, StyleClass: CustomStyleServicesClass) -> None:
        """TStyleManager.RegisterStyleClass（扩展名：str，描述：str，资源类型：str，StyleClass：CustomStyleServicesClass）->无
        注册具有扩展名、描述和资源类型的样式类。
        
        
        
        范围
        
        意义
        
        
        扩大
        
        指定与样式文件一起使用的扩展名的字符串。
        
        
        描述
        
        指定样式描述的字符串。
        
        
        资源类型
        
        与资源类型关联的字符串。
        
        
        样式类
        
        指定要注册的样式类。\r
        注册具有扩展名、描述和资源类型的样式类。
        
        
        
        范围
        
        意义
        
        
        扩大
        
        指定与样式文件一起使用的扩展名的字符串。
        
        
        描述
        
        指定样式描述的字符串。
        
        
        资源类型
        
        与资源类型关联的字符串。
        
        
        样式类
        
        指定要注册的样式类。"""
    @classmethod
    def RemoveDesigningStyle(cls, Name: str) -> None:
        """TStyleManager.RemoveDesigningStyle(名称: str) -> 无
        Embarcadero Technologies 目前没有任何其他信息。"""
    @classmethod
    def ResetDesigningStyles(cls, *args, **kwargs) -> Any:
        """Embarcadero Technologies 目前没有任何其他信息。"""
    @classmethod
    def SetDesigningStyle(cls, Name: str) -> None:
        """TStyleManager.SetDesigningStyle(Name: str) -> None
        Embarcadero Technologies 目前没有任何其他信息。\r
        Embarcadero Technologies 目前没有任何其他信息。"""
    @classmethod
    def SetStyle(cls, Name: str) -> None:
        """TStyleManager.SetStyle(名称: str) -> 无
        按名称、实例或句柄设置活动样式。
        
        
        
        范围
        
        意义
        
        
        姓名
        
        要设置为活动样式的样式的名称。
        
        
        风格
        
        要设置为活动样式的样式实例。
        
        
        处理
        
        要设置为活动样式的样式句柄，由 LoadFromFile 或 LoadFromResource 方法返回。\r
        按名称、实例或句柄设置活动样式。
        
        
        
        范围
        
        意义
        
        
        姓名
        
        要设置为活动样式的样式的名称。
        
        
        风格
        
        要设置为活动样式的样式实例。
        
        
        处理
        
        要设置为活动样式的样式句柄，由 LoadFromFile 或 LoadFromResource 方法返回。\r
        按名称、实例或句柄设置活动样式。
        
        
        
        范围
        
        意义
        
        
        姓名
        
        要设置为活动样式的样式的名称。
        
        
        风格
        
        要设置为活动样式的样式实例。
        
        
        处理
        
        要设置为活动样式的样式句柄，由 LoadFromFile 或 LoadFromResource 方法返回。"""
    @classmethod
    def TryLoadFromResource(cls, Instance: int, ResourceName: str, ResourceType: PWideChar, Handle: StyleManager.TStyleServicesHandle) -> 布尔：
        """TStyleManager.TryLoadFromResource(实例：int，资源名称：str，资源类型：PWideChar，句柄：StyleManager.TStyleServicesHandle) -> bool
        从资源加载样式而不引发异常。
        如果样式加载成功，TryLoadFromResource 返回 True，否则返回 False。
        
        
        
        范围
        
        意义
        
        
        实例
        
        已加载资源的实例句柄。
        
        
        资源名称
        
        与资源关联的字符串。
        
        
        资源类型
        
        标识资源类型的字符串。
        
        
        处理
        
        已加载样式的句柄。"""
    @classmethod
    def TrySetDesigningStyle(cls, Name: str, ShowErrorDialog: bool) -> 布尔：
        """TStyleManager.TrySetDesigningStyle(Name: str, ShowErrorDialog: bool) -> bool
        Embarcadero Technologies 目前没有任何其他信息。"""
    @classmethod
    def TrySetStyle(cls, Name: str, ShowErrorDialog: bool) -> 布尔：
        """TStyleManager.TrySetStyle(Name: str, ShowErrorDialog: bool) -> bool
        将名称指定的样式设置为活动样式，而不引发异常。
        如果样式成功设置为活动样式，则 TrySetStyle 返回 True，否则返回 False。
        
        
        
        范围
        
        意义
        
        
        姓名
        
        一个字符串，指定要设置为活动的样式的名称。
        
        
        显示错误对话框
        
        指定如果无法将样式设置为活动样式，是否显示错误对话框。"""
    @classmethod
    def UnInitialize(cls, *args, **kwargs) -> Any:
        """取消初始化有关样式和样式引擎的数据。
        
        注意：此功能仅供内部使用。不要直接调用它。"""
    @classmethod
    def UnRegisterStyle(cls, Style: CustomStyleServices) -> None:
        """TStyleManager.UnRegisterStyle(Style: CustomStyleServices) -> None
Embarcadero Technologies 目前没有任何其他信息。"""
    @classmethod
    def UnRegisterStyleClass(cls, StyleClass: CustomStyleServicesClass) -> None:
        """TStyleManager.UnRegisterStyleClass(StyleClass: CustomStyleServicesClass) -> 无
        注销由 StyleClass 参数指定的样式类。"""
    @classmethod
    def UnRegisterStyleEngine(cls, AEngineClass: CustomStyleEngineClass) -> None:
        """TStyleManager.UnRegisterStyleEngine(AEngineClass: CustomStyleEngineClass) -> 无
        注销由 AEngineClass 参数指定的样式引擎。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class TabControl(CustomTabControl):
    """TTabControl 是一个具有笔记本分隔线外观的选项卡集。
    使用 TTabControl 将具有多个选项卡设置的控件添加到表单。与页面控件不同，TTabControl 不是由包含不同控件的多个页面组成。相反，TTabControl 是单个对象。当当前选项卡更改时，选项卡控件必须直接更新其内容以反映 OnChange 事件处理程序中的更改。
    禁用 TTabControl 对象会禁用所有选项卡，因为它是一个控件。要禁用各个选项卡，请使用 TPageControl 并禁用代表页面的各个 TTabSheet 控件。
    
    注意：使用其中一个页面控件时，如果要限制用户切换到选项卡，则不能将 TTabSheet.Enabled 设置为 false 来实现该限制。相反，请使用 OnChanging 事件来阻止用户选择选项卡。
    Tabs 属性可用于定义 TTabControl 的选项卡项的加速键。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Display矩形： Rect
    """矩形： Specifies the bounding rectangle of a tab control client area.
        Use DisplayRect to obtain the coordinates, in pixels, of the portion of the tab control that represents the contents of the tab pages. The appearance of this portion of the tab control does not change when different tabs are selected. 
        Use DisplayRect rather than the ClientRect property to determine the portion of the tab control that can contain other objects."""
    DockSite: bool
    """布尔： Specifies whether the control can be the target of drag-and-dock operations.
        Set DockSite to true to allow other controls to be docked to this windowed control.
        
        Code Examples
        Docking (Delphi)
        Docking (C++)"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    HotTrack: bool
    """布尔： Determines whether labels on the tab under the mouse are automatically highlighted.
        Set HotTrack to true to provide visual feedback to the user about which tab would be selected if the mouse button is clicked. HotTrack is especially useful when the tab control contains multiple rows of tabs."""
    Images: CustomImageList
    """CustomImageList：指定选项卡中绘制的图像。
        图像指定在选项卡中绘制的图像。对于禁用的选项卡，使用图像的灰色版本。
        在 TCustomTabControl 的实现中，图像列表属性中的图像顺序直接对应于控件中的关联选项卡。在后代类 TPageControl 中，此行为被对单个 TTabSheet 对象的支持所取代，每个对象都有一个 ImageIndex 属性。在任何情况下，应用程序程序员都可以通过定义 OnGetImageIndex 事件处理程序来定义自定义图像显示。"""
    MultiLine: bool
    """bool：确定选项卡是否可以出现在多行上。
        使用 MultiLine 确定选项卡的显示方式。如果 MultiLine 为 true，则当选项卡数量超过选项卡控件顶部的数量时，选项卡将显示在多行上。行数由选项卡控件中有多少个选项卡决定。如果 MultiLine 为 false，则选项卡仅显示在一行上，用户必须滚动显示的滚动箭头才能查看所有选项卡。"""
    MultiSelect: bool
    """bool：指定是否可以选择多个选项卡。
        使用 MultiSelect 获取或设置是否可以选择多个选项卡。
        仅当 Style 为 tsFlatButtons 或 tsButtons 时，MultiSelect 才能为 true。"""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnChanging: Callable[[Object,bool],None]
    """可调用[[对象，布尔]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDockDrop: Callable[[Object,DragDockObject,int,int],None]
    """Callable[[Object, DragDockObject, int, int], None]:"""
    OnDockOver: Callable[[Object,DragDockObject,int,int,DragState,bool],None]
    """Callable[[Object, DragDockObject, int, int, DragState, bool], None]:"""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnDrawTab: Callable[[CustomTabControl,int,Rect,bool],None]
    """Callable[[CustomTabControl, int, Rect, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetImageIndex: Callable[[Object,int,int],None]
    """可调用[[对象，int，int]，无]："""
    OnGetSiteInfo: Callable[[Object,Control,Rect,Point,bool],None]
    """可调用[[对象、控件、矩形、点、布尔]、无]："""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnResize: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnUnDock: Callable[[Object,Control,WinControl,bool],None]
    """Callable[[Object, Control, WinControl, bool], None]:"""
    OwnerDraw: bool
    """布尔： Specifies whether the tab control handles its own painting.
        Set OwnerDraw to true to override any default painting behavior."""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    RaggedRight: bool
    """布尔： Specifies whether rows of tabs stretch to fill the width of the control.
        Use RaggedRight to get or set whether rows of tabs stretch to fill the width of the control."""
    ScrollOpposite: bool
    """bool：确定多行选项卡控件中选项卡行的滚动方式。
设置 ScrollOpposite 以确定当用户选择另一行中的选项卡时，多行选项卡控件中前几行选项卡的移动位置。当 ScrollOpposite 为 true 时，如果 TabPosition 为 tpTop，则前几行选项卡将移动到选项卡控件的底部，如果 TabPosition 为 tpBottom，则前几行选项卡将移动到顶部。当 ScrollOpposite 为 false 时，前几行选项卡将移动到所有其他行选项卡的后面。
例如，在顶部有三行选项卡的选项卡控件中，如果用户选择第二行中的选项卡，ScrollOpposite 将确定第一行的移动位置。如果 ScrollOpposite 为 true，则第二行现在出现在选项卡控件顶部的前（底）行，后面（上方）的第三行紧随其后。第一行移动到选项卡控件的底部。如果 ScrollOpposite 为 false，则第一行将移至后面（顶部），这样选项卡控件就会在前面显示第二行（在选项卡区域的底部），然后显示第三行（现在位于中间），最后显示第一行。

注意：将 ScrollOpposite 设置为 true 会自动将 MultiLine 属性设置为 true。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    Style: TabStyle
    """TabStyle：指定选项卡控件的样式。
        使用样式来确定选项卡的外观。这些可以显示为笔记本选项卡或按钮。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabHeight: int
    """int：指定选项卡控件中选项卡的高度（以像素为单位）。
        设置 TabHeight 以控制显示在选项卡控件的客户端区域上方的选项卡的高度。 TabHeight 属性是各个选项卡的垂直尺寸（以像素为单位）。如果 TabHeight 设置为 0，选项卡会自动调整自身大小以适合其文本。"""
    TabIndex: int
    """整数： Identifies the selected tab on a tab control.
        Read TabIndex to determine which tab was selected by the user. TabIndex is the index of the tab in the list of labels maintained by the Tabs property. The first (leftmost) tab has a TabIndex of 0, the next has 1, and so on. If no tabs are selected, TabIndex has a value of -1.
        Set TabIndex to programmatically change the selected tab in the tab control."""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabPosition: TabPosition
    """TabPosition：确定选项卡是显示在顶部还是底部。
        将 TabPosition 设置为 tpTop 以在选项卡控件的顶部显示选项卡。将 TabPosition 设置为 tpBottom 以在底部显示选项卡。如果 ScrollOpposite 属性为 True，则选项卡可以出现在顶部和底部，其中包含当前选项卡的行以及 TabPosition 指示的一侧的所有后续行。
        由于Windows通用控件的限制，如果TabPosition为tpLeft或tpRight，则Font必须为True Type字体。否则，选项卡文本可能绘制不正确。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    TabWidth: int
    """int：指定选项卡控件中选项卡的水平尺寸（以像素为单位）。
        TabWidth 指定所有选项卡的固定宽度。如果 TabWidth 为 0，则每个选项卡都会自动变宽以显示其标题。"""
    Tabs: Strings
    """字符串： Contains the list of text strings that label the tabs of the tab control.
        Tabs contains a TStrings, a list of strings that label the tabs in the tab control.  To add new tabs to the tab control or to edit the tabs themselves, add a new string or edit the strings currently in the Tabs property. (To open the String List editor, double-click the Tabs property in the Object Inspector.) To rearrange the tabs, rearrange the list of strings. 
        Tabs can also contain objects associated with the labels, using the System.Classes.TStrings.Objects property."""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class TabSheet(WinControl):
    """TTabSheet 是 TPageControl 对象中的单个页面。
    使用 TTabSheet 表示选项卡式页面控件中的单个页面。选项卡通常称为页面。 TPageControl 在其 Pages 属性中维护其选项卡表的索引数组。用户可以单击选项卡来激活选项卡表。
    您可以使用 TTabSheet 控件的 Caption 属性来定义 TPageControl 页面的加速键。"""
    __hash__: ClassVar[None] = ...
    BorderWidth: int
    """int：指定控件边框的宽度。
使用 BorderWidth 获取或设置控件边框的宽度。控件绘制的图形或文本将被剪裁到边框内的区域。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    Height: int
    """int：指定控件的垂直大小（以像素为单位）。
使用 Height 属性读取或更改控件的高度。"""
    Highlighted: bool
    """布尔： Indicates whether the tab sheet appears highlighted.
        Use Highlighted to make a tab sheet stand out visually. When Highlighted is true, the tab sheet is drawn using a highlight color so that it stands out visually from other tab sheets.
        
        Note: Highlighted is not linked to the active page of the host page control. A page control can have only one active page, but can have multiple highlighted pages."""
    ImageIndex: int
    """int：指定选项卡的图像。
        使用 ImageIndex 获取或设置要在选项卡中绘制的图像的索引。此索引标识来自包含选项卡表的页面控件的 Images 属性的图像。指定 -1 以防止绘制图像。"""
    ImageName: str
    """字符串： Displays the name of linked items from the Image Collection."""
    Left: int
    """整数： Specifies the horizontal coordinate of the left edge of a component relative to its parent.
        Use the Left property to determine where the left side of the control begins or to reposition the left side of the control.
        If the control is contained in another control, the Left and Top properties are relative to the parent control. If the control is contained directly by the form, the property values are relative to the form. For forms, the value of the Left property is relative to the screen in pixels."""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnHide: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnResize: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnShow: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    Page控制： Any
    """表示包含选项卡的页面控制对象。"""
    PageIndex: int
    """int：表示该选项卡在页面控件维护的选项卡列表中的索引。
        使用 PageIndex 确定选项卡表在其页面控件中的位置。页面控件中的每个选项卡在插入页面控件时都会自动分配一个 PageIndex。第一个选项卡的值为 0，第二个选项卡的值为 1，依此类推。如果删除或移动选项卡，则重新分配 PageIndex 值。
        要访问给定索引值的特定选项卡，请使用 TPageControl 对象的索引 Pages 属性。"""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TabIndex: Any
    """指示 TPageControl 对象中可见选项卡集中选项卡表的位置。"""
    TabVisible: bool
    """bool：指定 TTabSheet 对象的选项卡是否出现在其 TPageControl 中。
        使用 TabVisible 暂时从页面控件中删除选项卡表。当 TabVisible 为 false 时，选项卡不会出现在页面控件中，并且其 TabIndex 属性为 -1。将 TabVisible 设置为 true 允许用户再次看到选项卡表的选项卡。"""
    Top: int
    """int：指定控件左上角相对于其父控件或包含控件的 Y 坐标（以像素为单位）。
        使用“顶部”定位控件的顶部或将控件重新定位到不同的 Y 坐标。 Top 属性与 Left 属性一样，是控件相对于其容器的位置。因此，如果控件包含在 TPanel 中，则 Left 和 Top 属性是相对于面板的。如果控件直接包含在窗体中，则它是相对于窗体的。对于表单，Top 属性的值是相对于屏幕（以像素为单位）的。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    Width: int
    """int：指定控件或窗体的水平尺寸（以像素为单位）。
        使用 Width 属性读取或更改控件的宽度。
        
        注意：对于选项卡表控件，在运行时更改此属性没有任何效果。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TTabSheet.Create(AOwner: 组件) -> 无
        创建并初始化 TTabSheet 的实例。
        调用 Create 在运行时实例化选项卡表。在设计时添加到页面控件的选项卡表是自动创建的。
        Create 调用继承的 Create 方法，然后设置选项卡表组件的初始值。
        在运行时创建选项卡时，请使用 PageControl 属性将它们插入到页面控制对象中。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TTabSheet 的实例。
        不要在运行时直接调用 Destroy。相反，请拨打免费电话。 Free 验证选项卡不为零，然后才调用 Destroy。 Destroy 从页面控件中删除选项卡表，然后调用继承的 Destroy 方法。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class Timer(Component):
    """TTimer封装了Windows API定时器函数。
    TTimer用于简化调用Windows API定时器函数SetTimer和KillTimer，以及简化WM_TIMER消息的处理。为应用程序中的每个计时器使用一个计时器组件。
    计时器的执行通过其 OnTimer 事件进行。 TTimer 有一个 Interval 属性，用于确定计时器的 OnTimer 事件发生的频率。该间隔对应于 Windows API SetTimer 函数的参数。
    
    警告：系统范围内定时器总数的限制取决于系统。"""
    __hash__: ClassVar[None] = ...
    ComponentCount: Any
    """返回拥有的组件数量"""
    Components: Any
    """返回拥有组件的迭代器"""
    Enabled: bool
    """bool：控制定时器是否定期生成 OnTimer 事件。
使用 Enabled 启用或禁用定时器。如果 Enabled 为 true，定时器将正常响应。如果 Enabled 为 false，定时器不会生成 OnTimer 事件。默认为 true。"""
    Interval: int
    """int：确定计时器组件启动另一个 OnTimer 事件之前经过的时间量（以毫秒为单位）。
        间隔决定 OnTimer 事件发生的频率。每次经过指定的时间间隔后，OnTimer 事件就会发生。
        使用 Interval 可以指定任何基数值作为 OnTimer 事件之间的间隔。默认值为 1000（一秒）。
        
        注意：0 值有效，但计时器不会为 0 值调用 OnTimer 事件。"""
    OnTimer: Callable[[Object],None]
    """可调用[[对象]，无]："""
    Owner: Any
    """返回组件所有者"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BindMethodsToEvents(self, prefix) -> Any:
        '''TComponent.BindMethodsToEvents(prefix)
        Connects methods to component events if they are named using the following pattern: Prefix_ComponentName_EventName.
        Example: def handle_button1_OnClick(Sender): pass
        The function returns a list of tuples. Each tuple contains the name of the component, the name of the event and the method object assigned to the event.
        Note that the prefix parameter is optional and will default to "handle_".'''
    def Create(self, AOwner: Component) -> None:
        """TTimer.Create(AOwner: 组件) -> 无
        实例化一个计时器对象。
        调用 Create 在运行时实例化计时器。在设计时添加到表单或数据模块的计时器是自动创建的。
        AOwner 指定负责释放计时器的组件，通常是表单或数据模块。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """处置计时器对象。
        不要直接在应用程序中调用 Destroy。相反，应用程序应该调用 Free。 Free 在调用 Destroy 之前验证计时器不为零。
        Destroy 在释放计时器所需的资源之前，通过将 Enabled 设置为 False 来停用计时器。"""
    def GetParentComponent(self) -> Any:
        """TComponent.GetParentComponent()
        返回组件的父组件。"""
    def HasParent(self) -> Any:
        """TComponent.HasParent()
        指示组件是否有父组件来处理其归档。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ToggleSwitch(CustomToggleSwitch):
    """允许用户在“打开”状态和“关闭”状态之间切换的可单击控件。"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    结盟： LeftRight
    """左右： Specifies whether the toggle switch caption is displayed on the right or the left side.
        Default is taRightJustify."""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSize: bool
    """布尔： Indicates whether the control adjusts its bounds based on the SwitchHeight, SwitchWidth, and StateCaptions properties.
        Default is True."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    DisabledColor: int
    """整数： The color of the toggle switch when it is disabled.
        Default is clBtnShadow."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    FrameColor: int
    """int：拨动开关框的颜色。
        默认为 clWindowText。"""
    Height: int
    """int：指定控件的垂直大小（以像素为单位）。
使用 Height 属性读取或更改控件的高度。"""
    HelpContext: int
    """int：HelpContext 属性包含标识控件的帮助主题的数字上下文 ID。
        对于 .chm 帮助文件，您必须将帮助主题的符号上下文 ID 映射到项目 (.hhp) 文件的 [MAP] 部分中的数字主题 ID 值。
        要为控件启用基于上下文 ID 的上下文相关帮助，请将 Vcl.Controls.TControl.HelpType 设置为 htContext 并将 HelpContext 设置为数字主题 ID。
        主题 ID 0（默认）表示没有为控件提供帮助主题。
        要使用帮助，请在应用程序的使用子句中插入 Vcl.HtmlHelpViewer 或其他提供外部帮助查看器使用界面的单元。对于 C++，您需要包含 HTMLHelpViewer.hpp 头文件。"""
    H整数： str
    '''字符串： Hint contains the text string that appears when the user moves the mouse over the control.
        Use the Hint property to provide a string of Help text either as a Help Hint or as Help text on a particular location, such as a status bar. 
        A Help Hint is a box containing Help text that appears for a control when the user moves the mouse pointer over the control and pauses momentarily. 
        To set up Help Hints
        
        Specify the Hint property of each control for which a Help Hint should appear.
        Set the ShowHint property of each appropriate control to True, or set the ParentShowHint property of all controls to True and set the ShowHint property of the form to True.
        At run time, set the value of the application\'s ShowHint property to True.
        To show the Hint on a status bar or another location, use the OnHint event handler of the application. The application\'s OnHint event occurs when the mouse pointer moves over the control.
        Specify a hint to be used for both a Help Hint box and by an OnHint event handler by specifying values separated by a | (pipe) character.
        For example,
        
        Edit1.Hint := \'Name|Enter Name in the edit box|1\';
        
        Edit1->Hint = "Name|Enter Name in the edit box|1";
        
        Here:
        
        The Name part is the short hint and appears at the top of the Help Hint box.
        Enter full name in the edit box is the long hint and appears below the short hint. It can be extracted using the GetLongHint function for use in an OnHint event handler.
        1 is an optional image index in an image list in the Images property of the control and specifies the index of the image to appear in the hint.
        If Hint contains only one value, the entire string is used as a Help Hint and returned by the GetLongHint and GetShortHint functions. If a control has no Hint value specified, but its parent control does, the control uses the value of the parent control (as long as the control\'s ShowHint property is True). 
        
        Note: If the application\'s ShowHint property is False, the Help Hint does not appear, but the OnHint event handler is still called.'''
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    Parent: Any
    """返回/设置控制父级"""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ReadOnly: bool
    """bool：指示切换开关是否处于只读模式。
        如果为 True，则用户无法更改切换开关的状态。您仍然可以通过编程方式更改状态。
        默认值为 False。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    ShowStateCaption: bool
    """布尔： Indicates whether to display the captions of the switch.
        Default is True."""
    State: ToggleSwitchState
    """ToggleSwitchState：切换开关的当前状态。
        可能的值为：
        
        tssOff：默认。拨动开关处于关闭状态。
        tssOn：拨动开关处于打开状态。"""
    StateCaptions: ToggleSwitchStateCaptions
    """ToggleSwitchStateCaptions：切换开关的标题。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    SwitchHeight: int
    """int：切换开关的高度（不包括标题）。"""
    SwitchWidth: int
    """int：切换开关的宽度（不包括标题）。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    ThumbColor: int
    """整数： The color of the toggle switch thumb.
        Default is clWindowText."""
    ThumbWidth: int
    """int：拨动开关框架内拇指的宽度。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    Width: int
    """int：指定控件或窗体的水平尺寸（以像素为单位）。
        使用 Width 属性读取或更改控件的宽度。
        
        注意：对于选项卡表控件，在运行时更改此属性没有任何效果。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ToolBar(WinControl):
    """TToolBar 管理工具按钮和其他控件，将它们排列成行并自动调整它们的大小和位置。
    TToolBar 是工具按钮（TToolButton）的容器。它提供了一种安排和管理视觉控件的简单方法。
    工具栏上的所有工具按钮都保持统一的宽度和高度。
    其他控件可以位于工具栏上。这些控件（由不可见的工具按钮固定）保持统一的高度。
    当控件无法水平放置在工具栏上时，它们可以自动换行并开始一个新行。
    Flat 属性允许背景通过工具栏显示，并为工具按钮提供弹出边框。
    空格和分隔线（实际上是专门配置的工具按钮）可以在视觉上和功能上对工具栏上的控件进行分组。
    通常，工具按钮对应于应用程序菜单中的项目，并使用户能够更直接地访问应用程序的命令。"""
    __hash__: ClassVar[None] = ...
    Actions: Any
    """列出工具栏的按钮。"""
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    AllowTextButtons: bool
    """布尔： Determines whether tool buttons that consist only of text can be placed on the Toolbar.
        When set to true, the tbsTextButton style is available for the TToolButton control, allowing you to create tool buttons on the Toolbar that consist only of text. When set to false, the tbsTextButton style is not available for the TToolButton control."""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoSize: bool
    """布尔： Specifies whether the control sizes itself automatically to accommodate its contents.
        Use AutoSize to specify whether the control sizes itself automatically. When AutoSize is True, the control resizes automatically when its contents change.
        By default, AutoSize is False."""
    BorderWidth: int
    """int：指定控件边框的宽度。
使用 BorderWidth 获取或设置控件边框的宽度。控件绘制的图形或文本将被剪裁到边框内的区域。"""
    ButtonCount: Any
    """指示工具栏中按钮的数量。"""
    ButtonHeight: int
    """int：指定工具栏中控件的高度。
        ButtonHeight 表示工具栏中控件的高度（以像素为单位）。"""
    ButtonWidth: int
    """int：指定工具栏中工具按钮（TToolButton）的宽度。
        ButtonWidth 表示工具栏上 TToolButton 组件的宽度（以像素为单位）。它对 Style 属性设置为 tbsSeparator 或 tbsDivider 的工具按钮没有影响。"""
    Buttons: ToolButton
    """工具按钮："""
    帆布： Canvas
    """画布：指定工具栏的绘图表面。
        使用 Canvas 在 OnCustomDraw 或 OnCustomDrawButton 事件处理程序中在工具栏表面上绘图或绘画。 TCanvas 对象提供了绘图和绘画所需的属性和方法。"""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    Customizable: bool
    """bool：指定用户是否可以在运行时自定义工具栏。
        将可自定义设置为 true 以允许用户在运行时添加、删除和移动工具栏按钮。用户可以通过两种方式更改可自定义的工具栏：
        通过按住 Shift 键，用户可以将按钮拖到工具栏上的新位置，或者将其完全拖离工具栏以删除该按钮。
        通过双击工具栏，用户可以显示工具栏自定义对话框。工具栏自定义对话框在两个列表框中显示所有可能的按钮，一个列表框中包含不在工具栏上的按钮，另一个包含当前在工具栏上的按钮。用户可以使用此对话框添加或删除按钮并更改其顺序。
        
        注意：当“可自定义”为 true 时，当用户进行更改时，许多事件会通知工具栏组件。"""
    CustomizeKeyName: str
    """字符串： Specifies the registry key where the tool bar saves its current button configuration before the user changes it using the toolbar customize dialog.
        Use CustomizeKeyName to specify where the toolbar saves its button configuration when the user first displays the toolbar customize dialog. This is a subkey of HKEY_CURRENT_USER. 
        When the user double-clicks the tool bar to display the toolbar customize dialog, the tool bar receives an OnCustomizing event and then automatically saves its current configuration to this key using the name specified by the CustomizeValueName property. If the user instructs the dialog to restore this configuration, the toolbar fetches the saved configuration from this registry key."""
    CustomizeValueName: str
    """字符串： Specifies the registry value under which the tool bar saves its current button configuration before the user changes it using the toolbar customize dialog.
        Use CustomizeValueName to specify the name that the toolbar uses to save its button configuration when the user first displays the toolbar customize dialog. This is a value under the registry key specified by the CustomizeKeyName property.
        When the user double-clicks the tool bar to display the toolbar customize dialog, the tool bar receives an OnCustomizing event and then automatically saves its current configuration to the Registry using this value. If the user instructs the dialog to restore this configuration, the toolbar fetches this saved configuration."""
    DisabledImages: CustomImageList
    """CustomImageList：列出可以显示在禁用的工具按钮上的图像。
        DisabledImages 包含禁用工具按钮时可以显示在工具按钮上的图像列表。每个工具按钮的 ImageIndex 属性决定其上显示的特定图像。如果未指定“DisabledImages”，则禁用的工具按钮将显示其常规图像的灰色版本（由“Images”属性指定）。"""
    DockSite: bool
    """布尔： Specifies whether the control can be the target of drag-and-dock operations.
        Set DockSite to true to allow other controls to be docked to this windowed control.
        
        Code Examples
        Docking (Delphi)
        Docking (C++)"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    绘图风格： TBDrawingStyle
    """TB绘图风格： Stores the style type.
        This property stores either the dsNormal or dsGradient style choice."""
    边缘边框： EdgeBorders
    """边缘边框："""
    EdgeInner: EdgeStyle
    """边缘样式："""
    EdgeOuter: EdgeStyle
    """边缘样式："""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Flat: bool
    """bool：使工具栏透明并消除工具按钮边框。
如果 Flat 设置为 true，则工具栏及其工具按钮是透明的；背景颜色和图形会透过它们显示出来。此外，当 Flat 为 true 时，工具栏上的工具按钮 (TToolButton) 会有弹出边框，只有当鼠标经过按钮时才会出现。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    渐变方向： GradientDirection
    """渐变方向： Specifies whether the direction of the gradient is horizontal or vertical.
        This property stores the value for the gradient direction."""
    GradientDrawingOptions: TBGradientDrawingOptions
    """TBGradientDrawingOptions：存储所选的绘图选项。
        该属性包含 gdoHotTrack 或 gdoGradient 选项，具体取决于选择的选项。"""
    GradientEndColor: int
    """int：用作渐变结束颜色的颜色。
        该属性存储绘图结束时用于绘制渐变的颜色。 （结束颜色与开始颜色混合）。"""
    GradientStartColor: int
    """int：用作渐变起始颜色的颜色。
        该属性存储表示渐变开始绘制时的绘制颜色的值。"""
    Height: int
    """int：指定控件的垂直大小（以像素为单位）。
使用 Height 属性读取或更改控件的高度。"""
    HideClippedButtons: bool
    """布尔： Specifies handling of buttons obscured by adjacent toolbar.
        If HideClippedButtons is set to true, any button partially obscured by a neighboring band is hidden."""
    HotImages: CustomImageList
    """CustomImageList：列出当鼠标指向工具按钮时可以出现在工具按钮上的图像。
        HotImages 包含一个图像列表，当鼠标在运行时经过工具按钮时，这些图像可以出现在工具按钮上。每个工具按钮的 ImageIndex 属性确定当鼠标指向它时显示的特定图像。如果未分配 HotImages，工具按钮在指向时将保留其常规图像（由 Images 属性指定）。使用 TImageList 控件来保存将显示的热图像的图像。通常，应用程序将有两个 TImageList 控件，一个用于 Images 属性，另一个用于 HotImages 属性。
        要使用 HotImages，请将 Flat 属性设置为 True。"""
    HotTrackColor: int
    """int：渐变样式时用作热跟踪颜色的颜色。
        当工具栏的 DrawingStyle 属性设置为 dsGradient 时，这是用作热跟踪颜色的颜色。热跟踪颜色是当鼠标移到按钮上时按钮变成的颜色。"""
    Images: CustomImageList
    """CustomImageList：列出可以出现在工具按钮上的图像。
        图像包含可以出现在工具栏的工具按钮上的图像列表。每个工具按钮的 ImageIndex 属性决定其上显示的特定图像。如果未分配图像，则工具按钮上不会显示图像。
        列表中的图像应为 16x16。"""
    Indent: int
    """整数： Specifies the margin on the left side of the toolbar.
        Indent specifies, in pixels, the margin that separates the left edge of the toolbar from the controls within it."""
    List: bool
    """bool：在工具按钮中将标题对齐在右侧，图像在左侧对齐。
        当 List 为 false 时，工具按钮 (TToolButton) 出现在工具栏中，其图像（如果有）居中，其标题（如果可见）位于下方。将 List 设置为 true 会将标题对齐到右侧，将图像对齐到左侧。"""
    Menu: MainMenu
    """MainMenu：使工具栏自身填充与菜单中的项目相对应的按钮。
        使用菜单属性填充工具栏以匹配菜单组件。设置菜单会导致工具栏删除所有当前按钮，并将其替换为与指定菜单组件中的项目匹配的工具按钮。
        在使用 Menu 填充工具栏的应用程序中，请勿通过添加、删除或编辑工具栏按钮来更改 Buttons 属性。
        
        注意：工具栏不会动态跟踪 Menu 指定的菜单的任何更改。也就是说，它设置工具按钮以反映应用程序设置此属性时菜单中的项目集，并忽略任何后续更改。"""
    OnAdvancedCustomDraw: Callable[[ToolBar,Rect,CustomDrawStage,bool],None]
    """Callable[[ToolBar, Rect, CustomDrawStage, bool], None]:"""
    OnAdvancedCustomDrawButton: Callable[[ToolBar,ToolButton,CustomDrawState,CustomDrawStage,TBCustomDrawFlags,bool],None]
    """Callable[[ToolBar, ToolButton, CustomDrawState, CustomDrawStage, TBCustomDrawFlags, bool], None]:"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnCustomDraw: Callable[[ToolBar,Rect,bool],None]
    """可调用[[工具栏，矩形，布尔]，无]："""
    OnCustomDrawButton: Callable[[ToolBar,ToolButton,CustomDrawState,bool],None]
    """Callable[[ToolBar, ToolButton, CustomDrawState, bool], None]:"""
    OnCustomizeAdded: Callable[[ToolBar,ToolButton],None]
    """可调用[[工具栏，工具按钮]，无]："""
    OnCustomizeCanDelete: Callable[[ToolBar,int,bool],None]
    """Callable[[ToolBar, int, bool], None]:"""
    OnCustomizeCanInsert: Callable[[ToolBar,int,bool],None]
    """Callable[[ToolBar, int, bool], None]:"""
    OnCustomizeDelete: Callable[[ToolBar,ToolButton],None]
    """可调用[[工具栏，工具按钮]，无]："""
    OnCustomizeNewButton: Callable[[ToolBar,int,ToolButton],None]
    """Callable[[ToolBar, int, ToolButton], None]:"""
    OnCustomizeReset: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnCustomized: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnCustomizing: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDockDrop: Callable[[Object,DragDockObject,int,int],None]
    """Callable[[Object, DragDockObject, int, int], None]:"""
    OnDockOver: Callable[[Object,DragDockObject,int,int,DragState,bool],None]
    """Callable[[Object, DragDockObject, int, int, DragState, bool], None]:"""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetSiteInfo: Callable[[Object,Control,Rect,Point,bool],None]
    """可调用[[对象、控件、矩形、点、布尔]、无]："""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnResize: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnUnDock: Callable[[Object,Control,WinControl,bool],None]
    """Callable[[Object, Control, WinControl, bool], None]:"""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    RowCount: int
    """int：表示工具栏中的行数。
        读取 RowCount 将返回工具按钮排列的行数。"""
    ShowCaptions: bool
    """bool：确定工具按钮上是否显示文本标题。
        如果 ShowCaptions 设置为 true，工具按钮将出现在工具栏中并显示其标题。将 ShowCaptions 设置为 true 可能会增加工具按钮的大小。"""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Transparent: bool
    """布尔： Specifies whether the toolbar is transparent.
        Use Transparent to get or set whether the toolbar is transparent. Note the Transparent property applies only to the toolbar itself not its buttons.
        
        Tip:  To avoid painting problems, set the Transparent property before the toolbar becomes visible."""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    Wrapable: bool
    """布尔： Enables automatic line-wrap for components in the toolbar.
        If Wrapable is true, components automatically wrap around and form new rows when they do not fit horizontally in the toolbar."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TToolBar.Create(AOwner: Component) -> 无
        创建并初始化 TToolBar 实例。
        调用 Create 在运行时创建工具栏。在设计时添加到表单的工具栏是自动创建的。
        AOwner 是负责释放工具栏实例的组件，通常是表单。它成为所有者财产的价值。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TToolBar 实例并释放其内存。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TToolBar 引用不为零，然后才调用 Destroy。"""
    def FlipChildren(self, AllLevels: bool) -> None:
        """TToolBar.FlipChildren(AllLevels: bool) -> 无
        防止工具栏按钮在父控件翻转时反转位置。
        FlipChildren 重写继承的方法以防止工具栏子项的翻转。"""
    def GetChildren(self, Proc: Callable[[Component],None], Root: Component) -> None:
        """TToolBar.GetChildren(Proc: Callable[[Component], None], Root: Component) -> None
        允许流系统按照子控件在工具栏中出现的顺序加载和保存它们。
        GetChildren 是在 TComponent 中引入的，用于加载和保存 VCL 组件的流系统。它为工具栏中的所有按钮以及以工具栏为父级且以 Root 指定为所有者的组件的任何其他控件执行 Proc 指定的回调。
        Proc 是流系统用于在表单上加载或保存持久对象的回调。
        根是当前正在加载或保存的顶级组件（例如表单或数据模块）。"""
    def GetEnumerator(self, *args, **kwargs) -> Any:
        """Returns a TComponent enumerator.
        Vcl.ComCtrls.TToolBar.GetEnumerator inherits from System.Classes.TComponent.GetEnumerator. All content below this line refers to System.Classes.TComponent.GetEnumerator.
        返回 TComponent 枚举器。
        GetEnumerator 返回一个 TComponentEnumerator 引用，该引用枚举指定包含组件中包含的组件。
        要处理所有这些子组件，请在 While MoveNext do 循环中调用 TComponentEnumerator GetCurrent 方法。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def TrackMenu(self, Button: ToolButton) -> 布尔：
        """TToolBar.TrackMenu(按钮: ToolButton) -> bool
        当按下工具栏按钮的加速器时调用。
        TrackMenu 会自动调用以响应工具栏按钮上的加速器。它初始化下拉菜单按钮的菜单，并将单击转发到底层 Windows 控件。
        按钮是按下加速器的工具栏按钮。
        重写派生类中的 TrackMenu，以便在按下工具栏按钮的加速器时执行其他操作。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class ToolButton(Control):
    """Delphi TToolButton 的包装"""
    __hash__: ClassVar[None] = ...
    Action: BasicAction
    """BasicAction：指定与控件关联的操作。
        Action 是与控件关联的操作对象。操作允许应用程序集中对用户命令的响应。当控件与操作关联时，操作将确定控件的相应属性和事件（例如控件是否启用或它如何响应 OnClick 事件）。
        要在设计时创建操作，请将操作列表组件放置在表单或数据模块上。双击操作列表以打开操作列表编辑器。使用编辑器的上下文菜单在编辑器中添加操作。使用“动作列表”编辑器添加动作后，它们将出现在“对象检查器”的“动作”属性的下拉列表中。"""
    AllowAllUp: bool
    """布尔："""
    AutoSize: bool
    """布尔： Specifies whether the control sizes itself automatically to accommodate its contents.
        Use AutoSize to specify whether the control sizes itself automatically. When AutoSize is True, the control resizes automatically when its contents change.
        By default, AutoSize is False."""
    Caption: str
    """str：指定一个文本字符串，用于向用户标识该控件。
        使用 Caption 指定标记控件的文本字符串。
        要在标记组件的标题中的某个字符下划线，请在该字符前添加一个与号 (&)。这种类型的字符称为加速器字符。然后，用户可以通过在键入带下划线的字符时按 ALT 来选择组件。要在标题中显示与号字符，请使用两个与号 (&&)。
        
        笔记：
        显示文本的控件使用 Caption 属性或 Text 属性来指定文本值。使用的属性取决于控件的类型。一般来说，Caption 用于显示为窗口标题或标签的文本，而 Text 用于显示为控件内容的文本。
        对于某些控件，例如 TButton，无法更改标题的颜色。如果要更改按钮标题的颜色，应使用替代按钮类型，例如 TSpeedButton 或 TBitBtn，而不是 TButton。使用 TSpeedButton 或 TBitBtn，您可以使用 Font 属性更改 Caption 属性的颜色。
        对于 TLinkLabel，HTML 标记在运行时或设计时在 Caption 属性内声明。"""
    Down: bool
    """布尔："""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    DropdownMenu: PopupMenu
    """弹出菜单："""
    EnableDropdown: bool
    """布尔："""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Grouped: bool
    """布尔："""
    Height: int
    """int：指定控件的垂直大小（以像素为单位）。
使用 Height 属性读取或更改控件的高度。"""
    ImageIndex: int
    """整数："""
    ImageName: str
    """字符串："""
    Indeterminate: bool
    """布尔："""
    Index: int
    """整数："""
    Marked: bool
    """布尔："""
    菜单项： MenuItem
    """菜单项："""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    Parent: Any
    """返回/设置控制父级"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    Style: ToolButtonStyle
    """工具按钮样式："""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    Width: int
    """int：指定控件或窗体的水平尺寸（以像素为单位）。
        使用 Width 属性读取或更改控件的宽度。
        
        注意：对于选项卡表控件，在运行时更改此属性没有任何效果。"""
    Wrap: bool
    """布尔："""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def BringToFront(self) -> Any:
        """TControl.BringToFront()
        将该控件置于其父控件中所有其他控件的前面。"""
    def CheckMenuDropdown(self, *args, **kwargs) -> Any: ...
    def Click(self, *args, **kwargs) -> Any:
        """响应用户点击。
当用户左键单击控件时，会自动调用 Click。组件或应用程序代码可以调用 Click 来模拟用户鼠标单击。这通常在菜单操作和热键处理程序中完成。
在 TControl 中实现时，Click 会查询 OnClick 事件处理程序是否存在，并且与控件 Action 的 OnExecute 处理程序不同。如果为真，则调用 OnClick 事件处理程序。如果为假，并且 Action OnExecute 事件处理程序存在，则调用 Action 的 Execute 方法。重写 Click 以提供其他行为。"""
    def ClientToScreen(self) -> Any:
        """TControl.ClientToScreen()
        将给定点从客户区坐标转换为全局屏幕坐标。"""
    def Create(self, AOwner: Component) -> None:
        """TToolButton.Create(AOwner: Component) -> None
创建 TControl 的一个实例。
调用 Create 构造并初始化 TControl 的一个实例。但是，您永远不应尝试实例化 TControl。此类仅用作其他控件类的基类，您只应调用 Create 来实例化其中一个子类。
Create 调用父构造函数并初始化控件。
重写 Create 时，始终先调用继承的 Create 方法，然后继续控件的初始化。重写 Create 方法时，请记住指定 override 指令。

注意：如果控件的构造函数分配资源或内存，还应重写析构函数以释放这些资源。"""
    def Hide(self) -> Any:
        """TControl.Hide()
        隐藏包裹的控件"""
    def Invalidate(self) -> Any:
        """TControl.Invalidate()
        完全重绘控制。"""
    def Repaint(self) -> Any:
        """TControl.Repaint()
        强制控件在屏幕上重新绘制其图像。"""
    def ScreenToClient(self) -> Any:
        """TControl.ScreenToClient()
        将屏幕上指定点的屏幕坐标转换为客户端坐标。"""
    def SendToBack(self) -> Any:
        """TControl.SendToBack()
        将窗口控件放在所有其他窗口控件后面，或将非窗口控件放在所有其他非窗口控件后面。"""
    def SetBounds(self, Left, Top, Width, Height) -> Any:
        """TControl.SetBounds(左、上、宽度、高度)
        一次性设置 Left、Top、Width 和 Height 属性。"""
    def Show(self) -> Any:
        """TControl.Show()
        显示包装的控件"""
    def Update(self) -> Any:
        """TControl.Update()
        立即处理任何待处理的绘制消息。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class TrackBar(WinControl):
    """TTrackBar 是轨迹栏控件的包装。
    使用 TTrackBar 在窗体上放置跟踪栏。轨迹栏使用滑块和可选的刻度线表示沿连续体的位置。轨迹栏还可以显示在选择的开始和结束位置处用三角形刻度标记的选定范围。
    在程序执行过程中，可以通过用鼠标拖动滑块或在栏上单击鼠标来将滑块移动到所需位置。要使用键盘移动滑块，请按箭头键或 Page Up 和 Page Down 键。"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    BorderWidth: int
    """int：指定控件边框的宽度。
使用 BorderWidth 获取或设置控件边框的宽度。控件绘制的图形或文本将被剪裁到边框内的区域。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    Frequency: int
    """整数： Specifies the increment between tick marks on the track bar.
        Use Frequency to specify the spacing of the tick marks, using the logical units used by the Position property. For example, a Frequency of 5 sets a tick mark at every fifth possible increment. To provide visual feedback about the units used by the track bar, set Frequency to LineSize or PageSize.
        
        Note:  If the value of the TickStyle property is not set to tsAuto, the value of Frequency is ignored."""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    LineSize: int
    """int：表示当用户按下方向键时Position的值改变的量。
        使用 LineSize 指定沿滑块表示单个单位的距离。当前位置由滑块标记。向右和向下箭头键将 Position 的值增加 LineSize，向左和向上箭头键将 Position 的值减少 LineSize。
        使用 PageSize 属性可设置使用 Page Up 和 Page Down 键移动的刻度数。"""
    Max: int
    """int：指定 TTrackBar 的最大位置。
        使用 Max 设置可以使用轨迹栏表示的值的上限。滑块指示当前位置，范围介于“最小值”和“最大值”之间。"""
    Min: int
    """整数： Specifies the minimum Position of a TTrackBar.
        Use Min to set a lower limit to the value that can be represented using the track bar. A slider indicates the current Position in a range between Min and Max."""
    OnChange: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    OnTracking: Callable[[Object],None]
    """可调用[[对象]，无]："""
    Orientation: TrackBarOrientation
    """TrackBarOrientation：指定轨迹栏是水平还是垂直。
        将方向设置为所需的轨迹栏方向。方向有以下可能的值：
        
        
        
        
        
        价值
        
        意义
        
        
        
        tb水平
        
        
        
        轨道的长边与模板的顶部平行。最小位置位于左侧，最大位置位于右侧。
        
        
        
        
        tb垂直
        
        
        
        轨道的长边与模板的侧面平行。最小位置位于顶部，最大位置位于底部。"""
    PageSize: int
    """整数： Specifies the amount Position is changed when the PageUp or PageDown key is pressed, or when the bar is clicked.
        Set PageSize to the distance along the track bar that corresponds to a single view. A slider marks the current Position. The Page Up key increments the value of Position by PageSize, and Page Down key decrements the value of Position by PageSize. 
        Use the LineSize property to set the number of ticks moved using the arrow keys."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    Position: int
    """int：包含 TTrackBar 滑块的当前位置。
读取 Position 以确定轨道栏所代表的当前值。Position 是介于 Min 和 Max（含）之间的值。设置 Position 以编程方式将轨道栏的滑块移动到新值。"""
    PositionToolTip: PositionToolTip
    """PositionToolTip：确定显示轨迹栏位置的（可选）工具提示的位置。
        您可以将此属性设置为以下值之一。
        
        
        
        
        
        价值
        
        意义
        
        
        
        无
        
        
        
        没有显示工具提示。
        
        
        
        
        顶部
        
        
        
        工具提示出现在轨迹栏的顶部。
        
        
        
        
        底部
        
        
        
        工具提示出现在轨迹栏的底部。
        
        
        
        
        左点
        
        
        
        工具提示出现在轨迹栏的左侧。
        
        
        
        
        右点
        
        
        
        工具提示出现在轨迹栏的右侧。
        
        
        
        
        
        注意：对垂直轨迹栏使用 ptLeft 和 ptRight。使用 ptTop 和 ptBottom 作为水平轨迹栏。"""
    SelEnd: int
    """int：指定选择范围的终点位置。
        设置 SelEnd 以确定从 SelStart 开始的选择的长度。轨迹栏通过在 SelStart 和 SelEnd 属性指定的位置放置特殊刻度线并突出显示栏的选定部分来指示栏上的选择范围。
        SelEnd 必须大于或等于 Position。如果 SelEnd 设置为小于 Position 的值，则 Position 会更改为 SelEnd。 SelEnd 必须大于或等于 SelStart。如果SelEnd与SelStart相同，则没有选择，并且Position的值与SelStart和SelEnd相同。"""
    SelStart: int
    """整数： Specifies the position of the starting point of the selection range.
        Set SelStart to determine the beginning of a selection that runs to SelEnd. The track bar indicates a selection range on the bar by placing special tick marks at the positions specified by the SelStart and SelEnd properties and highlighting the selected portion of the bar. 
        SelStart must be less than or equal to Position. If SelStart is set to a value greater than Position, Position changes to SelStart. SelStart must be less than or equal to SelEnd. If SelStart is the same as SelEnd, there is no selection, and the value of Position is the same as SelStart and SelEnd."""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    ShowSelRange: bool
    """布尔： Specifies whether the track bar shows the selection range.
        If set to True, the selection range on the track bar is displayed. If set to False, the selection range is not displayed."""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    SliderVisible: bool
    """bool：指定轨迹栏的滑块是否可见。
        使用 SliderVisible 获取或设置轨迹栏的滑块是否可见。"""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    ThumbLength: int
    """int：指定轨迹栏滑块的长度。
        使用 ThumbLength 获取或设置轨迹栏滑块的长度。"""
    TickMarks: TickMark
    """TickMark：指定刻度线的位置。
        设置 TickMarks 以指定应在何处绘制刻度线。 TickMarks 具有以下可能的值：
        
        
        
        
        
        价值
        
        意义
        
        
        
        tm右下角
        
        
        
        刻度线位于轨迹栏的底部或右侧，具体取决于方向的值。
        
        
        
        
        tm左上
        
        
        
        刻度线位于轨迹栏的顶部或左侧，具体取决于方向的值。
        
        
        
        
        tm两者
        
        
        
        刻度线位于轨迹栏的两侧。
        
        
        
        
        如果 TickStyle 属性为 tsNone，则忽略 TickMarks 的值。"""
    TickStyle: TickStyle
    """TickStyle：指定刻度线在轨迹栏上的放置方式。
        设置 TickStyle 以指定轨迹栏是否应显示刻度线，如果是，则如何设置这些刻度线。 TickStyle 有以下可能的值：
        
        
        
        
        
        价值
        
        意义
        
        
        
        ts汽车
        
        
        
        刻度线会自动以等于“频率”属性值的增量显示。
        
        
        
        
        ts手册
        
        
        
        刻度线显示在最小值和最大值处。可以使用 SetTick 方法设置其他刻度线。
        
        
        
        
        ts无
        
        
        
        不显示刻度线。"""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def Create(self, AOwner: Component) -> None:
        """TTrackBar.Create(AOwner: Component) -> None
创建并初始化 TTrackBar 实例。
调用 Create 在运行时实例化 TTrackBar 对象。设计时放置在表单上的跟踪栏会自动创建。
Create 分配内存并初始化以下属性：
ControlStyle 设置为 [csCaptureMouse、csClickEvents、csSetCaption]。
Frequency 设置为 1。
Height 设置为 45，Width 设置为 150。
LineSize 设置为 1，PageSize 设置为 2。
Max 设置为 10，Min 设置为 0。
Orientation 设置为 trHorizo​​ntal。
TickMarks 设置为 tbBottomRight，TickStyle 设置为 tsAuto。
TabStop 设置为 true。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def SetTick(self, Value: int) -> None:
        """TTrackBar.SetTick(值: int) -> 无
        将刻度线添加到轨迹栏的指定位置。
        使用 SetTick 在条上与 Value 参数对应的位置放置刻度线。仅当 TickStyle 设置为 tsManual 时，才会显示以此方式指定的刻度线。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class TreeNode(Persistent):
    """Delphi TTreeNode 的包装"""
    __hash__: ClassVar[None] = ...
    AbsoluteIndex: int
    """整数："""
    CheckState: NodeCheckState
    """节点检查状态："""
    Checked: bool
    """布尔："""
    ClassName: Any
    """返回 TObject.ClassName"""
    Count: int
    """整数："""
    Cut: bool
    """布尔："""
    Data: Pointer
    """指针："""
    Deleting: bool
    """布尔："""
    DropHighlighted: bool
    """布尔："""
    DropTarget: bool
    """布尔："""
    Enabled: bool
    """布尔："""
    Expanded: bool
    """布尔："""
    ExpandedImageIndex: int
    """整数："""
    Focused: bool
    """布尔："""
    Handle: int
    """整数："""
    HasChildren: bool
    """布尔："""
    ImageIndex: int
    """整数："""
    Index: int
    """整数："""
    IsVisible: bool
    """布尔："""
    Item: TreeNode
    """树节点："""
    ItemId: HREEITEM
    """三项："""
    Level: int
    """整数："""
    OverlayIndex: int
    """整数："""
    Owner: TreeNodes
    """树节点："""
    Parent: TreeNode
    """树节点："""
    Selected: bool
    """布尔："""
    SelectedIndex: int
    """整数："""
    StateIndex: int
    """整数："""
    Text: str
    """字符串："""
    TreeView: CustomTreeView
    """自定义树视图："""
    __bound__: Any
    """如果包装器仍绑定到 Delphi 实例，则返回 True。"""
    __owned__: Any
    """如果包装器拥有 Delphi 实例，则返回 True。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def AlphaSort(self, ARecurse: bool) -> 布尔：
        """TTreeNode.AlphaSort(ARecurse: bool) -> bool"""
    def Assign(self, persistent) -> Any:
        """TPersistent.Assign（持久）
        将另一个 TPersistent 对象的值分配给该对象"""
    def Collapse(self, Recurse: bool) -> None:
        """TTreeNode.Collapse(Recurse: bool) -> None"""
    def Create(self, AOwner: TreeNodes) -> None:
        """TTreeNode.Create(AOwner: TreeNodes) -> 无
        构造一个对象并在首次使用该对象之前初始化其数据。
        Create 构造一个对象。对象的用途、大小和行为差异很大。 TObject 定义的 Create 构造函数分配内存但不初始化数据。
        后代对象通常定义一个构造函数来创建特定类型的对象并初始化其数据。
        
        注意：如果异常从构造函数中逃逸，则会调用对象的析构函数来清理失败的实例。"""
    def CustomSort(self, SortProc: Callable[[int,int,int],int], Data: int, ARecurse: bool) -> 布尔：
        """TTreeNode.CustomSort(SortProc: Callable[[int, int, int], int], Data: int, ARecurse: bool) -> bool"""
    def Delete(self, *args, **kwargs) -> Any: ...
    def DeleteChildren(self, *args, **kwargs) -> Any: ...
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TPersistent 实例并释放其内存。
        不要直接调用 Destroy。请拨打免费电话。在调用 Destroy 之前，Free 检查对象引用是否不为 nil。"""
    def DisplayRect(self, TextOnly: bool) -> 矩形：
        """TTreeNode.DisplayRect(TextOnly: bool) -> 矩形"""
    def EditText(self, *args, **kwargs) -> Any: ...
    def EndEdit(self, Cancel: bool) -> None:
        """TTreeNode.EndEdit(取消: bool) -> None"""
    def Expand(self, Recurse: bool) -> None:
        """TTreeNode.Expand(Recurse: bool) -> None"""
    def GetHandle(self, *args, **kwargs) -> Any: ...
    def GetLastChild(self, *args, **kwargs) -> Any: ...
    def GetNamePath(self) -> Any:
        """TPersistent.GetNamePath()
        返回对象在对象检查器中显示的名称。"""
    def GetNext(self, *args, **kwargs) -> Any: ...
    def GetNextChild(self, Value: TreeNode) -> 树节点：
        """TTreeNode.GetNextChild(Value: TreeNode) -> TreeNode"""
    def GetNextVisible(self, *args, **kwargs) -> Any: ...
    def GetPrev(self, *args, **kwargs) -> Any: ...
    def GetPrevChild(self, Value: TreeNode) -> 树节点：
        """TTreeNode.GetPrevChild（值：TreeNode）-> TreeNode"""
    def GetPrevVisible(self, *args, **kwargs) -> Any: ...
    def HasAsParent(self, Value: TreeNode) -> 布尔：
        """TTreeNode.HasAsParent（值：TreeNode）-> bool"""
    def IndexOf(self, Value: TreeNode) -> 整数：
        """TTreeNode.IndexOf(值: TreeNode) -> int"""
    def IsFirstNode(self, *args, **kwargs) -> Any: ...
    def MakeVisible(self, *args, **kwargs) -> Any: ...
    def MoveTo(self, Destination: TreeNode, Mode: NodeAttachMode) -> None:
        """TTreeNode.MoveTo（目标：TreeNode，模式：NodeAttachMode）->无"""
    def getFirstChild(self, *args, **kwargs) -> Any: ...
    def getNextSibling(self, *args, **kwargs) -> Any: ...
    def getPrevSibling(self, *args, **kwargs) -> Any: ...
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class TreeView(CustomTreeView):
    """Delphi TTreeView 的包装"""
    __hash__: ClassVar[None] = ...
    Align: Align
    """对齐：确定控件在其容器（父控件）内的对齐方式。
        使用“对齐”可将控件与窗体或面板的顶部、底部、左侧或右侧对齐，并且即使包含该控件的窗体、面板或组件的大小发生变化，它仍保留在那里。当调整父级的大小时，对齐的控件也会调整大小，以便它继续跨越父级的顶部、底部、左侧或右侧边缘。
        例如，要将带有各种控件的面板组件用作工具选项板，请将面板的 Align 值更改为 alLeft。面板的 Align 属性的 alLeft 值可确保工具选项板保持在窗体的左侧，并且始终等于窗体的客户端高度。
        Align 的默认值为 alNone，这意味着控件保持其在窗体或面板上的位置。
        
        提示：如果“对齐”设置为 alClient，则控件会填充整个客户区，因此无法通过单击来选择父窗体。在这种情况下，通过选择窗体上的控件并按 ESC 键或使用对象检查器来选择父级。
        单个父组件中的任意数量的子组件可以具有相同的对齐值，在这种情况下，它们沿着父组件的边缘堆叠。子控件按 z 顺序堆叠。要调整控件的堆叠顺序，请将控件拖动到所需的位置。
        
        注意：要使控件与其父级的边缘保持指定的关系，但不一定位于父级的一个边缘，请改用 Anchors 属性。"""
    Anchors: Anchors
    """锚点：指定控件如何锚定到其父级。
        使用锚点可确保控件保持其相对于其父级边缘的当前位置，即使调整父级的大小也是如此。当调整其父级的大小时，控件将保持其相对于其锚定边缘的位置。
        如果某个控件锚定到其父级的相对边缘，则当调整其父级的大小时，该控件会拉伸。例如，如果某个控件的 Anchors 属性设置为 [akLeft, akRight]，则该控件会在其父级的宽度更改时拉伸。
        仅当调整父级大小时才强制执行锚定。因此，例如，如果在设计时将控件锚定到窗体的相对边缘，并且在最大化状态下创建窗体，则该控件不会拉伸，因为在创建控件后不会调整窗体的大小。
        
        注意：如果控件应与其父级的三个边缘保持接触（紧贴父级的一侧并拉伸该侧的长度），请改用 Align 属性。与锚点不同，对齐允许控件根据其他对齐的同级控件的大小变化以及父控件大小的变化进行调整。"""
    AutoExpand: bool
    """布尔："""
    BevelEdges: BevelEdges
    """BevelEdges：指定控件的哪些边缘是斜角的。
        使用 BevelEdges 获取或设置控件的哪些边缘是斜角的。 BevelInner、BevelOuter 和 BevelKind 属性确定指定边的外观。"""
    BevelInner: BevelCut
    """BevelCut：指定内斜角的切割。
        使用 BevelInner 指定内斜角是否具有凸起、降低或平坦的外观。
        内斜角立即出现在外斜角内部。如果没有外斜角（BevelOuter 为 bvNone），则内斜角会立即出现在边框内部。"""
    BevelKind: BevelKind
    """BevelKind：指定控件的斜角样式。
        使用 BevelKind 修改斜角的外观。 BevelKind 影响斜角的突出程度。
        BevelKind 与 BevelWidth 以及 BevelInner 或 BevelOuter 指定的斜角切割相结合，可以创建多种效果。尝试各种组合以获得您想要的外观。"""
    BevelOuter: BevelCut
    """BevelCut：指定外斜角的切割。
        使用 BevelOuter 指定外斜角是否具有凸起、降低或平坦的外观。
        外斜角立即出现在边框内侧和内斜角外侧。"""
    BevelWidth: int
    """整数： Specifies the width of the inner and outer bevels.
        Use BevelWidth to specify the width, in pixels, of the inner and outer bevels."""
    BiDiMode: BiDiMode
    """BiDiMode：指定控件的双向模式。
        当应用程序在从右到左而不是从左到右读取的区域设置中运行时，使用 BiDiMode 使控件能够自动调整其外观和行为。双向模式控制文本的阅读顺序、垂直滚动条的位置以及是否更改对齐方式。
        对于已知包含数字、日期、时间或货币值的控件，对齐方式不会更改。例如，对于数据感知控件，以下字段类型的对齐方式不会更改：ftSmallint、ftInteger、ftWord、ftFloat、ftCurrency、ftBCD、ftDate、ftTime、ftDateTime、ftAutoInc。"""
    边框样式： BorderStyle
    """边框样式："""
    BorderWidth: int
    """int：指定控件边框的宽度。
使用 BorderWidth 获取或设置控件边框的宽度。控件绘制的图形或文本将被剪裁到边框内的区域。"""
    ChangeDelay: int
    """整数："""
    CheckBoxes: bool
    """布尔："""
    检查样式： CheckStyles
    """检查样式："""
    Color: int
    """int：指定控件的背景颜色。
        使用颜色读取或更改控件的背景颜色。
        如果控件的 Vcl.Controls.TControl.ParentColor 属性为 True，则更改控件父级的 Color 属性会自动更改控件的 Color 属性。当 Color 属性的值更改时，控件的 ParentColor 属性将自动设置为 False。
        TLabel 的颜色始终是背景颜色，除非将 TLabel.Transparent 设置为 False。"""
    Constraints: SizeConstraints
    """SizeConstraints：指定控件的大小约束。
        使用约束来指定控件的最小和最大宽度和高度。当约束包含最大值或最小值时，无法调整控件大小以违反这些约束。
        
        注意：约束适用于表格的高度。但是，窗体的高度取决于 Windows 使标题栏有多大。例如，Windows XP 使用比其他窗口系统大得多的标题栏。要解决此问题，请在设计表单时记下 ClientHeight 并在 FormCreate 事件中设置约束。在以下示例中，ClientHeight 由 x 表示：Constraints.MinHeight?:= x + Height - ClientHeight。
        警告：请勿设置与 Align 或 Anchors 属性的值冲突的约束。当这些属性发生冲突时，控件对调整大小尝试的响应没有明确定义。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    Ctl3D: bool
    """布尔： Determines whether a control has a three-dimensional (3-D) or two-dimensional look.
        Ctl3D is provided for backward compatibility. It is not used by 32-bit versions of Windows or NT4.0 and later, with the exception of Windows XP Home, where it is used on occasion.
        On earlier platforms, Ctl3D controlled whether the control had a flat or beveled appearance.
        
        
        Note RAD Studio no longer supports Windows Vista or earlier."""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    DragCursor: int
    """整数： Specifies the image used to represent the mouse pointer when the control is being dragged.
        Use the DragCursor property to change the cursor image presented when the control is being dragged.
        
        Note: To make a custom cursor available for the DragCursor property, see the Cursor property."""
    DragKind: DragKind
    """DragKind：指定控件是正常拖动还是用于停靠。
        使用 DragKind 获取或设置控件是否参与拖放操作或拖放操作。"""
    DragMode: DragMode
    """DragMode：指定控件如何启动拖放或拖放操作。
        使用 DragMode 来控制用户何时可以拖动控件。通过将 DragMode 属性值设置为 dmManual，可以在运行时禁用拖放或拖放功能。通过将 DragMode 设置为 dmAutomatic 启用自动拖动。有关 dmManual 和 dmAutomatic 的更多信息，请参阅 TDragMode。"""
    Enabled: bool
    """布尔： Controls whether the control responds to mouse, keyboard, and timer events.
        Use Enabled to change the availability of the control to the user. To disable a control, set Enabled to False. Some disabled controls appear dimmed (for example: buttons, check boxes, labels), while others (container controls) simply lose their functionality without changing their appearance. If Enabled is set to False, the control ignores mouse, keyboard, and timer events.
        To re-enable a control, set Enabled to True.
        
        Note: This property applies to all TControl descendants."""
    Focused: Any
    """确定控件是否具有输入焦点。"""
    字体： Font
    """字体：指定控件上或控件中写入的文本的属性。
        要更改为新字体，请指定新的 TFont 对象。要修改字体，请更改 TFont 对象的字符集、颜色、高度、名称、间距、大小或样式的值。
        
        注意：某些控件（例如 TButton）不支持更改标题的字体颜色。在大多数情况下，您可以使用另一个控件，其 Font 属性将更改标题或文本的颜色（例如 TBitBtn 或 TSpeedButton）。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    HandleAllocated: Any
    """报告该控件是否存在屏幕对象句柄。"""
    HideSelection: bool
    """布尔："""
    HotTrack: bool
    """布尔："""
    Images: CustomImageList
    """自定义图像列表："""
    Indent: int
    """整数："""
    Items: TreeNodes
    """树节点："""
    MultiSelect: bool
    """布尔："""
    多选样式： MultiSelectStyle
    """多选样式："""
    OnAddition: Callable[[Object,TreeNode],None]
    """可调用[[对象，TreeNode]，无]："""
    OnAdvancedCustomDraw: Callable[[CustomTreeView,Rect,CustomDrawStage,bool],None]
    """Callable[[CustomTreeView, Rect, CustomDrawStage, bool], None]:"""
    OnAdvancedCustomDrawItem: Callable[[CustomTreeView,TreeNode,CustomDrawState,CustomDrawStage,bool,bool],None]
    """可调用[[CustomTreeView、TreeNode、CustomDrawState、CustomDrawStage、bool、bool]、无]："""
    OnCancelEdit: Callable[[Object,TreeNode],None]
    """可调用[[对象，TreeNode]，无]："""
    OnChange: Callable[[Object,TreeNode],None]
    """可调用[[对象，TreeNode]，无]："""
    OnChanging: Callable[[Object,TreeNode,bool],None]
    """Callable[[Object, TreeNode, bool], None]:"""
    OnCheckStateChanged: Callable[[CustomTreeView,TreeNode,NodeCheckState],None]
    """可调用[[CustomTreeView, TreeNode, NodeCheckState], None]:"""
    OnCheckStateChanging: Callable[[CustomTreeView,TreeNode,NodeCheckState,NodeCheckState,bool],None]
    """Callable[[CustomTreeView, TreeNode, NodeCheckState, NodeCheckState, bool], None]:"""
    OnClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnCollapsed: Callable[[Object,TreeNode],None]
    """可调用[[对象，TreeNode]，无]："""
    OnCollapsing: Callable[[Object,TreeNode,bool],None]
    """Callable[[Object, TreeNode, bool], None]:"""
    OnCompare: Callable[[Object,TreeNode,TreeNode,int,int],None]
    """可调用[[对象，TreeNode，TreeNode，int，int]，无]："""
    OnContextPopup: Callable[[Object,Point,bool],None]
    """可调用[[对象，点，布尔]，无]："""
    OnCreateNodeClass: Callable[[CustomTreeView,TreeNodeClass],None]
    """可调用[[CustomTreeView，TreeNodeClass]，无]："""
    OnCustomDraw: Callable[[CustomTreeView,Rect,bool],None]
    """可调用[[CustomTreeView，矩形，布尔]，无]："""
    OnCustomDrawItem: Callable[[CustomTreeView,TreeNode,CustomDrawState,bool],None]
    """Callable[[CustomTreeView, TreeNode, CustomDrawState, bool], None]:"""
    OnDblClick: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnDeletion: Callable[[Object,TreeNode],None]
    """可调用[[对象，TreeNode]，无]："""
    OnDragDrop: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnDragOver: Callable[[Object,Object,int,int,DragState,bool],None]
    """Callable[[Object, Object, int, int, DragState, bool], None]:"""
    OnEdited: Callable[[Object,TreeNode,str],None]
    """可调用[[对象，TreeNode，str]，无]："""
    OnEditing: Callable[[Object,TreeNode,bool],None]
    """Callable[[Object, TreeNode, bool], None]:"""
    OnEndDock: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEndDrag: Callable[[Object,Object,int,int],None]
    """可调用[[对象，对象，int，int]，无]："""
    OnEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExit: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnExpanded: Callable[[Object,TreeNode],None]
    """可调用[[对象，TreeNode]，无]："""
    OnExpanding: Callable[[Object,TreeNode,bool],None]
    """Callable[[Object, TreeNode, bool], None]:"""
    OnGesture: Callable[[Object,GestureEventInfo,bool],None]
    """Callable[[Object, GestureEventInfo, bool], None]:"""
    OnGetImageIndex: Callable[[Object,TreeNode],None]
    """可调用[[对象，TreeNode]，无]："""
    OnGetSelectedIndex: Callable[[Object,TreeNode],None]
    """可调用[[对象，TreeNode]，无]："""
    OnH整数： Callable[[Object,TreeNode,str],None]
    """可调用[[对象，TreeNode，str]，无]："""
    OnKeyDown: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnKeyPress: Any
    """可调用[[对象，unicodechr(str)]，无]："""
    OnKeyUp: Callable[[Object,int,ShiftState],None]
    """Callable[[Object, int, ShiftState], None]:"""
    OnMouseActivate: Callable[[Object,MouseButton,ShiftState,int,int,int,MouseActivate],None]
    """Callable[[Object, MouseButton, ShiftState, int, int, int, MouseActivate], None]:"""
    OnMouseDown: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnMouseEnter: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseLeave: Callable[[Object],None]
    """可调用[[对象]，无]："""
    OnMouseMove: Callable[[Object,ShiftState,int,int],None]
    """Callable[[Object, ShiftState, int, int], None]:"""
    OnMouseUp: Callable[[Object,MouseButton,ShiftState,int,int],None]
    """Callable[[Object, MouseButton, ShiftState, int, int], None]:"""
    OnStartDock: Callable[[Object,DragDockObject],None]
    """可调用[[对象，DragDockObject]，无]："""
    OnStartDrag: Callable[[Object,DragObject],None]
    """可调用[[对象，拖动对象]，无]："""
    ParentBiDiMode: bool
    """布尔： Specifies whether the control uses its parent's BiDiMode.
        Use ParentBiDiMode to get or set whether the control uses its parent's BiDiMode. When ParentBiDiMode is true, the control's BiDiMode property is always equal to that of its parent. If ParentBiDiMode is false, the control uses its own BiDiMode property.
        Set ParentBiDiMode to true for all controls in a form to ensure that the entire user interface adjusts to Middle Eastern locales in a uniform manner.
        When the value of the control's BiDiMode property changes, ParentBiDiMode becomes false automatically."""
    ParentColor: bool
    """布尔： Specifies where a control looks for its color information.
        To have a control use the same color as its parent control, set ParentColor to True. If ParentColor is False, the control uses its own Color property.
        Set ParentColor to True for all controls to ensure that all the controls on a form have a uniform appearance. For example, if ParentColor is True for all controls in a form, changing the background color of the form to gray causes all the controls on the form to also have a gray background.
        When the value of a control's Color property changes, ParentColor becomes False automatically."""
    ParentCtl3D: bool
    """布尔： Determines where a component looks to determine whether it should have a three-dimensional look.
        ParentCtl3D is provided for backwards compatibility. It has no effect on 32-bit versions of Windows or NT 4.0 and later.
        ParentCtl3D determines whether the control uses its parent's Ctl3D property."""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    Parent字体： bool
    """bool：指定控件查找字体信息的位置。
要让控件使用与其父控件相同的字体，请将 ParentFont 设置为 true。如果 ParentFont 为 false，则控件使用其自己的 Font 属性。许多控件默认将 ParentFont 设置为 true，以便表单或其他容器中的所有控件呈现统一的外观。当控件的 Font 属性值发生变化时，ParentFont 会自动变为 false。
当表单的 ParentFont 为 true 时，表单将使用默认字体。目前，默认字体为 Tahoma 8 pt。"""
    ParentShowH整数： bool
    """布尔： Specifies where a control looks to find out if its Help Hint should be shown.
        Use ParentShowHint to ensure that all the controls on a form either uniformly show their Help Hints or uniformly do not show them. 
        If ParentShowHint is True, the control uses the ShowHint property value of its parent. If ParentShowHint is False, the control uses the value of its own ShowHint property.
        To provide Help Hints only for selected controls on a form, set the ShowHint property for those controls that should have Help Hints to True, and ParentShowHint becomes False automatically.
        
        Note:  Enable or disable all Help Hints for the entire application using the ShowHint property of the application object."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    弹出菜单： PopupMenu
    """弹出菜单： Specifies the pop-up menu associated with the control.
        Assign a value to PopupMenu to make a pop-up menu appear when the user selects the control and clicks the right mouse button. If the TPopupMenu's AutoPopup property is True, the pop-up menu appears automatically. If the menu's AutoPopup property is False, display the menu with a call to its Popup method from the control's OnContextPopup event handler."""
    ReadOnly: bool
    """布尔："""
    RightClickSelect: bool
    """布尔："""
    RowSelect: bool
    """布尔："""
    ShowButtons: bool
    """布尔："""
    ShowH整数： bool
    """bool：ShowHint 指定当鼠标指针移到控件上时是否显示帮助提示。
ShowHint 确定是否为控件显示帮助提示。帮助提示是 TControl.Hint 属性的值。当鼠标指针移到控件上时，帮助提示会出现在控件正下方的框中。
要为特定控件启用帮助提示，必须满足两个条件：

应用程序的 ShowHint 属性必须为 True。
控件自己的 ShowHint 属性必须为 True，或者控件的 ParentShowHint 属性必须为 True，并且其父级的 ShowHint 属性必须为 True。
例如，想象一个组框内的复选框。如果组框的 ShowHint 属性为 True，复选框的 ParentShowHint 属性为 True，但复选框的 ShowHint 属性为 False，则复选框仍会显示其帮助提示。
更改 ShowHint 值会自动将 ParentShowHint 属性设置为 False。"""
    ShowLines: bool
    """布尔："""
    ShowRoot: bool
    """布尔："""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    排序类型： SortType
    """排序类型："""
    StateImages: CustomImageList
    """自定义图像列表："""
    StyleElements: StyleElements
    """StyleElements：指定控件使用的样式元素。
        使用 StyleElements 自定义控件的样式。如果启用了自定义样式，您可以启用或禁用控件中的样式元素。
        StyleElements 是一组值，指定当前样式的哪些元素要应用于此控件。默认情况下，该样式的所有元素均已启用。"""
    StyleName: str
    """str：Embarcadero Technologies 目前没有任何其他信息。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    ToolTips: bool
    """布尔："""
    Touch: TouchManager
    """TouchManager：指定与控件关联的触摸管理器组件。
        使用 Touch 属性访问与控件关联的手势选项。 Touch 指定了一个 TTouchManager 类型的类。
        触摸用于：
        
        关联一个 TGestureManager。
        （TGestureManager 管理控件可以使用的所有手势。）
        选择与控件关联的标准、交互式或自定义手势。
        （您还可以将每个手势连接到一个操作；请参阅将操作分配给手势。）
        指定一组用于交互式或平板电脑手势的选项。"""
    Visible: bool
    """布尔： Specifies whether the component appears onscreen.
        Use the Visible property to control the visibility of the control at run time. If Visible is True, the control appears. If Visible is False, the control is not visible.
        Calling the Show method sets the control's Visible property to True. Calling the Hide method sets it to False.
        For TCustomForm descendants, the Show and ShowModal methods set Visible to True and bring the form to the front of all open windows.
        For TTabSheet descendants, Visible does not control the visibility of the control at run time. For more information, see the description of the TabVisible property."""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class VarParameter:
    """允许从 Python 修改 Delphi var 参数的容器对象"""
    __hash__: ClassVar[None] = ...
    Value: Any
    """提供对与 Var 参数关联的值的访问"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

class WinControl(Control):
    '''TWinControl is the base class for all controls that are wrappers for Microsoft Windows screen objects.
    TWinControl provides the common functionality for all controls that act as wrappers for Microsoft Windows screen objects ("windows"). Controls that are wrap underlying windows have the following features:
    
    The control can incorporate the functionality of an underlying window. For example, if the underlying screen object is a text editor, the control can incorporate the editor ability to manage and display a text buffer.
    The control can receive user input focus. The focused control can handle keyboard input events. Some controls change their appearance when they have the focus. For example, button controls typically indicate the focus by drawing a rectangle around the caption.
    The control can serve as a container for other controls, referred to as child controls. This relationship is signified by the child\'s Parent property. Container controls provide important services to their children, including display services for controls that do not implement their own canvases. Examples of container controls include forms, panels, and toolbars.
    Controls based on TWinControl can display standard screen objects provided by Microsoft Windows, or customized screen objects developed by the VCL programmer.
    Descendants of TWinControl include abstract base classes that support most kinds of user interface objects. The most significant descendant is TCustomControl, which provides code to implement a canvas and handle paint messages. Other important abstract descendants include TScrollingWinControl, TButtonControl, TCustomComboBox, TCustomEdit, and TCustomListBox. When defining new control classes, consider these descendants before deriving directly from TWinControl.
    Every TWinControl object has a Handle property which provides the window handle for the underlying Microsoft Windows screen object. Use the Handle property to bypass the VCL API and directly access the underlying window.'''
    __hash__: ClassVar[None] = ...
    AlignDisabled: bool
    """布尔： Indicates child control realignment disabled.
        AlignDisabled returns true if child control realignment has been temporarily disabled by a call to DisableAlign."""
    刷子： Brush
    """画笔：确定用于绘制控件背景的颜色和图案。
        Brush 属性访问 TBrush 对象，该对象确定控件背景的图案和颜色。 Brush 是只读属性，但应用程序可以通过设置其属性或使用其分配方法来操作 TBrush 对象。"""
    ControlCount: Any
    """返回包含的控件的数量"""
    Controls: Any
    """返回包含控件的迭代器"""
    DockClientCount: int
    """int：指定停靠在窗口控件上的控件数量。
        使用 DockClientCount 获取停靠到窗口控件的控件数量。当迭代 DockClients 属性时，该值可用作上限。
        
        注意：DockClients 属性可以包含不可见的控件。要获取可见的停靠客户端的数量，请改用 VisibleDockClientCount 属性。"""
    DockClients: Control
    """控制："""
    DockManager: IDockManager
    """IDockManager：指定控件的停靠管理器界面。
        使用 DockManager 指定控件的停靠管理器。对接管理器处理对接区域（控件对接的位置）的布局以及与对接区域相关的任何绘制。
        如果将 DockSite 和 UseDockManager 设置为 true，但不为 DockManager 赋值，则窗口控件将使用全局 DefaultDockTreeClass 变量生成默认停靠管理器。"""
    DockSite: bool
    """布尔： Specifies whether the control can be the target of drag-and-dock operations.
        Set DockSite to true to allow other controls to be docked to this windowed control.
        
        Code Examples
        Docking (Delphi)
        Docking (C++)"""
    DoubleBuffered: bool
    """bool：确定控件的图像是直接渲染到窗口还是首先绘制到内存中的位图。
        当 DoubleBuffered 为 false 时，窗口控件将自身直接绘制到窗口。当 DoubleBuffered 为 true 时，窗口控件将自身绘制到内存中的位图，然后使用该位图绘制窗口。双缓冲可减少控件重绘时的闪烁量，但会占用更多内存。
        当窗口控件是停靠站点并且具有关联的停靠管理器时，它必须是双缓冲的。
        
        注意：某些控件（例如 TRichEdit）无法将自身绘制到位图中。对于此类控件，DoubleBuffered 必须设置为 false。"""
    Handle: Any
    """提供对控件的基础 Windows 屏幕对象的访问。"""
    IsDrawingLocked: bool
    """布尔： IsDrawingLocked property returns True when redrawing for this control is locked.  It is True when the number of LockDrawing calls is less than UnlockDrawing calls for this control."""
    MouseInClient: bool
    """bool：指示鼠标指针当前是否位于控件的工作区。
        使用 MouseInClient 检查鼠标指针当前是否位于控件的工作区。 MouseInClient 还在内部用于触发 OnMouseEnter 和 OnMouseLeave 事件。"""
    Padding: Padding
    """填充：指定控件的填充。
        使用 Padding 指定控件的填充。该值是 TPadding 类的实例。"""
    ParentDoubleBuffered: bool
    """布尔： ParentDoubleBuffered defers the DoubleBuffered property of this component to the value of the parent's DoubleBuffered property.
        ParentDoubleBuffered is a boolean indicating that the DoubleBuffered property of this component is overridden by the value of the parent's DoubleBuffered property."""
    ParentWindow: Any
    """引用父级的底层控制。"""
    PixelsPerInch: int
    """整数： Embarcadero Technologies 目前没有任何其他信息。"""
    RedrawDisabled: bool
    """布尔： RedrawDisabled property returns True when redrawing for this control is locked.  It is similar to IsDrawingLocked, but uses Win32 API to determine when a Win32 window redrawing is disabled. 
        For example, when a parent control redrawing is locked using LockDrawing, then IsDrawingLocked returns True for parent control and False for child control. RedrawDisabled returns True for both parent and child controls."""
    Showing: Any
    """指示控件是否显示在屏幕上。"""
    TabOrder: int
    """int：指示控件在其父级 Tab 键顺序中的位置。
        TabOrder 是当用户按 Tab 键时访问子窗口的顺序。 TabOrder 值为 0 的控件是窗体首次出现时获得焦点的控件。
        最初，选项卡顺序始终是控件添加到窗体的顺序。添加到窗体的第一个控件的 TabOrder 值为 0，第二个为 1，第三个为 2，依此类推。通过更改 TabOrder 属性来更改此设置。
        每个控件在其父控件中都有一个唯一的 Tab 键顺序值。如果将一个控件的 TabOrder 属性值更改为与第二个控件的值相同，则所有其他控件的 TabOrder 值都会更改。例如，假设某个控件在 Tab 键顺序中位于第六位。如果将控件的 TabOrder 属性值更改为 3（使控件按 Tab 键顺序排列为第四位），则原本按 Tab 键顺序排列为第四位的控件现在将变为第五位，而原来为第五位的控件将变为第六位。
        为 TabOrder 指定一个大于父控件中包含的控件数的值会将控件移动到 Tab 键顺序的末尾。该控件不采用 TabOrder 的指定值，而是指定一个数字，以确保该控件是 Tab 键顺序中的最后一个。
        
        注意：仅当 TabStop 属性为 True 并且控件具有父级时，TabOrder 才有意义。 （除非该窗体是另一个窗体的子窗体，否则不会使用该窗体的 TabOrder 属性。）TabOrder 为 -1 的控件没有父窗体，因此无法通过按 Tab 键来访问。要从 Tab 键顺序中删除父级控件，请将其 TabStop 属性设置为 False。"""
    TabStop: bool
    """bool：确定用户是否可以使用 Tab 键切换到控件。
        使用 TabStop 允许或禁止使用 Tab 键访问控件。
        如果 TabStop 为 True，则控件按 Tab 键顺序排列。如果 TabStop 为 False，则该控件不符合 Tab 键顺序，用户无法按 TAB 键移动到该控件。
        
        注意：TabStop 对于表单没有意义，除非该表单指定另一个表单作为其父表单。"""
    UseDockManager: bool
    """布尔： Specifies whether the docking manager is used in drag-and-dock operations.
        Use UseDockManager to get or set whether a docking manager is used in drag-and-dock operations. 
        The docking manager handles the positioning of docked controls and any painting of docking zones around those controls. If you do not use a docking manager, docked controls are aligned to the windowed control based on the closest edge to where they are released. When you do not use a docking manager, there is no region for a user to grab to automatically undock a docked control."""
    VisibleDockClientCount: int
    """int：指定停靠在窗口控件上的可见控件的数量。
        使用 VisibleDockClientCount 确定 DockClients 列表中 Visible 属性值为 true 的控件的数量。该值小于或等于 DockClientCount 的值。"""
    def __init__(self, *args, **kwargs) -> None:
        """初始化自身。请参阅 help(type(self)) 以获取准确的签名。"""
    def Broadcast(self, Message) -> None:
        """TWinControl.Broadcast(消息) -> 无
        向每个子控件发送一条消息。
        当您想要向窗口控件中包含的每个子控件发送相同的消息时，请使用广播。指定要传递的消息作为 Message 参数的值。"""
    def CanFocus(self) -> Any:
        """TWinControl.CanFocus()
        指示控件是否可以获得焦点。"""
    def ContainsControl(self, 控制： Control) -> 布尔：
        """TWinControl.ContainsControl(控制： Control) -> bool
        指示控件内是否存在指定的控件。
        使用 ContainsControl 查找此控件中是否存在特定控件。如果 Control 参数的指定值是此控件的子控件，则 ContainsControl 返回 true。 Control 参数不必是直接子级（在 Controls 属性中），但可以包含在控件的子级中，或者包含在控件子级的子级中，深度无限。
        如果该方法返回 false，则指定的控件不在该控件内。"""
    def ControlAtPos(self, Pos: Point, AllowDisabled: bool, AllowWinControls: bool, AllLevels: bool) -> 控制：
        """TWinControl.ControlAtPos（Pos：点，AllowDisabled：bool，AllowWinControls：bool，AllLevels：bool）->控制
        返回位于控件内指定位置的子控件。
        使用 ControlAtPos 确定哪个子控件位于控件内的指定位置。 ControlAtPos 返回控件的直接子控件；也就是说，Controls 属性的条目之一，其 Parent 属性具有此控件。
        将客户端坐标中的位置指定为 Pos 参数的值。 Pos 可以位于子控件边界内的任何位置，而不仅仅是左上角。
        AllowDisabled 参数确定控件的搜索是否包括禁用的控件。
        AllowWinControls 参数确定在查找子控件时是否考虑 TWinControl 的后代。
        如果在指定位置没有与AllowDisabled 和AllowWinControls 参数匹配的控件，则ControlAtPos 返回nil (Delphi) 或NULL (C++)。"""
    def Create(self, AOwner: Component) -> None:
        """TWinControl.Create(AOwner: 组件) -> 无
        创建 TWinControl 的实例。
        调用 Create 来构造并初始化一个新控件，并将新构造的控件插入到其所有者中，如 AOwner 参数所指定的那样。 Create 通过调用所有者的 InsertComponent 方法将控件插入所有者中。
        大多数控件都会重写 Create 以初始化其独特的属性。重写 Create 方法的对象必须始终首先调用继承的 Create 方法，然后继续进行特定于组件的初始化。重写 Create 方法时指定重写指令。
        如果组件的 Create 方法分配资源或内存，请重写 Destroy 方法以释放这些资源。"""
    def CreateParented(self, ParentWindow: int) -> None:
        """TWinControl.CreateParented(ParentWindow: int) -> 无"""
    @classmethod
    def CreateParentedControl(cls, ParentWindow: int) -> 控制窗口：
        """TWinControl.CreateParentedControl(ParentWindow: int) -> WinControl
        创建并初始化一个控件作为指定非 VCL 窗口的子窗口。
        调用 CreateParentedControl 将新控件嵌入到非 VCL 父控件中。
        CreateParentedControl 为与控件 (Delphi) 相同的类或由 vmt 参数指定的类 (C++) 的新实例分配内存，将其 ParentWindow 属性设置为 ParentWindow，并调用构造函数，传入 nil (Delphi) 或 NULL (C++) 为 Owner 参数。 CreateParentedControl 返回新创建的控件。
        CreateParentedControl 与 CreateParented 具有相同的用途，但它是一个简单的类函数而不是构造函数。与 CreateParented 不同，CreateParentedControl 可以从 C++ 代码中调用。"""
    def DefaultHandler(self, Message) -> None:
        """TWinControl.DefaultHandler(Message) -> 无
        为控件本身不能完全处理的所有消息提供消息处理。
        重写 DefaultHandler 以更改控件的默认消息处理。 Message参数可以转换为TMessage类型，以获取消息的WParam、LParam和Result。如果消息的结果不为零，则消息已被处理。将 Result 字段设置为非零值，以防止继承的方法进一步处理消息。
        
        注意：在 Delphi 代码中，在消息处理方法中调用继承会导致调用祖先的 DefaultHandler 方法，除非祖先为消息指定了显式处理程序。
        TWinControl 重写 TControl DefaultHandler 方法来处理其所有后代类型的消息。 DefaultHandler 使用 CallWindowProc API 函数将任何未处理的消息传递给控件的窗口过程。"""
    def Destroy(self, *args, **kwargs) -> Any:
        """销毁 TWinControl 的实例。
        不要直接在应用程序中调用 Destroy。相反，请拨打免费电话。 Free 验证 TWinControl 引用不为零，然后才调用 Destroy。"""
    def DisableAlign(self, *args, **kwargs) -> Any:
        """禁用子控件的重新对齐。
        调用DisableAlign暂时阻止子控件重新对齐。例如，在执行控件的多个操作（例如从表单文件读取或缩放）时，如果在所有操作完成之前不重新对齐子控件，则性能会提高。 EnableAlign 方法恢复正常的子重新对齐。
        每次对DisableAlign 的调用之后都必须跟随着对EnableAlign 的匹配调用。如果在调用DisableAlign 后可能引发异常，请使用异常块以确保始终调用EnableAlign。
        DisableAlign/EnableAlign 调用序列可以嵌套。内部计数器记录嵌套的级别。只要计数器为正，重新对齐就会被禁用，并且 AlignDisabled 属性返回 true。一旦计数器返回到零，就启用重新对齐并且 AlignDisabled 返回 false。"""
    def DockDrop(self, Source: DragDockObject, X: int, Y: int) -> None:
        """TWinControl.DockDrop(Source: DragDockObject, X: int, Y: int) -> None
生成 OnDockDrop 事件。
当控件停靠到窗口控件时，会自动调用 DockDrop。它指示被放置的控件准备停靠操作，然后生成 OnDockDrop 事件。
虽然您可以重写 DockDrop 以执行除生成的 OnDockDrop 事件之外的操作，但通常后代类会重写 DoAddDockClient 方法。这是因为客户端在完成自己的准备工作之后但在 OnDockDrop 事件之前调用 DoAddDockClient。
仅当 DockSite 为 True 时才会调用 DockDrop。"""
    def EnableAlign(self, *args, **kwargs) -> Any:
        """减少由DisableAlign 方法增加的引用计数，最终重新对齐子控件。
        调用 EnableAlign 以允许控件中的子控件在通过调用 DisableAlign 阻止子控件重新对齐后再次重新对齐。
        每次调用DisableAlign 方法时，它都会增加引用计数。每次调用 EnableAlign 时，都会减少相同的引用计数。当引用计数达到零时，EnableAlign 调用 Realign 方法来执行任何挂起的重新对齐。
        请务必将每个对DisableAlign 的调用与对EnableAlign 的调用配对。如果在调用DisableAlign 后可能引发异常，请使用异常块来确保执行对EnableAlign 的相应调用。"""
    def FindChildControl(self, ControlName: str) -> 控制：
        """TWinControl.FindChildControl(ControlName: str) -> Control
返回指定名称的子控件。
调用 FindChildControl 来定位指定的子控件。FindChildControl 搜索控件的子控件并返回具有指定名称的控件。如果没有子控件与指定名称匹配，FindChildControl 将返回 nil (Delphi) 或 NULL (C++)。

注意：FindChildControl 仅定位控件的直接子控件。它无法找到控件子控件之一的子控件。"""
    def FlipChildren(self, AllLevels: bool) -> None:
        """TWinControl.FlipChildren(AllLevels: bool) -> 无
        反转子控件的位置。
        调用 FlipChildren 来翻转控件的子级；也就是说，将控件左侧的子项移动到右侧，反之亦然。 FlipChildren 反转所有子控件的位置并调整其 Align 属性（如有必要）以强制执行新位置。
        AllLevels 指定是否应在控件的子级上递归调用 FlipChildren。
        当应用程序在中东语言环境中运行时，FlipChildren 可用于反转应用程序的布局，其中用户从右到左而不是从左到右阅读：调用 UseRightToLeftAlignment 来确定 BiDiMode 属性是否指示基于系统语言环境的反转对齐。
        
        注意：FlipChildren 与 IDE 中控件的上下文菜单上的“Flip Children”命令执行相同的操作。"""
    def Focused(self, *args, **kwargs) -> Any:
        """确定控件是否具有输入焦点。
        Use the Focused method to see if the control is the active control. When Focused returns true, the control has the input focus. If Focused returns false, the user cannot interact with the control."""
    def GetChildren(self, Proc: Callable[[Component],None], Root: Component) -> None:
        """TWinControl.GetChildren(Proc: Callable[[Component], None], Root: Component) -> None
        为控件的每个子级调用指定的方法。
        GetChildren 由加载和保存组件的流系统调用。应用程序很少需要调用此例程。
        GetChildren 对 Controls 属性列出的每个子控件执行由 Proc 参数指定的回调，该属性将 Root 参数列为其 Owner。
        重写 GetChildren 以限制或增加与控件一起保存的子控件。重写 GetChildren 时，为每个应保存的子控件调用作为 Proc 参数传递的过程。 Root 参数指示拥有该控件的组件（通常是窗体）。"""
    def GetTabControlList(self, List: List) -> None:
        """TWinControl.GetTabControlList(List: List) -> None
构建自有控件列表。
调用 GetTabControlList 构建子控件列表。
GetTabControlList 遍历控件的内部 Tab 顺序列表，将每个子控件添加到 List。结果是 TabOrder 中所有自有控件的列表。"""
    def GetTabOrderList(self, List: List) -> None:
        """TWinControl.GetTabOrderList(List: List) -> 无
        按 T​​ab 键顺序构建控件列表。
        调用 GetTabOrderList 以按 Tab 键顺序构造子控件列表。
        GetTabOrderList 循环访问控件的内部 Tab 键顺序列表，将每个子控件添加到 List，包括这些控件中包含的任何控件。结果是所有控件及其拥有的控件的列表，按 Tab 键顺序排列。
        FindNextControl 方法调用 GetTabOrderList 来构建 FindNextControl 用于定位 Tab 键顺序中的下一个控件的控件的完整列表。"""
    def HandleAllocated(self, *args, **kwargs) -> Any:
        """报告该控件是否存在屏幕对象句柄。
        Query HandleAllocated to find out if the control's underlying screen object has been generated.
        If the screen object exists, HandleAllocated returns true. If the screen object does not exist, HandleAllocated returns false. Testing the Handle property of a control directly causes the window to be created if it does not already exist. Call the HandleAllocated method to determine whether a window exists without creating one as a side effect."""
    def HandleNeeded(self, *args, **kwargs) -> Any:
        """如果该控件尚不存在，则为该控件创建一个屏幕对象。
        调用 HandleNeeded 为控件创建屏幕对象。
        如果屏幕对象不存在，HandleNeeded 会在为此控件创建屏幕对象之前调用该控件的父级的 CreateHandle 方法。"""
    def InsertControl(self, A控制： Control) -> None:
        """TWinControl.InsertControl(A控制： Control) -> 无
        将控件插入 Controls 数组属性中。
        应用程序不需要直接调用 InsertControl。在设计时添加或删除子控件时，会自动插入和删除。在运行时，使用子控件的 Parent 属性将其插入 Controls 数组中。如果子控件已经是另一个控件的子控件，则设置 Parent 属性可确保将子控件从原始父控件的控件中删除。
        InsertControl 使插入的控件成为子控件，使包含控件成为父控件。 AControl 参数是插入到 Controls 数组中的子控件。"""
    def Invalidate(self, *args, **kwargs) -> Any:
        """安排控件重绘。
        Invalidate 通知控件其整个表面需要重新绘制。调用Invalidate可以防止一系列部分重画引起的闪烁。在实际重新绘制控件之前多次调用 Invalidate 不会造成性能损失。
        在更新控件之前，不会发生实际的重绘。要强制立即重绘，请改为调用 Repaint。"""
    def LockDrawing(self, *args, **kwargs) -> Any:
        """调用 LockDrawing 方法以防止重绘该控件中的更改。要恢复重绘，请调用 UnlockDrawing 方法。如果在 LockDrawing 调用后重新创建窗口句柄，则控件将保持锁定状态，直到相应的 UnlockDrawing 调用为止。
        LockDrawing / UnlockDrawing 调用可以嵌套。"""
    def PaintTo(self, DC: int, X: int, Y: int) -> None:
        """TWinControl.PaintTo(DC: int, X: int, Y: int) -> 无
        将窗口控件绘制到设备上下文。
        调用 PaintTo 在设备上下文上绘制控件。将设备上下文指定为 DC 参数的值，并指定设备上下文上要绘制窗口控件左上角的 X 和 Y 坐标。 PaintTo 首先擦除设备上下文的背景，然后绘制控件。
        PaintTo 对于将控件的图像绘制到位图 DC 中非常有用。
        
        警告：当使用 PaintTo 在画布上绘图时，必须先锁定画布（并在调用 PaintTo 后解锁）。如果不锁定画布，则控件绘制时发生的 Windows 调用可能会导致画布丢失它的句柄。\r
        将窗口控件绘制到设备上下文。
        调用 PaintTo 在设备上下文上绘制控件。将设备上下文指定为 DC 参数的值，并指定设备上下文上要绘制窗口控件左上角的 X 和 Y 坐标。 PaintTo 首先擦除设备上下文的背景，然后绘制控件。
        PaintTo 对于将控件的图像绘制到位图 DC 中非常有用。
        
        警告：当使用 PaintTo 在画布上绘图时，必须先锁定画布（并在调用 PaintTo 后解锁）。如果不锁定画布，则控件绘制时发生的 Windows 调用可能会导致画布丢失它的手柄。"""
    def PreProcessMessage(self, Msg: tagMSG) -> 布尔：
        """TWinControl.PreProcessMessage(Msg: tagMSG) -> bool
        无论 Msg 的值如何，都返回 False。
        作为 TWinControl 类的成员，PreProcessMessage 始终返回 False，无论 Msg 的值是什么。
        
        注意：在后代类中重写 PreProcessMessage 时，我们建议实现它，如果 Msg 是预处理消息，则返回 True，否则返回 False。"""
    def Realign(self, *args, **kwargs) -> Any:
        """强制控件重新排列子项。
        当引用计数达到零时，EnableAlign 方法调用 Realign。它根据子控件的对齐属性调整其大小和位置。
        如果所有子控件的 Align 属性都设置为 alNone，则重新对齐不起作用。"""
    def RemoveControl(self, A控制： Control) -> None:
        """TWinControl.RemoveControl(A控制： Control) -> 无
        从 Controls 数组中删除指定的控件。
        RemoveControl 从 Controls 属性中删除子控件。调用RemoveControl后，该控件不再是AControl参数指定的子控件的父控件。
        应用程序不应直接调用RemoveControl。在设计时添加或删除子控件时，会自动插入和删除。在运行时，使用子控件的 Parent 属性将其从 Controls 数组中删除。"""
    def Repaint(self, *args, **kwargs) -> Any:
        """重新绘制整个控件。
        调用 Repaint 来重新绘制控件。
        正如在 TWinControl 中实现的那样，Repaint 调用 Invalidate 方法，然后调用 Update 方法来重新绘制控件。"""
    def ScaleBy(self, M: int, D: int) -> None:
        """TWinControl.ScaleBy(M: int, D: int) -> 无
        重新缩放控件及其子控件。
        ScaleBy 调整控件的大小而不移动其左上角。这与更改 Height 和 Width 属性类似，但控件还尝试重新缩放和重新排列任何子控件以保持其相对大小和位置。
        M 和 D 参数定义用于缩放控制的乘数和除数。例如，要使控件达到其原始大小的 75%，请将 M 的值指定为 75，将 D 的值指定为 100。任何具有相同比例的值对都具有相同的效果。因此，M = 3 和 D = 4 也使控件的大小变为其先前大小的 75%。
        要重新缩放控件的子级而不重新缩放控件本身，请使用 ScaleControls。"""
    def ScaleForPPI(self, NewPPI: int) -> None:
        """TWinControl.ScaleForPPI(NewPPI: int) -> 无
        Embarcadero Technologies 目前没有任何其他信息。"""
    def ScrollBy(self, DeltaX: int, DeltaY: int) -> None:
        """TWinControl.ScrollBy(DeltaX: int, DeltaY: int) -> 无
        滚动控制内容。
        调用 ScrollBy 滚动控件内的内容。虽然 ScrollBy 可用于任何 TWinControl，但将其用于 TScrollingWinControl 的后代是最有意义的。
        应用程序很少需要调用 ScrollBy 方法，除非它们实现自己的滚动接口而不是依赖滚动条。
        DeltaX 参数是沿 X 轴的像素变化。正 DeltaX 值会将内容向右滚动；负值会将内容向左滚动。 DeltaY 参数是沿 Y 轴的像素变化。正 DeltaY 值会向下滚动内容；负值向上滚动内容。"""
    def SetBounds(self, ALeft: int, ATop: int, AWidth: int, AHeight: int) -> None:
        """TWinControl.SetBounds(ALeft: int, ATop: int, AWidth: int, AHeight: int) -> 无
        一次性设置窗口控件的边界属性。
        使用 SetBounds 一次更改控件的所有边界属性。通过分别设置 Left、Top、Width 和 Height 属性可以实现相同的效果。通过一次设置所有四个属性，SetBounds 确保控件不会在更改之间重新绘制
        将 Left、Top、Width 和 Height 属性的值分别指定为 ALeft、ATop、AWidth 和 AHeight 参数的值。"""
    def SetDesignVisible(self, Value: bool) -> None:
        """TWinControl.SetDesignVisible(值: bool) -> 无
        使控件在设计时可见。
        Vcl.Controls.TWinControl.SetDesignVisible 继承自Vcl.Controls.TControl.SetDesignVisible。该行以下的所有内容均引用Vcl.Controls.TControl.SetDesignVisible。
        使控件在设计时可见。
        SetDesignVisible 在窗体设计期间由 Delphi 内部使用。"""
    def SetFocus(self) -> Any:
        """TWinControl.SetFocus()
        将输入焦点赋予控件。"""
    def UnlockDrawing(self, *args, **kwargs) -> Any:
        """调用 UnlockDrawing 方法以允许重新绘制该控件中的更改。
        LockDrawing / UnlockDrawing 调用可以嵌套。"""
    def Update(self, *args, **kwargs) -> Any:
        """强制更新控件。
        更新会重新绘制过时的控制表面的任何部分。通常，更新会自动发生，但在可能会干扰自动更新的冗长处理之前可能需要进行 Update 调用。不必要地调用 Update 会增加开销并导致屏幕闪烁。
        更新仅重新绘制已确定为过时的控件区域。要强制立即重新绘制整个控件，请调用 Repaint 方法。要通知控件它已过期（而不强制立即重新绘制），请调用 Invalidate 方法。"""
    def UpdateControlState(self, *args, **kwargs) -> Any:
        """响应状态变化。
        当发生任何可能影响控件内部状态的显示更改时，会自动调用 UpdateControlState。
        正如在 TWinControl 中实现的那样，UpdateControlState 会爬升父控件链，以验证链中每个控件的 Showing 是否等于 true。如果是这种情况，UpdateControlState 将确保该控件及其所有子控件的 Showing 属性是准确的。后代类可以扩展此行为。"""
    def __contains__(self, other) -> 布尔：
        """返回 self 中的密钥。"""
    def __delattr__(self, name) -> Any:
        """实现 delattr(self, name)。"""
    def __eq__(self, other) -> 布尔：
        """返回 self== 值。"""
    def __ge__(self, other) -> 布尔：
        """返回 self>= 值。"""
    def __getitem__(self, index) -> Any:
        """返回自身[键]。"""
    def __gt__(self, other) -> 布尔：
        """返回自我>价值。"""
    def __iter__(self) -> Any:
        """实现 iter(self)。"""
    def __le__(self, other) -> 布尔：
        """返回自身<=值。"""
    def __len__(self) -> 整数：
        """返回 len(自身)。"""
    def __lt__(self, other) -> 布尔：
        """返回自身<值。"""
    def __ne__(self, other) -> 布尔：
        """返回 self!=value。"""
    def __setattr__(self, name, value) -> Any:
        """实现 setattr(self, name, value)。"""

def Abort() -> Any:
    """Abort()
引发静默异常。"""
def CreateComponent(ComponentClass, Owner) -> Any:
    """创建组件（组件类，所有者）
    创建一个由 Owner 拥有的 ComponentClass 类型的组件"""
def FreeConsole(*args, **kwargs) -> Any:
    """FreeConsole_Wrapper()
    释放与该进程关联的 MS-DOS 控制台。"""
def GetProcessDpiAwareness() -> Any:
    """获取ProcessDpiAwareness()
    获得 DPI 对流程的了解。"""
def IsDpiAware(*args, **kwargs) -> Any:
    """IsDPIAware()
    检查进程 DPI 意识。"""
def SetHighDpiAware() -> Any:
    """设置HighDpiAware()
    自动设置最适合流程的 DPI 感知。"""
def SetProcessDpiAwareness() -> Any:
    """SetProcessDpiAwareness()
    设置流程的 DPI 感知。"""
def ShowMessage(*args, **kwargs) -> Any:
    """ShowMessage_Wrapper()
    将自定义消息显示为对话框。"""
def MessageBox(*args, **kwargs) -> Any:
    """MessageBox_Wrapper()
    将自定义消息显示为对话框。
        Hwnd：int
        文本：str
        图片说明：str
        类型：整数
        结果：整数"""
def InputBox(*args, **kwargs) -> Any:
    """输入框_包装器()
    用于创建一个简单的对话框供用户输入文本。
        图片说明：str
        提示：str
        默认值：str
        结果：str"""
def SelectDirectory(*args, **kwargs) -> Any:
    """SelectDirectory_Wrapper()
    用于显示一个对话框，允许用户选择文件夹并返回所选文件夹的路径。
        图片说明：str
        根：str
        结果：str"""
def StyleServices(*args, **kwargs) -> Any:
    """StyleServices_Wrapper()
获取 StyleServices 实例。"""
